package provide app-landmarker 2.0.4

#set app_type "exe"
set app_type "tcl"

package require vtk
package require vtkinteraction
package require vtktesting

cd [file dirname [info script]]

# Determine the user's home directory and source the user's preference file.
set user_home [glob ~/]
puts stdout "user_home $user_home"
set landmarker_preferences_file [lindex [glob ~/landmarker_preferences/landmarker_preferences.tcl] 0]
puts stdout "Reading your preference file: $landmarker_preferences_file" 

set landmarker_version "2.0.6f  (Aug. 13, 2014)"

##vtkImageFloodFill fff
vtkImageThreshold ggg
##vtkImageThresholdConnectivity jjj

set maxNlandmarks 256
set OutPointFactor 20
#set OutPointFactor 5
set numberOfInputPoints $maxNlandmarks
set numberOfOutputPoints [expr $maxNlandmarks * $OutPointFactor]
set maxSplinePoint 0
set numberOfSplinePoints 0
set previousnumberOfSplinePoints 0
set maxTubePoint 0
set previousnumberOfTubePoints 0
###set lmDiameter 0.6
set lmDiameter 0.9

set lmDiameterFactor 0.5
set tubeDiameterFactor 3.5

set OpenAdditional 0
set AnimationFlag 0
set lmNameArr(0) NoName
set NamesOnly 0
set noteNumber 0
set minLmX 0
set minLmY 0
set minLmZ 0
set maxLmX 1
set maxLmY 1
set maxLmZ 1
set edgeSplitting 1
set flipNormals 0
set featureAngle 5
set view Front
set crv_color "0 0 1"
set tubeColorRed 0
set tubeColorGreen 0
set tubeColorBlue 1
set tubeColorOpacity 1
set crv_flag 0
set additional_crv_flag 0
set existcolorfile 0  
set colorfileread 0 
#set lowersr -20.0
#set uppersr 20.0
set lowersr -100.0
set uppersr 100.0

set maxcol 0.0
set mincol 0.0
set closestp_range_min -1.0
set closestp_range_max 1.0
set closestp_signed 0
set existScalarBar 0
set gammacorr 1.0
# Here we set the variable endian to small_endian.  Need to be changed according to platform.
set endian small_endian
set pixmin 0
set pixmax 0
set landmarksdeletedflag 0
set Xwinsize 600
set Ywinsize 600
set Xwinposition 600
set Ywinposition 0
set OutlineModeCheck 0
set first_model_flag 1
set DefaultZoom 1.7

set SplineCheck 0
set NormalsCheck 1
set ColorsCheck 1
set OutlineModeCheck 0
set ExtraLightsCheck 0
set NsetPoints 0
set snapframe 0
set LandmarkFileHasBeenRead 0
set LineCrvFileHasBeenRead 0
set SurfaceFileHasBeenRead 0
set VolumeFileHasBeenRead 0
set SurfaceVectorFilesHaveBeenRead 0
set ClipModeCheck 0
set lmNumbersShown 0
set lmnumbertextOffset 4
set lmnumbertextSize 15
set many_landmark_files_shown 0
set offsetFlag 0
set offsetX 0
set offsetY 0
set offsetZ 0
set landmarkcolors_read 0
set msp_plane_created 0
set AppendToPrevious 0
set TargetLandmarks 0
set AnnotateTextPosX 10
set AnnotateTextPosY 10
set AnnotateTextSize 20
set nPointsIn 0
set previous_nPointsIn 0
set lmTrafo00 1.0
set lmTrafo01 0.0
set lmTrafo02 0.0
set lmTrafo03 0.0
set lmTrafo10 0.0
set lmTrafo11 1.0
set lmTrafo12 0.0
set lmTrafo13 0.0
set lmTrafo20 0.0
set lmTrafo21 0.0
set lmTrafo22 1.0
set lmTrafo23 0.0
set lmTrafo30 0.0
set lmTrafo31 0.0
set lmTrafo32 0.0
set lmTrafo33 1.0
set TargetSurfaceRead 0
set ReadSurfaceFile_CalledFromMenu 0
set ReadSurfaceFileNoDisplay 0
set SphereWidgetCreated 0
set eyeNum 0
set ImageFlipY 0
set ImageFlipYWarning 0
set DecimateSurfaceMenuOpen 0
set deciFactor 0.0
set orbitannotext ""
set lastlandmarkfilename ""
set lastsurfacefilename ""
set pi 3.141592654
set plotcolorscalled 0
set ImageNoRender 0
set CreateIsoSurfaceNoRender 0
set SurfaceObjectMapHasBeenRead 0 
set SurfaceObjectMapMaxValue 0
set SurfaceColorMaskHasBeenRead 0 
set negatecolors 0
set abscolors 0
set zerocolors 0
set ShowCutPiece 0
set LinearDistractorMenuOpen 0
set AnimateOn 0
set AnimateSwing 1
set Annotated 0
set NsetLandmarks 0
set ForceBigEndianImageRead 0
set ShowLandmarkNumbersStartFromOne 0
set JPEGquality 100
vtkRenderer ren1
#ren1 SetBackground 0.1 0.4 0.4
ren1 SetBackground 0.0 0.6 1.0
set targetsurface_write 0
set writeSTLbinary 0
# Warning: Binary files written on one system may not be readable on other systems. vtkSTLWriter uses VAX or PC byte ordering and swaps bytes on other systems.
set isoWasCreated 0
set ExitWarning 0
set VolumeBackgroundLevel 0
set ClrAbsValCheck 0
set ClrNegateValCheck 0
set other_msp_landmark_order 0
set msp_landmarks {0 1 2 3}
set oactorname(0) "not_read_yet"
set ReadScalarColors_keep_pointScalars 0
set ScalarBarNumberOfLabels 7
set ScalarBarOrientation "horizontal"
set closestpoint_slider_min -10
set closestpoint_slider_max 10
set difference_between_two_surfaces_slider_min -20
set difference_between_two_surfaces_slider_max 20
set SphereLandmarkResolution 10
set CleanFilterTolerance 0.001
set difference_between_two_clr_files_slider_min -5
set difference_between_two_clr_files_slider_max 5
set mean_of_clr_files_slider_min -5
set mean_of_clr_files_slider_max 5
set VolumeSlicerWindowSizeX 800
set VolumeSlicerWindowSizeY 800
set ReadAnalyzeImageASCIIendian "auto"
set VolumeSlicerCursorCubeWidthXfactor 0.5
set VolumeSlicerCursorCubeWidthYfactor 0.5
set VolumeSlicerCursorCubeWidthZfactor 0.5
set VolumeSlicerCursorCubeOpacity 0.5
set FaceTemplateDeformation_SKIP_ORI 1
set BoxWidgetHandleSize 0.01

# Following parameters should not be set for face_analyser to work
##set rigid_trafo_list {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17}
##set eyebrows_right_left {10 11}
##set tps_trafo_list {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19}
##set eyebrows_right_left {10 11}
##set TEMPLATE_NTRIANGLES 24672
##set COLOR_RANGE_ASY_HO_XYZ_MIN -6.0
##set COLOR_RANGE_ASY_HO_XYZ_MAX 6.0
##set roi_mask all_match_average_template_facemask2_clr.clr
##set color_roi_mask_only 1

# Source the user preferences file.
source $landmarker_preferences_file

if {$negatecolors} {
  set ClrNegateValCheck 1
}
if {$abscolors} {
  set ClrAbsValCheck 1
}


cd [file dirname [info script]]

if {$app_type == "exe"} {
  set tmpdir [lindex [glob ~/landmarker_preferences/tmp/] 0]
  set tmpdir "$tmpdir/"
}

set source_file "vtkInt.tcl"
if {$app_type == "exe"} {
  source $source_file
} else {
  source $landmarker_home$source_file
}
set source_file "colors.tcl"
if {$app_type == "exe"} {
  source $source_file
} else {
  source $landmarker_home$source_file
}


set closname "closestpoint_output.clr"
set closestpoint_outputname $tmpdir$closname

vtkMath math
if {$hume_library} {
  package require La
  set source_file "landmarker_math.tcl"
  if {$app_type == "exe"} { 
    source $source_file
  } else {
    source $landmarker_home$source_file
  }
}

# Read current input/output directory from file

set currentdir_file [lindex [glob ~/landmarker_preferences/current_directory.txt] 0]
puts stdout "Writing to your current directory file: $currentdir_file" 

set exist_dirfile [file exists $currentdir_file]

if {$exist_dirfile} {
   set fileId [open $currentdir_file  r]
   gets $fileId line
   if {$line == ""} {
     set currentdir $landmarker_home
   } else {
     set currentdir [lindex $line 0]
   }
} else {
   set currentdir $landmarker_home
}

vtkPCAAnalysisFilter pcafilter
vtkProcrustesAlignmentFilter procrust
vtkDICOMImageReader dicomreader

vtkPoints lmCoord
vtkPoints lmCoordSource
vtkPoints lmCoordPrevious
vtkPoints lmCoordCopy
vtkLongArray lmCellId
#vtkDataArray lmCellId
vtkPoints Splarr
vtkPoints SplarrCop
vtkPoints inputPoints
vtkCubeAxesActor2D axes
vtkLineSource Xax
vtkPolyDataMapper XaxMapper   
vtkActor XaxActor
vtkLineSource Yax
vtkPolyDataMapper YaxMapper   
vtkActor YaxActor
vtkLineSource Zax
vtkPolyDataMapper ZaxMapper   
vtkActor ZaxActor
set oactorNum 0
vtkActor oactor$oactorNum
vtkPolyDataMapper rmapper$oactorNum
vtkTransformPolyDataFilter oactorPoly$oactorNum
vtkImageReader imreader
vtkImageViewer viewer
vtkTransform identityTransform
  identityTransform Identity
vtkLookupTable lut
vtkPoints lineCrvPoints  
vtkPoints lineCrvPointsPrevious
set linesegmentNum 0
#vtkLineSource linesegment$linesegmentNum
#vtkCurvatures curv
vtkVersion version
# PolyData contains the current object (e.g. either from a surface read, or isosurface made.)
vtkPolyData PolyData
vtkPolyData PreviousPolyData
vtkPolyData PolyDataPrevious
vtkPolyData PolyDataTarget
vtkPolyData PolyDataCopy

vtkPropPicker PropPicker
vtkLight leftlight
vtkLight rightlight
vtkLight toplight
vtkLight bottomlight
vtkLight backlight
vtkLight frontlight
vtkPolyDataConnectivityFilter connect
vtkCubeAxesActor2D cubeaxes
vtkTextProperty tpropScalar
vtkLandmarkTransform LmTrafo
vtkPoints lmSource
vtkPoints lmTarget
vtkCardinalSpline CurrentSplineX
vtkCardinalSpline CurrentSplineY
vtkCardinalSpline CurrentSplineZ
vtkPoints equipoints
vtkPoints CurrentPoints
vtkFloatArray surfacevectors
vtkMatrix4x4 mx
vtkDoubleArray clrarr1
vtkDoubleArray clrarr2
vtkImageReslice ImageContainer
#vtkTIFFReader TIFFReader
#vtkBMPReader BMPReader

# Create arrays to hold individual landmark colors
    for {set i 0} {$i < $maxNlandmarks} {incr i 1} {
      set redcolarr($i) 1.0
      set greencolarr($i) 0.0
      set bluecolarr($i) 0.0
      set opacitycolarr($i) 0.0
    }

set setarr(0) 0
set createdarr(0) 0
for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
   lmCoord InsertPoint $i 0 0 0
   set setarr($i) 0
   set createdarr($i) 0
   set lmNameArr($i) NoName
   set lmCellIdArr($i) -1
}

##source SmoothSurface.tcl
proc notify_message {value} {
  # Display a short message.
  global noteNumber
  set font {Helvetica 16}
  toplevel .message$noteNumber 
  message .message$noteNumber.msg -aspect 1000 -font $font -justify left -text $value -foreground blue 
  pack .message$noteNumber.msg
  incr noteNumber 1
}


proc notify {value varname} {
  # Display a message containing contents of the variable value.
  global noteNumber
  set font {Helvetica 14}
  toplevel .note$noteNumber
  set space "= "
  message .note$noteNumber.msg -aspect 1000 -font $font -justify left -text $varname$space$value -foreground blue
  pack .note$noteNumber.msg
  incr noteNumber 1
}
proc notify_error {value} {
  # Display an error message containing contents of the variable value.
  global noteNumber
  set font {Helvetica 16}
  toplevel .error$noteNumber 
  message .error$noteNumber.msg -aspect 1000 -font $font -justify left -text $value -foreground red 
  pack .error$noteNumber.msg
  incr noteNumber 1
}
proc notify_warning {value} {
  # Display a warning message containing contents of the variable value.
  global noteNumber
  set font {Helvetica 16}
  toplevel .warning$noteNumber
  message .warning$noteNumber.msg -aspect 1000 -font $font -justify left -text $value -foreground green
  pack .warning$noteNumber.msg
  incr noteNumber 1
}

proc notify_respond {value} {
  # Display a message, then wait for the user to click an OK button.
  global noteNumber
  set font {Helvetica 16}
  toplevel .respond$noteNumber
  tk_messageBox -icon info -message $value -type ok -parent .respond$noteNumber
}

proc notify_respond_yesno {value} {
  # Display a message, then wait for the user to click yes or no.
  global noteNumber
  set font {Helvetica 16}
  toplevel .respond$noteNumber
  tk_messageBox -icon info -message $value -type yesno -parent .respond$noteNumber
}

proc notify_getvalue {value titletext} {
  # Let the user supply a value.

  proc GetValue {} {
    global value
    puts stdout $value
    wm withdraw .getvalue
    destroy .getvalue

  }
  set font {Helvetica 16}
  toplevel .getvalue
  set value ""
  label .getvalue.lname -font $font -text $titletext -anchor w
  entry .getvalue.val -font $font -textvariable value -relief sunken
  ##bind .getvalue.lname <Return> GetNameEntry
  button .getvalue.b1 -font $font -text "OK" -foreground blue -width 10 -justify center -command GetValue
  
  pack .getvalue.lname .getvalue.val .getvalue.b1 -side top -pady 8
  focus .getvalue
  grab .getvalue
  tkwait window .getvalue

}



proc CreateNewSphereLandmark {lmIndex} {
   global createdarr lmDiameter maxlmIndex max_set
   global SphereLandmarkResolution
   set num $lmIndex
   set createdarr($lmIndex) 1
   #set setarr($lmIndex) 1
   set maxlmIndex $lmIndex
   vtkSphereSource lmsphere$num
     lmsphere$num SetRadius $lmDiameter
     lmsphere$num SetCenter 0 0 0
     lmsphere$num SetThetaResolution $SphereLandmarkResolution
     lmsphere$num SetPhiResolution $SphereLandmarkResolution
   vtkPolyDataMapper lmsphereMapper$num
     lmsphereMapper$num SetInput [lmsphere$num GetOutput]
   vtkActor lmsphereActor$num
     lmsphereActor$num SetMapper lmsphereMapper$num
     [lmsphereActor$num GetProperty] SetColor 0 1 0 
     lmsphereActor$num PickableOff
     lmsphereActor$num VisibilityOff
     ren1 AddActor lmsphereActor$num
     set max_set $maxlmIndex
}


proc DeleteSphereLandmark {lmno} {
   global createdarr maxlmIndex setarr
   set num $lmno
   set createdarr($lmno) 0
   lmsphere$num Delete
   lmsphereMapper$num Delete
   ren1 RemoveActor lmsphereActor$num
   lmsphereActor$num Delete
   set setarr($lmno) 0
   lmCoord SetPoint $lmno 0. 0. 0.
   #puts stdout Deleting
   #puts stdout $lmno
   ##SetIndex 0
   #renWin Render
}

proc DeleteLastLandmark {} {
   global createdarr maxlmIndex setarr lmIndex createdarr
   puts stdout DeleteLastLandmark
   puts stdout $maxlmIndex
   set maxlmIndex_m1 [expr $maxlmIndex - 1]
   DeleteSphereLandmark $maxlmIndex_m1
   incr maxlmIndex -1
   incr lmIndex -1
   #set createdarr($maxlmIndex_m1) 0
   renWin Render
}
 
proc DeleteAllSphereLandmarks {} {
   global createdarr maxlmIndex lmIndex
   global landmarksdeletedflag lmIndexPrevious
   global LandmarkFileHasBeenRead landmarkcolors_read
   #puts stdout $maxlmIndex
   set maxlmIndexP1 [expr $maxlmIndex + 1]
   for {set i 1} {$i <= $maxlmIndex} {incr i 1} {
      DeleteSphereLandmark $i
      #puts stdout deleting
      #puts stdout $i
   }
   lmsphereActor0 VisibilityOff
   set setarr(0) 0
   lmCoord SetPoint 0 0. 0. 0.
   set lmIndex 0
   .f.i set 0
   set landmarksdeletedflag 1
   set lmIndexPrevious 0
   set LandmarkFileHasBeenRead 0
   set landmarkcolors_read 0
}

proc CreateLineSegments {} {
# Line segments that are going to make up the spline
global NsetPoints OutPointFactor numberOfSplinePoints maxSplinePoint
set numberOfSplinePoints [expr $NsetPoints * $OutPointFactor]
  for {set i $maxSplinePoint} {$i <= $numberOfSplinePoints} {incr i 1} {
     set numm $i
     vtkLineSource lineSegment$numm
       lineSegment$numm SetPoint1 0 0 0
       lineSegment$numm SetPoint2 0 0 0
     vtkPolyDataMapper lineSegmentMapper$numm
       lineSegmentMapper$numm SetInput [lineSegment$numm GetOutput]
     vtkActor lineSegmentActor$numm
       lineSegmentActor$numm SetMapper lineSegmentMapper$numm
       [lineSegmentActor$numm GetProperty] SetColor 0 0 0 
       lineSegmentActor$numm PickableOff
       lineSegmentActor$numm VisibilityOff
       ren1 AddActor lineSegmentActor$numm
       set maxSplinePoint [expr $numberOfSplinePoints + 1]
  }  
}

proc CreateTubeSegments {} {
# Tubes that are going to make up the spline
global NsetPoints OutPointFactor numberOfSplinePoints maxTubePoint lmDiameter tubeDiameterFactor
set numberOfTubePoints [expr $NsetPoints * $OutPointFactor]
  for {set i $maxTubePoint} {$i <= $numberOfTubePoints} {incr i 1} {
    set numm $i
    vtkPolyData profileData$numm
    vtkPoints points$numm
    vtkCellArray lines$numm
    #$lines$numm InsertNextCell $numberOfOutputPoints
    lines$numm InsertNextCell 2
    lines$numm InsertCellPoint 0
    lines$numm InsertCellPoint 1
    vtkTubeFilter profileTubes$numm
      profileTubes$numm SetNumberOfSides 8
      set tubeRadius [expr $lmDiameter / $tubeDiameterFactor]
      profileTubes$numm SetRadius $tubeRadius
    vtkPolyDataMapper profileMapper$numm
    vtkActor profile$numm
     profile$numm SetMapper profileMapper$numm
     eval  [profile$numm GetProperty] SetDiffuseColor 0.5 0.1 1.0
     [profile$numm GetProperty] SetSpecular .3
     [profile$numm GetProperty] SetSpecularPower 30
     profile$numm PickableOff
     profile$numm VisibilityOff
     profileData$numm SetPoints points$numm
     profileData$numm SetLines lines$numm
     profileTubes$numm SetInput profileData$numm
     profileMapper$numm SetInput [profileTubes$numm GetOutput]
     ren1 AddActor profile$numm
     set maxTubePoint [expr $numberOfTubePoints + 1]
  }
}

proc BoundingAxes {} {
   # Make bounding box axes.
   # NOT USED!  see p. 75 in User's Guide.
   vtkCubeAxesActor2D axes
   #axes SetInput [normals GetOutput]
   axes SetCamera [ren1 GetActiveCamera]
   axes SetLabelFormat "%6.3g"
   axes ShadowOn
   axes SetFlyModeToOuterEdges
   axes SetFontFactor 0.8
   [axes GetProperty] SetColor 1 0 1
}


proc CrossProduct {u1 u2 u3 v1 v2 v3} {
  # Compute crossproduct of the 3D vectors vec1 and vec2.

  global crossprod 
  
  set c1 [expr $u2 * $v3 - $u3 * $v2]
  set c2 [expr $u3 * $v1 - $u1 * $v3]
  set c3 [expr $u1 * $v2 - $u2 * $v1]
  set crossprod(0) $c1
  set crossprod(1) $c2
  set crossprod(2) $c3
}

# Test with additional light(s).
# Used for creation of color coded models for Berkowitz book chapter 2004.
proc AddExtraLights {} {
    global start_focalpoint start_cameraposition start_viewup    
    set camera [ren1 GetActiveCamera]
    set campos [camera GetPosition]
    set focpoint [camera GetFocalPoint]
    set cx [lindex $campos 0] 
    set cy [lindex $campos 1]
    set cz [lindex $campos 2] 
    set fx [lindex $focpoint 0] 
    set fy [lindex $focpoint 1]
    set fz [lindex $focpoint 2] 
  
  leftlight SetFocalPoint $fx $fy $fz
  set campos [camera GetPosition]
  set xc [lindex $campos 0] 
  set yc [lindex $campos 1]
  set zc [lindex $campos 2] 
  set xl [expr -1.0 * $cz]
  set yl $cy
  set zl $fz
  leftlight SetPosition $xl $yl $zl
  leftlight SetIntensity 0.6
  ren1 AddLight leftlight

  rightlight SetFocalPoint $fx $fy $fz
  set xl $cz
  set yl $cy
  set zl $fz
  rightlight SetPosition $xl $yl $zl
  ren1 AddLight rightlight
  rightlight SetIntensity 0.6

  toplight SetFocalPoint $fx $fy $fz
  set xl $cx
  set yl $cz
  set zl $fz
  toplight SetPosition $xl $yl $zl
  ren1 AddLight toplight
  toplight SetIntensity 0.6

  bottomlight SetFocalPoint $fx $fy $fz
  set xl $cx
  set yl [expr -1.0 * $cz]
  set zl $fz
  bottomlight SetPosition $xl $yl $zl
  ren1 AddLight bottomlight
  bottomlight SetIntensity 0.6

  backlight SetFocalPoint $fx $fy $fz
  set xl $cx
  set yl $cy
  set zl [expr -1.0 * $cz]
  backlight SetPosition $xl $yl $zl
  ren1 AddLight backlight
  backlight SetIntensity 0.6

  frontlight SetFocalPoint $fx $fy $fz
  set xl $cx
  set yl $cy
  set zl $cz
  frontlight SetPosition $xl $yl $zl
  ren1 AddLight frontlight
  frontlight SetIntensity 0.6

  renWin Render
}

proc RollCamera {} {
   set camera [ren1 GetActiveCamera]
   set roll [$camera GetRoll]
   $camera SetRoll [expr $roll + 90]
   ##$camera Zoom 1.2
   ##ren1 ResetCamera
   renWin Render
}

proc ZoomInCamera {} {
   global DefaultZoom
   set camera [ren1 GetActiveCamera]
   $camera Zoom 1.2
   #DefaultZoom [camera GetZoom]
   ##ren1 ResetCamera
   renWin Render
}

proc ZoomOutCamera {} {
   global DefaultZoom
   set camera [ren1 GetActiveCamera]
   $camera Zoom [expr 1.0 / 1.2]
   #DefaultZoom [camera GetZoom]
   ##ren1 ResetCamera
   renWin Render
}

proc CameraDeltaElevation {elev} {
  set camera [ren1 GetActiveCamera]
  $camera Elevation $elev
  renWin Render
}

proc CameraMoveElevation1deg {} {
  set camera [ren1 GetActiveCamera]
  $camera Elevation 1.0
  renWin Render
}

proc CameraMoveElevationMinus1deg {} {
  set camera [ren1 GetActiveCamera]
  $camera Elevation -1.0
  renWin Render
}

proc CameraMoveAzimuth1deg {} {
  set camera [ren1 GetActiveCamera]
  $camera Azimuth 1.0
  renWin Render
}

proc CameraMoveAzimuthMinus1deg {} {
  set camera [ren1 GetActiveCamera]
  $camera Azimuth -1.0
  renWin Render
}

proc CameraMoveAzimuth10deg {} {
  set camera [ren1 GetActiveCamera]
  $camera Azimuth 10.0
  renWin Render
}

proc CameraMoveAzimuthMinus10deg {} {
  set camera [ren1 GetActiveCamera]
  $camera Azimuth -10.0
  renWin Render
}



proc MakeTwoKeyFrameAnimation {} {
   # Proc to save an animation based on two user defined keyframes.
   global SurfaceFileHasBeenRead
   global landmarker_home app_type


    proc CloseTwoKeyFrameMenu {} {
      wm withdraw .kf
      destroy .kf
    }
  
  toplevel .kf
  wm title .kf "Two Key Frame Animation"
  set font {Helvetica 14}

  button .kf.close -font $font -text  " Close "  -width 15 -foreground red -command CloseTwoKeyFrameMenu
  pack .kf.close -side bottom -pady 2m
  label .kf.l -font $font -justify center -text "Store Key Frames One and Two"
  label .kf.l2 -font $font -justify center -text "then Show or Save"
  pack .kf.l .kf.l2 -side top -pady 8

  button .kf.b1 -font $font -text  " Store Key One "  -width 15 -foreground green -command GetKeyOne
  button .kf.b2 -font $font -text  " Store Key Two "  -width 15 -foreground green -command GetKeyTwo
  label .kf.l3 -font $font -justify center -text "Number of Frames"
  scale .kf.s -from 5 -to 200 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable keyAniNFrames
  pack .kf.b1 .kf.b2 .kf.l3 .kf.s -side top -pady 8

  frame .kf.f
  button .kf.f.b1 -font $font -text " Show " -foreground blue -width 20 -justify center -command ShowKeyAnimation
  button .kf.f.b2 -font $font -text " Save " -foreground blue -width 20 -justify center -command StoreKeyAnimationFrames
  pack .kf.f -side top
  pack .kf.f.b1 .kf.f.b2 -side left -expand 1

  set source_file "KeyFrame.tcl"
  if {$app_type == "exe"} {
    source $source_file
  } else {
    source $landmarker_home$source_file
  }
 
  proc GetKeyOne {} {
    set camera [ren1 GetActiveCamera]
    ##KeyNew CameraPosition $camera GetPosition
    KeyNew Azimuth $camera SetPosition
    $camera Azimuth 20
    KeyAdd Azimuth [$camera GetPosition]
    KeyRun Azimuth 300
  }

   
  proc GetKeyTwo {} {
    set camera [ren1 GetActiveCamera]
    ##KeyAdd CameraPosition $camera [$camera GetPosition]
    KeyAdd Azimuth [$camera GetPosition]

      }
  
   proc  ShowKeyAnimation {} {
     KeyRun Azimuth 5
   }

}

proc SetWindowSize {} {
   global Xwinsize Ywinsize
   proc CloseSetWindowSizeMenu {} {
      wm withdraw .ws
      destroy .ws
    }
  
  toplevel .ws
  wm title .ws "Set Window Size"
  set font {Helvetica 14}

  button .ws.close -font $font -text  " Close "  -width 15 -foreground red -command CloseSetWindowSizeMenu
  pack .ws.close -side bottom -pady 2m
  label .ws.l -font $font -justify center -text "Size in X"
  scale .ws.s -from 50 -to 2000 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable Xsiz
  label .ws.l2 -font $font -justify center -text "Size in Y"
  scale .ws.s2 -from 50 -to 2000 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable Ysiz
  button .ws.apply -font $font -text  " Apply "  -width 15 -foreground blue -command ApplySetWindowSize


  pack .ws.l .ws.s .ws.l2 .ws.s2 .ws.apply -side top -pady 8

  set Xsiz $Xwinsize
  set Ysiz $Ywinsize
  .ws.s set $Xsiz
  .ws.s2 set $Ysiz

  proc ApplySetWindowSize {} {
    global Xsiz Ysiz
    renWin SetSize $Xsiz $Ysiz
  }

}

proc CameraMoveAzimuth {} {
   # Move camera in Azimuth. See keyBottle.tcl and keyFrame.tcl
   global landmarker_home tmpdir
   global app_type

   proc CloseCameraMoveAzimuthMenu {} {
      wm withdraw .kf
      destroy .kf
    }
  
  toplevel .kf
  wm title .kf "Move Camera in Azimuth"
  set font {Helvetica 14}

  button .kf.close -font $font -text  " Close "  -width 15 -foreground red -command CloseCameraMoveAzimuthMenu
  pack .kf.close -side bottom -pady 2m
  #label .kf.l -font $font -justify center -text "Store Key Frames One and Two"
  #label .kf.l2 -font $font -justify center -text "then Show or Save"
  #pack .kf.l .kf.l2 -side top -pady 8

  #button .kf.b1 -font $font -text  " Store Key One "  -width 15 -foreground green -command GetKeyOne
  #button .kf.b2 -font $font -text  " Store Key Two "  -width 15 -foreground green -command GetKeyTwo
  set NCameraFrames 200
  set NDegrees 30
  label .kf.l -font $font -justify center -text "Number of Frames"
  scale .kf.s -from 5 -to 360 -resolution 5 -length 400 -background #ff0 -orient horizontal -variable NCameraFrames
  label .kf.l2 -font $font -justify center -text "Number of Degrees"
  scale .kf.s2 -from 1 -to 180 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable NDegrees

  pack .kf.l .kf.s .kf.l2 .kf.s2 -side top -pady 8

  frame .kf.f
  button .kf.f.b1 -font $font -text " Show " -foreground blue -width 20 -justify center -command ShowCameraMoveAzimuth
  button .kf.f.b2 -font $font -text " Save " -foreground blue -width 20 -justify center -command SaveCameraMoveAzimuth
  pack .kf.f -side top
  pack .kf.f.b1 .kf.f.b2 -side left -expand 1

  set NCameraFrames 11
  set NDegrees 10
  .kf.s set $NCameraFrames
  .kf.s2 set $NDegrees

  set source_file "KeyFrame2.tcl"
  if {$app_type == "exe"} {
    source $source_file
  } else {
    source $landmarker_home$source_file
  }

   #set NumberOfFrames 200
   #set NumberOfDegrees 30

  proc ShowCameraMoveAzimuth {} {
      global NDegrees NCameraFrames

      set camera [ren1 GetActiveCamera]
      KeyNew Azimuth $camera SetPosition
      KeyAdd Azimuth [$camera GetPosition]
      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth 1
        KeyAdd Azimuth [$camera GetPosition]
      }
      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth -1
        KeyAdd Azimuth [$camera GetPosition]
      }

      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth -1
        KeyAdd Azimuth [$camera GetPosition]
      }
      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth 1
        KeyAdd Azimuth [$camera GetPosition]
      }    
      # Run the animation - NumberOfFrames frames - 
      # using interpolation
      KeyRun Azimuth $NCameraFrames

   }

     proc SaveCameraMoveAzimuth {} {
      global NDegrees NCameraFrames tmpdir

      set camera [ren1 GetActiveCamera]
      KeyNew Azimuth $camera SetPosition
      KeyAdd Azimuth [$camera GetPosition]
      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth 1
        KeyAdd Azimuth [$camera GetPosition]
      }
      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth -1
        KeyAdd Azimuth [$camera GetPosition]
      }

      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth -1
        KeyAdd Azimuth [$camera GetPosition]
      }
      for {set i 0} {$i <= $NDegrees} {incr i} {
        $camera Azimuth 1
        KeyAdd Azimuth [$camera GetPosition]
      }    
      # Run the animation - NumberOfFrames frames - 
      # using interpolation
      KeyRunSave Azimuth $NCameraFrames
   }
}




proc CameraMoveAzimuth360 {} {
   # Move camera in Azimuth. See keyBottle.tcl and keyFrame.tcl
   global landmarker_home tmpdir
   global app_type

   proc CloseCameraMoveAzimuthMenu {} {
      wm withdraw .kf
      destroy .kf
    }
  
  toplevel .kf
  wm title .kf "Move Camera 360 degrees in Azimuth"
  set font {Helvetica 14}

  button .kf.close -font $font -text  " Close "  -width 15 -foreground red -command CloseCameraMoveAzimuthMenu
  pack .kf.close -side bottom -pady 2m
  #label .kf.l -font $font -justify center -text "Store Key Frames One and Two"
  #label .kf.l2 -font $font -justify center -text "then Show or Save"
  #pack .kf.l .kf.l2 -side top -pady 8

  #button .kf.b1 -font $font -text  " Store Key One "  -width 15 -foreground green -command GetKeyOne
  #button .kf.b2 -font $font -text  " Store Key Two "  -width 15 -foreground green -command GetKeyTwo
  set NCameraFrames 200
  set NDegrees 30
  label .kf.l -font $font -justify center -text "Number of Frames"
  scale .kf.s -from 5 -to 2000 -resolution 5 -length 400 -background #ff0 -orient horizontal -variable NCameraFrames
  #label .kf.l2 -font $font -justify center -text "Number of Degrees"
  #scale .kf.s2 -from 1 -to 180 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable NDegrees

  pack .kf.l .kf.s -side top -pady 8

  frame .kf.f
  button .kf.f.b1 -font $font -text " Show " -foreground blue -width 20 -justify center -command ShowCameraMoveAzimuth360
  button .kf.f.b2 -font $font -text " Save " -foreground blue -width 20 -justify center -command SaveCameraMoveAzimuth360
  pack .kf.f -side top
  pack .kf.f.b1 .kf.f.b2 -side left -expand 1

  set NCameraFrames 11
  .kf.s set $NCameraFrames

  set source_file "KeyFrame2.tcl"
  if {$app_type == "exe"} {
    source $source_file
  } else {
    source $landmarker_home$source_file
  }

  proc ShowCameraMoveAzimuth360 {} {
      global NDegrees NCameraFrames

      set camera [ren1 GetActiveCamera]
      KeyNew Azimuth $camera SetPosition
      KeyAdd Azimuth [$camera GetPosition]
      for {set i 0} {$i < $NCameraFrames} {incr i} {
        $camera Azimuth [expr 360.0 / $NCameraFrames ]
        KeyAdd Azimuth [$camera GetPosition]
      }
      # Run the animation - NumberOfFrames frames - 
      # using interpolation
      KeyRun Azimuth $NCameraFrames

   }

     proc SaveCameraMoveAzimuth360 {} {
      global NDegrees NCameraFrames tmpdir

      set camera [ren1 GetActiveCamera]
      KeyNew Azimuth $camera SetPosition
      KeyAdd Azimuth [$camera GetPosition]
      for {set i 0} {$i < $NCameraFrames} {incr i} {
        $camera Azimuth [expr 360.0 / $NCameraFrames ]
        KeyAdd Azimuth [$camera GetPosition]
      }
      # Run the animation - NumberOfFrames frames - 
      # using interpolation
      KeyRunSave Azimuth $NCameraFrames
   }
}


proc NumberWithZeros {number} {
  # Function to convert a number to a strin with prepended 0s.
  # E.g. 1 becomes 001.  Useful for naming output files for movies etc.
  set onezero "0"
  set twozeros "00"
  if {$number <= 9} {
          set snumber $twozeros$number
  } 
  if { ($number >= 10) &&  ($number <= 99)} {
          set snumber $onezero$number
  } 
  if { ($number >= 100)} {
            set snumber $number
  } 
  return $snumber
}

proc WobbleAzimuth {} {
   # Move camera in Azimuth. See keyBottle.tcl and keyFrame.tcl
   global landmarker_home app_type

   set source_file "KeyFrame.tcl"
   if {$app_type == "exe"} {
     source $source_file
   } else {
     source $landmarker_home$source_file
   }
   set NumberOfFrames 200

      set camera [ren1 GetActiveCamera]
      KeyNew Azimuth $camera SetPosition
      KeyAdd Azimuth [$camera GetPosition]
      KeyAdd Azimuth [$camera GetPosition]
      $camera Azimuth 1
      KeyAdd Azimuth [$camera GetPosition]
      $camera Azimuth 2
      KeyAdd Azimuth [$camera GetPosition]
      for {set i 0} {$i <= 36} {incr i} {
        $camera Azimuth 10
        KeyAdd Azimuth [$camera GetPosition]
      }
      $camera Azimuth 2
      KeyAdd Azimuth [$camera GetPosition]
      $camera Azimuth 1
      KeyAdd Azimuth [$camera GetPosition]

      $camera Azimuth 0
      KeyAdd Azimuth [$camera GetPosition]

      $camera Azimuth -1
      KeyAdd Azimuth [$camera GetPosition]
      $camera Azimuth -2
      KeyAdd Azimuth [$camera GetPosition]
      for {set i 0} {$i <= 36} {incr i} {
        $camera Azimuth -10
        KeyAdd Azimuth [$camera GetPosition]
      }
      $camera Azimuth -2
      KeyAdd Azimuth [$camera GetPosition]
      $camera Azimuth -1
      KeyAdd Azimuth [$camera GetPosition]

      # Run the animation - NumberOfFrames frames - 
      # using interpolation
      KeyRun Azimuth $NumberOfFrames
}

# Procedure to set particular views: NEW 240206 to fit with Analyze (patient)
proc UpdateView {viewcode} {
    global start_focalpoint start_cameraposition start_viewup
    global DefaultZoom
    puts stdout $start_focalpoint
    puts stdout $start_cameraposition 
    puts stdout $start_viewup

    set camera [ren1 GetActiveCamera]
    #set roll [$camera GetRoll]
    #puts stdout $roll
    #$camera ComputeViewPlaneNormal 

      set current_cameraposition [$camera GetPosition] 
      set current_focalpoint [$camera GetFocalPoint]
      set current_viewup [$camera GetViewUp]
    puts stdout "current_focalpoint: $current_focalpoint"
    puts stdout "current_cameraposition: $current_cameraposition"
    puts stdout "current_viewup: $current_viewup"

    set cx [lindex $start_cameraposition 0]
    set cy [lindex $start_cameraposition 1]
    set cz [lindex $start_cameraposition 2]
    set fx [lindex $start_focalpoint 0]
    set fy [lindex $start_focalpoint 1]
    set fz [lindex $start_focalpoint 2]
    set ux [lindex $start_viewup 0]
    set uy [lindex $start_viewup 1]
    set uz [lindex $start_viewup 2]
    set xd2 [expr pow(( $cx - $fx ),2) ]
    set yd2 [expr pow(( $cz - $fy ),2) ]
    set zd2 [expr pow(( $cz - $fz ),2) ]
    set start_dist_to_camera [expr sqrt ( $xd2 + $yd2 + $zd2 )]

    ren1 ResetCamera
    $camera SetFocalPoint $fx $fy $fz
    if {$viewcode == "Top"} {
          set nz [expr $fz + $start_dist_to_camera]
          $camera SetPosition $fx $fy $nz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
    } elseif {$viewcode == "Bottom"} {
          set nz [expr $fz - $start_dist_to_camera]
          $camera SetPosition $fx $fy $nz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
          set roll [$camera GetRoll]
          $camera SetRoll [expr $roll + 180]
    } elseif {$viewcode == "Right"} {
          set nx [expr $fx - $start_dist_to_camera]
          $camera SetPosition $nx $fy $fz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
          set roll [$camera GetRoll]
          $camera SetRoll [expr $roll + 90]
    } elseif {$viewcode == "Left"} {
          set nx [expr $fx + $start_dist_to_camera]
          $camera SetPosition $nx $fy $fz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
          set roll [$camera GetRoll]
          $camera SetRoll [expr $roll + 270]
    } elseif {$viewcode == "Back"} {
          set ny [expr $fy + $start_dist_to_camera]
          $camera SetPosition $fx $ny $fz
          ren1 ResetCamera
          $camera SetViewUp 0 0 1
    } elseif {$viewcode == "Front"} {
          set ny [expr $fy - $start_dist_to_camera]
          $camera SetPosition $fx $ny $fz
          ren1 ResetCamera
          $camera SetViewUp 0 0 1
    }
    
    #ren1 ResetCamera
    #$camera SetViewUp 0 1 0
    $camera Zoom $DefaultZoom
    #ren1 SetActiveCamera $camera
    renWin Render
}

# Procedure to set particular views
proc UpdateViewBefore240206 {viewcode} {
    global start_focalpoint start_cameraposition start_viewup
    global DefaultZoom
    puts stdout $start_focalpoint
    puts stdout $start_cameraposition 
    puts stdout $start_viewup

    set camera [ren1 GetActiveCamera]
    #set roll [$camera GetRoll]
    #puts stdout $roll
    #$camera ComputeViewPlaneNormal 

      set current_cameraposition [$camera GetPosition] 
      set current_focalpoint [$camera GetFocalPoint]
      set current_viewup [$camera GetViewUp]
    puts stdout "current_focalpoint: $current_focalpoint"
    puts stdout "current_cameraposition: $current_cameraposition"
    puts stdout "current_viewup: $current_viewup"

    set cx [lindex $start_cameraposition 0]
    set cy [lindex $start_cameraposition 1]
    set cz [lindex $start_cameraposition 2]
    set fx [lindex $start_focalpoint 0]
    set fy [lindex $start_focalpoint 1]
    set fz [lindex $start_focalpoint 2]
    set ux [lindex $start_viewup 0]
    set uy [lindex $start_viewup 1]
    set uz [lindex $start_viewup 2]
    set xd2 [expr pow(( $cx - $fx ),2) ]
    set yd2 [expr pow(( $cz - $fy ),2) ]
    set zd2 [expr pow(( $cz - $fz ),2) ]
    set start_dist_to_camera [expr sqrt ( $xd2 + $yd2 + $zd2 )]

    ren1 ResetCamera
    $camera SetFocalPoint $fx $fy $fz
    if {$viewcode == "Front"} {
          set nz [expr $fz + $start_dist_to_camera]
          $camera SetPosition $fx $fy $nz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
    } elseif {$viewcode == "Back"} {
          set nz [expr $fz - $start_dist_to_camera]
          $camera SetPosition $fx $fy $nz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
    } elseif {$viewcode == "Right"} {
          set nx [expr $fx - $start_dist_to_camera]
          $camera SetPosition $nx $fy $fz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
    } elseif {$viewcode == "Left"} {
          set nx [expr $fx + $start_dist_to_camera]
          $camera SetPosition $nx $fy $fz
          ren1 ResetCamera
          $camera SetViewUp 0 1 0
    } elseif {$viewcode == "Top"} {
          set ny [expr $fy + $start_dist_to_camera]
          $camera SetPosition $fx $ny $fz
          ren1 ResetCamera
          $camera SetViewUp 0 0 1
    } elseif {$viewcode == "Bottom"} {
          set ny [expr $fy - $start_dist_to_camera]
          $camera SetPosition $fx $ny $fz
          ren1 ResetCamera
          $camera SetViewUp 0 0 1
    }
    
    #ren1 ResetCamera
    #$camera SetViewUp 0 1 0
    $camera Zoom $DefaultZoom
    #ren1 SetActiveCamera $camera
    renWin Render
}

proc CreateXYZAxes {xstart ystart zstart xend yend zend } {
   # Create coordinate axes.
   # RGB color for xyz.
   Xax Delete
   XaxMapper Delete
   XaxActor VisibilityOff
   XaxActor Delete
   vtkLineSource Xax
       Xax SetPoint1 $xstart $ystart $zstart
       Xax SetPoint2 $xend $ystart $zstart
     vtkPolyDataMapper XaxMapper
       XaxMapper SetInput [Xax GetOutput]
     vtkActor XaxActor
       XaxActor SetMapper XaxMapper
       [XaxActor GetProperty] SetColor 1 0 0 
       XaxActor PickableOff
       XaxActor VisibilityOn
       ren1 AddActor XaxActor
   Yax Delete
   YaxMapper Delete
   YaxActor VisibilityOff
   YaxActor Delete
   vtkLineSource Yax
       Yax SetPoint1 $xstart $ystart $zstart
       Yax SetPoint2 $xstart $yend $zstart
     vtkPolyDataMapper YaxMapper
       YaxMapper SetInput [Yax GetOutput]
     vtkActor YaxActor
       YaxActor SetMapper YaxMapper
       [YaxActor GetProperty] SetColor 0 1 0 
       YaxActor PickableOff
       YaxActor VisibilityOn
       ren1 AddActor YaxActor
   Zax Delete
   ZaxMapper Delete
   ZaxActor VisibilityOff
   ZaxActor Delete
   vtkLineSource Zax
       Zax SetPoint1 $xstart $ystart $zstart
       Zax SetPoint2 $ystart $ystart $zend
     vtkPolyDataMapper ZaxMapper
       ZaxMapper SetInput [Zax GetOutput]
     vtkActor ZaxActor
       ZaxActor SetMapper ZaxMapper
       [ZaxActor GetProperty] SetColor 0 0 1
       ZaxActor PickableOff
       ZaxActor VisibilityOn
       ren1 AddActor ZaxActor
}

proc CreateAxes {} {
   # Create xyz axes that start at the location of the lowest landmark position.
   global minLmX maxLmX minLmY maxLmY minLmZ maxLmZ
   Xax Delete
   XaxMapper Delete
   XaxActor VisibilityOff
   XaxActor Delete
   vtkLineSource Xax
       Xax SetPoint1 $minLmX $minLmY $minLmZ
       Xax SetPoint2 $maxLmX $minLmY $minLmZ
     vtkPolyDataMapper XaxMapper
       XaxMapper SetInput [Xax GetOutput]
     vtkActor XaxActor
       XaxActor SetMapper XaxMapper
       [XaxActor GetProperty] SetColor 1 0 0 
       XaxActor PickableOff
       XaxActor VisibilityOn
       ren1 AddActor XaxActor
   Yax Delete
   YaxMapper Delete
   YaxActor VisibilityOff
   YaxActor Delete
   vtkLineSource Yax
       Yax SetPoint1 $minLmX $minLmY $minLmZ
       Yax SetPoint2 $minLmX $maxLmY $minLmZ
     vtkPolyDataMapper YaxMapper
       YaxMapper SetInput [Yax GetOutput]
     vtkActor YaxActor
       YaxActor SetMapper YaxMapper
       [YaxActor GetProperty] SetColor 0 1 0 
       YaxActor PickableOff
       YaxActor VisibilityOn
       ren1 AddActor YaxActor
   Zax Delete
   ZaxMapper Delete
   ZaxActor VisibilityOff
   ZaxActor Delete
   vtkLineSource Zax
       Zax SetPoint1 $minLmX $minLmY $minLmZ
       Zax SetPoint2 $minLmX $minLmY $maxLmZ
     vtkPolyDataMapper ZaxMapper
       ZaxMapper SetInput [Zax GetOutput]
     vtkActor ZaxActor
       ZaxActor SetMapper ZaxMapper
       [ZaxActor GetProperty] SetColor 0 0 1
       ZaxActor PickableOff
       ZaxActor VisibilityOn
       ren1 AddActor ZaxActor
}

proc DisplaySurfaceInfo {} {
  #set numInPolys [[PolyData GetOutput] GetNumberOfCells]
  #notify $numInPolys "Number of Polygons "

  set NumberOfNodes [PolyData GetNumberOfPoints]
  notify $NumberOfNodes "Number of Vertices "

  set NumberOfElements [PolyData GetNumberOfCells]
  notify $NumberOfElements "Number of Facets "
}

proc DisplayMassProperties {} {
  vtkMassProperties massprop
    massprop SetInput PolyData
    set volume [massprop GetVolume] 
    set surfarea [massprop GetSurfaceArea] 
    set shapeind [massprop GetNormalizedShapeIndex] 
    notify $volume "Volume "
    notify $surfarea "Surface Area "
    notify $shapeind "Normalized Shape Index "
    massprop Delete
}

proc DisplaySurfaceArea {} {
   global lastsurfacefilename
   global platform tmpdir landmarker_home
   
   puts stdout "lastsurfacefilename $lastsurfacefilename"
   set outputfilename "${tmpdir}triangleareas.txt"
   ComputeTriangleAreas $lastsurfacefilename $outputfilename 

   set totalarea [ComputeSurfaceAreaFromTriangleAreaFile $outputfilename]
   
   notify_message "Surface area = $totalarea"
}

proc ComputeTriangleAreas {surfacefile outputfile} {
   global platform landmarker_home
   global lastsurfacefilename tmpdir

   # Check existance of input file.
   if {! [file exists $surfacefile ]} {
      notify_error "Could not find input file $surfacefile"
      return -1
   }
   # Check that it has extension .vtk.
   set extension [file extension $surfacefile]
   puts stdout "extension: $extension"
   if {$extension != ".vtk"} {
      notify_error "Surface file format must be .vtk for surface area computation. Suggest: save as .vtk, then reload"
      return -1
   }  

   # Compute surface area by compute_triangle_areas.cxx
   if {$platform == "windows"} {
      set app_name "compute_triangle_areas.exe"
   } else {
      set app_name "compute_triangle_areas"
   }

   puts stdout "Computing triangle areas..."

   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set $app_name $landmarker_home$app_name 
   }

   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }

   puts stdout "Executing: $app_name $surfacefile $outputfile"
   
   catch {exec $app_name $surfacefile $outputfile }
   puts stdout "Done!"
}


proc ComputeSurfaceAreaFromTriangleAreaFile {triangleareafile} {
   # Read a triangle area file (produced by compute_triangle_areas.txt) and sum all the areas

   set fileId [open $triangleareafile r]
   set numCells [PolyData GetNumberOfCells]

   set totalarea 0.0
   set c 0
   while {([gets $fileId value] >= 0) && ($c < $numCells) } {
      set area [lindex $value 0]
      set totalarea [expr $totalarea + $area]
      incr c 1
   }

   close $fileId
   return $totalarea
}

# Picking 
vtkCellPicker picker
    if {$OutlineModeCheck == 0} {
      #v42#picker SetEndPickMethod annotatePickClosest
      picker AddObserver EndPickEvent annotatePickClosest
    } else {
      #v42#picker SetEndPickMethod annotatePickOutlineMode 
      picker AddObserver EndPickEvent annotatePick
    }
    picker SetTolerance 0.003

# Create the RenderWindow, Renderer and both Actors
#
vtkCamera camera
vtkLight light
  #light SetIntensity 2.0
##vtkRenderer ren1
    ren1 SetActiveCamera camera
    #Removed after moving to vtk4.2#ren1 AddLight light 
vtkRenderWindow renWin
    renWin AddRenderer ren1  
vtkRenderWindowInteractor iren
    ##iren SetInteractorStyle joystick
    iren SetRenderWindow renWin
    iren SetPicker picker

    

      # Set some initial parameters needed for orientation of camera.
      #set camera [ren1 GetActiveCamera]
      camera ComputeViewPlaneNormal 
      set start_cameraposition [camera GetPosition] 
      set start_focalpoint [camera GetFocalPoint]
      set start_viewup [camera GetViewUp]

# Modify some bindings, use the interactor style 'switch'
#
set iren [renWin GetInteractor]
set istyle [vtkInteractorStyleSwitch istyleswitch]
$iren SetInteractorStyle $istyle
$istyle SetCurrentStyleToTrackballCamera


#light SetPosition [camera GetPosition]
#ren1 AddLight light

# Instances of vtk objects
vtkCellTypes CellTypes
vtkPolyDataNormals normals

proc NewNormals {} {
    #global edgeSplitting flipNormals
    global renWin normals oactorNum

    normals SetFeatureAngle 30
    normals SetSplitting 0

    #normals SetInput [PolyDataFilter GetOutput]
    normals SetInput PolyData

    rmapper$oactorNum SetInput [normals GetOutput]

    renWin Render
}

proc ApplyNormals {} {
    global edgeSplitting flipNormals
    global renWin normals oactorNum

    #normals SetFeatureAngle $featureAngle
    normals SetSplitting $edgeSplitting

    normals SetInput [PolyDataFilter GetOutput]
    rmapper$oactorNum SetInput [normals GetOutput]

    renWin Render
}

#ApplyNormals




# Add the actors to the renderer, set the background and size
#
##ren1 SetBackground 0.1 0.4 0.4

#ren1 SetViewport 0.2 0.8 0.2 0.8

renWin SetSize $Xwinsize $Ywinsize
renWin SetPosition $Xwinposition $Ywinposition

# render the image
#
#%#iren SetUserMethod {wm deiconify .vtkInteract}
set cam1 [ren1 GetActiveCamera]
#$cam1 Zoom 2.4
#$cam1 Dolly 5
iren Initialize

renWin SetWindowName "Landmarker Surface Window"   

# Spline

vtkCardinalSpline aSplineX
vtkCardinalSpline aSplineY
vtkCardinalSpline aSplineZ

vtkPoints points
vtkPolyData profileData

proc CurrentArr {} {
  # Return the array of coordinates corresponding to the current setarr.
  # Splarr is array of current set coordinates.
  # NsetPoints is number of currently set points.
  # Also return the min and max values (bounds) of the current array.
  global setarr Splarr NsetPoints maxNlandmarks
  global minLmX maxLmX minLmY maxLmY minLmZ maxLmZ 
  set NsetPoints 0

  for {set i 0} {$i< $maxNlandmarks} {incr i 1} {
    if {$setarr($i) == 1} {
      set xyz [lmCoord GetPoint $i]
      set xp [lindex $xyz 0] 
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2] 
      Splarr InsertPoint $NsetPoints $xp $yp $zp
      if {$i == 0} {
          set minLmX $xp
          set maxLmX [expr $xp + 1]
          set minLmY $yp
          set maxLmY [expr $yp + 1]
          set minLmZ $zp
          set maxLmZ [expr $zp + 1]
      } else {
          if {$xp < $minLmX} {
             set minLmX $xp     
          }
          if {$xp > $maxLmX} {
             set maxLmX $xp     
          }
          if {$yp < $minLmY} {
             set minLmY $yp     
          }
          if {$yp > $maxLmY} {
             set maxLmY $yp     
          }
          if {$zp < $minLmZ} {
             set minLmZ $zp     
          }
          if {$zp > $maxLmZ} {
             set maxLmZ $zp     
          }
      }
      incr NsetPoints 1
    }
  }
}

proc ComputeSplineLength {} {
  # Compute length along the curve of the current spline.
  global numberOfInputPoints numberOfOutputPoints lmIndex points setarr Splarr NsetPoints
  global OutPointFactor profileData
  points Reset
  set numberOfOutputPoints [expr ( $NsetPoints * $OutPointFactor ) ]
  for {set i 0} {$i< $numberOfOutputPoints} {incr i 1} {
      set t [expr ( $NsetPoints - 1.0 ) / ( $numberOfOutputPoints - 1) * $i]
      points InsertPoint $i [aSplineX Evaluate $t] [aSplineY Evaluate $t] [aSplineZ Evaluate $t]
  }
  profileData Modified
}



proc SplineFit {} {
  # Fit a spline through landmarks.
  global numberOfInputPoints numberOfOutputPoints lmIndex points setarr Splarr NsetPoints
  global OutPointFactor profileData
  points Reset
  set numberOfOutputPoints [expr ( $NsetPoints * $OutPointFactor ) ]
  for {set i 0} {$i< $numberOfOutputPoints} {incr i 1} {
      set t [expr ( $NsetPoints - 1.0 ) / ( $numberOfOutputPoints - 1) * $i]
      points InsertPoint $i [aSplineX Evaluate $t] [aSplineY Evaluate $t] [aSplineZ Evaluate $t]
  }
  profileData Modified
}

proc LinePut {} {
  global numberOfInputPoints numberOfOutputPoints lmIndex points setarr Splarr NsetPoints
  # NOT USED!
  points Reset
  for {set i 0} {$i< $NsetPoints} {incr i 1} { 
    set xyz [Splarr GetPoint $i]
    set xp [lindex $xyz 0] 
    set yp [lindex $xyz 1]
    set zp [lindex $xyz 2] 
    points InsertPoint $i $xp $yp $zp
    #puts $fileId [Splarr GetPoint $NsetPoints]
    #puts $fileId $i
  }
}

proc SetAllLmDiameter {} {
  # Set the diameter of all landmarks.
  global maxNlandmarks maxlmIndex lmDiameter 
  global many_landmark_files_shown 
  global n_landmark_filenames lmfile_i lmCoNP
  set underscore "_"
  puts stdout "many_landmark_files_shown $many_landmark_files_shown"

  for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
     lmsphere$i SetRadius $lmDiameter
  }
  # If many_landmark_files_shown is set, then we have more landmarks read, set also these diameters.
  if {$many_landmark_files_shown == 1} {
     puts stdout "many_landmark_files_shown $many_landmark_files_shown"
     for {set jj 0 } {$jj < $n_landmark_filenames} {incr jj 1} {
        set nlandmarks $lmCoNP($jj)
        for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
           lmsphere$jj$underscore$ii SetRadius $lmDiameter
        }
     }

  }
  renWin Render
}

proc AnnotateTextErase {} {
  ren1 RemoveActor2D llTextActor
  llTextMapper Delete
  llTextActor Delete
  renWin Render
}

proc AnnotateText {text} {
  # Write a string in lower left corner of window.
  global AnnotateTextPosX AnnotateTextPosY
  global AnnotateTextSize 
  vtkTextMapper llTextMapper
      set tprop [llTextMapper GetTextProperty]
      $tprop SetFontFamilyToArial
      $tprop SetFontSize $AnnotateTextSize
      $tprop BoldOff
      $tprop ShadowOn
      ##$tprop SetColor 1 1 0
      $tprop SetColor 0 0 0
   vtkActor2D llTextActor
      llTextMapper SetInput $text
      ##llTextActor SetPosition 10 10
      llTextActor SetPosition $AnnotateTextPosX $AnnotateTextPosY
      llTextActor VisibilityOn
      llTextActor PickableOff
      llTextActor SetMapper llTextMapper
   ren1 AddActor2D llTextActor
   renWin Render
}

proc ShowLandmarkNumbers {} {
  # Show landmark numbers in the overlay screen.
  global maxNlandmarks maxlmIndex lmDiameter lmNumbersShown lmnumbertextSize lmnumbertextOffset
  global ShowLandmarkNumbersStartFromOne setarr
  if {$lmNumbersShown == 1} {
     RemoveLandmarkNumbers
  }
  for {set i 0} {$i <= $maxlmIndex} {incr i 1} {

    # First get the world coord. of the landmark
    set xyz [lmCoord GetPoint $i]
    set xp [lindex $xyz 0] 
    set yp [lindex $xyz 1]
    set zp [lindex $xyz 2] 

    ren1 SetWorldPoint $xp $yp $zp 1.0
    ren1 WorldToDisplay
    set DPoint [ren1 GetDisplayPoint]
    set dx [lindex $DPoint 0]
    set dy [lindex $DPoint 1]

    set dx [expr $dx + $lmnumbertextOffset]
    set dy [expr $dy + $lmnumbertextOffset]

    vtkTextMapper lmtextMapper$i
      set tprop [lmtextMapper$i GetTextProperty]
      $tprop SetFontFamilyToArial
      $tprop SetFontSize $lmnumbertextSize
      $tprop BoldOn
      $tprop ShadowOn
      ##$tprop SetColor 1 1 0
      $tprop SetColor 0 0 0
   vtkActor2D lmtextActor$i
      #textMapper SetInput "($xp, $yp, $zp)"
      set num " "
      if {$setarr($i)} {
      set num $i
      if {$ShowLandmarkNumbersStartFromOne} {
         set num [expr $i+1]
      }
      }
      lmtextMapper$i SetInput $num
      lmtextActor$i SetPosition $dx $dy
      lmtextActor$i VisibilityOn
      lmtextActor$i PickableOff
      lmtextActor$i SetMapper lmtextMapper$i
   ren1 AddActor2D lmtextActor$i
   }
  set lmNumbersShown 1
  renWin Render
}


proc RemoveLandmarkNumbers {} {
  # Remove landmark numbers from the screen.
  global maxNlandmarks maxlmIndex lmDiameter lmNumbersShown
  if {$lmNumbersShown == 1} {
  
     for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
        lmtextActor$i VisibilityOff
        lmtextMapper$i Delete
        lmtextActor$i Delete
     }
     set lmNumbersShown 0
     renWin Render
  }
}


proc CreateLandmarkPropertiesMenu {} {
  global lmDiameter lmNumbersShown lmnumbertextSize lmnumbertextOffset
  global OutlineModeCheck
  global ShowLandmarkNumbersStartFromOne
    proc CloseLandmarkPropertiesMenu {} {
      wm withdraw .ls
      destroy .ls
    }
  
  toplevel .ls
  wm title .ls "Landmark Properties Menu"
  set font {Helvetica 14}

  button .ls.close -font $font -text  " Close "  -width 15 -foreground red -command CloseLandmarkPropertiesMenu
  pack .ls.close -side bottom -pady 2m

  label .ls.l -font $font -wraplength 5i -justify left -text "Set landmark properties, then press 'Apply'."
  pack .ls.l -side top -pady 8
  label .ls.il -font $font -wraplength 5i -justify center -foreground #ff0  -background black -text "Landmark Radius" 
  pack .ls.il -pady 4
  scale .ls.i -from 0.01 -to 10 -resolution 0.01 -length 400 -background #ff0 -orient horizontal -variable lmDiameter 
  pack .ls.i -pady 4
  button .ls.apply -font $font -text  " Apply "  -width 15 -foreground blue -command SetAllLmDiameter
  pack .ls.apply -pady 10
  
  label .ls.l2 -font $font -justify center -text "Landmark Number Annotation"
  pack .ls.l2 -pady 4
  label .ls.sil -font $font -wraplength 5i -justify center -foreground #ff0  -background black -text "Font Size" 
  pack .ls.sil -pady 4
  scale .ls.s -from 1 -to 30 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable lmnumbertextSize 
  set lmnumbertextSize 10
  pack .ls.s

  label .ls.sil2 -font $font -wraplength 5i -justify center -foreground #ff0  -background black -text "Text Offset (pixels)" 
  pack .ls.sil2 -pady 4
  scale .ls.s2 -from 1 -to 30 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable lmnumbertextOffset
  set lmnumbertextOffset 5
  pack .ls.s2

  frame .ls.b
  button .ls.b.1 -font $font -text "Show" -width 10 -justify center -command ShowLandmarkNumbers
  button .ls.b.2 -font $font -text "Remove" -width 10 -justify center -command RemoveLandmarkNumbers
  pack .ls.b.1 .ls.b.2 -side left -expand 1 -fill x
  pack .ls.b -fill y

  frame .ls.mode
  label .ls.mode.txt -font $font -justify center -foreground #ff0  -background black -text "Toggle Outline Mode" 
  checkbutton .ls.mode.mod -font $font -background #ff0  -text " Outline Mode" -variable OutlineModeCheck -command ToggleOutlineMode 
  pack .ls.mode.txt .ls.mode.mod -pady 4 
  pack .ls.mode -fill y -pady 30

  set lmNumbersShown 0

}



proc CreateUserInterface {} {
# Create user interface

global maxNlandmarks lmIndexPrevious 
global SphereLandmarkResolution
#global rigid_trafo_list landmarker_home
#global setarr setarr_source currentdir
#global TargetLandmarks
#global filename app_type
#global eyebrows_right_left 
#global COLOR_RANGE_ASY_HO_XYZ_MIN COLOR_RANGE_ASY_HO_XYZ_MAX TEMPLATE_NTRIANGLES
#global roi_mask color_roi_mask_only


frame .f
menu .menubar
. config -menu .menubar
foreach m {File Edit Compute Options View Surface Measure Camera Settings Programs Help} {
  set $m [menu .menubar.m$m]
  .menubar add cascade -label $m -menu .menubar.m$m -underline 0
}
$File add cascade -label "Load  (New)" -menu $File.sub1 -underline 0
$File add cascade -label "Load  (Additional)" -menu $File.sub2 -underline 7
$File add cascade -label "Load  (Append)" -menu $File.sub2b
$File add cascade -label "Load  (Target)" -menu $File.sub2c
$File add cascade -label "Import " -menu $File.sub2d
$File add cascade -label Save -menu $File.sub3 -underline 0
$File add separator
$File add command -label Exit -command ExitLandmarker -foreground red -underline 1
$Edit add command -label "Combine Landmarks" -command CreateCombineLandmarksMenu -underline 0
$Edit add command -label "Delete All Landmarks" -command DeleteAllSphereLandmarks -underline 0
$Edit add command -label "Delete All Line Curves" -command DeleteAllCurves -underline 0
$Edit add command -label "Insert Pattern of Landmarks" -command CreateInsertLandmarksMenu -underline 0
##$Edit add command -label "Project Landmarks to Surface" -command ProjectLandmarksToSurface -underline 0
$Edit add command -label "Insert Clipping Plane" -command ClipInteractivePlane 
$Edit add command -label "Insert Clipping Box" -command ClipInteractiveBox 
##$Edit add command -label "Clip Surface" -command CreateClippingMenu -underline 3
$Edit add command -label "Clip Inside Landmark Loop" -command LoopClippingMenu -underline 22
##$Edit add command -label "Clip Inside Sphere Landmark" -command SphereClipping -underline 22
$Edit add command -label "Cut Inside Sphere Landmark" -command CreateSphereCuttingMenu -underline 22
##$Edit add command -label "Clip Inside Chain of Spheres" -command SphereChainClipping -underline 22
##$Edit add command -label "Cut Inside Chain of Spheres" -command SphereChainCutting -underline 22
##$Edit add command -label "Cut Inside Chain of Planes" -command PlaneChainCutting -underline 22
$Edit add command -label "Extract Connected Region" -command ExtractConnectedRegion -underline 0
$Edit add command -label "Extract Largest Region" -command ExtractLargestConnectedRegion 
$Edit add command -label "Combine Two First Surfaces" -command CombineTwoFirstSurfaces
$Edit add command -label "Triangulate Landmark Loop" -command TriangulateLandmarkLoop 
$Edit add command -label "Surface from Unstructured Points" -command SurfaceFromUnstructuredPoints 
$Edit add command -label "Triangulate Curve" -command TriangulateCurve -underline 5
##$Edit add command -label "Make Key Animation" -command MakeTwoKeyFrameAnimation 
$Edit add command -label "Insert Line Widget" -command InsertLineWidget
$Edit add command -label "Insert Point Widget" -command InsertPointWidget 
$Edit add command -label "Insert Sphere Widget" -command InsertSphereWidget 
$Edit add command -label "Smooth Surface" -command SmoothSurface 
$Edit add command -label "Decimate Surface" -command DecimateSurface 
$Edit add command -label "Subdivide Surface" -command SubdivideSurface 
$Edit add command -label "Edit Transformation Matrix" -command EditTransformationMatrix 
$Edit add command -label "Flip Data" -command FlipData 
$Edit add command -label "Landmark Transform" -command LandmarkSurfaceTransform 
$Edit add command -label "TPS Transform" -command TPSTransform
$Edit add command -label "ICP Transform" -command CreateICPTransformMenu
$Edit add command -label "Standard Orient MSP" -command StandardOrientMSP 
$Edit add command -label "Standard Orient" -command StandardOrient
$Edit add command -label "Standard Orient Face" -command StandardOrientFace
$Edit add command -label "Standard Orient Mouse" -command StandardOrientMouse
$Compute add command -label "Face Template Deformation" -command CreateFaceTemplateDeformationMenu
$Compute add command -label "Face Asymmetry" -command CreateFaceAsymmetryMenu
$Compute add command -label "Surface PCA" -command CreateSurfacePCAMenu
$Compute add command -label "Difference between two clr files" -command CreateDifferenceBetweenTwoClrFilesMenu 
$Compute add command -label "Mean and SD of clr file" -command CreateMeanAndSDClrMenu   
$Compute add command -label "Mean of clr files" -command CreateMeanOfClrFilesMenu
##$Compute add command -label "Compute Orbital Index" -command CreateOrbitalIndexMenu 
##$Compute add command -label "Compute Eye Protrusion and Squint" -command CreateProtrusionSquintMenu
##$Compute add command -label "Linear Distractor" -command CreateLinearDistractorMenu  
$Options add check -label " Show Spline" -variable SplineCheck -command ShowSpline
$Options add check -label " Perspective Rendering" -variable PerspectiveCheck -command TogglePerspective -underline 1
#$Options add check -label " Interpolate Normals" -variable NormalsCheck -command ToggleNormals -state disabled
#$Options add check -label " Interpolate Colors" -variable ColorsCheck -command ToggleColors -state disabled
$Options add check -label " Interpolate Normals" -variable NormalsCheck -command ToggleNormals
$Options add check -label " Interpolate Colors" -variable ColorsCheck -command ToggleColors
#$Options add check -label " Outline Mode" -variable OutlineModeCheck -command ToggleOutlineMode
$Options add check -label " Extra Lights" -variable ExtraLightsCheck -command ToggleExtraLights
$Options add check -label " Show Boundary Edges" -variable BoundaryEdgesCheck -command ToggleBoundaryEdges
$Options add check -label " Read clr as abs.val." -variable ClrAbsValCheck -command ToggleClrAbsVal
$Options add check -label " Read clr, show negated." -variable ClrNegateValCheck -command ToggleClrNegateVal
$View add radio -label Front -command {UpdateView Front} -variable view -value Front
$View add radio -label Back -command {UpdateView Back} -variable view -value Back
$View add radio -label Right -command {UpdateView Right} -variable view -value Right
$View add radio -label Left -command {UpdateView Left} -variable view -value Left
$View add radio -label Top -command {UpdateView Top} -variable view -value Top
$View add radio -label Bottom -command {UpdateView Bottom} -variable view -value Bottom
$Surface add command -label "Number of Cells/Points" -command DisplaySurfaceInfo -state disabled
$Surface add command -label " Animate Surfaces" -command CreateAnimateMenu
$Surface add command -label "(Closed Surface Only): Volume, Surface Area, Shape Index" -command DisplayMassProperties
$Surface add command -label "Surface Area (Closed or Unclosed Surface) (VTK format only)" -command DisplaySurfaceArea

$Surface add command -label "Plot Surface Color Distribution (% of cells)" -command PlotColors  
$Surface add command -label "Plot Surface Color Distribution (% of area)" -command PlotColorsPerArea  

$Measure add command -label "Distance Between two Landmarks" -command CreateMeasureDistancesMenu
$Measure add command -label "Distance Between Landmark and Spline Curve " -command CreateMeasureDistanceLandmarkSplineCurveMenu
$Camera add command -label "Roll Camera" -command RollCamera
$Camera add command -label "Zoom In" -command ZoomInCamera
$Camera add command -label "Zoom Out" -command ZoomOutCamera
$Camera add command -label "Move in Azimuth" -command CameraMoveAzimuth
$Camera add command -label "Move 360 Degrees in Azimuth" -command CameraMoveAzimuth360
$Camera add command -label "Move 1 Degree in Azimuth" -command CameraMoveAzimuth1deg
$Camera add command -label "Move 1 Degree in Elevation" -command CameraMoveElevation1deg
$Camera add command -label "Move -1 Degree in Azimuth" -command CameraMoveAzimuthMinus1deg
$Camera add command -label "Move -1 Degree in Elevation" -command CameraMoveElevationMinus1deg
$Camera add command -label "Move 10 Degrees in Azimuth" -command CameraMoveAzimuth10deg
$Camera add command -label "Move -10 Degrees in Azimuth" -command CameraMoveAzimuthMinus10deg
##$Camera add command -label "Wobble in Azimuth" -command WobbleAzimuth
$Settings add command -label "Landmark Options" -command CreateLandmarkPropertiesMenu
$Settings add command -label "Background Color" -command BackgroundColor
$Settings add command -label "Surface Color" -command SurfaceProperties
$Settings add command -label "Window Size" -command SetWindowSize
$Help add command -command DisplayHelpVersion -label Version -underline 0
$Help add command -command DisplayHelpLandmarker -label "Help for Landmarker"
##$Help add command -command DisplayNews -label "News"
$Help add command -command DisplayHelpDisclaimer -label "Disclaimer"

$Programs add command -label "Closest Point Deformation (.vtk surface)" -command CreateClosestPointDeformationMenu
$Programs add command -label "Closest Point Difference (.vtk surface)" -command CreateClosestPointDifferenceMenu
$Programs add command -label "Closest Point Deformation (curve or point(s))" -command CreateClosestPointDeformationMenuCurve
$Programs add command -label "Intersect Surface with Line(s)" -command CreateIntersectSurfaceMenu
$Programs add command -label "Interpolate Between 2 Surfaces" -command CreateInterpolateBetween2SurfacesMenu
$Programs add command -label "Difference Between 2 Surfaces" -command CreateSurfaceDifferenceMenu
$Programs add command -label "Mean of Surface Files" -command CreateMeanOfSurfaceFilesMenu
$Programs add command -label "Rigid Image Registration" -command CreateRigidImageRegistrationMenu
$Programs add command -label "Run a tcl script" -command CreateRunTclScriptMenu

set SplineCheck 0
set NormalsCheck 1
set ColorsCheck 1
set OutlineModeCheck 0
set BoundaryEdgesCheck 0
set ExtraLightsCheck 0

set m2 [menu $File.sub1 -tearoff 0]
$m2 add command -label "Surface File" -command OpenFileNoAdditional -underline 0
$m2 add command -label "Landmark File" -command OpenLandmarkFile -underline 0
$m2 add command -label "List of Landmark Files" -command OpenManyLandmarkFiles -underline 0
$m2 add command -label "Line Curve File" -command OpenLineCrvFile -underline 1
$m2 add command -label "Landmark Names from File" -command GetLandmarkNamesFromFile -underline 9
$m2 add command -label "Landmark Color (.lclr) File" -command LoadLandmarkColors
$m2 add command -label "Surfaces From .ani List File (e.g. for animation)" -command OpenAnimationFile -underline 19
$m2 add command -label "Image File" -command OpenImageFile
$m2 add command -label "Surface Object Map" -command LoadColorFileAsSurfaceObjectMap
$m2 add command -label "Surface Color Mask" -command LoadColorFileAsSurfaceColorMask 
$m2 add command -label "Surface Vectors" -command LoadSurfaceVectorFiles 
$m2 add command -label "Color (.clr) File" -command LoadScalarColors

set m2 [menu $File.sub2 -tearoff 0]
$m2 add command -label "Surface File" -command OpenFileAdditional -underline 0
$m2 add command -label "Line Curve File" -command OpenLineCrvFileAdditional -underline 0

set m2b [menu $File.sub2b -tearoff 0]
$m2b add command -label "Landmark File" -command AppendLandmarkFile

set m2c [menu $File.sub2c -tearoff 0]
$m2c add command -label "Landmark File" -command OpenTargetLandmarkFile
$m2c add command -label "Surface File" -command OpenTargetSurfaceFile

set m2d [menu $File.sub2d -tearoff 0]
$m2d add command -label "Eye File" -command LoadEyeFile

set m3 [menu $File.sub3 -tearoff 0]
$m3 add command -label "Surface" -command SaveFile -underline 0
$m3 add command -label "Target Surface" -command SaveTargetSurface -underline 0
$m3 add command -label "Triangulation or Connected Region" -command SaveConnectedRegion -underline 0
$m3 add command -label "Landmark File" -command SaveLandmarkFile
$m3 add command -label "Line Curve File" -command SaveLineCrvFile 
$m3 add command -label "Spline File" -command SaveSplineFile 
$m3 add command -label "Sphere Widget Surface" -command SaveSphereWidgetSurface 
##$m3 add cascade -label "Image File" -menu $File.sub3.sub WriteVolumeFile
$m3 add command -label "Image File" -command WriteVolumeFile
$m3 add command -label "Snapshot (from plot window)" -command SaveSnapshotFromPlotWindow
$m3 add command -label "Snapshot (from surface window)" -command SaveSnapshot 
$m3 add command -label "Snapshots (from surface window)" -command CreateSnapshotMenu



#button .f.load -text "  ***   Load Surface File   ***  " -background #0f0 -command OpenFile
label .f.l -text "Landmark #"
set maxNlandmarks_minus_one [expr $maxNlandmarks - 1]
scale .f.i -from 0 -to $maxNlandmarks_minus_one -background #ff0 \
	-orient horizontal -command SetIndex -variable lmIndex 
set setbuttonvalue 0
checkbutton .f.set -text Set -variable setbuttonvalue -command SetSetLandmark
label .f.lname -text Name -anchor w
entry .f.name -textvariable lmName -relief sunken
bind .f.name <Return> GetNameEntry
label .f.pos -textvariable CurrentPos
set pickId -1
set pickVal 0.0
#set CurrentId [format "Id: %10d" $pickId]
#set CurrentVal [format "Value: %18.6f" $pickVal]
set CurrentId " "
set CurrentVal " "
label .f.if -textvariable CurrentId 
label .f.val -textvariable CurrentVal
#button .f.exit  -text  "Exit" -background #f00 -command exit

##CreateNewSphereLandmark 0
set lmIndexPrevious 0
.f.i set $lmIndexPrevious

#lmCoord InsertPoint $lmIndexPrevious 0 0 0
#lmsphereActor$lmIndexPrevious VisibilityOff
#lmsphereActor$lmIndex VisibilityOff

pack .f.l .f.i .f.set .f.lname .f.name .f.pos .f.if .f.val -side top 
pack .f
tk_focusFollowsMouse

}
CreateNewSphereLandmark 0

if {$UserInterface == 1} {
  CreateUserInterface
} else {
  wm withdraw .
}
##CreateNewSphereLandmark 0
# here

proc ExitLandmarkerOld {} {
  # Executes when File->Exit is used.
  global app_type
  global landmarker_preferences_dir landmarker_home currentdir dirfile
  
  if {$app_type == "exe"} {
    set fileIdout [open $dirfile w]
    set exist_dirfile [file exists $dirfile]
  } else {
    set fileIdout [open $landmarker_home$dirfile w]
    set exist_dirfile [file exists $landmarker_home$dirfile]
    puts stdout  "$landmarker_home$dirfile"
    puts stdout "$landmarker_home  $exist_dirfile"
  } 
  if {! $exist_dirfile} {
    # dirfile does not exist - create it.
    set currentdir $landmarker_home
    puts $fileIdout $currentdir
  } else {
    # Write current directory to the dirfile.
    puts $fileIdout $currentdir
  }  
  close $fileIdout 
  exit
}

proc ExitLandmarker {} {
  # Executes when File->Exit is used.
  global landmarker_preferences_dir landmarker_home currentdir dirfile
  global ExitWarning

  if {$ExitWarning} {
    ##notify_respond "ImageFlipY is set to $ImageFlipY . OK?"
    set answer [notify_respond_yesno "Do you really want to exit landmarker?"]
    if {$answer == "no"} {
         return
    } 
  }
              
  set currentdir_file [lindex [glob ~/landmarker_preferences/current_directory.txt] 0]
  puts stdout "Writing to your current directory file: $currentdir_file" 

  set fileIdout [open $currentdir_file w]
  set exist_dirfile [file exists $currentdir_file]
    if {! $exist_dirfile} {
    # dirfile does not exist - create it.
    puts stdout "dirfile does not exist - create it."
    set currentdir $landmarker_home
    puts $fileIdout $currentdir
  } else {
    # Write current directory to the dirfile.
    puts $fileIdout $currentdir
  }  
  close $fileIdout 
  exit
}

proc UpdateCurrentDir {} {
  # Writes the directory in the variable currentdir to the current_directory.txt file in the user's landmarker_preferences directory.
  global landmarker_preferences_dir landmarker_home currentdir dirfile
  set currentdir_file [lindex [glob ~/landmarker_preferences/current_directory.txt] 0]
  set fileIdout [open $currentdir_file w]
  set exist_dirfile [file exists $currentdir_file]
    if {! $exist_dirfile} {
    # dirfile does not exist - create it.
    set currentdir $landmarker_home
    puts $fileIdout $currentdir
  } else {
    # Write current directory to the dirfile.
    puts $fileIdout $currentdir
  }  
  close $fileIdout 
}



proc SetIndex {value} {
    # Executes when landmark # slider is touched
    global lmIndexPrevious lmIndex lmCoord setbuttonvalue setarr createdarr 
    global lmNameArr lmName
    global colors existcolorfile
    global redcolarr greencolarr bluecolarr opacitycolarr
    global SphereLandmarkResolution
    ##puts stdout setindex_called
    if {$createdarr($lmIndex) == 0} {
      CreateNewSphereLandmark $lmIndex
      puts stdout CreateNewSphereLandmark
    }
      ##puts stdout NewSphereLandmark
      ##puts stdout $lmIndex
      ##puts stdout $createdarr($lmIndex)
      set xyz [lmCoord GetPoint $lmIndexPrevious]
      set x [lindex $xyz 0] 
      set y [lindex $xyz 1]
      set z [lindex $xyz 2]  
      lmsphere$lmIndexPrevious SetCenter $x $y $z
      ##puts stdout "red $redcolarr($lmIndexPrevious) $lmIndexPrevious"
      [lmsphereActor$lmIndexPrevious GetProperty] SetColor $redcolarr($lmIndexPrevious) $greencolarr($lmIndexPrevious) $bluecolarr($lmIndexPrevious) 
      ##[lmsphereActor$lmIndexPrevious GetProperty] SetColor 1 0 0
    [lmsphereActor$lmIndex GetProperty] SetColor 0 1 0
    renWin Render
    set lmIndexPrevious $lmIndex
    set setbuttonvalue $setarr($lmIndex)
    SetSetPos
    set lmName $lmNameArr($lmIndex)
}


proc SetIndexNoRender {value} {
    # Executes when landmark # slider is touched
    global lmIndexPrevious lmIndex lmCoord setbuttonvalue setarr createdarr 
    global lmNameArr lmName
    global colors existcolorfile
    global redcolarr greencolarr bluecolarr
    global SphereLandmarkResolution
    ##puts stdout setindex_called
    if {$createdarr($lmIndex) == 0} {
      CreateNewSphereLandmark $lmIndex
      puts stdout CreateNewSphereLandmark
    }
      ##puts stdout after_CreateNewSphereLandmark
      ##puts stdout $lmIndex
      ##puts stdout $createdarr($lmIndex)
      set xyz [lmCoord GetPoint $lmIndexPrevious]
      set x [lindex $xyz 0] 
      set y [lindex $xyz 1]
      set z [lindex $xyz 2]  
      lmsphere$lmIndexPrevious SetCenter $x $y $z
      ##puts stdout "red $redcolarr($lmIndexPrevious) $lmIndexPrevious"
      [lmsphereActor$lmIndexPrevious GetProperty] SetColor $redcolarr($lmIndexPrevious) $greencolarr($lmIndexPrevious) $bluecolarr($lmIndexPrevious) 
      ##[lmsphereActor$lmIndexPrevious GetProperty] SetColor 1 0 0
    [lmsphereActor$lmIndex GetProperty] SetColor 0 1 0
    ##renWin Render
    set lmIndexPrevious $lmIndex
    set setbuttonvalue $setarr($lmIndex)
    SetSetPos
    set lmName $lmNameArr($lmIndex)
}




proc SetSetLandmarkNoRender {} {
  # Version of SetSetLandmark that does not call renWin Render
  global lmIndex lmCoord num setbuttonvalue setarr lmIndexPrevious
  global lmsphereActor$lmIndex lmsphereActor$lmIndexPrevious SplineCheck
  global redcolarr greencolarr bluecolarr
  #set fileId [open D:/tron/vtk/test.txt w]
  if {$setbuttonvalue == 0} {
    lmsphereActor$lmIndex VisibilityOff
    set setarr($lmIndex) 0
    #puts $fileId $setarr($lmIndex)
  } else {
    lmsphereActor$lmIndex VisibilityOn
    set setarr($lmIndex) 1
    #puts $fileId $setarr($lmIndex)
  }
  if {$SplineCheck == 1} {
    UpdateSpline
  }
  ##renWin Render
  #close $fileId
}


proc SetSetLandmark {} {
  global lmIndex lmCoord num setbuttonvalue setarr lmIndexPrevious
  global lmsphereActor$lmIndex lmsphereActor$lmIndexPrevious SplineCheck
  global redcolarr greencolarr bluecolarr
  #set fileId [open D:/tron/vtk/test.txt w]
  if {$setbuttonvalue == 0} {
    lmsphereActor$lmIndex VisibilityOff
    set setarr($lmIndex) 0
    #puts $fileId $setarr($lmIndex)
  } else {
    lmsphereActor$lmIndex VisibilityOn
    set setarr($lmIndex) 1
    #puts $fileId $setarr($lmIndex)
  }
  if {$SplineCheck == 1} {
    UpdateSpline
  }
  renWin Render
  #close $fileId
}

proc ShowSpline {} {
  # To be executed when "Show Spline" is toggled on or off.
  global SplineCheck
  if {$SplineCheck == 0} {
     ClearSpline
  } else {
     UpdateSpline
  }
  renWin Render
}

proc ClearSpline {} {
  # Make all spline segments invisible.
  global numberOfSplinePoints 
       for {set i 1} {$i < $numberOfSplinePoints} {incr i 1} {
         lineSegmentActor$i VisibilityOff
         profile$i VisibilityOff
       }
}

proc ToggleClrAbsVal {} {
  # To be executed when "Read clr as abs.val." is toggled on or off.
  global ClrAbsValCheck abscolors
  if {$ClrAbsValCheck == 0} {
     set abscolors 0
  } else {
     set abscolors 1
  }
}

proc ToggleClrNegateVal {} {
  # To be executed when "Read clr, show negated." is toggled on or off.
  global ClrNegateValCheck negatecolors
  if {$ClrNegateValCheck == 0} {
     set negatecolors 0
  } else {
     set negatecolors 1
  }
}


proc TogglePerspective {} {
  # To be executed when "Perspective Rendering" is toggled on or off.
  global PerspectiveCheck
  if {$PerspectiveCheck == 0} {
     [ren1 GetActiveCamera] ParallelProjectionOn
  } else {
     [ren1 GetActiveCamera] ParallelProjectionOff
  }
  renWin Render
}

proc ToggleExtraLights {} {
  # To be executed when "Extra Lights" is toggled on or off.
  global ExtraLightsCheck
  if {$ExtraLightsCheck == 0} {
     leftlight SwitchOff
     rightlight SwitchOff
     toplight SwitchOff
     bottomlight SwitchOff
     frontlight SwitchOff
     backlight SwitchOff
  } else {
     leftlight SwitchOn
     rightlight SwitchOn
     toplight SwitchOn
     bottomlight SwitchOn
     frontlight SwitchOn
     backlight SwitchOn
  }
  renWin Render
}

proc ToggleColors {} {
  # To be executed when "Interpolate Colors" is toggled on or off.
  global ColorsCheck renWin
  global oactor oactorNum 
  global rmapper rmapperNum
      
  if {$ColorsCheck == 1} {
     rmapper$oactorNum SetScalarModeToUsePointData
     
  } else {
     rmapper$oactorNum SetScalarModeToUseCellData
  }
  renWin Render
}

proc ToggleBoundaryEdges {} {
  # To be executed when "Toggle Boundary Edges" is toggled on or off.
  global BoundaryEdgesCheck lmDiameter
  global tmpdir
  
  if {$BoundaryEdgesCheck == 1} {
     
    vtkFeatureEdges FeatureEdges
       FeatureEdges SetInput PolyData
       FeatureEdges BoundaryEdgesOn
       FeatureEdges NonManifoldEdgesOff
       FeatureEdges ManifoldEdgesOff
       FeatureEdges FeatureEdgesOff
   vtkPolyDataMapper FEdgesMapper
       FEdgesMapper SetInput [FeatureEdges GetOutput]
       FEdgesMapper SetScalarModeToUseCellData
   vtkActor FEdgesActor
       FEdgesActor SetMapper FEdgesMapper
   ren1 AddActor FEdgesActor
	    
   # Can I fit a spline through the boundary points?
   vtkStripper feStripper
  feStripper SetInput [FeatureEdges GetOutput]

  vtkSplineFilter feSpline
    feSpline SetInput [feStripper GetOutput]
    feSpline SetSubdivideToLength
    # SetLength explicitly specifies length of each spline segment.
    # However, it turns out to be only approximate.
    ##feSpline SetLength 1.0
    feSpline SetLength 0.1

  ##vtkTubeFilter feTubes
  ##  feTubes SetInput [feStripper GetOutput]
  ##  feTubes SetRadius $lmDiameter

  vtkPolyDataMapper feMapper
    ##feMapper SetInput [feTubes GetOutput]
    feMapper SetInput [feSpline GetOutput]

  vtkActor feActor
    feActor SetMapper feMapper
    eval [feActor GetProperty] SetColor 1 1 1
    ren1 AddActor feActor

  vtkProgrammableFilter ProgFilt
    ##ProgFilt SetInput [feTubes GetOutput]
    ProgFilt SetInput [feSpline GetOutput]
    ProgFilt SetExecuteMethod GetEdgeData

  proc GetEdgeData {} {
    global tmpdir
    ##set input [feTubes GetInput]
    set input [feSpline GetOutput]
    set NumPts [$input GetNumberOfPoints]
  
    set fileIdout [open ${tmpdir}edgespline.sln w]
    ##puts $fileIdout $NumPts   
    set space " "
    for {set i 0} {$i < $NumPts} {incr i} {      
     set val [$input GetPoint $i]
     set x [lindex $val 0]
     set y [lindex $val 1]
     set z [lindex $val 2]
     puts $fileIdout $x$space$y$space$z
    }
    close $fileIdout  
  }
  ProgFilt Update

  } else {
     FeatureEdges BoundaryEdgesOff
       FeatureEdges Delete
       FEdgesMapper Delete
       FEdgesActor Delete
  }
  renWin Render
}


proc ToggleOutlineMode {} {
  # To be executed when "Outline Mode" is toggled on or off.
  global OutlineModeCheck renWin
  global lmIndex setbuttonvalue maxlmIndex createdarr
  global SphereLandmarkResolution
      
  if {$OutlineModeCheck == 1} {
     #vtk42#picker SetEndPickMethod annotatePickOutlineMode
     picker AddObserver EndPickEvent annotatePickOutlineMode
     set maxlmIndex_m1 [expr $maxlmIndex - 1]
     set lmIndex $maxlmIndex
     #incr lmIndex 1
     set lmIndex_p1 [expr $maxlmIndex_m1 + 1]
     if {$createdarr($lmIndex_p1) == 0} {
       puts stdout CreateNewSphereLandmark
       puts stdout $lmIndex_p1
       CreateNewSphereLandmark $lmIndex_p1
     }
     set setbuttonvalue 0
     puts stdout annotatePickOutlineMode
  } else {
     #vtk42#picker SetEndPickMethod annotatePickClosest
     picker AddObserver EndPickEvent annotatePickClosest
     DeleteSphereLandmark $lmIndex
     incr lmIndex -1
     set setbuttonvalue 1
     puts stdout annotatePickClosest
  }
  
}


proc ToggleNormals {} {
  # To be executed when "Interpolate Normals" is toggled on or off.
  global NormalsCheck renWin
  global edgeSplitting featureAngle
  global oactor oactorNum normals
      
# Loop through all actors (we may have several, e.g. for animation).

  for {set i 0} {$i <= $oactorNum} {incr i 1} {
  

  ##normals SetInput [oactorPoly$i GetOutput]
  ##rmapper$i SetInput [normals GetOutput]
  normals SetInput PolyData
  rmapper$oactorNum SetInput [normals GetOutput]

  
  #ApplyNormals
  }

  if {$NormalsCheck == 1} {
     normals SetFeatureAngle $featureAngle
     normals SetSplitting 1
     #normals SplittingOff
     
  } else {
     normals SetFeatureAngle 0
     normals SetSplitting 1
     #eval [oactor GetProperty] SetInterpolationToFlat
     ##eval [testSphereActor GetProperty] SetInterpolationToFlat
  }
  renWin Render
}

proc PlotColors {} {
   # Plot "histogram" of surface color values.
   global existcolorfile
   global lowersr uppersr
   global colorfileread
   global plotcolorscalled

   if {! $colorfileread} {
     notify_error "No colorfile loaded!"
     return -1
   }

   if {! $plotcolorscalled} {

   vtkRenderer ren_xyplot
     ren_xyplot SetBackground 1 1 1
   vtkRenderWindow renWin_xyplot
     renWin_xyplot AddRenderer ren_xyplot
   vtkRenderWindowInteractor iren_xyplot
     iren_xyplot SetRenderWindow renWin_xyplot
   renWin_xyplot SetSize 600 400
   iren_xyplot Initialize
   iren_xyplot AddObserver UserEvent {wm deiconify .vtkInteract}
 
  } else {
    ren_xyplot RemoveActor xyplot
    xyplot Delete
  }
   puts stdout "lowersr uppersr $lowersr $uppersr" 
   set nbins 10.0
   set binwidth [expr ($uppersr - $lowersr) / $nbins ]
   for {set i 0} {$i < $nbins} {incr i 1} {
     set bincnt($i) 0
     set binval($i) 0.0
     set binmin($i) [expr $lowersr + $i * $binwidth]
     set binmax($i) [expr $binmin($i) + $binwidth]
     set bincenter($i) [expr ( $binmin($i) + $binmax($i) ) / 2.0 ]
   }
   set sumval 0.0
   set NumberOfElements [PolyData GetNumberOfCells]
   for {set i 0} {$i < $NumberOfElements} {incr i 1} {
     set val [colors GetComponent $i 0]
     set sumval [expr $sumval + $val]
     for {set j 0} {$j < $nbins} {incr j 1} {
        if {$j == [expr $nbins - 1]} {
           if { ($val >= $binmin($j)) && ($val <= $binmax($j)) } {
              incr bincnt($j) 1
              # Compute area of this triangle and add to binval(j)
              #... 
           }
        } else {      
           if { ($val >= $binmin($j)) && ($val < $binmax($j)) } {
              incr bincnt($j) 1
              # Compute area of this triangle and add to binval(j)
              #... 
           }
        }
     }
   }
   set meanval [expr $sumval / $NumberOfElements]
   # Compute the standard deviation of colors...
   set sumdeviation 0.0
   for {set i 0} {$i < $NumberOfElements} {incr i 1} {
     set val [colors GetComponent $i 0]
     set deviation [expr ($val - $meanval) * ($val - $meanval) ]
     set sumdeviation [expr $sumdeviation + $deviation]
   }
   set sd [expr sqrt($sumdeviation / $NumberOfElements ) ]
   puts stdout "Mean and SD: $meanval $sd"

   set meanstring [format "%9.3f" $meanval]
   set sdstring [format "%9.3f" $sd]

   set maxn 0
   for {set i 0} {$i < $nbins} {incr i 1} {
     puts stdout "$i $bincnt($i)"
     puts stdout "$i $binmin($i)"
     puts stdout "$i $binmax($i)"
     puts stdout "$i $bincenter($i)"
     set bincnt($i) [expr ( $bincnt($i) * 100.0 ) / $NumberOfElements ] 
     if {$bincnt($i) > $maxn} {
        set maxn $bincnt($i)
     }
   }
   vtkFloatArray xvalues
   for {set i 0} {$i < $nbins} {incr i 1} {
      set xval $bincenter($i)
      puts stdout "xvalue $i $xval"
      xvalues InsertTuple1 $i $xval   }
   vtkFloatArray yvalues
   for {set i 0} {$i < $nbins} {incr i 1} {
      set yval $bincnt($i)
      puts stdout "yvalue $i $yval"
      yvalues InsertTuple1 $i $yval
   }
   vtkFieldData fd
     fd AllocateArrays 2
     fd AddArray xvalues
     fd AddArray yvalues
   vtkDataObject do
     do SetFieldData fd
   vtkXYPlotActor xyplot
     xyplot AddDataObjectInput do
     [xyplot GetPositionCoordinate] SetValue 0.04 0.04 0
     [xyplot GetPosition2Coordinate] SetValue 0.95 0.95 0
     xyplot SetDataObjectXComponent 0 0
     xyplot SetDataObjectYComponent 0 1 

    xyplot SetTitle "Surface Color Value Distribution"
    xyplot SetXTitle "Color Value (Mean: $meanstring , SD: $sdstring )"
    xyplot SetYTitle "% of Cells"
    xyplot SetXRange $bincenter(0) $bincenter(9)
    xyplot SetYRange 0 $maxn
    [xyplot GetProperty] SetColor 0 0 0
    xyplot PlotLinesOn
    [xyplot GetProperty] SetLineWidth 2
    xyplot SetXValuesToValue 
    xyplot PlotPointsOn
    [xyplot GetProperty] SetPointSize 4

ren_xyplot AddActor xyplot
renWin_xyplot Render

xvalues Delete
yvalues Delete
fd Delete 
do Delete
#xyplot VisibilityOff

set plotcolorscalled 1

} 

proc PlotColorsPerAreaMenuCall {} {
   global existcolorfile
   global lowersr uppersr
   global colorfileread
   global plotcolorscalled
   global tmpdir
   global lastsurfacefilename
   global SurfaceObjectMapHasBeenRead SurfaceObjectMapMaxValue SurfaceObjectMap

   # Create objectlist for creation of all objects.
   set objectlist ""
   for {set o 0} {$o <= $SurfaceObjectMapMaxValue} {incr o 1} {
      set objectlist [concat $objectlist $o]
   }
   PlotColorsPerArea $objectlist "none" dum1 dum2
}


proc PlotColorsPerArea {objectlist outfilename dum1 dum2} {
   # Plot "histogram" of surface color values.
   global existcolorfile
   global lowersr uppersr
   global colorfileread
   global plotcolorscalled
   global tmpdir
   global lastsurfacefilename
   global SurfaceObjectMapHasBeenRead SurfaceObjectMapMaxValue SurfaceObjectMap

   # objectlist is a list of objects to plot.
   # E.g.: set objectlist {2 0} plots object 2 and 0, in that order (2 becomes red, 0 green)

   if {! $colorfileread} {
     notify_error "No colorfile loaded!"
     return -1
   }

   if {! $plotcolorscalled} {

   vtkRenderer ren_xyplot
     ren_xyplot SetBackground 1 1 1
   vtkRenderWindow renWin_xyplot
     renWin_xyplot AddRenderer ren_xyplot
   vtkRenderWindowInteractor iren_xyplot
     iren_xyplot SetRenderWindow renWin_xyplot
   renWin_xyplot SetSize 700 500
   renWin_xyplot SetPosition 0 600
   iren_xyplot Initialize
   iren_xyplot AddObserver UserEvent {wm deiconify .vtkInteract}
 
  } else {
    ren_xyplot RemoveActor xyplot
    xyplot Delete
  }

  # Start by computing the areas of each triangle in PolyData.
   set outputfilename "${tmpdir}triangleareas.txt"
   ComputeTriangleAreas $lastsurfacefilename $outputfilename 
   set totalarea [ComputeSurfaceAreaFromTriangleAreaFile $outputfilename]
   # Read the triangle area file.
   set fileId [open $outputfilename r]
   set numCells [PolyData GetNumberOfCells]
   set c 0
   while {([gets $fileId value] >= 0) && ($c < $numCells) } {
      set areas($c) [lindex $value 0]
      incr c 1
   }
   close $fileId
   
   # Compute binsizes etc. They are the same for all objects.
   puts stdout "lowersr uppersr $lowersr $uppersr" 
   set nbins 20
   set binwidth [expr ($uppersr - $lowersr) / ($nbins * 1.0) ]
   for {set i 0} {$i < $nbins} {incr i 1} {
     set bincnt($i) 0
     set binmin($i) [expr $lowersr + $i * $binwidth]
     set binmax($i) [expr $binmin($i) + $binwidth]
     set bincenter($i) [expr ( $binmin($i) + $binmax($i) ) / 2.0 ]
   }

   set o 0
   set sumval($o) 0.0
   set sumarea($o) 0.0
   set sumcolarea($o) 0.0
   set totarea($o) 0.0
   for {set i 0} {$i < $nbins} {incr i 1} {
     set binval($o$i) 0.0
   }

   set NumberOfElements [PolyData GetNumberOfCells]

   puts stdout "SurfaceObjectMapMaxValue $SurfaceObjectMapMaxValue"
   puts stdout "SurfaceObjectMapHasBeenRead $SurfaceObjectMapHasBeenRead"
   if {$SurfaceObjectMapHasBeenRead} {  
     for {set o 1} {$o <= $SurfaceObjectMapMaxValue} {incr o 1} {
       puts stdout "hej"
       set sumval($o) 0.0
       set sumarea($o) 0.0
       set sumcolarea($o) 0.0
       set totarea($o) 0.0
       for {set i 0} {$i < $nbins} {incr i 1} {
         set binval($o$i) 0.0
       }
     }
   }


   # Go through NumberOfElements cells and add area of the cell to binval(o,j) if it belongs to bin j.
   # If SurfaceObjectMapHasBeenRead == 1 then split in n objects/distributions.

   for {set i 0} {$i < $NumberOfElements} {incr i 1} {
     if {$SurfaceObjectMapHasBeenRead} {  
         set oo $SurfaceObjectMap($i)
         set dum [string first "." $oo]
         if {$dum == -1} {
            set o $oo
            set o [format "%d" $o]
         } else { 
            set dumm1 [expr $dum - 1] 
            set o [string range $oo 0 $dumm1]
            set o [format "%d" $o]
         }
     } else {
         set o 0
     }   
     set val [colors GetComponent $i 0]
     set sumval($o) [expr $sumval($o) + $val]
     set sumarea($o) [expr $sumarea($o) + $areas($i)]
     set sumcolarea($o) [expr $sumcolarea($o) + ($areas($i) * $val)]
     set totarea($o) [expr $totarea($o) + $areas($i)] 
     for {set j 0} {$j < $nbins} {incr j 1} {
        if {$j == [expr $nbins - 1]} {
           if { ($val >= $binmin($j)) && ($val <= $binmax($j)) } {
              incr bincnt($j) 1
              # Add area of this triangle to binval(o,j)#
              set binval($o$j) [expr $binval($o$j) + $areas($i)]
           }
        } else {      
           if { ($val >= $binmin($j)) && ($val < $binmax($j)) } {
              incr bincnt($j) 1
              # Add area of this triangle to binval(o,j)
              set binval($o$j) [expr $binval($o$j) + $areas($i)]
           }
        }
     }
   }

   # Go through all objects.
   set n_toplot [llength $objectlist]
   set maxn 0
   for {set j 0} {$j < $n_toplot} {incr j 1} {

     set o [lindex $objectlist $j]

     
   
     puts stdout "sumarea($o) $sumarea($o)"
   
     set meanval($o) [expr $sumcolarea($o) / $totarea($o)]
     puts stdout "totalarea totarea($o) $totalarea $totarea($o)" 

     # Compute the standard deviation of colors...
     # Not easy to understand what sd means in this case???
     #set sumdeviation 0.0
     #for {set i 0} {$i < $NumberOfElements} {incr i 1} {
     #  set val [colors GetComponent $i 0]
     #  set colarea($i) [expr $val * $areas($i)]
     #  set deviation [expr ($colarea($i) - $meanval($o)) * ($colarea($i) - $meanval($o)) ]
     #  set sumdeviation [expr $sumdeviation + $deviation]
     #}
     #set sd($o) [expr sqrt($sumdeviation / $totarea($o) ) ]
     #puts stdout "Mean and SD: $meanval($o) $sd($o)"

     set meanstring($o) [format "%9.3f" $meanval($o)]
     #set sdstring [format "%9.3f" $sd($o)]
   
   
   for {set i 0} {$i < $nbins} {incr i 1} {
     set binval($o$i) [expr ( $binval($o$i) * 100.0 ) / $totarea($o) ] 
     if { $binval($o$i) > $maxn} {
        set maxn $binval($o$i)
        puts stdout "maxn $maxn"
     }
   }

   }

   set n_toplot [llength $objectlist]
   for {set j 0} {$j < $n_toplot} {incr j 1} {

   set o [lindex $objectlist $j]
   puts stdout "ooooooooooooooooooooooooooooooooooo $o"

   vtkFloatArray xvalues$o
   for {set i 0} {$i < $nbins} {incr i 1} {
      set xval $bincenter($i)
      puts stdout "xvalue $i $xval"
      xvalues$o InsertTuple1 $i $xval   
   }
   vtkFloatArray yvalues$o
   for {set i 0} {$i < $nbins} {incr i 1} {
      set yval $binval($o$i)
      puts stdout "yvalue $i $yval"
      yvalues$o InsertTuple1 $i $yval
   }
   vtkFieldData fd$o 
     fd$o AllocateArrays 2
     fd$o AddArray xvalues$o 
     fd$o AddArray yvalues$o 
   vtkDataObject do$o 
     do$o SetFieldData fd$o 
   #if {! $plotcolorscalled} {
   #   vtkXYPlotActor xyplot
   #}
   if {$j == 0} {
      vtkXYPlotActor xyplot
   }

     xyplot AddDataObjectInput do$o
     [xyplot GetPositionCoordinate] SetValue 0.04 0.04 0
     [xyplot GetPosition2Coordinate] SetValue 0.95 0.95 0
     xyplot SetDataObjectXComponent $j 0
     xyplot SetDataObjectYComponent $j 1 

    xyplot SetTitle "Surface Color Value Distribution"
    xyplot SetXTitle "Color Value"
    xyplot SetYTitle "% of Area"
    set nbinsm1 [expr $nbins - 1]
    xyplot SetXRange $binmin(0) $binmax($nbinsm1)
    xyplot SetYRange 0 $maxn

    [xyplot GetProperty] SetColor 0 0 0
    xyplot SetPlotColor 0 1 0 0
    xyplot SetPlotColor 1 0 1 0
    xyplot SetPlotColor 2 0 0 1
    xyplot SetPlotColor 3 0 1 1
    xyplot SetPlotColor 4 1 0 1
    xyplot SetPlotColor 5 1 1 0
    xyplot SetPlotColor 6 1 0.5 0.5

    #if {$SurfaceObjectMapMaxValue >= 0} {xyplot SetPlotLabel 0 "0: Mean=$meanstring(0)"}
    #if {$SurfaceObjectMapMaxValue >= 1} {xyplot SetPlotLabel 1 "1: Mean=$meanstring(1)"}
    #if {$SurfaceObjectMapMaxValue >= 2} {xyplot SetPlotLabel 2 "2: Mean=$meanstring(2)"}
    #if {$SurfaceObjectMapMaxValue >= 3} {xyplot SetPlotLabel 3 "3: Mean=$meanstring(3)"}
    #if {$SurfaceObjectMapMaxValue >= 4} {xyplot SetPlotLabel 4 "4: Mean=$meanstring(4)"}
   # if {$SurfaceObjectMapMaxValue >= 5} {xyplot SetPlotLabel 5 "5: Mean=$meanstring(5)"}
    for {set k 0} {$k < $n_toplot} {incr k 1} {
      set l [lindex $objectlist $k]
      xyplot SetPlotLabel $k "$l: Mean=$meanstring($l)"
    }

    xyplot LegendOn
    xyplot SetLegendPosition 0.75 0.78
    xyplot SetLegendPosition2 0.20 0.15

    xyplot PlotLinesOn
    [xyplot GetProperty] SetLineWidth 2
    xyplot SetXValuesToValue 
    xyplot PlotPointsOn
    [xyplot GetProperty] SetPointSize 5

    if {$j == 0} {ren_xyplot AddActor xyplot}
    renWin_xyplot Render
    set plotcolorscalled 1
  }

  for {set j 0} {$j < $n_toplot} {incr j 1} {
    set o [lindex $objectlist $j]
    xvalues$o Delete
    yvalues$o Delete
    fd$o Delete 
    do$o Delete
  }

} 




proc SetSetPos {} {
  # Procedure called when the position of current landmark is to be updated.
  global setarr setbuttonvalue lmCoord lmIndex CurrentPos CurrentId lmCellIdArr CurrentVal
  global colors existcolorfile
  set Space ","
  set xyz [lmCoord GetPoint $lmIndex]
  set xp [lindex $xyz 0] 
  set yp [lindex $xyz 1]
  set zp [lindex $xyz 2]   
  set CurrentPos [format "%9.5f %1s %9.5f %1s %9.5f" $xp $Space $yp $Space $zp]
  set pickId $lmCellIdArr($lmIndex)
  set CurrentId [format "Id: %10d" $pickId]
  if {$existcolorfile == 1} {
     ##set pickVal [colors GetScalar $pickId]
     set pickVal [colors GetComponent $pickId 0]
     set CurrentVal [format "Value: %18.6f" $pickVal]
  }
}
####SetSetPos

proc CaptureOneFrame {} {
    global snapframe snapname tmpdir
    vtkRendererSource renSrc
        renSrc SetInput ren1
        renSrc WholeWindowOn
    vtkBMPWriter BMPwriter
        set extensi ".bmp"
        BMPwriter SetInput [renSrc GetOutput]
        set onezero "0"
        set twozeros "00"
        set frame "frame"
        if {$snapframe <= 9} {
          BMPwriter SetFileName ${tmpdir}${frame}$twozeros$snapframe$extensi
          set snapname "Done with: ${tmpdir}${frame}$twozeros$snapframe$extensi "
        } 
        if { ($snapframe >= 10) &&  ($snapframe <= 99)} {
          BMPwriter SetFileName ${tmpdir}${frame}$onezero$snapframe$extensi
            set snapname "Done with: ${tmpdir}${frame}$onezero$snapframe$extensi "
          } 
          if { ($snapframe >= 100)} {
            BMPwriter SetFileName ${tmpdir}${frame}$snapframe$extensi
            set snapname "Done with: ${tmpdir}${frame}$onezero$snapframe$extensi "
        } 
        BMPwriter Write
    BMPwriter Delete
    renSrc Delete
    incr snapframe 1
}

proc ResetSnapCounter {} {
    global snapframe
    set snapframe 0
}


proc CreateSnapshotMenu {} {
  global snapframe
  proc CloseSnaphotMenu {} {
      wm withdraw .ss
      destroy .ss
  }
  
  toplevel .ss
  wm title .ss "Snap Frames"
  button .ss.re -text  " Reset Counter to 0 "  -command ResetSnapCounter
  pack .ss.re -pady 6
  button .ss.do -text  " Capture "  -command CaptureOneFrame
  pack .ss.do -pady 6
  label .ss.la -textvariable snapname
  set snapname "Done with: None "
  pack .ss.la -pady 3
  button .ss.close -text  " Close "  -foreground red -command CloseSnaphotMenu
  pack .ss.close -pady 4
}

proc CreateCombineLandmarksMenu {} {
  proc CloseCombineLandmarksMenu {} {
      wm withdraw .cl
      destroy .cl
  }
  toplevel .cl
  wm title .cl "Combine Landmarks"
  label .cl.l -text "Distance Limit"
  scale .cl.i -from 0.1 -to 10.0 -background green -resolution 0.1 -digits 3 \
	-orient horizontal -variable dLimit 
  set dLimit 2.0
  .cl.i set $dLimit
  pack .cl.l .cl.i
  button .cl.do -text  " Combine Landmarks "  -command CombineLandmarks
  pack .cl.do -pady 6
  button .cl.undo -text  " UNDO "  -command UndoCombineLandmarks
  pack .cl.undo -pady 4 
  button .cl.close -text  " Close "  -foreground red -command CloseCombineLandmarksMenu
  pack .cl.close -pady 4
}

proc CreateInsertLandmarksMenu {} {
  global oactorNum 
  global oactor$oactorNum
  global xcent ycent
  proc CloseInsertLandmarksMenu {} {
      wm withdraw .il
      destroy .il
  }
  toplevel .il
  wm title .il "Insert Landmark Pattern"
  label .il.l -text "NUMBER of Landmarks"
  scale .il.i -from 10 -to 255 -background green -resolution 1 -digits 3 \
	-orient horizontal -variable nPatternLandmarks 
  set nPatternLandmarks 10
  .il.i set $nPatternLandmarks
  puts stdout nPatternLandmarks:
  puts stdout $nPatternLandmarks
  
  # Compute bounds for radius of pattern.
    set Bounds [oactor$oactorNum GetBounds]
    set Xmin [lindex $Bounds 0] 
    set Xmax [lindex $Bounds 1] 
    set Ymin [lindex $Bounds 2] 
    set Ymax [lindex $Bounds 3] 
    set Zmin [lindex $Bounds 4] 
    set Zmax [lindex $Bounds 5] 
    #set fact 0.3
    #set PatternRadius [expr $fact * (($Xmax - $Xmin) + ($Ymax - $Ymin))/2.0]
    #set xcent [expr ($Xmax + $Xmin) / 2.0]
    #set ycent [expr ($Xmax + $Xmin) / 2.0]

    
    

    #set xcent 256
    #set ycent 256
    set PatternRadius 20

  label .il.ll -text "RADIUS of Pattern (% of window)"
  scale .il.r -from 0 -to 200 -background blue  \
	-orient horizontal -variable PatternRadius 
 
  .il.r set $PatternRadius

  pack .il.l .il.i .il.ll .il.r
  button .il.do -text  " Position Landmarks "  -command InsertLandmarkPattern
  pack .il.do -pady 6
  
  button .il.close -text  " Close "  -foreground red -command CloseInsertLandmarksMenu
  pack .il.close -pady 4
}

proc InsertLandmarkPattern {} {
  # Create a circular pattern of landmarks and drop it onto the model.
  global nPatternLandmarks PatternRadius xcent ycent
  global lmIndex SplineCheck
  global setarr setbuttonvalue
  global landmarksdeletedflag
  DeleteAllSphereLandmarks
  set pi 3.1415927
  set pi2 [expr 2 * $pi]
  set cent [renWin GetSize]
  set xcent [expr [lindex $cent 0] / 2.0 ] 
  set ycent [expr [lindex $cent 1] / 2.0 ] 
  puts stdout xcent_ycent
  puts stdout $xcent
  puts stdout $ycent
  PropPicker Delete
  vtkPropPicker PropPicker
  set nPatternLandmarksM1 [expr $nPatternLandmarks - 1]
  for {set j 0} {$j < $nPatternLandmarks} {incr j 1} {
     set lmIndex $j
     set val [expr ( $j * $pi2 / $nPatternLandmarks)  ]
     set xpos [expr $xcent + $PatternRadius * cos($val)]
     #puts stdout $xpos
     set ypos [expr $ycent + $PatternRadius * sin($val)]
     PropPicker PickProp $xpos $ypos ren1
     set pp [PropPicker GetPickPosition]
     #puts stdout $pp
     set xp [lindex $pp 0]
     set yp [lindex $pp 1]
     set zp [lindex $pp 2]
     ################################################################
     ### Following did not return correct z-value. Dont know why.####
     #ren1 SetDisplayPoint $xpos $ypos 0.0
     #ren1 DisplayToWorld
     #set wpoint [ren1 GetWorldPoint]
     #set xp [lindex $wpoint 0]
     #set yp [lindex $wpoint 1]
     #set zp [lindex $wpoint 2]
     ################################################################
     if {$landmarksdeletedflag == 0} {
        if {$j >= 1} {
          puts stdout creating
          puts stdout $j
          CreateNewSphereLandmark $j
          set createdarr($j) 1
        }
     } else {
        puts stdout creating
        puts stdout $j
        if {$j != 0} {
          CreateNewSphereLandmark $j
        }
        set createdarr($j) 1
       
     }
        lmsphere$j SetCenter $xp $yp $zp
        lmsphereActor$j VisibilityOn
        lmCoord InsertPoint $j $xp $yp $zp
        set setarr($j) 1
        set setbuttonvalue 1  
        SetIndex $lmIndex
        SetSetLandmark 
        SetSetPos 
        if {$SplineCheck == 1} {
          UpdateSpline
        }
        renWin Render
     ##incr lmIndex 1

  }
  renWin Render
  
}

###############################################################################################################################
proc ProjectLandmarksToSurface {} {
  # Here we have e.g. read in 2D landmarks as a .log file, and drop it onto the model.
  # Tanketorsk. Boer istedet laese 3D landmark file og projisere.
  global lmIndex SplineCheck
  global setarr setbuttonvalue
  global landmarksdeletedflag
  global lmCoord NsetPoints
  PropPicker Delete
  vtkPropPicker PropPicker
  
  puts stdout "NsetPoints: $NsetPoints"
        
  CurrentArr 

  for {set j 0} {$j < $NsetPoints} {incr j 1} {
     set pos [lmCoord GetPoint $j]
     set xpos [lindex $pos 0]
     set ypos [lindex $pos 1]
     puts stdout "xpos: $xpos"
     PropPicker PickProp $xpos $ypos ren1
     set pp [PropPicker GetPickPosition]
     set xp [lindex $pp 0]
     puts stdout "xp: $xp"
     set yp [lindex $pp 1]
     set zp [lindex $pp 2]

        lmsphere$j SetCenter $xp $yp $zp
        lmsphereActor$j VisibilityOn
        lmCoord InsertPoint $j $xp $yp $zp
        set setarr($j) 1
        set setbuttonvalue 1  
        SetIndex $lmIndex
        SetSetLandmark 
        SetSetPos 
        if {$SplineCheck == 1} {
          UpdateSpline
        }
        renWin Render
     ##incr lmIndex 1

  }
  renWin Render
  
}


proc CreateLandmarkOptionsMenu {} {
  global oactorNum 
  global oactor$oactorNum
  global lmDiameterFactor
  proc CloseLandmarkOptionsMenu {} {
      wm withdraw .io
      destroy .io
  }
  toplevel .io
  wm title .io "Landmarking Options"
  label .io.ld -text "Landmark DIAMETER factor"
  scale .io.d -from 0.1 -to 10 -background green -resolution 0.01 -digits 4 \
	-orient horizontal -variable lmDiameterFactor 
  set lmDiameterFactor 1.0
  .io.d set $lmDiameterFactor
  pack .io.ld .io.d 

  button .io.delone -text  " * DELETE ONE LANDMARK * "  -foreground blue -command DeleteLastLandmark
  pack .io.delone -pady 4
  
  button .io.close -text  " Close "  -foreground red -command CloseLandmarkOptionsMenu
  pack .io.close -pady 4
}






## Here's how to get the display coodinates (in pixels) from a world coordinate.
##ren1 SetWorldPoint 2 2 1 1.0
##ren1 WorldToDisplay
##set DPoint [ren1 GetDisplayPoint]
##set dx [lindex $DPoint 0]
##set dy [lindex $DPoint 1]
##set dz [lindex $DPoint 2]
##notify $dx dx
##notify $dy dy
##notify $dz dz

proc DistanceAlongCurveToPointI {pointnumber} {
  # Calculate the distance along the LineCrv (sln or crv file read) from the beginning (point 0) to point I given by pointnumber
  # Used by CalculateDistanceBetweenLandmarkAndSpline (Hillerup project)
  global lineCrvPoints 

  # Calculate the distance along curve up to point I
  set np [lineCrvPoints GetNumberOfPoints]
  set npm [expr $np - 1]

  puts stdout "np= $np"
  
  set acclength(0) 0.0
  for {set i 1} {$i <= $npm} {incr i 1} {
    set xyzi [lineCrvPoints GetPoint $i]
    set xi [lindex $xyzi 0]
    set yi [lindex $xyzi 1]
    set zi [lindex $xyzi 2]
    set im [expr $i - 1]
    set xyzim [lineCrvPoints GetPoint $im]
    set xim [lindex $xyzim 0]
    set yim [lindex $xyzim 1]
    set zim [lindex $xyzim 2]    
    set dx [expr $xim - $xi ]
    set dy [expr $yim - $yi ]
    set dz [expr $zim - $zi ]
    set d [expr sqrt($dx * $dx + $dy * $dy + $dz * $dz) ] 
    #puts stdout "d= $d"
    if {$i == 0} {
      #set acclength($i) $d 
      set acclength($i) 0.0
      #puts stdout "d= $d"
    } else {
      set im [expr $i - 1]
      set acclength($i) [expr $acclength($im) + $d]
      if {$i == $pointnumber} {
        puts stdout "distance to point i= $acclength($i)"
      }
    }
  #puts stdout $acclength($i)
  #puts stdout "d i = $d $i"

  }

  # acclength contains accumulated length at each original input point
  # totlength is the total length of the curve

  set im [expr $i - 1]
  set totlength $acclength($im)
  puts stdout "totlength= $totlength"

  return $acclength($pointnumber)
  
}

proc CalculateDistanceBetweenLandmarkAndSpline {} {
   # This procedure calculates the distance between the current landmark and the spline curve.
   
   global CurrentDistance CurrentDistanceX CurrentDistanceY CurrentDistanceZ
   global points numberOfOutputPoints lmIndex 
   global LineCrvFileHasBeenRead
   global lineCrvPoints pNum
   global DistAlongCurve
    if {$LineCrvFileHasBeenRead != 1} {
      toplevel .error
      message .error.msg -aspect 1000 -justify left -text \
      "ERROR: no line curve (.crv or .sln) has been read!"
      pack .error.msg
      return
    } 
   set p1 [lmCoord GetPoint $lmIndex]
   set xp1 [lindex $p1 0] 
   set yp1 [lindex $p1 1]
   set zp1 [lindex $p1 2]
   set lmDistanceMin 99999.9
   for {set i 0} {$i < $pNum} {incr i 1} {
      set p2 [lineCrvPoints GetPoint $i]
      set xp2 [lindex $p2 0] 
      set yp2 [lindex $p2 1]
      set zp2 [lindex $p2 2]
      set xd [expr ( $xp2 - $xp1 ) ]
      set yd [expr ( $yp2 - $yp1 ) ]
      set zd [expr ( $zp2 - $zp1 ) ]
      set xds [expr $xd * $xd ]
      set yds [expr $yd * $yd ]
      set zds [expr $zd * $zd ]
      set lmDistance [expr sqrt( $xds + $yds + $zds )]
   
      if {$lmDistance <= $lmDistanceMin} {
         set lmDistanceMin $lmDistance
         set CurrentDistance "Distance: $lmDistanceMin"
         set CurrentDistanceX "Distance in X: $xd"
         set CurrentDistanceY "Distance in Y: $yd"
         set CurrentDistanceZ "Distance in Z: $zd"
         set ClosestX $xp2
         set ClosestY $yp2
         set ClosestZ $zp2
         set ClosestI $i
         #puts stdout "$i $lmDistance $xd $yd $zd"
      }
   }
puts stdout "pNum= $pNum"
# print the found closest point coordinate
puts stdout "Closest point location: $ClosestX $ClosestY $ClosestZ"

set DAC [DistanceAlongCurveToPointI $ClosestI]
set DistAlongCurve "Distance Along Curve: $DAC"
 
}


proc CreateMeasureDistanceLandmarkSplineCurveMenu {} {
  global lmIndex ToLandmarkNumber lmDistance CurrentDistance CurrentDistanceX CurrentDistanceY CurrentDistanceZ
  global LineCrvFileHasBeenRead
  global lineCrvPoints pNum DistAlongCurve
  proc CloseMeasureDistanceLandmarkSplineMenu {} {
      wm withdraw .ls
      destroy .ls
  }
  toplevel .ls
  set font {Helvetica 14}
  wm title .ls "Measure Closest Distance Between Landmark and Spline Curve"
  label .ls.l -font $font -text "Distance from Current Landmark to LineCurve"
  pack .ls.l 
  button .ls.do -font $font -background yellow -text  " Calculate Distance "  -command CalculateDistanceBetweenLandmarkAndSpline
  pack .ls.do -pady 6
  label .ls.di -font $font -textvariable CurrentDistance
  set CurrentDistance [format "Distance: %14.8f" 0.0]
  label .ls.dix -font $font -foreground red -textvariable CurrentDistanceX
  set CurrentDistanceX [format "Distance in X: %14.8f" 0.0]
  label .ls.diy -font $font -foreground green -textvariable CurrentDistanceY
  set CurrentDistanceY [format "Distance in Y: %14.8f" 0.0]
  label .ls.diz -font $font -foreground blue -textvariable CurrentDistanceZ
  set CurrentDistanceZ [format "Distance in Z: %14.8f" 0.0]
  label .ls.dil -font $font -textvariable DistAlongCurve
  set DistAlongCurve [format "Distance Along Curve: %14.8f" 0.0]
  pack .ls.di -pady 6
  pack .ls.dix -pady 2
  pack .ls.diy -pady 2
  pack .ls.diz -pady 2
  pack .ls.dil -pady 2
  button .ls.close -font $font -text  " Close "  -foreground red -command CloseMeasureDistanceLandmarkSplineMenu
  pack .ls.close -pady 4
}



  

proc CreateMeasureDistancesMenu {} {
  global lmIndex ToLandmarkNumber lmDistance CurrentDistance
  proc CloseMeasureDistancesMenu {} {
      wm withdraw .md
      destroy .md
  }
  toplevel .md
  wm title .md "Measure Distances"
  label .md.l -text "Distance from Current Landmark to Landmark #"
  scale .md.i -from 0 -to 255 -background green -resolution 1 -digits 3 \
	-orient horizontal -variable ToLandmarkNumber 
  set ToLandmarkNumber 1
  .md.i set $ToLandmarkNumber
  pack .md.l .md.i
  button .md.do -text  " Calculate Distance "  -command MeasureDistance
  pack .md.do -pady 6
  label .md.di -textvariable CurrentDistance
  set CurrentDistance [format "Distance: %14.8f" 0.0]
  pack .md.di -pady 6
  button .md.close -text  " Close "  -foreground red -command CloseMeasureDistancesMenu
  pack .md.close -pady 4
}

proc MeasureDistance {} {
   # This procedure calculates the distance between two landmarks.
   # It is called from MeasureDistancesMenu,
   # maxlmIndex contains the maximum current landmark index.
   # lmCoord contains coordinates of all landmarks, set and not set.

   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex setbuttonvalue
   global lmIndex ToLandmarkNumber  lmDistance CurrentDistance

   # lmIndex is the current landmark index.
   
   set p1 [lmCoord GetPoint $lmIndex]
   set xp1 [lindex $p1 0] 
   set yp1 [lindex $p1 1]
   set zp1 [lindex $p1 2]
   set p2 [lmCoord GetPoint $ToLandmarkNumber]
   set xp2 [lindex $p2 0] 
   set yp2 [lindex $p2 1]
   set zp2 [lindex $p2 2]

   set xd [expr ( $xp2 - $xp1 ) ]
   set yd [expr ( $yp2 - $yp1 ) ]
   set zd [expr ( $zp2 - $zp1 ) ]
   set xds [expr $xd * $xd ]
   set yds [expr $yd * $yd ]
   set zds [expr $zd * $zd ]
   set lmDistance [expr sqrt( $xds + $yds + $zds )]
   set CurrentDistance [format "Distance: %14.8f" $lmDistance]
}

proc GetLandmarkDistance {landmark1 landmark2} {
   # This procedure calculates the distance between any two landmarks.
   # It returns a list containing distance, x-distance, y-distance, z-distance.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex setbuttonvalue
   global lmIndex ToLandmarkNumber  lmDistance CurrentDistance

   if {$landmark1 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }
   if {$landmark2 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }

   set p1 [lmCoord GetPoint $landmark1]
   set xp1 [lindex $p1 0] 
   set yp1 [lindex $p1 1]
   set zp1 [lindex $p1 2]
   set p2 [lmCoord GetPoint $landmark2]
   set xp2 [lindex $p2 0] 
   set yp2 [lindex $p2 1]
   set zp2 [lindex $p2 2]

   set xd [expr ( $xp2 - $xp1 ) ]
   set yd [expr ( $yp2 - $yp1 ) ]
   set zd [expr ( $zp2 - $zp1 ) ]
   set xds [expr $xd * $xd ]
   set yds [expr $yd * $yd ]
   set zds [expr $zd * $zd ]
   set lmDistance [expr sqrt( $xds + $yds + $zds )]
   return [list $lmDistance $xd $yd $zd]   
}

proc GetLandmarkAverageOfTwo {landmark1 landmark2} {
   # This procedure calculates the average location of two landmarks
   # It returns a list containing x,y,z
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex setbuttonvalue
   global lmIndex ToLandmarkNumber  lmDistance CurrentDistance

   if {$landmark1 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }
   if {$landmark2 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }

   set p1 [lmCoord GetPoint $landmark1]
   set xp1 [lindex $p1 0] 
   set yp1 [lindex $p1 1]
   set zp1 [lindex $p1 2]
   set p2 [lmCoord GetPoint $landmark2]
   set xp2 [lindex $p2 0] 
   set yp2 [lindex $p2 1]
   set zp2 [lindex $p2 2]

   set xm [expr ( $xp2 + $xp1 ) / 2.0 ]
   set ym [expr ( $yp2 + $yp1 ) / 2.0 ]
   set zm [expr ( $zp2 + $zp1 ) / 2.0 ]

   return [list $xm $ym $zm]   
}

proc GetLandmarkAverageOfThree {landmark1 landmark2 landmark3} {
   # This procedure calculates the average location of three landmarks
   # It returns a list containing x,y,z
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex setbuttonvalue
   global lmIndex ToLandmarkNumber  lmDistance CurrentDistance

   if {$landmark1 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }
   if {$landmark2 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }
   if {$landmark3 >= $maxNlandmarks} {
      puts stdout "ERROR in GetLandmarkDistance: this landmark does not exist."
      notify_error "GetLandmarkDistance: this landmark does not exist."
      return -1
   }


   set p1 [lmCoord GetPoint $landmark1]
   set xp1 [lindex $p1 0] 
   set yp1 [lindex $p1 1]
   set zp1 [lindex $p1 2]
   set p2 [lmCoord GetPoint $landmark2]
   set xp2 [lindex $p2 0] 
   set yp2 [lindex $p2 1]
   set zp2 [lindex $p2 2]
   set p3 [lmCoord GetPoint $landmark2]
   set xp3 [lindex $p3 0] 
   set yp3 [lindex $p3 1]
   set zp3 [lindex $p3 2]

   set xm [expr ( $xp2 + $xp1 + $xp3) / 3.0 ]
   set ym [expr ( $yp2 + $yp1 + $yp3) / 3.0 ]
   set zm [expr ( $zp2 + $zp1 + $zp3) / 3.0 ]

   return [list $xm $ym $zm]   
}




######################################################################################################################################
proc SplineSurfaceProject {} {
   # Computes for all the spline points closest point on surface, and modifies accordingly.

   global ren1
   global points

   ##vtkPointLocator locator 
   vtkCellLocator locator 
     
     vtkPolyData Poly
      Poly SetPoints [[PolyData GetOutput] GetPoints]
      Poly SetPolys [[PolyData GetOutput] GetPolys]
      Poly SetLines [[PolyData GetOutput] GetLines]

      #vtkPolyDataMapper PolyMapper
      #  PolyMapper SetInput Poly 
      #vtkActor PolyActor
      #  PolyActor SetMapper PolyMapper        
      #  eval [PolyActor GetProperty] SetColor 1 0 0
      #ren1 AddActor PolyActor
      #renWin Render

     locator SetDataSet Poly
     locator BuildLocator
     locator GenerateRepresentation 5 Poly
     
     #----------------------------------------------------------------------------------------------
     # This exmaple shows how to get a tuple from a vtkFloatArray.  See also vtk User's Guide p. 74.
     vtkFloatArray scalars
        scalars InsertTuple1 0 1.0
        scalars InsertTuple1 1 2.0
        set value0 [scalars GetTuple1 0]
        puts stdout "value0: $value0"
     #----------------------------------------------------------------------------------------------

     #----------------------------------------------------------------------------------------------
     # This exmaple shows how to get a tuple from a vtkPolyData.  
     set nPoly [[PolyData GetOutput] GetNumberOfCells]
     vtkFloatArray xxx
        #xxx SetNumberOfComponents 3
        xxx SetNumberOfTuples $nPoly   
        set xxx [[Poly GetPointData] GetScalars]
        set tup0 [xxx GetTuple1 1000]
        puts stdout "tup0: $tup0"
     # Here we get a number, but what does it represent?  There is no scalar data associated with this polydata?
     #----------------------------------------------------------------------------------------------

     #----------------------------------------------------------------------------------------------
     # This exmaple shows how to get a tuple from a vtkPolyData.  
     set nPoly [[PolyData GetOutput] GetNumberOfCells]
     vtkFloatArray yyy
        yyy SetNumberOfComponents 3
        yyy SetNumberOfTuples $nPoly   
        ##set yyy [[Poly GetCellData] GetPolys]
        set yyy [Poly GetPolys]
        set tup0 [yyy GetTuple1 1000]
        puts stdout "tupp0: $tup0"
     #----------------------------------------------------------------------------------------------


     set cell [Poly GetCell 100]
     set nn [[Poly GetCell 100] GetNumberOfPoints]
     puts "nn= $nn"
     # Returns 3.
     #vtkFloatArray coo
     #coo SetNumberOfComponents 3
     #coo SetNumberOfTuples 1
     #set coo [[Poly GetCell 100] GetPoints]
     #coo InsertTuple3 0 [[Poly GetCell 100] GetPoints]
     #set value0 [coo GetTuple3 0]
     #set coo1 [lindex $value0 0]
     #set coo2 [lindex $coo 1]
     #set coo3 [lindex $coo 2]
     #puts "coo123= $coo1"
     # Does only produce vtkTemp.  How to get the real coordinates out?
   

     set x 100.0
     set y 200.0
     set z 300.0
     set clos [Poly FindPoint $x $y $z]
     puts stdout "closest: $clos"

     #vtkFloatArray xx
     #  xx SetNumberOfComponents 3
     #  xx SetNumberOfTuples 1
     #  xx InsertTuple3 0 100.0 200.0 300.0
     

     #set clos2 [Poly FindCell 1.0 2.0 3.0]
     #puts stdout "clos: $clos"



     #set nPoly [[PolyData GetOutput] GetNumberOfCells]
     set points [[ PolyData GetOutput ] GetPoints]
     set xyz [points GetPoint 0]
          set x [lindex $xyz 0] 
          set y [lindex $xyz 1]
          set z [lindex $xyz 2] 
     
     puts stdout "x= $x"
     puts stdout "y= $y"
     puts stdout "z= $z"


     #set xx {1.0 2.0 3.0}
     #  set clos [Poly FindPoint $xyz ]
     #  puts stdout "clos: $clos"



     #PropPicker PickProp $xpos $ypos ren1
     #set pp [PropPicker GetPickPosition]
     #puts stdout $pp
     #set xp [lindex $pp 0]
     #set yp [lindex $pp 1]
     #set zp [lindex $pp 2]


     set x 100.0
     set y 200.0
     set z 300.0
     set clos [locator FindClosestPoint $x $y $z]
     puts stdout "closss= $clos"
     #celllocator->FindClosestPoint(x, closestpoint, cellid, subid, dist);


     set dum $xyz
     set b 1
     set c 1
     set d 1.0
     
     
     #### NEXT LINE DOES NOT WORK.  HOW DO I RETURN POINT ID AND CLOSEST POINT?
     eval [ locator FindClosestPointWithinRadius $xyz 5.0 dum b c d]
     puts stdout "clos= $clos"



#make sure the array is cleared, then fill it with point info
# ! the for loop never executes because $numberOfPoints =3D 0 !
#if {[array exists outarray]} {unset outarray}
#for {set i 0} {$i < $nPoly} {incr i} {
#    set outarray($i) [points GetPoint $i]
#    ##puts stdout "point $i\: $outarray($i)"
#}

set coord [points GetPoint $clos]
puts stdout "coord= $coord"



#     vtkPoints pp
#       pp SetNumberOfPoints 10
#       pp SetPoint 0 1 2 3

#     set nPoly [[PolyData GetOutput] GetNumberOfCells]
#     puts stdout $nPoly

     #vtkFloatArray da
       
     #da SetArray Poly $nPoly 1 

     # Test SetTupe and GetTuple

     #set tt [  [ Poly GetPointData ] GetNormals ]
     #set ttt [$tt GetTuple 100]
     #puts stdout $tt
   
}


######################################################################################################################################
proc SphereChainCutting {} {
   # Cut the surface at the Boolean combination of two implicit spheres specified as landmarks 0 and 1 (they must overlap).
   # Builds on the ClipCow.tcl example.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter OutPointFactor


    # We need that all spline points lie on surface.
    SplineSurfaceProject
    vtkPolyDataNormals surfaceNormals
    surfaceNormals SetInput [PolyData GetOutput]
    set cutradius 0.01

  
    puts stdout $NsetPoints
        
    set nspheres [expr $NsetPoints * $OutPointFactor]
    vtkImplicitBoolean bool
      bool SetOperationTypeToUnion

    for {set i 0} {$i <= $nspheres} {incr i 1} {
      vtkSphere sphere$i
      set xyz [points GetPoint $i]
          set x [lindex $xyz 0] 
          set y [lindex $xyz 1]
          set z [lindex $xyz 2] 
      sphere$i SetCenter $x $y $z
      sphere$i SetRadius $cutradius   
      bool AddFunction sphere$i
    }
    
  

    # vtkClipPolyData requires an implicit function to define what it is to
    # clip with. Any implicit function, including complex boolean combinations
    # can be used. Notice that we can specify the value of the implicit function
    # with the SetValue method.
    vtkClipPolyData clipper
        clipper SetInput [surfaceNormals GetOutput]
        clipper SetClipFunction bool
        ###clipper SetClipFunction loop
        clipper GenerateClipScalarsOn
        clipper GenerateClippedOutputOn
        #clipper SetValue 0.5
        clipper SetValue 0.1
    vtkPolyDataMapper clipMapper
        clipMapper SetInput [clipper GetOutput]
        clipMapper ScalarVisibilityOff
    vtkProperty backProp
        eval backProp SetDiffuseColor 1 0 0
    vtkActor clipActor
        clipActor SetMapper clipMapper
        eval [clipActor GetProperty] SetColor 0 1 1
        clipActor SetBackfaceProperty backProp


# Here we are cutting the surface. Cutting creates lines where the cut function
# intersects the model. (Clipping removes a portion of the model but the
# dimension of the data does not change.)
#
# The reason we are cutting is to generate a closed polygon at the boundary
# of the clipping process. The cutter generates line segments, the stripper
# then puts them together into polylines. We then pull a trick and define
# polygons using the closed line segements that the stripper created.
#
vtkCutter cutEdges; #Generate cut lines
  cutEdges SetInput [surfaceNormals GetOutput]
  cutEdges SetCutFunction bool
  ###cutEdges SetCutFunction loop
  cutEdges GenerateCutScalarsOn
  cutEdges SetValue 0 0.1
vtkStripper cutStrips; #Forms loops (closed polylines) from cutter
  cutStrips SetInput [cutEdges GetOutput]
  cutStrips Update
vtkPolyData cutPoly; #This trick defines polygons as polyline loop
  cutPoly SetPoints [[cutStrips GetOutput] GetPoints]
  cutPoly SetPolys [[cutStrips GetOutput] GetLines]

# Triangle filter is robust enough to ignore the duplicate point at the 
# beginning and end of the polygons and triangulate them.
vtkTriangleFilter cutTriangles
  cutTriangles SetInput cutPoly
vtkPolyDataMapper cutMapper
  cutMapper SetInput cutPoly
  cutMapper SetInput [cutTriangles GetOutput]
vtkActor cutActor
  cutActor SetMapper cutMapper
  eval [cutActor GetProperty] SetColor 1 0 1

# The clipped part of the surface is rendered wireframe.
vtkPolyDataMapper restMapper
  restMapper SetInput [clipper GetClippedOutput]
  restMapper ScalarVisibilityOff
vtkActor restActor
  restActor SetMapper restMapper
  [restActor GetProperty] SetRepresentationToWireframe

# Create graphics stuff
#

# Add the actors to the renderer, set the background and size
ren1 AddActor clipActor
ren1 AddActor cutActor
ren1 AddActor restActor


    renWin Render
}

####################################################################################################################################################
proc TriangulateLandmarkLoop {} {
   # Delaunay triangulate the current landmark loop.
   # If SplineCheck is set, then use spline points.  Otherwise use the set landmarks.
   # Builds on the Delaunay3D.tcl example.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter
   global currentdir
   global SplineCheck Splarr

   CurrentArr
   if {$NsetPoints == 0} {
     notify_error "No landmarks to triangulate between!!!"
     return -1
   }

   vtkPolyData profile
    
   if {$SplineCheck == 1} {
     profile SetPoints points
   } else {
     # Determine the set landmarks.
     CurrentArr
     profile SetPoints Splarr
   }

   # triangulate them

   vtkDelaunay2D del
     del SetInput profile
     #del BoundingTriangulationOn
     del SetTolerance 0.01
     #del SetAlpha 0.2
     del BoundingTriangulationOff

   vtkDataSetMapper map
     map SetInput [del GetOutput]

   vtkActor triangulation
     triangulation SetMapper map
     [triangulation GetProperty] SetColor 1 0 0

   ren1 AddActor triangulation
   renWin Render

   # Put in connect, such that you may save result.
   connect SetInput [del GetOutput]

   triangulation Delete
   map Delete
   del Delete
   profile Delete
}




####################################################################################################################################################
proc SurfaceFromUnstructuredPoints {} {
   # Create a surface from unstructured points currently in lmCoord.
   # Uses ctkSurfaceReconstructionFilter, see reconstructSurface.tcl
   # NOTE: Currently limited to 256 points (to be changed later).
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter
   global currentdir
   global SplineCheck Splarr

   CurrentArr
   if {$NsetPoints == 0} {
     notify_error "No landmarks to use as input points!!!"
     return -1
   }

   vtkPolyData profile
    
     # Determine the set landmarks.
     CurrentArr
     profile SetPoints Splarr

   vtkSurfaceReconstructionFilter surf
    surf SetInput profile
    #surf SetSampleSpacing 1.5
    #set spacing [surf GetSampleSpacing]
    #puts stdout "spacing: $spacing"

   vtkContourFilter cf
    cf SetInput [surf GetOutput]
    cf SetValue 0 0.0

   vtkReverseSense reverse
     reverse SetInput [cf GetOutput]
     reverse ReverseCellsOn
     reverse ReverseNormalsOn

   vtkPolyDataMapper map
    map SetInput [reverse GetOutput]
    map ScalarVisibilityOff

   vtkActor surfaceActor
    surfaceActor SetMapper map
    [surfaceActor GetProperty] SetDiffuseColor 1.0000 0.3882 0.2784
    [surfaceActor GetProperty] SetSpecularColor 1 1 1
    [surfaceActor GetProperty] SetSpecular .4
    [surfaceActor GetProperty] SetSpecularPower 50

   ren1 AddActor surfaceActor

   # Put in PolyData (for save and further work).
   #vtkPolyData TempPolys
      #TempPolys SetPoints [cf GetOutput]
   #PolyData CopyStructure TempPolys GetOutput
   #   [PolyData GetPointData] PassData [TempPolys GetPointData]
   #   PolyData Modified


      renWin Render


connect SetInput [reverse GetOutput]


   surfaceActor Delete
   map Delete 
   cf Delete
   surf Delete
   profile Delete
   reverse Delete

 }


####################################################################################################################################################
proc TriangulateCurve {} {
   # Delaunay triangulate the previously read curve.
   # The curve is in lineCrvPoints that were read by ReadLineCrvFile.
   # Builds on the Delaunay3D.tcl example.
   
   global LineCrvFileHasBeenRead
   if {$LineCrvFileHasBeenRead == 0} {
     notify_error "No curve to triangulate!!!"
     return -1
   }

   vtkPolyData profile
     profile SetPoints lineCrvPoints
  
   # triangulate them

   vtkDelaunay2D del
     del SetInput profile
     #del BoundingTriangulationOn
     del SetTolerance 0.01
     #del SetAlpha 0.2
     del BoundingTriangulationOff

   vtkDataSetMapper map
     map SetInput [del GetOutput]

   vtkActor triangulation
     triangulation SetMapper map
     [triangulation GetProperty] SetColor 1 0 0

   ren1 AddActor triangulation
   renWin Render

   # Put in connect, such that you may save result.
   connect SetInput [del GetOutput]

   triangulation Delete
   map Delete
   del Delete
   profile Delete
}


################################################################################################################################################
proc SphereChainCutting_new {} {
   # Cut the surface at the boolean combination of two implicit spheres specified as landmarks 0 and 1 (they must overlap).
   # Builds on the ClipCow.tcl example.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter

    vtkPolyDataNormals surfaceNormals
    surfaceNormals SetInput [PolyData GetOutput]
    #set cutradius 0.00001
    #set cutradius 1.0
    #
    #set nspheres 7
    #vtkImplicitBoolean bool
    #  bool SetOperationTypeToUnion

    #for {set i 0} {$i <= $nspheres} {incr i 1} {
    #  vtkSphere sphere$i
    #  set xyz [lmCoord GetPoint $i]
    #      set x [lindex $xyz 0] 
    #      set y [lindex $xyz 1]
    #      set z [lindex $xyz 2] 
    #  sphere$i SetCenter $x $y $z
    #  sphere$i SetRadius $cutradius   
    #  bool AddFunction sphere$i
    #}
    
    set mx 0
    set my 0
    set mz 0
    set mxl 1000
    set myl 1000
    set mzl 1000
    set mxu 0
    set myu 0
    set mzu 0   
    for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
      set xyz [lmCoord GetPoint $i]
          set x [lindex $xyz 0] 
          set y [lindex $xyz 1]
          set z [lindex $xyz 2] 
          if {$x <= $mxl} {
            set mxl $x
          }
          if {$y <= $myl} {
            set myl $y
          }
          if {$z <= $mzl} {
            set mzl $z
          }
          if {$x >= $mxu} {
            set mxu $x
          }
          if {$y >= $myu} {
            set myu $y
          }
          if {$z >= $mzu} {
            set mzu $z
          }
          
      set mx [expr $mx + $x]
      set my [expr $my + $y]
      set mz [expr $mz + $z]
    }
    set mx [expr $mx / $maxlmIndex]
    set my [expr $my / $maxlmIndex]
    set mz [expr $mz / $maxlmIndex]
    puts stdout $maxlmIndex
    puts stdout $mxu
    puts stdout $myu
    puts stdout $mzu
    puts stdout mxl
    puts stdout $mxl
    puts stdout $myl
    puts stdout $mzl

    vtkImplicitSelectionLoop loop
      loop SetLoop points
      set nxyz [loop GetNormal]
      set nx [lindex $nxyz 0] 
      set ny [lindex $nxyz 1]
      set nz [lindex $nxyz 2] 
    vtkPlane plane
      plane SetNormal $nx $ny $nz
      plane SetOrigin $mx $my $mz
    vtkPlane plane1
      plane1 SetNormal $nx $ny $nz
      plane1 SetOrigin $mxu $myu $mzu
    vtkPlane plane2
      plane2 SetNormal $nx $ny $nz
      plane2 SetOrigin $mxl $myl $mzl

    vtkImplicitBoolean bool
      bool AddFunction loop
      bool SetOperationTypeToIntersection
      bool AddFunction plane1

    

    
    
 
      
    
      ##bool SetOperationTypeToDifference
      ##bool AddFunction plane2
    
  

    # vtkClipPolyData requires an implicit function to define what it is to
    # clip with. Any implicit function, including complex boolean combinations
    # can be used. Notice that we can specify the value of the implicit function
    # with the SetValue method.
    vtkClipPolyData clipper
        clipper SetInput [surfaceNormals GetOutput]
        clipper SetClipFunction bool
        ###clipper SetClipFunction loop
        clipper GenerateClipScalarsOn
        clipper GenerateClippedOutputOn
        #clipper SetValue 0.5
        clipper SetValue 0.1
    vtkPolyDataMapper clipMapper
        clipMapper SetInput [clipper GetOutput]
        clipMapper ScalarVisibilityOff
    vtkProperty backProp
        eval backProp SetDiffuseColor 1 0 0
    vtkActor clipActor
        clipActor SetMapper clipMapper
        eval [clipActor GetProperty] SetColor 0 1 1
        clipActor SetBackfaceProperty backProp


# Here we are cutting the surface. Cutting creates lines where the cut function
# intersects the model. (Clipping removes a portion of the model but the
# dimension of the data does not change.)
#
# The reason we are cutting is to generate a closed polygon at the boundary
# of the clipping process. The cutter generates line segments, the stripper
# then puts them together into polylines. We then pull a trick and define
# polygons using the closed line segements that the stripper created.
#
vtkCutter cutEdges; #Generate cut lines
  cutEdges SetInput [surfaceNormals GetOutput]
  cutEdges SetCutFunction bool
  ###cutEdges SetCutFunction loop
  cutEdges GenerateCutScalarsOn
  cutEdges SetValue 0 0.5
vtkStripper cutStrips; #Forms loops (closed polylines) from cutter
  cutStrips SetInput [cutEdges GetOutput]
  cutStrips Update
vtkPolyData cutPoly; #This trick defines polygons as polyline loop
  cutPoly SetPoints [[cutStrips GetOutput] GetPoints]
  cutPoly SetPolys [[cutStrips GetOutput] GetLines]

# Triangle filter is robust enough to ignore the duplicate point at the 
# beginning and end of the polygons and triangulate them.
vtkTriangleFilter cutTriangles
  cutTriangles SetInput cutPoly
vtkPolyDataMapper cutMapper
  cutMapper SetInput cutPoly
  cutMapper SetInput [cutTriangles GetOutput]
vtkActor cutActor
  cutActor SetMapper cutMapper
  eval [cutActor GetProperty] SetColor 1 0 1

# The clipped part of the surface is rendered wireframe.
vtkPolyDataMapper restMapper
  restMapper SetInput [clipper GetClippedOutput]
  restMapper ScalarVisibilityOff
vtkActor restActor
  restActor SetMapper restMapper
  [restActor GetProperty] SetRepresentationToWireframe

# Create graphics stuff
#

# Add the actors to the renderer, set the background and size
ren1 AddActor clipActor
ren1 AddActor cutActor
ren1 AddActor restActor


    renWin Render
}

####%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

proc PlaneChainCutting {} {
   # Cut the surface at the boolean combination of planes.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter
   global crossprod

    vtkPolyDataNormals surfaceNormals
      surfaceNormals SetInput [PolyData GetOutput]

     
    
    vtkPolyData Poly
      Poly SetPoints [[PolyData GetOutput] GetPoints]
      Poly SetPolys [[PolyData GetOutput] GetPolys]
      Poly SetLines [[PolyData GetOutput] GetLines]

    set pp [ [  PolyData GetOutput ] GetPoints ] 
    puts stdout "pp= $pp"


    #eval [pp GetTuple 100]
#eval?

     set dum [ normals GetNumberOfTuples ]
     set ttt [ normals GetTuple3 100 ]
     puts stdout "tt= $tt(0)"


    # We clip with an implicit function. Here we use a plane positioned such that it is parallell to pair of landmarks (0 and 1).
    vtkPlane plane
      set i 0
      set xyz [lmCoord GetPoint $i]     
        set x0 [lindex $xyz 0] 
        set y0 [lindex $xyz 1]
        set z0 [lindex $xyz 2] 
      set ip [expr $i + 1]
      set xyz [lmCoord GetPoint $ip]     
        set x1 [lindex $xyz 0] 
        set y1 [lindex $xyz 1]
        set z1 [lindex $xyz 2] 
      set ipp [expr $i + 2]
      set xyz [lmCoord GetPoint $ipp]     
        set x2 [lindex $xyz 0] 
        set y2 [lindex $xyz 1]
        set z2 [lindex $xyz 2] 
      set v01x [expr $x1 - $x0]
      set v01y [expr $y1 - $y0]
      set v01z [expr $z1 - $z0]
      set v02x [expr $x2 - $x0]
      set v02y [expr $y2 - $y0]
      set v02z [expr $z2 - $z0]
      CrossProduct $v02x $v02y $v02z $v01x $v01y $v01z 
      puts stdout $crossprod(0)
      puts stdout $crossprod(1)
      puts stdout $crossprod(2)
      # crossprod is now the normal to the triangle 012.
      plane SetNormal $crossprod(0) $crossprod(1) $crossprod(2)
      plane SetOrigin $x0 $y0 $z0      


      CrossProduct $v01x $v01y $v01z $crossprod(0) $crossprod(1) $crossprod(2)
      vtkPlane plane4
      plane4 SetNormal $crossprod(0) $crossprod(1) $crossprod(2)
      plane4 SetOrigin $x0 $y0 $z0
      
      # Compute normal. We use origin point plus two next points for this.

      # Now limit the extension of the cutting plane by cutting the plane...
      vtkPlane plane2 
        plane2 SetOrigin $x0 $y0 $z0
        plane2 SetNormal $v01x $v01y $v01z

      vtkPlane plane3 
        plane3 SetOrigin $x1 $y1 $z1
        plane3 SetNormal [expr 1 - $v01x] [expr 1 - $v01y] [expr 1 - $v01z]
      
      vtkImplicitBoolean bool    
        bool SetOperationTypeToUnion
        #bool AddFunction plane
        #bool AddFunction plane2
        #bool AddFunction plane3
        #bool AddFunction plane4

      # That took care of the first "segment" between landmarks 0 and 1.
      # Repeat for next
      plane Delete
      plane2 Delete
      plane3 Delete
      plane4 Delete



vtkPlane plane
      set i 1
      set xyz [lmCoord GetPoint $i]     
        set x0 [lindex $xyz 0] 
        set y0 [lindex $xyz 1]
        set z0 [lindex $xyz 2] 
      set ip [expr $i + 1]
      set xyz [lmCoord GetPoint $ip]     
        set x1 [lindex $xyz 0] 
        set y1 [lindex $xyz 1]
        set z1 [lindex $xyz 2] 
      set ipp [expr $i + 2]
      set xyz [lmCoord GetPoint $ipp]     
        set x2 [lindex $xyz 0] 
        set y2 [lindex $xyz 1]
        set z2 [lindex $xyz 2] 
      set v01x [expr $x1 - $x0]
      set v01y [expr $y1 - $y0]
      set v01z [expr $z1 - $z0]
      set v02x [expr $x2 - $x0]
      set v02y [expr $y2 - $y0]
      set v02z [expr $z2 - $z0]
      CrossProduct $v02x $v02y $v02z $v01x $v01y $v01z 
      puts stdout $crossprod(0)
      puts stdout $crossprod(1)
      puts stdout $crossprod(2)
      # crossprod is now the normal to the triangle 012.
      plane SetNormal $crossprod(0) $crossprod(1) $crossprod(2)
      plane SetOrigin $x0 $y0 $z0      


      CrossProduct $v01x $v01y $v01z $crossprod(0) $crossprod(1) $crossprod(2)
      vtkPlane plane4
      plane4 SetNormal $crossprod(0) $crossprod(1) $crossprod(2)
      plane4 SetOrigin $x0 $y0 $z0
      
      # Compute normal. We use origin point plus two next points for this.

      # Now limit the extension of the cutting plane by cutting the plane...
      vtkPlane plane2 
        plane2 SetOrigin $x0 $y0 $z0
        plane2 SetNormal $v01x $v01y $v01z

      vtkPlane plane3 
        plane3 SetOrigin $x1 $y1 $z1
        plane3 SetNormal [expr 1 - $v01x] [expr 1 - $v01y] [expr 1 - $v01z]
      

           bool AddFunction plane
        bool AddFunction plane2
        bool AddFunction plane3
        bool AddFunction plane4



    # vtkClipPolyData requires an implicit function to define what it is to
    # clip with. Any implicit function, including complex boolean combinations
    # can be used. Notice that we can specify the value of the implicit function
    # with the SetValue method.
    vtkClipPolyData clipper
        clipper SetInput [surfaceNormals GetOutput]
        clipper SetClipFunction bool
        ###clipper SetClipFunction loop
        clipper GenerateClipScalarsOn
        clipper GenerateClippedOutputOn
        #clipper SetValue 0.5
        clipper SetValue 0.0
    vtkPolyDataMapper clipMapper
        clipMapper SetInput [clipper GetOutput]
        clipMapper ScalarVisibilityOff
    vtkProperty backProp
        eval backProp SetDiffuseColor 1 0 0
    vtkActor clipActor
        clipActor SetMapper clipMapper
        eval [clipActor GetProperty] SetColor 0 1 1
        clipActor SetBackfaceProperty backProp


# Here we are cutting the surface. Cutting creates lines where the cut function
# intersects the model. (Clipping removes a portion of the model but the
# dimension of the data does not change.)
#
# The reason we are cutting is to generate a closed polygon at the boundary
# of the clipping process. The cutter generates line segments, the stripper
# then puts them together into polylines. We then pull a trick and define
# polygons using the closed line segements that the stripper created.
#
vtkCutter cutEdges; #Generate cut lines
  cutEdges SetInput [surfaceNormals GetOutput]
  cutEdges SetCutFunction bool
  ###cutEdges SetCutFunction loop
  cutEdges GenerateCutScalarsOn
  cutEdges SetValue 0 0.5
vtkStripper cutStrips; #Forms loops (closed polylines) from cutter
  cutStrips SetInput [cutEdges GetOutput]
  cutStrips Update
vtkPolyData cutPoly; #This trick defines polygons as polyline loop
  cutPoly SetPoints [[cutStrips GetOutput] GetPoints]
  cutPoly SetPolys [[cutStrips GetOutput] GetLines]

# Triangle filter is robust enough to ignore the duplicate point at the 
# beginning and end of the polygons and triangulate them.
vtkTriangleFilter cutTriangles
  cutTriangles SetInput cutPoly
vtkPolyDataMapper cutMapper
  cutMapper SetInput cutPoly
  cutMapper SetInput [cutTriangles GetOutput]
vtkActor cutActor
  cutActor SetMapper cutMapper
  eval [cutActor GetProperty] SetColor 1 0 1

# The clipped part of the surface is rendered wireframe.
vtkPolyDataMapper restMapper
  restMapper SetInput [clipper GetClippedOutput]
  restMapper ScalarVisibilityOff
vtkActor restActor
  restActor SetMapper restMapper
  [restActor GetProperty] SetRepresentationToWireframe

# Create graphics stuff
#

# Add the actors to the renderer, set the background and size
ren1 AddActor clipActor
ren1 AddActor cutActor
ren1 AddActor restActor




    renWin Render
}

################################################################################################################################################


#####################################################################################################################################################################################

proc SphereChainClipping {} {
   # Cut the surface at the boolean combination of two implicit spheres specified as landmarks 0 and 1 (they must overlap).
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter

    vtkSphere sphere
    set xyz [lmCoord GetPoint 0]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
    sphere SetCenter $x $y $z
    sphere SetRadius $lmDiameter
    puts stdout $lmDiameter
    vtkSphere sphere2
    set xyz [lmCoord GetPoint 1]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
    sphere2 SetCenter $x $y $z
    sphere2 SetRadius $lmDiameter
   
    # Create a Boolean union.
    vtkImplicitBoolean bool
    bool SetOperationTypeToUnion
    bool AddFunction sphere
    bool AddFunction sphere2

    vtkExtractGeometry extract
      extract SetInput [PolyData GetOutput]
      extract SetImplicitFunction bool
    #vtkConnectivityFilter connect
      connect SetInput [extract GetOutput]
      connect SetExtractionModeToClosestPointRegion
      eval connect SetClosestPoint [lmCoord GetPoint 0]
    vtkDataSetMapper clipMapper
      clipMapper SetInput [connect GetOutput]
    vtkProperty backProp
      eval backProp SetDiffuseColor 1 0 0.5
    vtkActor clipActor
      clipActor SetMapper clipMapper
      eval [clipActor GetProperty] SetColor 0 0.5 1
      clipActor SetBackfaceProperty backProp
    ren1 AddActor clipActor

    sphere Delete
    sphere2 Delete
    extract Delete
    #connect Delete
    backProp Delete
    clipMapper Delete
    clipActor Delete

    renWin Render
}

################################################################################################################################################
proc SphereClipping {} {
   # Cut the surface at the spherical landmark specified as current landmark 0.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter
   set lmDiameter 10
    vtkSphere sphere
    set xyz [lmCoord GetPoint 0]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
    sphere SetCenter $x $y $z
    sphere SetRadius $lmDiameter

    vtkExtractGeometry extract
      extract SetInput PolyData
      extract SetImplicitFunction sphere
    vtkConnectivityFilter connect2
      connect2 SetInput [extract GetOutput]
      connect2 SetExtractionModeToClosestPointRegion
      eval connect2 SetClosestPoint [lmCoord GetPoint 0]
    vtkDataSetMapper clipMapper
      clipMapper SetInput [connect2 GetOutput]
    vtkProperty backProp
      eval backProp SetDiffuseColor 1 0 0.5
    vtkActor clipActor
      clipActor SetMapper clipMapper
      eval [clipActor GetProperty] SetColor 0 0.5 1
      clipActor SetBackfaceProperty backProp
    ren1 AddActor clipActor

    sphere Delete
    extract Delete
    connect2 Delete
    backProp Delete
    clipMapper Delete
    clipActor Delete

    renWin Render
}

proc SetLmDiameter {lmDiameter} {
   lmsphere0 SetRadius $lmDiameter
}

proc UndoLastCut {} {
      PolyData CopyStructure PreviousPolyData
      [PolyData GetPointData] PassData [PreviousPolyData GetPointData]
      PolyData Modified
      renWin Render
}

proc CreateSphereCuttingMenu {} {
  global cutRadius lmDiameter
  # Disable the possibillity of getting two clipping planes at once.
  .menubar.mEdit entryconfigure 12 -state disabled
  proc CloseSphereCuttingMenu {} {
      wm withdraw .sc
      destroy .sc
      .menubar.mEdit entryconfigure 12 -state normal
 }
  
  toplevel .sc
  wm title .sc "Sphere Cutter Menu"
  set font {Helvetica 14}
  label .sc.l -font $font -wraplength 5i -justify left -text "Set landmark # 0 by keypress 'p'."
  pack .sc.l -side top
  checkbutton .sc.set -font $font -text "Toggle Clipping Mode On/Off" -variable ClipModeCheck -command SetSetLandmark
  label .sc.l2 -font $font -wraplength 5i -justify left -text "In clipping mode, every keypress 'p' cuts surface."
  pack .sc.l2 -side top -pady 6
  label .sc.il -font $font -wraplength 5i -justify center -foreground #ff0  -background black -text "Cut Radius" 
  pack .sc.il -pady 4
  scale .sc.i -from 0.1 -to 100 -resolution 0.1 -length 600 -background #ff0 -orient horizontal -variable lmDiameter -command SetLmDiameter
  pack .sc.i -pady 4
  #set cutRadius $lmDiameter
  #.sc.i set $cutRadius
  #lmsphere0 SetRadius $lmDiameter
  [lmsphereActor0 GetProperty] SetOpacity 0.3
  pack .sc.set -pady 6
  button .sc.undo -font $font -text  " Undo Last Cut "  -width 15 -foreground green  -command UndoLastCut
  pack .sc.undo -pady 4 
  button .sc.close -font $font -text  " Close "  -width 15 -foreground red -command CloseSphereCuttingMenu
  pack .sc.close -pady 4
}



proc SphereCutting {} {
   # Cut the surface at the spherical landmark specified as current landmark 0.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points lmDiameter cutRadius
   ##set lmDiameter $cutRadius
    vtkSphere sphere
    set xyz [lmCoord GetPoint 0]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
    sphere SetCenter $x $y $z
    sphere SetRadius $lmDiameter
    lmsphere0 SetRadius $lmDiameter
    [lmsphereActor0 GetProperty] SetOpacity 0.2

    PreviousPolyData CopyStructure PolyData
    [PreviousPolyData GetPointData] PassData [PolyData GetPointData]
    PreviousPolyData Modified

    vtkClipPolyData clipper
      clipper SetInput PolyData
      clipper SetClipFunction sphere
      clipper InsideOutOff

  vtkPolyDataMapper selectMapper
    selectMapper SetInput [clipper GetOutput]


    #vtkExtractGeometry extract
    #  extract SetInput PolyData
    #  extract SetImplicitFunction sphere
    #  extract ExtractInsideOff
    #vtkConnectivityFilter connect2
    #  connect2 SetInput [clipper GetOutput]
    #  connect2 SetExtractionModeToClosestPointRegion
    #  eval connect2 SetClosestPoint [lmCoord GetPoint 0]
    vtkDataSetMapper clipMapper
      clipMapper SetInput [clipper GetOutput]
    vtkProperty backProp
      eval backProp SetDiffuseColor 1 0 0.5
    vtkActor clipActor
      clipActor SetMapper clipMapper
      eval [clipActor GetProperty] SetColor 0 0.5 1
      clipActor SetBackfaceProperty backProp
    #ren1 AddActor clipActor

clipper Update
      PolyData CopyStructure [clipper GetOutput]
      [PolyData GetPointData] PassData [[clipper GetOutput] GetPointData]
      PolyData Modified


    sphere Delete
    #extract Delete
    clipper Delete
    #connect2 Delete
    backProp Delete
    clipMapper Delete
    clipActor Delete
    selectMapper Delete


    renWin Render
}

#################################################################################################################################################


proc LoopClippingMenu {} {
   # Called from edit menu to do cutting of area inside landmark loop.
   # Uses the procedure LoopClipping and replaces PolyData with the cut portion.
   global ClipValue

    proc CloseLoopClippingMenu {} {
      PolyDataFirst Delete
      wm withdraw .oc
      destroy .oc
    }

    
    
    proc UndoLoopClipping {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }

  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .oc
  wm title .oc "Loop Clipping"
  set font {Helvetica 14}

  button .oc.close -font $font -text  " Close "  -width 15 -foreground red -command CloseLoopClippingMenu
  pack .oc.close -side bottom -pady 2m
  label .oc.l -font $font -justify center -text "Set landmarks in a loop, then Cut"
  pack .oc.l -side top -pady 8
  scale .oc.s -from 0.0005 -to 0.5 -background green -resolution 0.0005 -digits 4 \
	-orient horizontal -variable ClipValue
  set ClipValue 0.5
  .oc.s set $ClipValue
  pack .oc.s -side top -pady 8
  
  button .oc.b0 -font $font -text "Cut (Remove Inside)" -foreground blue -width 20 -justify center -command {LoopClipping 1}
  pack .oc.b0 -side top
  button .oc.b00 -font $font -text "Cut (Keep Inside)" -foreground blue -width 20 -justify center -command {LoopClipping 0}
  pack .oc.b00 -side top

  button .oc.b1 -font $font -text "* Undo *" -foreground green -width 20 -justify center -command UndoLoopClipping
  pack .oc.b1 -side top   
}

proc LoopClipping {InsideOut} {
   # Cut the surface along loop defined by landmark loop.
   global lmCoord setarr NsetPoints maxNlandmarks maxlmIndex lmIndex
   global points ClipValue

   # Start by making an array that contains only the currently set landmarks.
   vtkPoints selectionPoints
   set k 0
   for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
     if {$setarr($i) == 1} {
        set xyz [lmCoord GetPoint $i]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
        selectionPoints InsertNextPoint $x $y $z
     }
   }
    vtkImplicitSelectionLoop loop
      #loop SetLoop selectionPoints
      loop SetLoop points
    vtkExtractGeometry extract
      extract SetInput PolyData
      extract SetImplicitFunction loop
    vtkConnectivityFilter connect2
      connect2 SetInput [extract GetOutput]
      connect2 SetExtractionModeToClosestPointRegion
      eval connect2 SetClosestPoint [selectionPoints GetPoint 0]
    vtkDataSetMapper clipMapper
      clipMapper SetInput [connect2 GetOutput]
    vtkProperty backProp
      eval backProp SetDiffuseColor 1 0 0.5
    vtkActor clipActor
      clipActor SetMapper clipMapper
      eval [clipActor GetProperty] SetColor 0 0.5 1
      clipActor SetBackfaceProperty backProp
 
    vtkImplicitBoolean bool
      bool SetOperationTypeToIntersection
      bool AddFunction loop    

    vtkPolyDataNormals polyNormals
      polyNormals SetInput PolyData

    vtkClipPolyData clipper
      clipper SetInput [polyNormals GetOutput]
      clipper SetClipFunction bool
      clipper GenerateClipScalarsOn
      clipper GenerateClippedOutputOn
      if {$InsideOut} {
        clipper InsideOutOn
      } else {
        clipper InsideOutOff
      }
      ##clipper SetValue 0.5
      clipper SetValue $ClipValue
    vtkPolyDataMapper clipMapper2
      clipMapper SetInput [clipper GetOutput]
      clipMapper ScalarVisibilityOff
  vtkProperty backProp2
      eval backProp SetDiffuseColor 1 0 1
  vtkActor clipActor2
      clipActor2 SetMapper clipMapper2
      eval [clipActor GetProperty] SetColor 0 1 1
      clipActor2 SetBackfaceProperty backProp2

  vtkCutter cutEdges; #Generate cut lines
    cutEdges SetInput [polyNormals GetOutput]
    cutEdges SetCutFunction bool
    cutEdges GenerateCutScalarsOn
    cutEdges SetValue 0 0.5
    ##cutEdges SetValue 0 0.005

  vtkStripper cutStrips; #Forms loops (closed polylines) from cutter
    cutStrips SetInput [cutEdges GetOutput]
    cutStrips Update
  vtkPolyData cutPoly; #This trick defines polygons as polyline loop
    cutPoly SetPoints [[cutStrips GetOutput] GetPoints]
    cutPoly SetPolys [[cutStrips GetOutput] GetLines]

  vtkTriangleFilter cutTriangles
    cutTriangles SetInput cutPoly
  vtkPolyDataMapper cutMapper
    cutMapper SetInput cutPoly
    cutMapper SetInput [cutTriangles GetOutput]
  vtkActor cutActor
    cutActor SetMapper cutMapper
    eval [cutActor GetProperty] SetColor 1 1 0

  vtkPolyDataMapper restMapper
    restMapper SetInput [clipper GetClippedOutput]
    restMapper ScalarVisibilityOff
  vtkActor restActor
    restActor SetMapper restMapper
    eval [restActor GetProperty] SetColor 0 0 1

    ren1 AddActor restActor
    #ren1 AddActor clipActor
    renWin Render

  # Put the result in PolyData
    PolyData CopyStructure [clipper GetClippedOutput]
    [PolyData GetPointData] PassData [[clipper GetClippedOutput] GetPointData]
    PolyData Modified
    PolyData Update
    renWin Render

ren1 RemoveActor restActor
restActor Delete
restMapper Delete 
cutActor Delete
cutMapper Delete
selectionPoints Delete
loop Delete
extract Delete
connect2 Delete
clipMapper Delete
backProp Delete
clipActor Delete
bool Delete
polyNormals Delete
clipper Delete
clipMapper2 Delete
backProp2 Delete
clipActor2 Delete
cutEdges Delete
cutStrips Delete
cutPoly Delete
cutTriangles Delete



    ## Test of writing to disk the cut part.
    #vtkSTLWriter partWriter
    #   partWriter SetInput [clipper GetClippedOutput]
    #   partWriter SetFileName "C:/tron/programs/vtk/cutpart.stl"
    #   partWriter Write
    #   partWriter Delete





}

############################################################################################################
proc ExtractConnectedRegion {} {
   # Here test vtkConnectivityFilter to locate connected regions.
   # Example is in pineRoot.tcl (which, however, wouldn't read off the CD).
   global lmCoord

   # The connectivity filter extracts the first two regions. 
   #vtkConnectivityFilter connect
      connect SetInput PolyData
      #connect SetExtractionModeToSpecifiedRegions
      connect SetExtractionModeToClosestPointRegion
      #connect SetExtractionModeToAllRegions
         #SetExtractionModeToAllRegions does not seem to work.
      #connect AddSpecifiedRegion 0
      #connect AddSpecifiedRegion 1
      #connect AddSpecifiedRegion 2
      #connect AddSpecifiedRegion 3
      #connect AddSpecifiedRegion 4
      #connect AddSpecifiedRegion 5
      #connect AddSpecifiedRegion 6
      #connect AddSpecifiedRegion 7
      #connect AddSpecifiedRegion 8
      #connect AddSpecifiedRegion 9
      #connect AddSpecifiedRegion 10
      #connect AddSpecifiedRegion 19
      #connect AddSpecifiedRegion 38
      #set nregions [connect GetNumberOfExtractedRegions]
        #puts stdout "nregions= $nregions"
      # nregions is 0 no matter what.  Why?
  
      connect ColorRegionsOn
      # Set closest point to be at the current landmark no. 0.
      set xyz [lmCoord GetPoint 0]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
      eval connect SetClosestPoint $x $y $z

   vtkDataSetMapper partMapper
      partMapper SetInput [connect GetOutput]
   vtkActor partActor
      partActor SetMapper partMapper
      [partActor GetProperty] SetRepresentationToWireframe

    ren1 AddActor partActor
    renWin Render

    partActor Delete
    partMapper Delete

}

proc ExtractLargestConnectedRegion {} {
   # Here test vtkConnectivityFilter to locate connected regions.
   # Example is in pineRoot.tcl (which, however, wouldn't read off the CD).
   global oactorNum

   #vtkConnectivityFilter connect
      connect SetInput PolyData
      connect SetExtractionModeToLargestRegion  
      connect ColorRegionsOn
      
   #vtkDataSetMapper partMapper
   #   partMapper SetInput [connect GetOutput]
   #vtkActor partActor
   #   partActor SetMapper partMapper
   #   [partActor GetProperty] SetRepresentationToWireframe

   # ren1 AddActor partActor

      connect Update
      PolyData CopyStructure [connect GetOutput]
      [PolyData GetPointData] PassData [[connect GetOutput] GetPointData]
      PolyData Modified

      oactor$oactorNum Delete
      rmapper$oactorNum Delete
      vtkPolyDataMapper rmapper$oactorNum 
         rmapper$oactorNum SetInput PolyData
      vtkActor oactor$oactorNum 
         oactor$oactorNum SetMapper rmapper$oactorNum 

      renWin Render
      ren1 AddActor oactor$oactorNum 
      renWin Render
      [oactor$oactorNum GetProperty] SetOpacity 0.1
      [oactor$oactorNum GetProperty] SetColor 1 0 0
      DefaultProperties

    

    renWin Render
  

}

proc CreateClippingMenu {} {
  proc CloseClippingMenu {} {
      wm withdraw .bl
      destroy .bl
  }
  toplevel .bl
  wm title .bl "Clip Object by Plane"
  label .bl.l -text "Cut Level"
  scale .bl.i -from 0.0 -to 1.0 -background green -resolution 0.01 -digits 4 \
	-orient horizontal -variable CutLevel
  set dLimit 0.5
  .bl.i set $dLimit
  pack .bl.l .bl.i
  button .bl.do -text  " Clip "  -command PlaneClip
  pack .bl.do -pady 6
  button .bl.undo -text  " UNDO "  -command UndoPlaneClip
  pack .bl.undo -pady 4 
  button .bl.close -text  " Close "  -foreground red -command CloseClippingMenu
  pack .bl.close -pady 4
}

proc CloseAnimateMenu {} {
      global Annotated AnimateLabelCheck
      AnimateStop
      if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
      wm withdraw .am
      destroy .am
}

proc CreateAnimateMenu {} {
  global AnimateAfter AnimateOn AnimateLabelCheck Annotated AnimateSwing WriteSnapsCheck
  global tmpdir
  global oactorname
  
  toplevel .am
  wm title .am "Surface Animation"
  set font {Helvetica 14}
  label .am.l -font $font -text "Set Time Delay (ms)"
  scale .am.i -font $font -from 10 -to 4000 -background pink -resolution 10 -length 150 \
       -orient horizontal -variable AnimateAfter 
  set AnimateAfter 20
  .am.i set $AnimateAfter
  pack .am.l .am.i

  frame .am.f
  button .am.f.swing -font $font -text  " Swing "  -padx 10 -foreground blue -command AnimateSwing
  button .am.f.loop -font $font -text  " Loop "  -padx 10 -foreground blue -command AnimateLoop
  button .am.f.stop -font $font -text  " Stop "  -padx 10 -foreground green -command AnimateStop
  button .am.f.done -font $font -text  " Done "  -padx 10 -foreground red -command CloseAnimateMenu
  pack .am.f -side top -pady 10
  pack .am.f.swing .am.f.loop .am.f.stop .am.f.done -side left -expand 1
  set SignedCheck 1
  checkbutton .am.label -text " Write Frames to $tmpdir " -variable WriteSnapsCheck
  checkbutton .am.label2 -text " Label with Frame Number " -variable AnimateLabelCheck
  pack .am.label .am.label2 -side left
  
}

proc AnimateLoop {} {
  global AnimateOn Annotated AnimateSwing WriteSnapsCheck AnimateLabelCheck
  .am.f.loop configure -state disabled
  .am.f.swing configure -state disabled
  set AnimateSwing 0
  #AnimateStop
  set AnimateOn 1
  Animate
}

proc AnimateSwing {} {
  global AnimateOn Annotated AnimateSwing WriteSnapsCheck AnimateLabelCheck
  .am.f.loop configure -state disabled
  .am.f.swing configure -state disabled
  set AnimateSwing 1
  set AnimateOn 1
  Animate
}


proc AnimateStop {} {
  global AnimateOn Annotated AnimateSwing WriteSnapsCheck AnimateLabelCheck
  .am.f.swing configure -state normal
  .am.f.loop configure -state normal
  set AnimateOn 0
}

proc Animate {} {
  global oactorNum AnimateLabelCheck Annotated
  global AnimateAfter AnimateOn AnimateSwing 
  global tmpdir WriteSnapsCheck
  global oactorname
  ##set AnimateOn 1
  if {$oactorNum == 0} {
    return
  }
  set oactorNumMin1 [expr $oactorNum -1] 
  set extensi ".bmp"
  set aniflag 0
  set onezero "0"
  set twozeros "00"
  set snapno 0 
  while {$AnimateOn == 1} {
    for {set i 0} {$i <= $oactorNum} {incr i 1} {
      TurnOffAllOactors
      oactor$i VisibilityOn
      if {$AnimateLabelCheck} {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
         set tail [file tail $oactorname($i)]
         AnnotateText "$i $tail"
         set Annotated 1   
      } else {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
      }  
      renWin Render
      set vw 0
      after $AnimateAfter {set vw 1}
      vwait vw
      # Snap a set of images to make animation sequence.
      # Images are only snapped the first time they are rendered.
      if {$aniflag == 0 && $WriteSnapsCheck == 1} {
        vtkRendererSource renSrc
          renSrc SetInput ren1
          renSrc WholeWindowOn
        vtkBMPWriter BMPwriter
          BMPwriter SetInput [renSrc GetOutput]
        if {$snapno <= 9} {
          BMPwriter SetFileName ${tmpdir}anim${twozeros}${snapno}${extensi}
          puts stdout "Writing snap: ${tmpdir}anim${twozeros}${snapno}${extensi} "
        } 
        if { ($snapno >= 10) &&  ($snapno <= 99)} {
          BMPwriter SetFileName ${tmpdir}anim${onezero}${snapno}${extensi}
          puts stdout "Writing snap: ${tmpdir}anim${onezero}${snapno}${extensi} "
        } 
          if { ($snapno >= 100)} {
            BMPwriter SetFileName ${tmpdir}anim${snapno}${extensi}
            puts stdout "Writing snap: ${tmpdir}anim${snapno}${extensi} "
          } 
        BMPwriter Write
        BMPwriter Delete
        renSrc Delete 
      }
      if {$AnimateLabelCheck} {
          if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
         AnnotateText $i  
         set Annotated 1   
      } else {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
      }
         
      incr snapno 1
    }

    if {$AnimateSwing} {
    for {set i $oactorNumMin1} {$i >= 1} {incr i -1} {
      TurnOffAllOactors
      oactor$i VisibilityOn
      if {$AnimateLabelCheck} {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
         AnnotateText $i  
         set Annotated 1   
      } else {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
      }  
      renWin Render
      set vw 0
      after $AnimateAfter {set vw 1}
      vwait vw
      if {$aniflag == 0 && $WriteSnapsCheck == 1} {
        vtkRendererSource renSrc
          renSrc SetInput ren1
          renSrc WholeWindowOn
        vtkBMPWriter BMPwriter
          BMPwriter SetInput [renSrc GetOutput]
        if {$snapno <= 9} {
          BMPwriter SetFileName ${tmpdir}anim${twozeros}${snapno}${extensi}
          puts stdout "Writing snap: ${tmpdir}anim${twozeros}${snapno}${extensi} "
        } 
        if { ($snapno >= 10) &&  ($i <= 99)} {
          BMPwriter SetFileName ${tmpdir}anim${onezero}${snapno}${extensi}
          puts stdout "Writing snap: ${tmpdir}anim${onezero}${snapno}${extensi} "
        } 
          if { ($snapno >= 100)} {
            BMPwriter SetFileName ${tmpdir}anim${snapno}${extensi}
            puts stdout "Writing snap: ${tmpdir}anim${snapno}${extensi} "
          } 
        BMPwriter Write
        BMPwriter Delete
        renSrc Delete
        incr snapno 1
      }
      if {$AnimateLabelCheck} {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
         AnnotateText $i  
         set Annotated 1   
      } else {
         if {$Annotated} {
           AnnotateTextErase
           set Annotated 0
         }
      }
    }
    
    }
    set aniflag 1
  }
}




proc IndGen {np} {
  # Returns and indgen array in CurrentIndgen
  global CurrentIndgen
  # Remove the variable if it already exists.
  if {[info exists CurrentIndgen]} {
    unset CurrentIndgen
  }
  set CurrentIndgen(0) 0
  for {set i 0} {$i < $np} {incr i 1} {
    set CurrentIndgen($i) $i
  }
}

proc CombineLandmarks {} {
   # This procedure combines the currently set landmarks that are close to eachother.
   # maxlmIndex contains the maximum current landmark index.
   # lmCoord contains coordinates of all landmarks, set and not set.

   global lmCoord setarr NsetPoints dLimit maxNlandmarks maxlmIndex setbuttonvalue
   global setarrPrevious lmIndex

   proc UndoCombineLandmarks {} {
      # Undo the combine by switching lmCoord with lmCoordPrevious and 
      # setarr with setarrPrevious.
      global lmCoord setarr lmCoordPrevious setarrPrevious maxNlandmarks setbuttonvalue
      global lmIndex
      for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
        set setarr($i) $setarrPrevious($i)
      }
      for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
        if {$setarr($i) == 1} {
          set xyz [lmCoordPrevious GetPoint $i]
          set xp [lindex $xyz 0] 
          set yp [lindex $xyz 1]
          set zp [lindex $xyz 2]
          lmCoord InsertPoint $i $xp $yp $zp
          set lmIndex $i
          ####SetIndex $i
          #.f.i set $i
          #set setbuttonvalue 1
          #.f.set select
          #lmsphereActor$i VisibilityOn
          SetSetLandmark
          SetSetPos
          #renWin Render
        }
      }   

   }
   #set fileId [open D:/tron/vtk/test.txt w]    
   set setarrPrevious(0) 0
   set jarr(0) 1
   for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
     set setarrPrevious($i) $setarr($i)
     set jarr($i) 1
   }   
   set np [lmCoord GetNumberOfPoints]
   IndGen $np
   
   for {set i 0} {$i < $np} {incr i 1} {
      set xyz [lmCoord GetPoint $i]
      set xp [lindex $xyz 0] 
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2]
      lmCoordPrevious InsertPoint $i $xp $yp $zp
   }
   
   for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
      set xyzi [lmCoord GetPoint $i]
      set xpi [lindex $xyzi 0] 
      set ypi [lindex $xyzi 1]
      set zpi [lindex $xyzi 2] 
      set sumx $xpi
      set sumy $ypi
      set sumz $zpi
      set nsum 1
      if {$i != $maxlmIndex} {
        set jj [expr $i+1]
      } else {
        set jj $i
      }
      for {set j $jj} {$j <= $maxlmIndex} {incr j 1} {

         if {($setarr($j) != 0) && ($jarr($i) != 0) && ($jarr($j) != 0) && ($i != $j)} {
         
           set xyzj [lmCoord GetPoint $j]
           set xpj [lindex $xyzj 0] 
           set ypj [lindex $xyzj 1]
           set zpj [lindex $xyzj 2] 
           set xdist [expr abs($xpj - $xpi)]
           set ydist [expr abs($ypj-$ypi)]
           set zdist [expr abs($zpj-$zpi)]
           set dist [expr sqrt($xdist*$xdist + $ydist*$ydist + $zdist*$zdist)]
           #puts $fileId $maxlmIndex
           if {$dist < $dLimit} {
             set sumx [expr $sumx + $xpj]
             set sumy [expr $sumy + $ypj]
             set sumz [expr $sumz + $zpj]
             set jarr($j) 0
             #set jarr($i) 0
             set setarr($j) 0
             incr nsum 1
           }
           
         }
      }
      set jarr($i) 0
      set sumx [expr $sumx/$nsum]
      set sumy [expr $sumy/$nsum]
      set sumz [expr $sumz/$nsum]
      lmCoord InsertPoint $i $sumx $sumy $sumz
   }
    # Show the landmarks.
    for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
      set xyz [lmCoord GetPoint $i]
      set xp [lindex $xyz 0] 
      set yp [lindex $xyz 1] 
      set zp [lindex $xyz 2] 
      lmsphere$i SetCenter $xp $yp $zp
      lmsphereActor$i VisibilityOn
      [lmsphereActor$i GetProperty] SetColor 1 1 1
      if {$setarr($i) == 1} {           
        .f.i set $i
        set setbuttonvalue 1  
        .f.set select
        SetSetLandmark
      } else {
        lmsphereActor$i VisibilityOff
        #.f.i set $i
        #set setbuttonvalue 0  
        #.f.set select
      }
      [lmsphereActor$i GetProperty] SetColor 1 0 0
      renWin Render
    }
   #close $fileId
   #lmCoordPrevious Delete
}

proc OpenFileAdditional {} {
  global oactorNum OpenAdditional FirstAnimation
  global DecimateSurfaceMenuOpen
  set OpenAdditional 1
  incr oactorNum 1
  OpenFile
}

proc OpenFileNoAdditional {} {
  global oactorNum OpenAdditional FirstAnimation
  global DecimateSurfaceMenuOpen deciFactor
  set OpenAdditional 0
  set oactorNum 0
  OpenFile
}


proc TurnOffAllOactors {} {
   global oactorNum
   #set fileId [open D:/tron/vtk/test.txt w]
   #puts $fileId $oactorNum
   #close $fileId
   for {set i 0} {$i <= $oactorNum} {incr i 1} {
     oactor$i VisibilityOff
   }
}

proc CreateScalarBarOld {} {
     # Create a scalar bar
     global oactorNum lowersr uppersr
     rmapper$oactorNum SetScalarRange $lowersr $uppersr
     vtkScalarBarActor scalarBar
     scalarBar SetLookupTable [rmapper$oactorNum GetLookupTable]
     scalarBar SetTitle " "
     #%#scalarBar SetShadow 1
     #%#scalarBar SetBold 1
     [scalarBar GetPositionCoordinate] SetCoordinateSystemToNormalizedViewport
     [scalarBar GetPositionCoordinate] SetValue 0.1 0.01
     scalarBar SetOrientationToHorizontal
     scalarBar SetMaximumNumberOfColors 256
     scalarBar SetWidth 0.8
     scalarBar SetHeight 0.11
}

proc CreateScalarBar {} {
     # Create a scalar bar
     global oactorNum lowersr uppersr ScalarBarOrientation
     rmapper$oactorNum SetScalarRange $lowersr $uppersr
     vtkScalarBarActor scalarBar
     scalarBar SetLookupTable [rmapper$oactorNum GetLookupTable]
     scalarBar SetTitle " "
     #%#scalarBar SetShadow 1
     #%#scalarBar SetBold 1
     [scalarBar GetPositionCoordinate] SetCoordinateSystemToNormalizedViewport
     if {$ScalarBarOrientation == "horizontal"} {
       [scalarBar GetPositionCoordinate] SetValue 0.1 0.01
       scalarBar SetOrientationToHorizontal
       scalarBar SetWidth 0.8
       scalarBar SetHeight 0.11
     }
     if {$ScalarBarOrientation == "vertical"} {
       [scalarBar GetPositionCoordinate] SetValue 0.02 0.15
       scalarBar SetOrientationToVertical
       scalarBar SetWidth 0.11
       scalarBar SetHeight 0.8
     }
     scalarBar SetMaximumNumberOfColors 256
     
     tpropScalar SetColor 0 0 0 
     tpropScalar ShadowOn
     tpropScalar BoldOn
     scalarBar SetLabelTextProperty tpropScalar
}



proc getfileColors {} {
      # Procedure to read a .clr color file.
      # The format of the .clr file is ASCII with one scalar on each line.
      global currentdir filename lut clrname existcolorfile
      global maxcol mincol 
      global SurfaceColorMaskHasBeenRead SurfaceColorMask
      set input [colorfileColors GetInput]
      set output [colorfileColors GetOutput]
      set numCells [$input GetNumberOfCells]

      #%#colors SetNumberOfScalars $numCells
      set fileId [open $clrname r]
      set c 0
      gets $fileId line
      gets $fileId line
      gets $fileId line
      
      while {([gets $fileId value] >= 0) && ($c < $numCells) } {
         if {$value < $mincol} {
            set mincol $value
         }
         if {$value > $maxcol} {
            set maxcol $value
         }
         #%#colors SetScalar $c $value
         if {$SurfaceColorMaskHasBeenRead} {
           ###colors InsertNextValue [expr -1.0* $value * $SurfaceColorMask($c)]
           colors InsertNextValue [expr $value * $SurfaceColorMask($c)]
         } else {
           colors InsertNextValue $value
         }
         incr c 1  
      }

      close $fileId
      [$output GetCellData] CopyScalarsOn
      [$output GetCellData] PassData [$input GetCellData]
      [$output GetCellData] SetScalars colors
      
      colorfileColors Delete
}

proc getfileColorsNegate {} {
      # Procedure to read a .clr color file.
      # The format of the .clr file is ASCII with one scalar on each line.
      global currentdir filename lut clrname existcolorfile
      global maxcol mincol 
      global SurfaceColorMaskHasBeenRead SurfaceColorMask
      set input [colorfileColors GetInput]
      set output [colorfileColors GetOutput]
      set numCells [$input GetNumberOfCells]
       

      #%#colors SetNumberOfScalars $numCells
      set fileId [open $clrname r]
      set c 0
      gets $fileId line
      gets $fileId line
      gets $fileId line
      
      while {([gets $fileId value] >= 0) && ($c < $numCells) } {
         if {$value < $mincol} {
            set mincol $value
         }
         if {$value > $maxcol} {
            set maxcol $value
         }
         #%#colors SetScalar $c $value
         if {$SurfaceColorMaskHasBeenRead} {
           colors InsertNextValue [expr -1.0 * $value * $SurfaceColorMask($c)]
           ##colors InsertNextValue [expr $value * $SurfaceColorMask($c)]
         } else {
           colors InsertNextValue [expr -1.0 * $value]
         }
         incr c 1  
      }

      close $fileId
      [$output GetCellData] CopyScalarsOn
      [$output GetCellData] PassData [$input GetCellData]
      [$output GetCellData] SetScalars colors
      
      colorfileColors Delete
}

proc getfileColorsZero {} {
      # Procedure to read a .clr color file.
      # The format of the .clr file is ASCII with one scalar on each line.
      global currentdir filename lut clrname existcolorfile
      global maxcol mincol 
      global SurfaceColorMaskHasBeenRead SurfaceColorMask
      set input [colorfileColors GetInput]
      set output [colorfileColors GetOutput]
      set numCells [$input GetNumberOfCells]

      #%#colors SetNumberOfScalars $numCells
      set fileId [open $clrname r]
      set c 0
      gets $fileId line
      gets $fileId line
      gets $fileId line
      
      while {([gets $fileId value] >= 0) && ($c < $numCells) } {
         if {$value < $mincol} {
            set mincol $value
         }
         if {$value > $maxcol} {
            set maxcol $value
         }
         #%#colors SetScalar $c $value
         if {$SurfaceColorMaskHasBeenRead} {
           ###colors InsertNextValue [expr -1.0* $value * $SurfaceColorMask($c)]
           ##colors InsertNextValue [expr $value * $SurfaceColorMask($c)]
           colors InsertNextValue 0.0
         } else {
           colors InsertNextValue 0.0
         }
         incr c 1  
      }

      close $fileId
      [$output GetCellData] CopyScalarsOn
      [$output GetCellData] PassData [$input GetCellData]
      [$output GetCellData] SetScalars colors
      
      colorfileColors Delete
}


proc getfileColorsAbsoluteValues {} {
      # Procedure to read a .clr color file.
      # The format of the .clr file is ASCII with one scalar on each line.
      global currentdir filename lut clrname existcolorfile
      global maxcol mincol 
      global SurfaceColorMaskHasBeenRead SurfaceColorMask
      set input [colorfileColors GetInput]
      set output [colorfileColors GetOutput]
      set numCells [$input GetNumberOfCells]

      #%#colors SetNumberOfScalars $numCells
      set fileId [open $clrname r]
      set c 0
      gets $fileId line
      gets $fileId line
      gets $fileId line
      
      while {([gets $fileId value] >= 0) && ($c < $numCells) } {
         if {$value < $mincol} {
            set mincol $value
         }
         if {$value > $maxcol} {
            set maxcol $value
         }
         #%#colors SetScalar $c $value
         if {$SurfaceColorMaskHasBeenRead} {
           ###colors InsertNextValue [expr -1.0* $value * $SurfaceColorMask($c)]
           colors InsertNextValue [expr abs($value) * $SurfaceColorMask($c)]
         } else {
           colors InsertNextValue [expr abs($value)]
         }
         incr c 1  
      }

      close $fileId
      [$output GetCellData] CopyScalarsOn
      [$output GetCellData] PassData [$input GetCellData]
      [$output GetCellData] SetScalars colors
      
      colorfileColors Delete
}



proc ReadSurfaceVectorFilesHedgeHog {infilename} {
  # NOT WORKING. (Shows vectors, but no colors. Lengt of vectors have not been varified).
  # Alternative: use glyphs?
  global lut
  global oactorNum
  global oactor$oactorNum
  global existcolorfile colortablename existScalarBar clrname colorfileread
  global lowersr uppersr maxcol mincol
  global currentdir
  global landmarker_home
  global SurfaceVectorFilesHaveBeenRead
  global negatecolors
  if { $infilename == "" } {return}
  if { $infilename != "" } {
     
     set currentdir [file dirname $infilename]
     if { [string match *.vx $infilename] } {
     
     set clrname $infilename
     # First fetch the 3 first lines.
          set fileId [open $infilename r]
     gets $fileId line
     if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in input file."
       return -1
     }
     set existcolorfile 1
     
     # Next line contains two scalars specifying the scalar range to be used.
     # NOTE: this may be used to put a maximum vector length to be shown.
     gets $fileId line
     set lowersr [lindex $line 0]
     set uppersr [lindex $line 1]  
     # Next line contains name of color table to be used (don't need it nere)
     gets $fileId line
     set colortablename [lindex $line 0]

      set numCells [PolyData GetNumberOfCells]

      vtkFloatArray vectorcolors

      set c 0   
      while {([gets $fileId value] >= 0) && ($c < $numCells) } {
         if {$value < $mincol} {
            set mincol $value
            set minwarn 1
         }
         if {$value > $maxcol} {
            set maxcol $value
            set maxwarn 1
         }
         surfacevectors SetNumberOfComponents 3
         set valuex $value
         set valuey $value
         set valuez $value

         surfacevectors InsertTuple3 $c $valuex $valuey $valuez
         vectorcolors InsertTuple1 $c $valuex
         incr c 1  
      }
      close $fileId
      if {$minwarn == 1} {
        puts stdout "WARNING: there were vectors shorter than minrange: some vector appear too long"
      }
      if {$maxwarn == 1} {
        puts stdout "WARNING: there were vectors longer than maxrange: some vector appear too short"
      }

      
      [PolyData GetPointData] SetVectors surfacevectors 
     
      LoadColorLUT $colortablename

      # Make the hedgehog.
      vtkHedgeHog hog
                  hog SetVectorModeToUseVector
         hog SetInput PolyData
      vtkPolyDataMapper hogmapper
         hogmapper SetInput [hog GetOutput]
         hogmapper SetScalarRange $lowersr $uppersr
         #hogmapper SetRange $lowersr $uppersr
         hogmapper SetLookupTable lut

      vtkActor hogactor
         hogactor SetMapper hogmapper
      ren1 AddActor hogactor
   }
  }
}

proc ReadSurfaceVectorFiles {infilename} {
  # Version using glyphs instead of hedgehog.
  global lut
  global oactorNum
  global oactor$oactorNum
  global existcolorfile colortablename existScalarBar clrname colorfileread
  global lowersr uppersr maxcol mincol
  global currentdir
  global landmarker_home
  global SurfaceVectorFilesHaveBeenRead
  global negatecolors
  if { $infilename == "" } {return}
  if { $infilename != "" } {
     
     set currentdir [file dirname $infilename]
     if { [string match *.vx $infilename] } {
     
     set clrname $infilename
     # First fetch the 3 first lines.
          set fileId [open $infilename r]
     gets $fileId line
     if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in input file."
       return -1
     }
     set existcolorfile 1
     
     # Next line contains two scalars specifying the scalar range to be used.
     # NOTE: this may be used to put a maximum vector length to be shown.
     gets $fileId line
     set lowersr [lindex $line 0]
     set uppersr [lindex $line 1]  
     # Next line contains name of color table to be used (don't need it nere)
     gets $fileId line
     set colortablename [lindex $line 0]

      set numCells [PolyData GetNumberOfCells]

      vtkFloatArray vectorcolors
      set minwarn 0
      set maxwarn 0
      set c 0   
      while {([gets $fileId value] >= 0) && ($c < $numCells) } {
         if {$value < $mincol} {
            set mincol $value
            set minwarn 1
         }
         if {$value > $maxcol} {
            set maxcol $value
            set maxwarn 1
         }
         surfacevectors SetNumberOfComponents 3
         set valuex $value
         set valuey $value
         set valuez $value

         surfacevectors InsertTuple3 $c $valuex $valuey $valuez
         vectorcolors InsertTuple1 $c $valuex
         incr c 1  
      }
      close $fileId
      if {$minwarn == 1} {
        puts stdout "WARNING: there were vectors shorter than minrange: some vectors appear too long"
      }
      if {$maxwarn == 1} {
        puts stdout "WARNING: there were vectors longer than maxrange: some vectors appear too short"
      }


      [PolyData GetPointData] SetVectors surfacevectors 

      vtkCellCenters cellcenters
         cellcenters SetInput PolyData
         cellcenters VertexCellsOn

      #vtkDataSetToPolyDataFilter polyfilt
      #   polyfilt SetInput [cellcenters GetOutput]

      #vtkPolyData testPoly
         #testPoly          
         #[testPoly GetPointData] SetVectors surfacevectors 
         #[testPoly GetPointData] SetSclars vectorcolors
         #testPoly Update

      #vtkUnstructuredGrid ugrid
      #   ugrid SetInput [cellcenters GetOutput]
      #   [ugrid GetPointData] SetVectors surfacevectors 

      ##[cellcenters GetPointData] SetVectors surfacevectors
      
     
      LoadColorLUT $colortablename

      vtkDelaunay2D dela
        dela SetInput [cellcenters GetOutput]

      vtkPolyData polyy
        polyy CopyStructure [dela GetOutput] 
            [polyy GetPointData] PassData [[dela GetOutput] GetPointData]
            polyy Modified
            polyy Update


      [polyy GetPointData] SetVectors surfacevectors 

      vtkPolyDataMapper delamap
           delamap SetInput polyy
      vtkActor delactor
           delactor SetMapper delamap
      ren1 AddActor delactor
      renWin Render


      # Make the glyphs.
      vtkLineSource glyphline
         glyphline SetPoint1 0 0 0
         glyphline SetPoint2 1 0 0
      vtkGlyph3D vectorglyph
         vectorglyph SetInput polyy
         vectorglyph SetSource [glyphline GetOutput]
         vectorglyph OrientOn
         vectorglyph SetVectorModeToUseVector
         vectorglyph SetColorModeToColorByVector
         vectorglyph Update 

      vtkPolyDataMapper vectorglyphmapper
         vectorglyphmapper SetInput [vectorglyph GetOutput]
         vectorglyphmapper SetScalarRange $lowersr $uppersr
         vectorglyphmapper SetLookupTable lut

      vtkActor vectorglyphactor
         vectorglyphactor SetMapper vectorglyphmapper
      ren1 AddActor vectorglyphactor

    }
  }
}







proc ReadLandmarkColors {infilename} {
  
  global oactorNum 
  global colortablename existScalarBar lclrname lcolorfileread
  global lowersr uppersr maxcol mincol
  global currentdir
  global landmarker_home
  global harr sarr varr
  global redcolarr greencolarr bluecolarr
  global landmarkcolors_read
  global existScalarBar
  global ReadScalarColors_keep_pointScalars 

  if { $infilename == "" } {return}
  if { $infilename != "" } {
     
     set currentdir [file dirname $infilename]
     if { [string match *.lclr $infilename] } {
     
     set lclrname $infilename
     # First fetch the 3 first lines.
          set fileId [open $infilename r]
     gets $fileId line
     if {$line != "# LANDMARKER LANDMARK SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in .lclr file."
       return -1
     }
          
     # Next line contains two scalars specifying the scalar range to be used.
     gets $fileId line
     set lowersr [lindex $line 0]
     set uppersr [lindex $line 1] 
     set losr $lowersr
     set upsr $uppersr 
     # Next line contains name of color table to be used.
     gets $fileId line
     set colortablename [lindex $line 0]
     set coltab $colortablename

     LoadColorLUT $colortablename
           } else {
          puts "Can't read this file: $colortablename"
          return
      }
      # Change colors of the landmarks.
      set c 0
      set range [expr $uppersr - $lowersr]
      while {[gets $fileId value] >= 0 } {
         set fraction [expr ( $value - $lowersr ) / $range]
         set lookup [expr round($fraction * 255)]
         puts stdout "fraction lookup $fraction $lookup"
         set redcolarr($c) $harr($lookup)
         set greencolarr($c) $sarr($lookup) 
         set bluecolarr($c) $varr($lookup)         
        [lmsphereActor$c GetProperty] SetColor $redcolarr($c) $greencolarr($c) $bluecolarr($c) 
     incr c 1  
     }
     close $fileId 
     set lcolorfileread 1
     set landmarkcolors_read 1
     
     
     # Read conrod and a color file
     ReadSurfaceFile "${landmarker_home}conrod.stl"
     ScalePolyData 0.0001 0.0001 0.0001
     set ReadScalarColors_keep_pointScalars 1
     ReadScalarColors "${landmarker_home}conrod_clr.clr"

     LoadColorLUT $coltab
           
       rmapper$oactorNum Delete
       vtkPolyDataMapper rmapper$oactorNum
          rmapper$oactorNum SetLookupTable lut
          rmapper$oactorNum SetInput [pointScalars GetPolyDataOutput]
          rmapper$oactorNum SetScalarRange $losr $upsr
          rmapper$oactorNum SetScalarModeToUsePointData

       puts "lowersr uppersr $lowersr $uppersr"
               
       if {$existScalarBar == 0} {
         CreateScalarBar
         ren1 AddActor2D scalarBar 
         set existScalarBar 1
       }
       oactor$oactorNum SetMapper rmapper$oactorNum
       scalarBar SetLookupTable [rmapper$oactorNum GetLookupTable]

       scalarBar SetNumberOfLabels 7
       renWin Render
     
       pointScalars Delete
       set ReadScalarColors_keep_pointScalars 0

     }
}



proc ReadScalarColors {infilename} {
  
  global oactorNum
  global oactor$oactorNum
  global existcolorfile colortablename existScalarBar clrname colorfileread
  global lowersr uppersr maxcol mincol
  global currentdir
  global landmarker_home
  global SurfaceColorMask SurfaceColorMaskHasBeenRead
  global negatecolors
  global abscolors zerocolors
  global ReadScalarColors_keep_pointScalars 
  global ScalarBarOrientation ScalarBarNumberOfLabels

  if { $infilename == "" } {return}
  if { $infilename != "" } {

  puts stdout "##############&&&&&&&&&&&&&&&%%%%%%%%%%%%%%%%%%"
     puts stdout $infilename   
     set currentdir [file dirname $infilename]
     ##set infilename "C:/tron/projects/emma/ForTrondevia_copies/1devia_copies_vs_nonaffect_mean/bi_d_max.clr"
     
     ####if { [string match *.clr $infilename] } {
       puts stdout "hhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh"
       set clrname $infilename
       # First fetch the 3 first lines.
       set fileId [open $infilename r]
       gets $fileId line
       if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
          notify_error "Did not find expected header information in .clr file."
          return -1
       }
       set existcolorfile 1
     
       # Next line contains two scalars specifying the scalar range to be used.
       gets $fileId line
       set lowersr [lindex $line 0]
       set uppersr [lindex $line 1]  
       # Next line contains name of color table to be used.
       gets $fileId line
       set colortablename [lindex $line 0]
       close $fileId

       LoadColorLUT $colortablename

       #set numInPolys [[PolyData GetOutput] GetNumberOfCells]
       #notify $numInPolys "Number of Polygons "
       #set NumberOfNodes [PolyData GetNumberOfPoints]


       vtkProgrammableAttributeDataFilter colorfileColors
          colorfileColors SetInput PolyData 
       if {$colorfileread == 1} {
            colors Delete
       }
    
       vtkFloatArray colors  
       if {$abscolors} {
          colorfileColors SetExecuteMethod getfileColorsAbsoluteValues  
       } else {
          if {$negatecolors} {
            colorfileColors SetExecuteMethod getfileColorsNegate 
          } else {
            colorfileColors SetExecuteMethod getfileColors 
          }
       }
       if {$zerocolors} {
          colorfileColors SetExecuteMethod getfileColorsZero
       } 

       set colorfileread 1
       vtkCellDataToPointData pointScalars
          pointScalars SetInput [colorfileColors GetOutput]
          pointScalars PassCellDataOn

       # ! Should only delete the mapper if it exists... fix later.
       rmapper$oactorNum Delete
       vtkPolyDataMapper rmapper$oactorNum
          rmapper$oactorNum SetLookupTable lut
          rmapper$oactorNum SetInput [pointScalars GetPolyDataOutput]
          rmapper$oactorNum SetScalarRange $lowersr $uppersr
          #eval rmapper$oactorNum SetScalarRange [[colorfileColors GetPolyDataOutput] GetScalarRange]
          rmapper$oactorNum SetScalarModeToUsePointData

       if {$ReadScalarColors_keep_pointScalars == 0 } {
          pointScalars Delete
       }

       if {$existScalarBar == 0} {
         CreateScalarBar
         ren1 AddActor2D scalarBar 
         set existScalarBar 1
       }
       oactor$oactorNum SetMapper rmapper$oactorNum
       scalarBar SetLookupTable [rmapper$oactorNum GetLookupTable]


       # ! Should only delete the actor if it exists... fix later.
       oactor$oactorNum Delete
       vtkActor oactor$oactorNum
     
       oactor$oactorNum SetMapper rmapper$oactorNum

       ren1 AddActor oactor$oactorNum
       scalarBar SetNumberOfLabels $ScalarBarNumberOfLabels
       renWin Render

       ApplyProperties
       ####DefaultProperties
 
       ###} else {
       ###    puts "Can't read this file: $infilename"
       ###    return
       ###}
  }
}



proc ReadSurfaceColorMask {infilename} {
  global currentdir
  global landmarker_home
  global SurfaceColorMask SurfaceColorMaskHasBeenRead
  if { $infilename == "" } {return -1}
       
  set currentdir [file dirname $infilename]
       
     puts stdout "Reading color mask from $infilename"
     # First fetch the 3 first lines.
     set fileId [open $infilename r]
     gets $fileId line
     if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in .clr file."
       return -1
     }
          
     # Next two lines contains info we skip here
     gets $fileId line
     gets $fileId line

     # Read to the EOF, insert numbers into an array.
     set c 0
     set MaxValue 0.0
     while {[gets $fileId value] >= 0 } {
         set SurfaceColorMask($c) $value
         #colors InsertNextValue $value
         if {$value > $MaxValue} {set MaxValue $value}
         incr c 1  
     }
     close $fileId 
     if {$MaxValue > 1} {
        notify_error "Color Mask File must contain only 0s and 1s!"
        return -1
     }
     set SurfaceColorMaskHasBeenRead 1 
     puts stdout "Done reading color mask."

}


proc ReadSurfaceObjectMap {infilename} {
  global currentdir
  global landmarker_home
  global SurfaceObjectMap SurfaceObjectMapHasBeenRead SurfaceObjectMapMaxValue
  if { $infilename == "" } {return -1}
       
  set currentdir [file dirname $infilename]
       
     puts stdout "Reading object map from $infilename"
     # First fetch the 3 first lines.
     set fileId [open $infilename r]
     gets $fileId line
     if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in .clr file."
       return -1
     }
          
     # Next two lines contains info we skip here
     gets $fileId line
     gets $fileId line

     # Read to the EOF, insert numbers into an array.
     set c 0
     set SurfaceObjectMapMaxValue 0.0
     while {[gets $fileId value] >= 0 } {
         set SurfaceObjectMap($c) $value
         #colors InsertNextValue $value
         if {$value > $SurfaceObjectMapMaxValue} {set SurfaceObjectMapMaxValue $value}
         incr c 1  
     }
     close $fileId 
     set SurfaceObjectMapHasBeenRead 1 
     puts stdout "Done reading object map."

}

proc LoadColorFileAsSurfaceColorMask {} {
  # In order to get functionality of subdividing a surface according to cell indexes.
  # We read a SurfaceColorMask - which we keep in same format as a .clr file.
  # It contains 0 and 1 only.  Will be used to multiply on scalar color files subsequently loaded.
  # Read a file (.clr) containing scalar colors for the surface.  Called from menu.
  global currentdir infilename existcolorfile colortablename existScalarBar clrname colorfileread
  global SurfaceColorMask SurfaceColorMaskHasBeenRead
   set types {
        {{Surface Color Mask File}                   {.clr}        }       
    }
  set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
  ReadSurfaceColorMask $infilename
}


proc LoadColorFileAsSurfaceObjectMap {} {
  # In order to get functionality of subdividing a surface according to cell indexes.
  # We read a SurfaceObjectMap - which we keep in same format as a .clr file.
  # It contains integers: 0 to n-1 for n objects.
  # Currently we do not actually split the surface acoording to the object map (that's
  # something for the future) but we use the object map to get information about colors
  # in subregions.
  # Read a file (.clr) containing scalar colors for the surface.  Called from menu.
  global currentdir infilename existcolorfile colortablename existScalarBar clrname colorfileread
  global SurfaceObjectMap SurfaceObjectMapHasBeenRead SurfaceObjectMapMaxValue
   set types {
        {{Surface Objectmap File}                   {.clr}        }       
    }
  set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
  ReadSurfaceObjectMap $infilename
}

proc LoadSurfaceVectorFiles {} {
  # Read thress files (.vx, .vy and .vz) containing flow vector components for each triangle.  Format as in a .crl file. Called from menu.
  global oactorNum
  global oactor$oactorNum
  global currentdir infilename existcolorfile colortablename existScalarBar clrname colorfileread
  global lowersr uppersr maxcol mincol
  global SurfaceVectorFilesHaveBeenRead
  global negatecolors
   set types {
        {{Load Surface Vector Files}                   {.vx}        }       
    }
  set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
  ReadSurfaceVectorFiles $infilename
}



proc LoadScalarColors {} {
  # Read a file (.clr) containing scalar colors for the surface.  Called from menu.
  global oactorNum
  global oactor$oactorNum
  global currentdir infilename existcolorfile colortablename existScalarBar clrname colorfileread
  global lowersr uppersr maxcol mincol
  global SurfaceColorMask SurfaceColorMaskHasBeenRead
  global negatecolors
  global abscolors
  global ReadScalarColors_keep_pointScalars
  global ScalarBarOrientation ScalarBarNumberOfLabels
   set types {
        {{Surface Color File}                   {.clr}        }       
    }
  set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
  ReadScalarColors $infilename
}

proc LoadLandmarkColors {} {
  # Read a file (.lclr) containing scalar colors for the landmarks.  Called from menu.
  global currentdir infilename existcolorfile colortablename existScalarBar lclrname lcolorfileread
  global lowersr uppersr maxcol mincol
  global harr sarr varr
  global landmarkcolors_read
  global existScalarBar
  global ReadScalarColors_keep_pointScalars
   set types {
        {{Landmark Color File}                   {.lclr}        }       
    }
  set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
  ReadLandmarkColors $infilename
}


proc OpenAnimationFile {} {
  # Read a file containing a list of surface file names.
  # Then animate them.
  global oactorNum AnimationFlag
  global oactor$oactorNum
  global OpenAdditional
  global indir
  global oactorname
  global currentdir
   set types {
        {{Surface Animation File}                   {.ani}        }       
    }
  set infilename [tk_getOpenFile -filetypes $types -initialdir $indir]
  if { $infilename == "" } {return}
  if { $infilename != "" } {
      set indir [file dirname $infilename]
      set currentdir $indir
      if { [string match *.ani $infilename] } {
          ReadAnimationFiles $infilename
      } else {
          puts stdout "Can't read this file: $infilename"
          return
      }
  }
}


proc ReadAnimationFiles {infilename} {
  global AnimationFlag oactorNum filename
  global OpenAdditional FirstAnimation
  global tfileId
  global oactorname
  global currentdir
  set AnimationFlag 1 
  set FirstAnimation 1 
  set fileId [open $infilename r]
     #set tfileId [open D:/tron/vtk/test.txt w]
   
  while {[gets $fileId filename] >= 0} {
 
    if {$FirstAnimation == 1} {
      #puts $tfileId "First"
      #puts $tfileId $oactorNum
      set FirstAnimation 0
      OpenFile
    } else {
      #puts $tfileId "NotFirst"
      #puts $tfileId $oactorNum
      OpenFileAdditional
    }    
  }
  #close $tfileId
}
 


# Procedure opens file and resets view
proc OpenFile {} {
    global renWin ren1 CurrentFilter sphereActor lmDiameter lmsphere0
    global oactorNum 
    global oactor$oactorNum rmapper$oactorNum oactorPoly$oactorNum
    global OpenAdditional
    global AnimationFlag infilename filename FirstAnimation clrname
    global currentdir
    global identityTransform
    global existcolorfile colortablename existScalarBar 
    global colorfileread
    global lowersr uppersr mincol maxcol
    global start_focalpoint start_cameraposition start_viewup first_model_flag view
    global filename
    global SurfaceFileHasBeenRead
    global NoUpdateViewOpenFile
    global UserInterface ReadSurfaceFile_CalledFromMenu 
    global DecimateSurfaceMenuOpen deciFactor
    global tmpdir
    global lastsurfacefilename
    global oactorname

    set types {
        {{Stereo-Lithography}                   {.stl}        }
        {{Visualization Toolkit (polygonal)}    {.vtk}        }
        {{Mvox (simple ASCII, (slow!))}         {.flex}       }
        {{BYU}                                  {.g}          }
        {{Cyberware (Laser Scanner)}            {.cyb}        }
        {{Marching Cubes}                       {.tri}        }
        {{Wavefront}                            {.obj}        }
        {{All Files }                           *             }
    }

    if {$AnimationFlag != 1} {
        set filename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
        set currentdir [file dirname $filename]
          if {$filename == ""} {
             return -1
          }
    }
  set ReadSurfaceFile_CalledFromMenu 1
  ReadSurfaceFile $filename
}

proc ReadSurfaceFile { filename } {
    global CurrentFilter sphereActor lmDiameter lmsphere0
    global oactorNum 
    global oactor$oactorNum rmapper$oactorNum oactorPoly$oactorNum
    global OpenAdditional
    global AnimationFlag infilename FirstAnimation clrname
    global currentdir
    global identityTransform
    global existcolorfile colortablename existScalarBar 
    global colorfileread
    global lowersr uppersr mincol maxcol
    global start_focalpoint start_cameraposition start_viewup first_model_flag view
    global SurfaceFileHasBeenRead
    global NoUpdateViewOpenFile
    global UserInterface ReadSurfaceFile_CalledFromMenu
    global ReadSurfaceFileNoDisplay
    global DecimateSurfaceMenuOpen
    global deciFactor
    global tmpdir
    global lastsurfacefilename
    global oactorname

    set filename [string trim $filename]
    set lastsurfacefilename $filename

    set oactorname($oactorNum) $filename

    puts stdout "oactorNum $oactorNum &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&"
    puts stdout "OpenAdditional $OpenAdditional &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&"

    puts stdout "OpenFile"
    puts stdout "oactorNum $oactorNum"
    if {$OpenAdditional} {
      if {! $ReadSurfaceFile_CalledFromMenu} {
        incr oactorNum 1
      }
    }

    proc RemoveAllOactors {} {
      global oactorNum tmpdir
      ##global oactor$oactorNum rmapper$oactorNum oactorPoly$oactorNum
      for {set i 0} {$i <= $oactorNum} {incr i 1} { 
        oactor$i VisibilityOff
        #oactor$i Delete   
        rmapper$i Delete
        oactorPoly$i Delete
        
        ##if {$oactorNum >= 1} {
            ren1 RemoveActor oactor$i
        ##} 
        oactor$i Delete
        puts stdout "RemoveAllOactors $i $oactorNum ##############################################"
      }
      set oactorNum 0   
    }

    if {! $OpenAdditional} {
      RemoveAllOactors  
    }

    set currentdir [file dirname $filename]
    if { $filename == "" } {
       notify_error "No such file"
       return -1
    }
        if { [info commands reader] != "" } {reader Delete}
        if { [string match *.g $filename] } {
            vtkBYUReader reader
            reader SetGeometryFileName $filename
        } elseif { [string match *.stl $filename] } {
            vtkSTLReader reader
            reader SetFileName $filename
        } elseif { [string match *.vtk $filename] } {
            vtkPolyDataReader reader
            reader SetFileName $filename
        } elseif { [string match *.flex $filename] } {
            ReadFlexSimpleAscii $filename
            vtkPolyDataReader reader
            set tempname "temp.vtk"
            reader SetFileName $tmpdir$tempname 
        } elseif { [string match *.cyb $filename] } {
            vtkCyberReader reader
            reader SetFileName $filename
        } elseif { [string match *.tri $filename] } {
            vtkMCubesReader reader
            reader SetFileName $filename
        } elseif { [string match *.obj $filename] } {
            vtkOBJReader reader
            reader SetFileName $filename
        } else {
            puts stdout "Can't read this file: $filename"
            return
        }

        ##########
        if {$oactorNum == 1} {
          PolyDataPrevious Delete
          vtkPolyData PolyDataPrevious
          # Put the object in PolyData into PolyDataPrevious
          PolyDataPrevious CopyStructure PolyData 
            [PolyDataPrevious GetPointData] PassData [PolyData GetPointData]
            PolyDataPrevious Modified
        }   
        ############

        # Put the newly read object into the variable PolyData
        PolyData Delete
        vtkPolyData PolyData

    # Important to call Update on the filter (reader) here!
    reader Update
    PolyData CopyStructure [reader GetOutput]
      [PolyData GetPointData] PassData [[reader GetOutput] GetPointData]
      PolyData Modified
      
      if {$UserInterface} {
        .menubar.mSurface entryconfigure 1 -state normal 
	  set filenametext "landmarker: [file tail $filename]"
	  wm title . $filenametext
      }

    # If the decimate menu is open then we decimate before display! (because sometimes the surface is too big to display).
    if {$DecimateSurfaceMenuOpen} {
      puts "Warning: decimating before render!"
      vtkDecimatePro deci
        deci SetInput PolyData   
        deci SetTargetReduction $deciFactor
        deci PreserveTopologyOn
        deci Update
          PolyData CopyStructure [deci GetOutput]
          [PolyData GetPointData] PassData [[deci GetOutput] GetPointData]
          PolyData Modified
          deci Delete
    }

   
       
    if {! $ReadSurfaceFileNoDisplay} {   
    
    ######################################
    # Before creating the mapper, check if there is a color (.clr) file.
    set incolfile [file rootname $filename]
    set clr_extension ".clr"
    set clrname $incolfile$clr_extension 
    set existcolorfile [file exists $clrname]
    ###################################### 

    ######################################
    # IF THE COLOR FILE EXISTS, READ IT
    if {$existcolorfile == 1} {   
      # Read the colors if the .clr file exists.

     # First fetch the 3 first lines.
     set fileId [open $clrname r]
     gets $fileId line
     if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in .clr file."
       return -1
     }
     # Next line contains two scalars specifying the scalar range to be used.
     gets $fileId line
     set lowersr [lindex $line 0]
     set uppersr [lindex $line 1]  
     # Next line contains name of color table to be used.
     gets $fileId line
     set colortablename [lindex $line 0]
     close $fileId

     LoadColorLUT $colortablename

     vtkProgrammableAttributeDataFilter colorfileColors
        ##colorfileColors SetInput [PolyData GetOutput]
        ##colorfileColors SetInput [PolyData GetPointData]
        ## HERE
        colorfileColors SetInput PolyData

     
     if {$colorfileread == 1} {
          colors Delete
     }
     vtkFloatArray colors     
        colorfileColors SetExecuteMethod getfileColors
     set colorfileread 1
       
     vtkCellDataToPointData pointScalars
        pointScalars SetInput [colorfileColors GetOutput]
        pointScalars PassCellDataOn

     vtkPolyDataMapper rmapper$oactorNum
        rmapper$oactorNum SetLookupTable lut
        rmapper$oactorNum SetInput [pointScalars GetPolyDataOutput]
        rmapper$oactorNum SetScalarRange $lowersr $uppersr
        rmapper$oactorNum SetScalarModeToUsePointData

     pointScalars Delete

     if {$existScalarBar == 0} {
        CreateScalarBar
        set existScalarBar 1
        ren1 AddActor2D scalarBar 
     }

       
       # Next 3 lines needed for ToggleNormals (normal smoothing)
       vtkTransformPolyDataFilter oactorPoly$oactorNum
       oactorPoly$oactorNum SetTransform identityTransform
       oactorPoly$oactorNum SetInput PolyData
    
    # END TREAT AN EXISTING COLOR FILE
    ##########################################

    } else {
       
    ################################
    # COLOR FILE DID NOT EXIST

       vtkPolyDataMapper rmapper$oactorNum
          rmapper$oactorNum ScalarVisibilityOff
          rmapper$oactorNum SetInput PolyData 
          #rmapper$oactorNum SetInput [PolyDataFilter GetOutput] 

       ####!!!!!!!!!!!!!!!##################
       # Next 3 lines needed for ToggleNormals (normal smoothing)
       vtkTransformPolyDataFilter oactorPoly$oactorNum
       oactorPoly$oactorNum SetTransform identityTransform
       oactorPoly$oactorNum SetInput PolyData
       ###!!!!!!!!!!!!!!!##################

       # Compute normals (this step not really needed if surface created by contour filter).
       normals Delete
       vtkPolyDataNormals normals
         normals SetInput [ oactorPoly$oactorNum GetOutput]
       rmapper$oactorNum SetInput [normals GetOutput] 
    }
    vtkActor oactor$oactorNum

    oactor$oactorNum SetMapper rmapper$oactorNum
    ##rmapper$oactorNum ScalarVisibilityOff
    #[oactor$oactorNum GetProperty] SetColor 1 1 1
    #[oactor$oactorNum GetProperty] SetAmbient 0.26
    #[oactor$oactorNum GetProperty] SetDiffuse 0.42
    #[oactor$oactorNum GetProperty] SetSpecular 0.26
    #[oactor$oactorNum GetProperty] SetSpecularPower 79.0
    [oactor$oactorNum GetProperty] SetColor 1 1 1
    [oactor$oactorNum GetProperty] SetAmbient 0.20
    [oactor$oactorNum GetProperty] SetDiffuse 0.40
    [oactor$oactorNum GetProperty] SetSpecular 0.20
    [oactor$oactorNum GetProperty] SetSpecularPower 50.0
    [oactor$oactorNum GetProperty] SetOpacity 1.0
    set Bounds [oactor$oactorNum GetBounds]
    set Xmin [lindex $Bounds 0] 
    set Xmax [lindex $Bounds 1] 
    set Ymin [lindex $Bounds 2] 
    set Ymax [lindex $Bounds 3] 
    set Zmin [lindex $Bounds 4] 
    set Zmax [lindex $Bounds 5] 
    set fact 0.015
    set lmDiameter [expr $fact * (($Xmax - $Xmin) + ($Ymax - $Ymin) + ($Zmax - $Zmin))/6.0]
    #set lmDiameter [expr $fact * (($Xmax - $Xmin) + ($Ymax - $Ymin) + ($Zmax - $Zmin))/9.0]
    lmsphere0 SetRadius $lmDiameter
           ren1 AddActor oactor$oactorNum
        if {! $SurfaceFileHasBeenRead} {
        if {$NoUpdateViewOpenFile} {
            ren1 ResetCamera
          }
        }
    # Following lines should only be used if input is not .vtk format (destroys normals from marching cubes).
    # !!! NOTE: Should make ToggleNormals work on all models.
    #    if {$OpenAdditional != 1} { 
    #      if {$existcolorfile != 1} {   
    #         .menubar.mOptions entryconfigure 4 -state normal
    #         UpdateGUI
    #         ToggleNormals
    #      } else {
    #         .menubar.mOptions entryconfigure 5 -state normal
    #         UpdateGUI
    #         ToggleColors
    #      }
    #    }
    if {$existcolorfile == 1} {
      scalarBar SetLookupTable [rmapper$oactorNum GetLookupTable]
      scalarBar SetNumberOfLabels 7
      ApplyProperties
    }
        renWin Render       
    
    #if {$AnimationFlag == 1} {  
    #  if {$OpenAdditional != 1} { 
    #    incr oactorNum 1
    #  }
    #}

  ####################################################################### 
  # # # ADD FOLLOWING LINES IF YOU WISH TO RENDER AT SPECIFIC SCALE # # #
  # DOES NOT WORK PROPERLY ##
    # Focal point should be center of rotation of object. Center ear point.
  ##  camera SetFocalPoint 100 100 100
  ##  camera SetClippingRange 0 200
    # Position of camera: x and y should be same as for Focalpoint.
  ##  camera SetPosition 100 100 0
  ##  camera ParallelProjectionOn
    # I do not know why 30 is a good value, but it worked for some test boxes.
  ##  camera SetParallelScale 60
  ##  camera ComputeViewPlaneNormal
  #######################################################################
  
## Here's how to get the display coodinates (in pixels) from a world coordinate.
##ren1 SetWorldPoint 2 2 1 1.0
##ren1 WorldToDisplay
##set DPoint [ren1 GetDisplayPoint]
##set dx [lindex $DPoint 0]
##set dy [lindex $DPoint 1]
##set dz [lindex $DPoint 2]
##notify $dx dx
##notify $dy dy
##notify $dz dz
#######################################################################



# Compute initial focal point and camera position for later use when changing views.
# BUT: only do it if it is the first time a model is loaded.
    if {$first_model_flag == 1} {
      set camera [ren1 GetActiveCamera]
      $camera ComputeViewPlaneNormal 
      set start_cameraposition [$camera GetPosition] 
      set start_focalpoint [$camera GetFocalPoint]
      set start_viewup [$camera GetViewUp]
      AddExtraLights
      ToggleExtraLights
    } 
    set first_model_flag 0
      #puts stdout "&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&"
      #puts stdout $start_focalpoint
      #puts stdout $start_cameraposition
      #puts stdout $start_viewup
    
if {! $NoUpdateViewOpenFile} {
  set view Front
  UpdateView Front
}

##renWin Render



#set camera [ren1 GetActiveCamera]
#camera GetClippingRange cr
#set near [lindex $cr 0]
#set far [lindex $cr 1]
#puts stdout $near
#puts stdout $far
#camera SetClippingRange 100 2000

#} 

set SurfaceFileHasBeenRead 1
set ReadSurfaceFile_CalledFromMenu 0
set ReadSurfaceFileNoDisplay 0

# Set the title of the surface window.  Get rid of the directory name.

set tail [file tail $filename]
renWin SetWindowName $tail  


# This exmaple shows how to get a tuple from a vtkPolyData. Not really!  
#     set nPoly [PolyData GetNumberOfCells]
#     vtkFloatArray yyy
#        yyy SetNumberOfComponents 3
#        yyy SetNumberOfTuples $nPoly   
#        set yyy [PolyData GetCell 5]  
#        ##set yyy [PolyData GetVerts]  ### Also returns the normals!!! 
#        ##set yyy [PolyData GetPolys]  ### Returns the normals!!!
#        for {set i 0} {$i <= 20} {incr i 1} { 
#          set tup0 [yyy GetTuple3 $i]
#          puts stdout "tupp0: $tup0"
#        }


}

proc ReadFlexSimpleAscii {filename} {
   # Read an Mvox polygon file in Simple ascii format.
   # Does not currently handle color (ignores if present in file).
   # Also, can currently only read files containing one object.
   # Ignores subsequent objects (but puts up a warning) if present.
   # Reads point coordinates of the polygons and the corresponding point normals.
   global tmpdir   

   set fileId [open $filename r]
   # Read until end of header section.
   set endstring "BLOCK HEADER END"
   set nobjstring "NO OBJECTS"
   set asciistring "ASCII DATA"
   set formatstring "FORMAT"
   set nelementstring "NO ELEMENTS"
   set line " "
   set i 0
   set okformat 0
   while { (([gets $fileId line] >= 0) && ( ![string match *$endstring $line])) } {
      if {[string match "FLEX1" $line] } {
         set okformat 1
      }
      if {[string match *$nobjstring* $line] } {
         set nobj [lindex $line 3]
         if { $nobj != "1"} {
            notify_warning "More than 1 object found in flex file. Will read the first object only..."
         }
      }
      if {[string match *$asciistring* $line] } {
         set ascii [lindex $line 3]
         if { $ascii != "YES"} {
            notify_warning "Sorry, cant read binary flex format. Please convert to ASCII."
         }
      }
      if {[string match *$formatstring* $line] } {
         set indexed [lindex $line 2]
         if { $indexed != "YES"} {
            notify_warning "Sorry, cant read indexed block flex format. Please convert to simple format."
         }
      }
      if {[string match *$nelementstring* $line] } {
         set nelements [lindex $line 3]
      }
      incr i 1
   }
   set nheadlines $i
   if { $okformat != 1 } {
     notify_error "File not recognized as Mvox simple flex ascii format!"
   } else {
     # Continue reading body of file.
     set ncoord [expr $nelements * 3]
     set tempname "temp.vtk"
     set fileIdout [open $tmpdir$tempname w]
     set space " "
     puts $fileIdout "# vtk DataFile Version 3.0"
     puts $fileIdout "vtk output"
     puts $fileIdout "ASCII"
     puts $fileIdout "DATASET POLYDATA"
     puts $fileIdout [concat POINTS $ncoord float]

     set i 0
     while { ([gets $fileId line] >= 0) } {
       set p1 [lrange $line 0 2]
       set p2 [lrange $line 4 6]
       set p3 [lrange $line 8 10]
       puts $fileIdout $p1$space$p2$space$p3    
       incr i 1
     }

   close $fileId  
   puts $fileIdout " "
   puts $fileIdout [concat POLYGONS $nelements [expr $nelements * 4]]
   for {set i 0} {$i < $ncoord} {incr i 3} {
      puts $fileIdout [concat 3 $i [expr $i + 1] [expr $i + 2]]
   }
   puts $fileIdout " "
   puts $fileIdout [concat POINT_DATA $ncoord]
   puts $fileIdout "NORMALS normals float"

   set fileId [open $filename r]
   for {set i 0} {$i < $nheadlines} {incr i 1} {
      gets $fileId line
   }
   while { ([gets $fileId line] >= 0) } {
       set n1 [lrange $line 12 14]
       set n2 [lrange $line 16 18]
       set n3 [lrange $line 20 22]
       puts $fileIdout $n1$space$n2$space$n3
       incr i 1
     }      
   close $fileId
   close $fileIdout
   }
}

proc SetColorLUT {colortablename} {
   # Procedure to call when menu option Change Surface Color Table is used.
   global lut
   global harr sarr varr
   lut Delete
   vtkLookupTable
   lut SetNumberOfColors 256
   lut Build
     # Read the an idl colortable from file (created by idl with write_ct).
     readIDLcolorLUTfile $colortablename  
}

proc LoadColorLUT {colortablename} {
   global lut
   global landmarker_home
   global app_type
   global harr sarr varr
   lut SetNumberOfColors 256
   lut Build
     # Read the an idl colortable from file (created by idl with write_ct).
     if {$app_type == "exe"} { 
       readIDLcolorLUTfile $colortablename 
     } else {
       readIDLcolorLUTfile $landmarker_home$colortablename 
     }
}

proc readIDLcolorLUTfile {colortablename} {
   global lut gammacorr
   global harr sarr varr
   # Read the specified IDL color table.
   # Naming is as with the IDL loadct command, however, converted to lower case, and spaces 
   # replaced by a minus sign.  E.g. 'B-W LINEAR' becomes 'b-w-linear'.
   set extension ".lut"
   set fileId [open $colortablename$extension r]
   # We assume there are always 256 colors.
   set ncols 256
   set i 0
   while {[gets $fileId line] >= 0} {
      set h [lindex $line 0]
      set s [lindex $line 1]
      set v [lindex $line 2]
      set harr($i) $h
      set sarr($i) $s
      set varr($i) $v
      incr i 1
   }
   close $fileId
   for {set i 0} {$i< $ncols} {incr i 1} {
      set up [expr $i / double($ncols)]
      set p pow($up,$gammacorr)
      set q [expr $ncols * $p]
      set q [expr int($q) ]
      set h $harr($q)
      set s $sarr($q)
      set v $varr($q)
      eval lut SetTableValue $i $h $s $v 1 
   }
}
 
proc ReadSimpleLm {infilename} {
  global inputPoints nPointsIn setarr
  global lmNameArr lmName
  global NamesOnly
  global redcolarr greencolarr bluecolarr opacitycolarr
  global max_set
  global landmarkcolors_read
  global AppendToPrevious previous_nPointsIn 
  
  if {$AppendToPrevious != 1} {
    if {$NamesOnly != 1} {
      inputPoints Delete
      vtkPoints inputPoints
    }
  }
  set fileId [open $infilename r]
 

  if {$AppendToPrevious != 1} {
    set nPointsIn 0
    set previous_nPointsIn 0
  } else {
    set previous_nPointsIn $nPointsIn
  }
  while {[gets $fileId line] >= 0} {
    set x [lindex $line 0]
    #puts stdout $line
    # Check if comment line: starts with a #
    set firstcharacter [string index $x 0]         
    if {$firstcharacter != "#"} {
      if {$NamesOnly != 1} {
        set y [lindex $line 1]
        set z [lindex $line 2]
        set lmName [lindex $line 3]
        set lmNameArr($nPointsIn) $lmName
        set v [lindex $line 4]
        if {$v != ""} {
          set setarr($nPointsIn) $v
          ##puts stdout "setarr $nPointsIn setarr($nPointsIn)"
        } else {
          set setarr($nPointsIn) 1
        }
        set rr [lindex $line 5]
        if {$rr != ""} {
          if {$nPointsIn == 0} {
            set landmarkcolors_read 1
          }
          set redcolarr($nPointsIn) $rr
        } else {
          set redcolarr($nPointsIn) 1.0
        }
        set gg [lindex $line 6]
        if {$gg != ""} {
          set greencolarr($nPointsIn) $gg
        } else {
          set greencolarr($nPointsIn) 0.0
        }
        set bb [lindex $line 7]
        if {$bb != ""} {
          set bluecolarr($nPointsIn) $bb
        } else {
          set bluecolarr($nPointsIn) 0.0
        }
        set oo [lindex $line 8]
        if {$oo != ""} {
          set opacitycolarr($nPointsIn) $oo
        } else {
          set opacitycolarr($nPointsIn) 1.0
        }

        inputPoints InsertPoint $nPointsIn $x $y $z
      } else {
        set v [lindex $line 3]
        set lmNameArr($nPointsIn) $v
      }
    incr nPointsIn 1
    }  
  }
  set max_set [ expr $nPointsIn - 1 ]
  close $fileId
  puts stdout "previous_nPointsIn nPointsIn in ReadSimpleLm $previous_nPointsIn $nPointsIn"
}

proc Read3dMDfhp {infilename} {
  # Read the "freehand points" created when landmarking in 3dMDpatient
  # Format is like this: Freehand Point (-72.987, 2.470, -67.285)

  global inputPoints nPointsIn setarr
  global lmNameArr lmName
  global NamesOnly
  global redcolarr greencolarr bluecolarr
  global max_set
  global landmarkcolors_read
  global AppendToPrevious previous_nPointsIn 
  
  if {$AppendToPrevious != 1} {
    if {$NamesOnly != 1} {
      inputPoints Delete
      vtkPoints inputPoints
    }
  }
  set fileId [open $infilename r]
 
  if {$AppendToPrevious != 1} {
    set nPointsIn 0
    set previous_nPointsIn 0
  } else {
    set previous_nPointsIn $nPointsIn
  }
  set nPointsIn 0
  while {[gets $fileId line] >= 0} {
    
    # Check if comment line: starts with a #
    set firstchar [lindex $line 0]
    set firstcharacter [string index $firstchar 0]         
    if {$firstcharacter != "#"} {

    # Split the read line
    set lin [split $line]
    set l0 [lindex $lin 0]
    set l1 [lindex $lin 1]
    set l2 [lindex $lin 2]
    set l3 [lindex $lin 3]
    set l4 [lindex $lin 4]
    set nc [llength $lin]
    puts stdout "nc $nc"
    if {$nc != 5} {
      puts stdout "ERROR: Unexpected input: fhp-file must have exactly 5 space-delimited words per line"
    }
    if {$l0 != "Freehand"} {
      puts stdout "ERROR: Unexpected input: first word in each line in fhp-file must be Freehand"
    }
    if {$l1 != "Point"} {
      puts stdout "ERROR: Unexpected input: second word in each line in fhp-file must be Point"
    }
    set slen [string length $l2]
    set slen [expr $slen - 2]
    set x [string range $l2 1 $slen]
    puts stdout "x $x" 
    set slen [string length $l3]
    set slen [expr $slen - 2]
    set y [string range $l3 0 $slen]
    puts stdout "y $y" 
    set slen [string length $l4]
    set slen [expr $slen - 2]
    set z [string range $l4 0 $slen]
    puts stdout "z $z" 
    inputPoints InsertPoint $nPointsIn $x $y $z
    set setarr($nPointsIn) "1"
    
    incr nPointsIn 1
    }  
  }
  set max_set [ expr $nPointsIn - 1 ]
  close $fileId
  puts stdout "previous_nPointsIn nPointsIn in ReadSimpleLm $previous_nPointsIn $nPointsIn"
}


proc ReadSimpleLm2d {infilename} {
  global inputPoints nPointsIn setarr
  global lmNameArr lmName
  global NamesOnly

  PropPicker Delete
  vtkPropPicker PropPicker

  if {$NamesOnly != 1} {
    inputPoints Delete
    vtkPoints inputPoints
  }
  set fileId [open $infilename r]
  set nPointsIn 0
  while {[gets $fileId line] >= 0} {
    set x [lindex $line 0]
    # Check if comment line: starts with a #
    set firstcharacter [string index $x 0]         
    if {$firstcharacter != "#"} {
      if {$NamesOnly != 1} {
        set y [lindex $line 1]
        puts stdout "x: $x"
        puts stdout "y: $y"
        set lmName [lindex $line 2]
        set lmNameArr($nPointsIn) $lmName
        set v [lindex $line 3]
        if {$v != ""} {
          set setarr($nPointsIn) $v
        } else {
          set setarr($nPointsIn) 1
        }
        PropPicker PickProp $x $y ren1
        set pp [PropPicker GetPickPosition]
        set xp [lindex $pp 0]
        set yp [lindex $pp 1]
        set zp [lindex $pp 2]
        puts stdout "xp: $xp"
        puts stdout "yp: $yp"
        inputPoints InsertPoint $nPointsIn $xp $yp $zp
      } else {
        set v [lindex $line 3]
        set lmNameArr($nPointsIn) $v
      }
    }
    incr nPointsIn 1
  }
  close $fileId
  set landmarkcolors_read 0
}


proc ReadLineCrvFile {infilename} {
  global lineCrvPoints linesegmentNum pNum
  global crv_flag 
  global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue lineCrvPointsOpacity
  global currentdir
  global lmDiameter tubeDiameterFactor
  global additional_crv_flag LineCrvFileHasBeenRead
  global tubeColorRed tubeColorGreen tubeColorBlue tubeColorOpacity
  set fileId [open $infilename r]
  set pNum 0
  global LineCrvFileHasBeenRead
  if {($additional_crv_flag == 0) && ($LineCrvFileHasBeenRead == 1)} {
     DeleteAllCurves
  }
     
  set previous_x -999.99
  set previous_y -999.99
  set previous_z -999.99
  set n_coincident 0
  while {[gets $fileId line] >= 0} {
      set x [lindex $line 0]
      set y [lindex $line 1]
      set z [lindex $line 2]
      if { (($x == $previous_x) && ($y == $previous_y) && ($z == $previous_z)) } {
         puts "WARNING: Found (and removed) coincident point in ReadLineCrvFile"
         puts stdout "x $x $previous_x"
         puts stdout "y $y $previous_y"
         puts stdout "z $z $previous_z"
         incr n_coincident 1
      } else {
        lineCrvPoints InsertPoint $pNum $x $y $z
        set dum [lindex $line 3]
        if {$dum != ""} { 
           set lineCrvPointsRed($pNum)  [lindex $line 3]
           set lineCrvPointsGreen($pNum) [lindex $line 4]
           set lineCrvPointsBlue($pNum) [lindex $line 5]
           set opa [lindex $line 6]
           if {$opa != ""} {
               set lineCrvPointsOpacity($pNum) $opa 
               #puts stdout "kkk"
           } else {
               set lineCrvPointsOpacity($pNum) 1.0
               #puts stdout "jjj"
           } 
           #puts stdout "opa $opa"
        } else {
           set lineCrvPointsRed($pNum) $tubeColorRed
           set lineCrvPointsGreen($pNum) $tubeColorGreen        
           set lineCrvPointsBlue($pNum) $tubeColorBlue
           set lineCrvPointsOpacity($pNum) $tubeColorOpacity
        }
     
        incr pNum 1
     
       
     }
     set previous_x $x
     set previous_y $y
     set previous_z $z
  }
  close $fileId
  if {$n_coincident != 0} {
    puts stdout "WARNING: found (and removed) $n_coincident points during read of curve."
  }
  set LineCrvFileHasBeenRead 1
  
  ShowLineCrv
}

proc ShowLineCrv {} { 
  global lineCrvPoints linesegmentNum pNum
  global crv_flag 
  global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue lineCrvPointsOpacity
  global currentdir
  global lmDiameter tubeDiameterFactor
  global additional_crv_flag LineCrvFileHasBeenRead
  global tubeColorRed tubeColorGreen tubeColorBlue tubeColorOpacity
    
    # Show the curve currently in lineCrvPoints as tube segments between the read points.
    for {set i 0} {$i < $pNum-1} {incr i 1} {
        set ip [expr $i + 1]
        set xyz [lineCrvPoints GetPoint $i]
        set xp [lindex $xyz 0] 
        set yp [lindex $xyz 1] 
        set zp [lindex $xyz 2] 
            set rr $lineCrvPointsRed($i)
            set gg $lineCrvPointsGreen($i)
            set bb $lineCrvPointsBlue($i)
            set oo $lineCrvPointsOpacity($i)        
        set xyz [lineCrvPoints GetPoint $ip]
        set xpp [lindex $xyz 0] 
        set ypp [lindex $xyz 1] 
        set zpp [lindex $xyz 2] 

    vtkPolyData curveData$linesegmentNum
    vtkPoints crvpoints$linesegmentNum
    vtkCellArray curvelines$linesegmentNum
        crvpoints$linesegmentNum InsertPoint 1 $xpp $ypp $zpp
        crvpoints$linesegmentNum InsertPoint 0 $xp $yp $zp
        curveData$linesegmentNum SetPoints crvpoints$linesegmentNum
        curveData$linesegmentNum SetLines curvelines$linesegmentNum
    
    
    curvelines$linesegmentNum InsertNextCell 2
        curvelines$linesegmentNum InsertCellPoint 0
        curvelines$linesegmentNum InsertCellPoint 1
    vtkTubeFilter curveTubes$linesegmentNum
        curveTubes$linesegmentNum SetNumberOfSides 6
        set curvetubeRadius [expr $lmDiameter / $tubeDiameterFactor]
        ###set curvetubeRadius [expr $lmDiameter ]
        curveTubes$linesegmentNum SetRadius $curvetubeRadius
        curveTubes$linesegmentNum SetInput curveData$linesegmentNum
    vtkPolyDataMapper curveMapper$linesegmentNum
        curveMapper$linesegmentNum SetInput [curveTubes$linesegmentNum GetOutput]
    vtkActor curvelineActor$linesegmentNum
        curvelineActor$linesegmentNum SetMapper curveMapper$linesegmentNum
        eval [curvelineActor$linesegmentNum GetProperty] SetDiffuseColor $rr $gg $bb
        [curvelineActor$linesegmentNum GetProperty] SetSpecular .3
        [curvelineActor$linesegmentNum GetProperty] SetSpecularPower 30
        [curvelineActor$linesegmentNum GetProperty] SetOpacity $oo

        curvelineActor$linesegmentNum PickableOff
        curvelineActor$linesegmentNum VisibilityOn

     curveData$linesegmentNum SetPoints crvpoints$linesegmentNum
     curveData$linesegmentNum SetLines curvelines$linesegmentNum
     curveTubes$linesegmentNum SetInput curveData$linesegmentNum
     curveMapper$linesegmentNum SetInput [curveTubes$linesegmentNum GetOutput]
     ren1 AddActor curvelineActor$linesegmentNum

         
        incr linesegmentNum 1
   }
   set crv_flag 0 
   #set cam1 [ren1 GetActiveCamera]
   #$cam1 Zoom 1.4
   #iren Initialize
   #ren1 ResetCamera
   renWin Render
}


proc ShowLineCrvInVolumeSlicer {} { 
  global lineCrvPoints linesegmentNum pNum
  global crv_flag 
  global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue lineCrvPointsOpacity
  global currentdir
  global lmDiameter tubeDiameterFactor
  global additional_crv_flag LineCrvFileHasBeenRead
  global tubeColorRed tubeColorGreen tubeColorBlue tubeColorOpacity
    
    # Show the curve currently in lineCrvPoints as tube segments between the read points.
    for {set i 0} {$i < $pNum-1} {incr i 1} {
        set ip [expr $i + 1]
        set xyz [lineCrvPoints GetPoint $i]
        set xp [lindex $xyz 0] 
        set yp [lindex $xyz 1] 
        set zp [lindex $xyz 2] 
            set rr $lineCrvPointsRed($i)
            set gg $lineCrvPointsGreen($i)
            set bb $lineCrvPointsBlue($i)
            set oo $lineCrvPointsOpacity($i)        
        set xyz [lineCrvPoints GetPoint $ip]
        set xpp [lindex $xyz 0] 
        set ypp [lindex $xyz 1] 
        set zpp [lindex $xyz 2] 

    vtkPolyData curveData$linesegmentNum
    vtkPoints crvpoints$linesegmentNum
    vtkCellArray curvelines$linesegmentNum
        crvpoints$linesegmentNum InsertPoint 1 $xpp $ypp $zpp
        crvpoints$linesegmentNum InsertPoint 0 $xp $yp $zp
        curveData$linesegmentNum SetPoints crvpoints$linesegmentNum
        curveData$linesegmentNum SetLines curvelines$linesegmentNum
    
    
    curvelines$linesegmentNum InsertNextCell 2
        curvelines$linesegmentNum InsertCellPoint 0
        curvelines$linesegmentNum InsertCellPoint 1
    vtkTubeFilter curveTubes$linesegmentNum
        curveTubes$linesegmentNum SetNumberOfSides 6
        set curvetubeRadius [expr $lmDiameter / $tubeDiameterFactor]
        ###set curvetubeRadius [expr $lmDiameter ]
        curveTubes$linesegmentNum SetRadius $curvetubeRadius
        curveTubes$linesegmentNum SetInput curveData$linesegmentNum
    vtkPolyDataMapper curveMapper$linesegmentNum
        curveMapper$linesegmentNum SetInput [curveTubes$linesegmentNum GetOutput]
    vtkActor curvelineActor$linesegmentNum
        curvelineActor$linesegmentNum SetMapper curveMapper$linesegmentNum
        eval [curvelineActor$linesegmentNum GetProperty] SetDiffuseColor $rr $gg $bb
        [curvelineActor$linesegmentNum GetProperty] SetSpecular .3
        [curvelineActor$linesegmentNum GetProperty] SetSpecularPower 30
        [curvelineActor$linesegmentNum GetProperty] SetOpacity $oo

        curvelineActor$linesegmentNum PickableOff
        curvelineActor$linesegmentNum VisibilityOn

     curveData$linesegmentNum SetPoints crvpoints$linesegmentNum
     curveData$linesegmentNum SetLines curvelines$linesegmentNum
     curveTubes$linesegmentNum SetInput curveData$linesegmentNum
     curveMapper$linesegmentNum SetInput [curveTubes$linesegmentNum GetOutput]
     ren2 AddActor curvelineActor$linesegmentNum

         
        incr linesegmentNum 1
   }
   set crv_flag 0 
   #set cam1 [ren1 GetActiveCamera]
   #$cam1 Zoom 1.4
   #iren Initialize
   #ren1 ResetCamera
   renWin2 Render
}





proc OpenLineCrvFileAdditional {} {
    # Read a linecurve file and show as lines between the points.
    global lineCrvPoints linesegmentNum
    global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue
    global currentdir 
    global crv_flag 
    global pNum
    global lmDiameter
    global LineCrvFileHasBeenRead
    global additional_crv_flag 
    set additional_crv_flag 1
    set types {       
        {{VTK Exported Spline Curve File}         {.txt2}        }
        {{Landmarker Exported Spline Curve File}  {.sln}         }
        {{Simple Colored Curve File}              {.crv}         }
        {{All Files }                              *             }
    }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    if { $infilename == "" } {return}
    if { $infilename != "" } {
        set currentdir [file dirname $infilename]
        if { [string match *.txt2 $infilename] } {
            ReadLineCrvFile $infilename
        } elseif { [string match *.sln $infilename] } {
            ReadLineCrvFile $infilename
        } elseif { [string match *.crv $infilename] } {
            set crv_flag 1
            ReadLineCrvFile $infilename
        } else {
            puts "Can't read this file: $infilename"
            return
        }
    }

}


proc OpenLineCrvFile {} {
    # Read a linecurve file and show as lines between the points.
    global lineCrvPoints linesegmentNum
    global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue
    global currentdir
    global crv_flag 
    global pNum
    global lmDiameter
    global additional_crv_flag
    global LineCrvFileHasBeenRead
    
    set additional_crv_flag 0
    set types {       
        {{VTK Exported Spline Curve File}         {.txt2}        }
        {{Landmarker Exported Spline Curve File}  {.sln}         }
        {{Simple Colored Curve File}              {.crv}         }
        {{All Files }                              *             }
    }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    if { $infilename == "" } {return}
    if { $infilename != "" } {
        set currentdir [file dirname $infilename]
        if { [string match *.txt2 $infilename] } {
            ReadLineCrvFile $infilename
        } elseif { [string match *.sln $infilename] } {
            ReadLineCrvFile $infilename
        } elseif { [string match *.crv $infilename] } {
            set crv_flag 1
            ReadLineCrvFile $infilename
        } else {
            puts stdout "Can't read this file: $infilename"
            return
        }
    }
    set LineCrvFileHasBeenRead 1
}

proc DeleteAllCurves {} {
# Delete all curves.
# Is done each time a curve is read (unless it is read additional).
  global LineCrvFileHasBeenRead
  global LineCrvFileHasBeenRead
  global lineCrvPoints linesegmentNum pNum
  global crv_flag # If 1 then first line specifies curve color.
  global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue 

  if {$LineCrvFileHasBeenRead == 0} {
    notify_error "No curve to delete!"
    return -1
  }
  set LineCrvFileHasBeenRead 0
  
  for {set i 0} {$i <= [expr $linesegmentNum - 1]} {incr i 1} {       
    curveData$i Delete
    crvpoints$i Delete
    curvelines$i Delete
    curveTubes$i Delete
    curveMapper$i Delete
    ren1 RemoveActor curvelineActor$i
    curvelineActor$i Delete
   }
   set crv_flag 0 
   set linesegmentNum 0
   renWin Render
}

proc CreateCurveTubeSegments {} {
# NOT USED.
# Tubes that are going to be used for showing a curve read from file.
global NsetPoints OutPointFactor numberOfSplinePoints maxTubePoint lmDiameter
global crv_read_file numberOfTubePoints

set numberOfTubePoints [expr $NsetPoints * $OutPointFactor]
  for {set i $maxTubePoint} {$i <= $numberOfTubePoints} {incr i 1} {
    set numm $i
    vtkPolyData profileData$numm
    vtkPoints crvpoints$numm
    vtkCellArray lines$numm
    #$lines$numm InsertNextCell $numberOfOutputPoints
    lines$numm InsertNextCell 2
    lines$numm InsertCellPoint 0
    lines$numm InsertCellPoint 1
    vtkTubeFilter profileTubes$numm
      profileTubes$numm SetNumberOfSides 8
      set tubeRadius [expr $lmDiameter /3.5]
      profileTubes$numm SetRadius $tubeRadius
    vtkPolyDataMapper profileMapper$numm
    vtkActor profile$numm
     profile$numm SetMapper profileMapper$numm
     eval  [profile$numm GetProperty] SetDiffuseColor 0.5 0.1 1.0
     [profile$numm GetProperty] SetSpecular .3
     [profile$numm GetProperty] SetSpecularPower 30
     profile$numm PickableOff
     profile$numm VisibilityOff
     profileData$numm SetPoints crvpoints$numm
     profileData$numm SetLines lines$numm
     profileTubes$numm SetInput profileData$numm
     profileMapper$numm SetInput [profileTubes$numm GetOutput]
     ren1 AddActor profile$numm
     set maxTubePoint [expr $numberOfTubePoints + 1]
  }
}


proc ReadMvoxLm {infilename} {
  global inputPoints nPointsIn setarr
  global lmNameArr lmName
  global NamesOnly
  global max_set
  global redcolarr greencolarr bluecolarr
  global landmarkcolors_read

  set fileId [open $infilename r]
  if {$NamesOnly != 1} {
    inputPoints Delete
    vtkPoints inputPoints
  }
  set nPointsIn 256

  # First 16 lines are supposed to be a header.
  # Should check that the header is OK (later...).
  gets $fileId line
  if {$line != "FLEX1"} {
    return -1
  }
  for {set i 1} {$i < 16} {incr i 1} {
    gets $fileId line
  }
  # Read 256 lines of coordinates.
  for {set i 0} {$i <= 255} {incr i 1} {
    gets $fileId line
    if {$NamesOnly != 1} {
      set x [lindex $line 0]
      set y [lindex $line 1]
      set z [lindex $line 2]   
      set lmName [lindex $line 0]
      set lmNameArr($nPointsIn) $lmName
      set redcolarr($i) 1.0
      set greencolarr($i) 0.0
      set bluecolarr($i) 0.0

      inputPoints InsertPoint $i $x $y $z
    }
  }
  # Read 5 info lines.
  for {set i 0} {$i <= 4} {incr i 1} {
    gets $fileId line
  }
  # Read 256 lines of set values.
  set max_set 0
  for {set i 0} {$i <= 255} {incr i 1} {
    gets $fileId line
    if {$NamesOnly != 1} {
      set v [lindex $line 0]
      set setarr($i) $v
      if {$setarr($i) == 1} {
        set nPointsIn [expr $i + 1]
        set max_set $i
      }
    }
  }
  #set st1 "\$setarr($i)= "
  #set st2 $setarr($i)
  #notify $st1$st2
  # Read 5 more info lines.
  for {set i 0} {$i <= 4} {incr i 1} {
    gets $fileId line
  }
  # Read 256 lines of names.
  for {set i 0} {$i <= 255} {incr i 1} {
    gets $fileId line
    set nam1 [lindex $line 0]
    set nam2 [lindex $line 1]   
    set v $nam1$nam2
    set lmNameArr($i) $v
    if {$NamesOnly == 1} {
      set lmName $v
    }
  }
  close $fileId
  set landmarkcolors_read 0
}








proc ReadMvoxLm_for_Append_NotWorking {infilename} {
  global inputPoints nPointsIn setarr
  global lmNameArr lmName
  global NamesOnly
  global max_set
  global redcolarr greencolarr bluecolarr
  global landmarkcolors_read
  global AppendToPrevious previous_nPointsIn TargetLandmarks
  set fileId [open $infilename r]
  if {$AppendToPrevious != 1} {
    if {$NamesOnly != 1} {
      inputPoints Delete
      vtkPoints inputPoints
    }
  }
  set nPointsIn 256

  if {$AppendToPrevious != 1} {
    set nPointsIn 0
    set previous_nPointsIn 0
  } else {
    set previous_nPointsIn $nPointsIn
  }

  # First 16 lines are supposed to be a header.
  # Should check that the header is OK (later...).
  gets $fileId line
  if {$line != "FLEX1"} {
    return -1
  }
  for {set i 1} {$i < 16} {incr i 1} {
    gets $fileId line
  }
  # Read 256 lines of coordinates.
  for {set i 0} {$i <= 255} {incr i 1} {
    gets $fileId line
    if {$NamesOnly != 1} {
      set x [lindex $line 0]
      set y [lindex $line 1]
      set z [lindex $line 2]   
      set lmName [lindex $line 0]
      set lmNameArr($nPointsIn) $lmName
      set redcolarr($nPointsIn) 1.0
      set greencolarr($nPointsIn) 0.0
      set bluecolarr($nPointsIn) 0.0

      inputPoints InsertPoint $nPointsIn $x $y $z
      incr nPointsIn 1
    }
  }
  set nPointsIn $previous_nPointsIn
  # Read 5 info lines.
  for {set i 0} {$i <= 4} {incr i 1} {
    gets $fileId line
  }
  # Read 256 lines of set values.
  set max_set 0
  for {set i 0} {$i <= 255} {incr i 1} {
    gets $fileId line
    

    if {$NamesOnly != 1} {
      set v [lindex $line 0]
      set setarr($nPointsIn) $v
      if {$setarr($nPointsIn) == 1} {
        ##set nPointsIn [expr $i + 1]
        set max_set $i
      }
    }
    incr nPointsIn 1
  }
  #set st1 "\$setarr($i)= "
  #set st2 $setarr($i)
  #notify $st1$st2
  # Read 5 more info lines.
  for {set i 0} {$i <= 4} {incr i 1} {
    gets $fileId line
  }
  set nPointsIn $previous_nPointsIn
  # Read 256 lines of names.
  for {set i 0} {$i <= 255} {incr i 1} {
    gets $fileId line
    set nam1 [lindex $line 0]
    set nam2 [lindex $line 1]   
    set v $nam1$nam2
    set lmNameArr($nPointsIn) $v
    if {$NamesOnly == 1} {
      set lmName $v
    }
    incr nPointsIn 1
  }
  close $fileId
  set landmarkcolors_read 0

  ##set max_set [ expr $nPointsIn - 1 ]
  set nPointsIn $max_set
  puts stdout "previous_nPointsIn nPointsIn in ReadMvoxLm $previous_nPointsIn $nPointsIn"
}

proc GetNameEntry {} {
  # Inserts landmark name when text has been written in the name entry field (after return).
  global lmNameArr lmName lmIndex
  set lmNameArr($lmIndex) $lmName
}

proc CloseLandmarkAnimateMenu {} {
      global n_landmark_filenames lmfilename lmCoNP underscore
      # Delete objects.
      for {set lmf 0} {$lmf < $n_landmark_filenames } {incr lmf 1} {
         set nlandmarks $lmCoNP($lmf)
         for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
           lmsphere$lmf$underscore$ii Delete
           ren1 RemoveActor lmsphereActor$lmf$underscore$ii 
           lmsphereActor$lmf$underscore$ii Delete    
           lmsphereMapper$lmf$underscore$ii Delete
         }
         lmCo$lmf Delete
      }
      DeleteAllSphereLandmarks
      wm withdraw .la
      destroy .la
      renWin Render
      .menubar.mFile entryconfigure 1 -state normal
      .menubar.mFile entryconfigure 2 -state normal
  }

proc readLandmarkFileList { infilename } {
     global landmark_filenames
     global n_landmark_filenames
     set listfilenameID [open $infilename r]
     set i 0
     while {[gets $listfilenameID line] >= 0} {
       set landmark_filenames($i) $line
       #puts stdout "landmark_filenames($i): $landmark_filenames($i)"
       incr i 1
     }
     #incr i -1
     set n_landmark_filenames $i
}

proc ReadManyLandmarkFiles {infilename} {
  global landmark_filenames
  global n_landmark_filenames
  global max_set
  global lmDiameter
  global lmCoNP
  global underscore
  global many_landmark_files_shown 
  global setarr
puts stdout "hhhhh"

readLandmarkFileList $infilename 

# Read the landmark files.
set underscore "_"
# Read the first landmark file the usual way: by use of ReadLandmarkFile
ReadLandmarkFile $landmark_filenames(0)
for {set lmf 0} {$lmf < $n_landmark_filenames } {incr lmf 1} {
    vtkPoints lmCo$lmf 
    set infilename $landmark_filenames($lmf) 

    if { $infilename == "" } {
    puts stdout "HEJJJ MED DIJ!"
    return   
    }
    if { $infilename != "" } {
        set indir [file dirname $infilename]
        if { [string match *.log $infilename] } {
            ReadSimpleLm $infilename
        } elseif { [string match *.log2 $infilename] } {
            ReadSimpleLm2d $infilename
        } elseif { [string match *.lm $infilename] } {
            ReadMvoxLm $infilename
        } else {
            puts stdout "Can't read this file: $infilename"
            return
        }
    }
    set lmCoNP($lmf) $max_set 
    for {set ii 0} {$ii <= $max_set } {incr ii 1} {

        set xyz [inputPoints GetPoint $ii]
        set xp [lindex $xyz 0] 
        set yp [lindex $xyz 1] 
        set zp [lindex $xyz 2] 
        set exi $setarr($ii)
        lmCo$lmf InsertPoint $ii $xp $yp $zp
        vtkSphereSource lmsphere$lmf$underscore$ii 
          lmsphere$lmf$underscore$ii SetRadius $lmDiameter
          lmsphere$lmf$underscore$ii SetCenter $xp $yp $zp
          lmsphere$lmf$underscore$ii SetThetaResolution 10
          lmsphere$lmf$underscore$ii SetPhiResolution 10
        vtkPolyDataMapper lmsphereMapper$lmf$underscore$ii 
          lmsphereMapper$lmf$underscore$ii SetInput [lmsphere$lmf$underscore$ii GetOutput]
        vtkActor lmsphereActor$lmf$underscore$ii 
          lmsphereActor$lmf$underscore$ii SetMapper lmsphereMapper$lmf$underscore$ii 
          [lmsphereActor$lmf$underscore$ii GetProperty] SetColor 0 0 1 
          if {$lmf == 0} {[lmsphereActor$lmf$underscore$ii GetProperty] SetColor 1 0 1 }
          if {$lmf == 1} {[lmsphereActor$lmf$underscore$ii GetProperty] SetColor 0 0 1 }
          if {$lmf == 2} {[lmsphereActor$lmf$underscore$ii GetProperty] SetColor 0 0 1 }
          if {$lmf == 3} {[lmsphereActor$lmf$underscore$ii GetProperty] SetColor 0 1 0 }
          if {$exi != 1} {[lmsphereActor$lmf$underscore$ii GetProperty] SetOpacity 0 }

          lmsphereActor$lmf$underscore$ii PickableOff
          lmsphereActor$lmf$underscore$ii VisibilityOn
        ren1 AddActor lmsphereActor$lmf$underscore$ii  
     }
}
CreateLandmarkAnimateMenu
} 

proc ShowAllLandmarks {} {
  global n_landmark_filenames lmCoNP
  global underscore lmfilename
  
  for {set lmf 0} {$lmf < $n_landmark_filenames } {incr lmf 1} {
    set nlandmarks $lmCoNP($lmf)
    for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
      lmsphereActor$lmf$underscore$ii VisibilityOn
    }
  }
  renWin Render
}


proc ShowAllLandmarksBlue {} {
  global n_landmark_filenames lmCoNP
  global underscore lmfilename
  
  for {set lmf 0} {$lmf < $n_landmark_filenames } {incr lmf 1} {
    set nlandmarks $lmCoNP($lmf)
    for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
      [lmsphereActor$lmf$underscore$ii GetProperty] SetColor 0 0 1
      lmsphereActor$lmf$underscore$ii VisibilityOn
    }
  }
  renWin Render
}

proc ShowAllLandmarksRandomColors {} {
  global n_landmark_filenames lmCoNP
  global underscore lmfilename maxNlandmarks
  # Create random colors array
  for {set ii 0} {$ii <= $maxNlandmarks} {incr ii 1} {
    set randcolR($ii) [expr rand()]
    set randcolG($ii) [expr rand()]
    set randcolB($ii) [expr rand()]
  }
  for {set lmf 0} {$lmf < $n_landmark_filenames } {incr lmf 1} {
    set nlandmarks $lmCoNP($lmf)
    for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
      [lmsphereActor$lmf$underscore$ii GetProperty] SetColor $randcolR($ii) $randcolG($ii) $randcolB($ii) 
      lmsphereActor$lmf$underscore$ii VisibilityOn
    }
  }
  renWin Render
}


proc CreateLandmarkAnimateMenu {} {
  global n_landmark_filenames lmfilename lmCoNP underscore
  
  toplevel .la
  wm title .la "Animate Landmarks"
  set lmfilename "test"
  label .la.l -textvariable lmfilename -text $lmfilename 
  set lmfile_i 1
  set n_landmark_filenames_minus1 [expr $n_landmark_filenames - 1]
  scale .la.i -from 0 -to $n_landmark_filenames_minus1 -background green \
	-orient horizontal -variable lmfile_i -command ShowLandmarkFile  
  .la.i set $lmfile_i
  pack .la.l .la.i
  button .la.showall -text  " Show All "  -foreground blue -command ShowAllLandmarks
  pack .la.showall -pady 5
  pack .la.l .la.i
  button .la.showallblue -text  " Show All Blue"  -foreground blue -command ShowAllLandmarksBlue
  pack .la.showallblue -pady 5

  button .la.showallrandom -text  " Show All With Random Colors"  -foreground blue -command ShowAllLandmarksRandomColors
  pack .la.showallrandom -pady 5
  button .la.close -text  " Close "  -foreground red -command CloseLandmarkAnimateMenu
  pack .la.close -pady 4
}

proc ShowLandmarkFile {dum} {
  global n_landmark_filenames lmfile_i lmCoNP
  global underscore landmark_filenames lmfilename

  AllLandmarksVisibilityOff
  ShowLandmarkFileI 
  set lmfilename $landmark_filenames($lmfile_i) 
  #puts stdout "lmfile_i: $lmfile_i"
}



proc AllLandmarksVisibilityOff {} {
  global n_landmark_filenames lmCoNP
  global underscore lmfilename
  for {set lmf 0} {$lmf < $n_landmark_filenames } {incr lmf 1} {
    set nlandmarks $lmCoNP($lmf)
    for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
      lmsphereActor$lmf$underscore$ii VisibilityOff
    }
  }
}

proc ShowLandmarkFileI {} {
  global n_landmark_filenames lmfile_i lmCoNP
  global underscore lmfilename
  AllLandmarksVisibilityOff  
  #puts stdout "lmfile_i: $lmfile_i"
  #puts stdout "File: $lmfilename"


  set nlandmarks $lmCoNP($lmfile_i)
  for {set ii 0} {$ii <= $nlandmarks} {incr ii 1} {
    
    lmsphereActor$lmfile_i$underscore$ii VisibilityOn
  }
renWin Render
}



proc OpenManyLandmarkFiles {} {
  # Read a file containing a list of landmark files and read and display them together.
  global currentdir landmarker_home indir
  global landmark_filenames
  global n_landmark_filenames
  global max_set
  global lmDiameter
  global lmCoNP
  global underscore
  global many_landmark_files_shown 
  global app_type
  puts stdout "khdsddsh"

  set types {   
    {{ASCII Text file containing names of landmark files}                {.txt}        }    
    {{All Files }                                                        *             }
  }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $infilename]
          if {$infilename == ""} {
             puts stdout "yyyyy"
             return -1
          }
  set many_landmark_files_shown 1
  ReadManyLandmarkFiles $infilename
}

proc GetLandmarkNamesFromFile {} {
  # Get landmark names from a file (a valid landmark file; read only name part).
  global NamesOnly
  set NamesOnly 1
  OpenLandmarkFile
}

proc OpenImageFile {} {
# Read an image file and display image in an image viewer.
    global currentdir
    global VolumeFileHasBeenRead
    global ImageFlipY ImageFlipYWarning
    global xpix ypix zpix sx sy sz bitpix
    global endian datatype
    global pixmin pixmax
    global hea_endian
    set types {   
        {{Landmarker Image File (ASCII header)}                {.hea}        }    
        {{Analyze 7.5 Image (use binary header)}               {.hdr}        }
        {{VFF file)}                                           {.vff}        }
        {{TIF file (2D))}                                      {.tif}        }
        {{BMP file (2D))}                                      {.bmp}        }
        {{All Files }                           *             }
    }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    if { $infilename == "" } {return}
    if { $infilename != "" } {
        if {$ImageFlipYWarning} {
           ##notify_respond "ImageFlipY is set to $ImageFlipY . OK?"
           set answer [notify_respond_yesno "ImageFlipY is set to $ImageFlipY . OK?"]
           puts stdout "answer $answer"
           if {$answer == "no"} {
              if {$ImageFlipY == 1} {
                 set ImageFlipY 0
              } else {
                 set ImageFlipY 1
              }   
           }
           if {$answer == "yes"} {
              if {$ImageFlipY == 1} {
                 set ImageFlipY 1
              } else {
                 set ImageFlipY 0
              }   
           }

        }
        puts stdout "ImageFlipY = $ImageFlipY"
        set currentdir [file dirname $infilename]
        if { [string match *.hdr $infilename] } {
            ReadAnalyzeImage $infilename
        } elseif { [string match *.hea $infilename] } {
            ReadAnalyzeImageASCII $infilename
        } elseif { [string match *.vff $infilename] } {
            ReadVFFImage $infilename
        } elseif { [string match *.tif $infilename] } {
            ReadTIForBMPImage $infilename
        } elseif { [string match *.TIF $infilename] } {
            ReadTIForBMPImage $infilename
        } elseif { [string match *.bmp $infilename] } {
            ReadTIForBMPImage $infilename
        } else {
            puts stdout "Can't read this file: $infilename"
            return
        }
    }
}

proc ReadTIForBMPImage {infilename} {
  global currentdir ImageNoRender app_type
  global landmarker_home
  global VolumeSlicerCursorCubeWidthXfactor VolumeSlicerCursorCubeWidthYfactor VolumeSlicerCursorCubeWidthZfactor
  global VolumeSlicerCursorCubeOpacity
  global lmDiameter SphereWidgetCreated 
  global VolumeSlicerWindowSizeX VolumeSlicerWindowSizeY

  set currentdir [file rootname $infilename]
    #set imgname $currentdir$img_extension

  if { [string match *.tif $infilename] || [string match *.TIF $infilename]  } {
     ##TIFFReader Delete 
     vtkTIFFReader ImageReader2D
     ImageReader2D SetFileName $infilename
     ImageReader2D SetOrientationType 4
  } elseif { [string match *.bmp $infilename] || [string match *.BMP $infilename]  } {
     ##BMPReader Delete 
     vtkBMPReader ImageReader2D 
     ImageReader2D SetFileName $infilename
  } else {
     puts stdout "File format not supported..."
  }

  



  # Put data into CurrentVolume
  vtkImageReslice CurrentVolume
     CurrentVolume SetInput [ImageReader2D GetOutput]

  set ncomp [ImageReader2D GetNumberOfScalarComponents]
  puts stdout "ncomp $ncomp"

  set bitpix2D 16
  if {$bitpix2D == 8} {
     set w 280
     set l 150
  } else {
     set w 70000
     set l 28000
  }
  
  #viewer Delete
  #vtkImageViewer viewer
  #viewer SetInput [CurrentVolume GetOutput]
  #set w [viewer GetColorWindow]
  #set l [viewer GetColorLevel]
  #puts stdout "window level $w $l"

  ##vtkImageData img
     ##img SetInputConnection [ImageReader2D GetOutput] NOTWORKING
          
  #set vals [[ CurrentVolume GetPointData ] GetScalars]

  # make interface
  if {! $ImageNoRender} {
    set source_file "OpenVolumeSlicer2D.tcl"
    if {$app_type == "exe"} {
       source $source_file
    } else {
       source $landmarker_home$source_file
    }
  }
  
  # Next lines will open an AngleWidget. However it also kills the main landmarker menu! Why?
  #if {! $ImageNoRender} {
  #  set source_file "ImageViewer2D.tcl"
  #  if {$app_type == "exe"} {
  #     source $source_file
  #  } else {
  #     source $landmarker_home$source_file
  #  }
  #}

 

}

proc WriteAnalyzeImageASCII {outfilename} {
  global currentdir
  global VolumeFileHasBeenRead
  global ImageFlipY
  global xpix ypix zpix xs ys zs
  global endian
  global pixmin pixmax
  global bitpix datatype hea_endian

  if {! $VolumeFileHasBeenRead} {
    notify_error "No volume data to write!"
    return -1
  }

  #set extent [CurrentVolume GetOutputExtent]
  #   set ex0 [lindex $extent 0]
  #   set ex1 [lindex $extent 1]
  #   set ey0 [lindex $extent 2]
  #   set ey1 [lindex $extent 3]
   #  set ez0 [lindex $extent 4]
   #  set ez1 [lindex $extent 5]
   #  puts stdout "ex0 ex1 ey0 ey1 ez0 ez1 $ex0 $ex1 $ey0 $ey1 $ez0 $ez1" 

puts stdout "ImageFlipY $ImageFlipY"
###set ImageFlipY 1
  if {$ImageFlipY == 1} {
    # Flip volume BACK in y (was flipped at read, to show as in Mvox)
    vtkImageFlip temp
      temp SetInput [CurrentVolume GetOutput]
      temp SetFilteredAxis 1
  } else {
    vtkImageFlip temp
      temp SetInput [CurrentVolume GetOutput]
  }
puts stdout "Warning: ImageFlipY is set to $ImageFlipY"
###puts stdout "Warning: ImageFlipY was not taken into account when writing image!!!"

  vtkImageWriter imwriter

  imwriter SetInput [temp GetOutput]
  temp Delete
  ##imwriter SetInput [CurrentVolume GetOutput]

  imwriter SetFileDimensionality 3
  imwriter SetFileName $outfilename
  puts stdout "Writing $outfilename ..."
  imwriter DebugOn
  imwriter Write
  puts stdout "Done"
  imwriter Delete

  set hea_extension ".hea"
  set pos [string last "." $outfilename]
  set pos [expr $pos - 1]
  set nam [string range $outfilename 0 $pos]
  puts stdout $pos
  set heaoutfilename $nam$hea_extension
  puts stdout $heaoutfilename
  WriteHEAFile $heaoutfilename
}

proc WriteHEAFile {heaoutfilename} {
  # Write a .hea header file.
  global xpix ypix zpix xs ys zs bitpix
  global endian
  global pixmin pixmax
  global datatype hea_endian
  # Landmarker Image Data File Header V.1.0
  #FORMAT analyze7.5
  #DATATYPE 4
  #BITPIX 16
  #DIM     4   512   512    66
  #PIXDIM     0.0000000     0.6240000     0.6240000     4.0000000
  #MINMAX 0 2430
  #ENDIAN small_endian
  puts stdout "Writing $heaoutfilename"

  set fileId [open $heaoutfilename w]
  puts $fileId "# Landmarker Image Data File Header V.1.0"
  puts $fileId "FORMAT analyze7.5"
  puts $fileId "DATATYPE $datatype"
  puts $fileId "BITPIX $bitpix"
  puts $fileId "DIM 4 $xs $ys $zs"
  puts $fileId "PIXDIM 0.00 $xpix $ypix $zpix"
  puts $fileId "MINMAX $pixmin $pixmax"
  puts $fileId "ENDIAN $hea_endian"
  close $fileId


}



proc WriteVolumeFile {} {
# Write current volume to file.
    global currentdir
    global VolumeFileHasBeenRead
    global ImageFlipY
    global xpix ypix zpix sx sy sz bitpix
    global endian datatype
    global pixmin pixmax
    global hea_endian
    set types {   
        {{Landmarker Image File (+ header .hea)}                {.img}        }    
        {{All Files }                           *             }
    }
    set outfilename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    if { $outfilename == "" } {return}
    if { $outfilename != "" } {
        set currentdir $outfilename
        set currentdir [file dirname $outfilename]
        if { [string match *.img $outfilename] } {
            WriteAnalyzeImageASCII $outfilename
        } else {
            puts "Can't write this file format (only .hea currently supported)"
            return
        }
    }
}



proc ReadAnalyzeImage {infilename} {
  # NOTE: This routine can presently only read Analyze headers written in native
  # format, i.e. on the same type of machine as we now try to read it.  This is due
  # to the tcl command binary scan that cannot read floating point values unless native.
  global xpix ypix zpix xs ys zs
  global VolumeFileHasBeenRead
  global ImageFlipY
  global landmarker_home
  global pixmin pixmax bitpix endian
  global datatype
  global hea_endian
  global ImageNoRender
  global ForceBigEndianImageRead
  global app_type

  set source_file "vtkImageInclude.tcl"
  if {$app_type == "exe"} { 
    source $source_file
  } else {
    source $landmarker_home$source_file
  }
  set currentdir [file rootname $infilename]
  set img_extension ".img"
  set imgname $currentdir$img_extension
  imreader Delete
  vtkImageReader imreader
  # Get info from Analyze header
  set fileId [open $infilename r]
  set var [read $fileId 4]
  binary scan $var i hsize

  puts stdout ######################
  puts stdout "Reading image..."

  if { $hsize == 348 } {
    # We read the long integer 348 correctly.  Is written on native machine.
    set native 1        
  } else {
    # We did not read the long integer 348 correctly.  Possibly written on other machine.
    # Try to read it again.  (But: if ForceBigEndianImageRead is set, then we keep it as is...)
    if {$ForceBigEndianImageRead == 0} {
      close $fileId
      set fileId [open $infilename r]
      set var [read $fileId 4]
      binary scan $var I hsize
      if { $hsize == 348 } {
        # We read the long integer 348 correctly.  Is written on another machine.
        set native 0
      } else {
        # We did not read the long integer 348 correctly.  Not Analyze format.
        notify_error "Could not read file header. Possibly corrupt or non-Analyze format"
        return
      }           
    }
  }
  set xpix 1.0
  set ypix 1.0
  set zpix 1.0

  if { $native == 0 } { 
    notify_error "Analyze file must be in native format.  Try .hea or convert to native."
    return -1
    #set var [read $fileId 28]
    #set var [read $fileId 4]
    #binary scan $var I extent
    #set var [read $fileId 4]
    #set var [read $fileId 2]
    #binary scan $var S ndims
    #set var [read $fileId 2]
    #binary scan $var S xs
    #notify $xs xs
    #set var [read $fileId 2]
    #binary scan $var S ys
    #set var [read $fileId 2]
    #binary scan $var S zs
    #set var [read $fileId 22]
    #set var [read $fileId 2]
    #binary scan $var S datatype
    #set var [read $fileId 2]
    #binary scan $var S bitpix
    #set var [read $fileId 2]
    #set var [read $fileId 4]
    #set var [read $fileId 4]
    #binary scan $var f xpix
    #set var [read $fileId 4]
    #binary scan $var f ypix
    #set var [read $fileId 4]
    #binary scan $var f zpix
    #set xpix 1.0
    #set ypix 1.0
    #set zpix 1.0
    #imreader SetDataByteOrderToBigEndian
    #EditHeader
  } else {
    # Is in native format.
    puts stdout "native"
    set var [read $fileId 28]
    set var [read $fileId 4]
    binary scan $var i extent
    set var [read $fileId 4]
    set var [read $fileId 2]
    binary scan $var s ndims
    set var [read $fileId 2]
    binary scan $var s xs
    set var [read $fileId 2]
    binary scan $var s ys
    set var [read $fileId 2]
    binary scan $var s zs
    set var [read $fileId 22]
    set var [read $fileId 2]
    binary scan $var s datatype
    set var [read $fileId 2]
    binary scan $var s bitpix
    puts stdout "bitpix $bitpix"
    set var [read $fileId 2]
    set var [read $fileId 4]
    set var [read $fileId 4]
    binary scan $var f xpix
    puts stdout "xpix $xpix"
    set var [read $fileId 4]
    binary scan $var f ypix
    puts stdout "ypix $ypix"

    set var [read $fileId 4]
    binary scan $var f zpix

    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]
    set var [read $fileId 4]

    set var [read $fileId 4]
    binary scan $var i pixmax
    set var [read $fileId 4]
    binary scan $var i pixmin
    puts stdout "pixmin pixmax $pixmin $pixmax"
  }
  puts stdout "xs ys zs $xs $ys $zs"
  puts stdout "xpix ypix zpix $xpix $ypix $zpix"
  puts stdout "dataype $datatype"

    if {$pixmax < $pixmin} {
      notify_error "pixmax < pixmin!"
      return -1
    }
    if { ($xs < 0) || ($ys < 0) || ($zs < 0) || ($xs > 10000) || ($ys > 10000) || ($zs > 10000) } {
      notify_error "Image size is outside reasonable limits."
      return -1
    }


    if {($bitpix != 8) && ($bitpix != 16) } {
      notify_error "Sorry, image must be 8 or 16 bit in current landmarker implementation."
    }
  close $fileId
  set hx [expr $xs - 1 ]
  set hy [expr $ys - 1 ]
  set hz [expr $zs - 1 ]
  if {$ForceBigEndianImageRead} {
     imreader SetDataByteOrderToBigEndian
  } else {
     imreader SetDataByteOrderToLittleEndian
  }
  imreader SetFileDimensionality 3
  imreader SetDataExtent 0 $hx 0 $hy 0 $hz
  imreader SetDataSpacing $xpix $ypix $zpix
  imreader SetFileName $imgname
  imreader SetHeaderSize 0
  if {$bitpix == 16} {
    puts stdout "16 bit image"
    imreader SetDataScalarTypeToShort
  }
  if {$bitpix == 8} {
    puts stdout "8 bit image"
    imreader SetDataScalarTypeToUnsignedChar
  }

  #imreader SetDataMask 0x7fff
  #reader DebugOn
  #reader Update

  # Default for image flip changed 24 Feb 2006.  Now follow Analyze (patient)
  # Previously  we set as default that image is to be flipped in y (needed to fit with Mvox)
  
  if {$ImageFlipY == 1} {
  # Flip volume in y
  
  vtkImageFlip reslice1
    reslice1 SetInput [imreader GetOutput]
    reslice1 SetFilteredAxis 1
  }
  puts stdout "Warning: ImageFlipY is set to $ImageFlipY"

  # Put the volume into the current volume  
   if {$VolumeFileHasBeenRead} {
     CurrentVolume Delete
   }
   vtkImageReslice CurrentVolume
     if {$ImageFlipY} {
       CurrentVolume SetInput [reslice1 GetOutput]
     } else {
       CurrentVolume SetInput [imreader GetOutput]
     }

     set xsm1 [expr $xs - 1]
     set ysm1 [expr $ys - 1]
     set zsm1 [expr $zs - 1]
     CurrentVolume SetOutputExtent 0 $xsm1 0 $ysm1 0 $zsm1
     set extent [CurrentVolume GetOutputExtent]
     set ex0 [lindex $extent 0]
     set ex1 [lindex $extent 1]
     set ey0 [lindex $extent 2]
     set ey1 [lindex $extent 3]
     set ez0 [lindex $extent 4]
     set ez1 [lindex $extent 5]
     puts stdout "ex0 ex1 ey0 ey1 ez0 ez1 $ex0 $ex1 $ey0 $ey1 $ez0 $ez1" 

     CurrentVolume SetResliceTransform identityTransform

   # Also put a copy in PreviousVolume (for undo)
   vtkImageReslice PreviousVolume
     PreviousVolume SetInput [CurrentVolume GetOutput]
     PreviousVolume SetResliceTransform identityTransform


  set VolumeFileHasBeenRead 1

  puts stdout "xs xy xz $xs $ys $zs"

  viewer Delete
  vtkImageViewer viewer
  viewer SetInput [CurrentVolume GetOutput]

  viewer SetZSlice 0
  set l [expr (( $pixmax - $pixmin ) / 2.0 )]
  set w [expr $l / 2.0 ]
  viewer SetColorLevel $l
  viewer SetColorWindow $w 

  viewer SetPosition 50 50

  set hea_endian $endian

  #make interface
  if {! $ImageNoRender} {
    set source_file "ImageViewerInterface.tcl"
    if {$app_type == "exe"} {
       source $source_file
    } else {
       source $landmarker_home$source_file
    }
  }
if {$ImageFlipY == 1} {
   reslice1 Delete
}
PreviousVolume Delete
}

proc keyword_getline {heaname keyword} {
  # Routine to read lines in an ascii file until a given keyword is found at the
  # beginning of a line.  Then this line is returned. 
  # Returns -1 if not found.
  set fileId [open $heaname r]
  while { [gets $fileId line] != -1 } {
    scan $line "%s" firstword
    if {$firstword == $keyword} {
       return $line
    } 
  }
  close $fileId
  return -1
}

proc EditHeader {} {
  global xs ys zs xpix ypix zpix
  
}

proc CreateIsosurfaceOld {} {
  global renWin ren1
  global tvalue
  global lmDiameter
  global oactorNum
  global XShrinkFactor YShrinkFactor ZShrinkFactor deciFactor
  global CreateIsoSurfaceNoRender

  # Shrink image before Marching Cubes.
  set sum [expr $XShrinkFactor + $YShrinkFactor + $ZShrinkFactor ]
  #if {$sum != 3} {
                                                                                                             
  vtkImageShrink3D shrink
    shrink SetShrinkFactors $XShrinkFactor $YShrinkFactor $ZShrinkFactor
    shrink SetInput [CurrentVolume GetOutput]
    shrink AveragingOff
                                                                                                             
  [shrink GetOutput] SetOrigin 0.0 0.0 0.0
  vtkImageMarchingCubes iso
    iso SetInput [shrink GetOutput]
    iso SetValue 0 $tvalue
    iso SetInputMemoryLimit 1000000000
  #}
                                                                                                             
    # Move the isosurface data into PolyData
    iso Update
      PolyData CopyStructure [iso GetOutput]
      [PolyData GetPointData] PassData [[iso GetOutput] GetPointData]
      PolyData Modified
                                                                                                             
  # Decimate also, if wanted.
  if {$deciFactor != 0} {
  vtkDecimatePro deci
    deci SetInput PolyData
    deci SetTargetReduction $deciFactor
    deci PreserveTopologyOn
    deci Update
      PolyData CopyStructure [deci GetOutput]
      [PolyData GetPointData] PassData [[deci GetOutput] GetPointData]
      PolyData Modified
      deci Delete
   }
iso Delete
rmapper$oactorNum Delete
oactor$oactorNum Delete
vtkPolyDataMapper rmapper$oactorNum
  rmapper$oactorNum SetInput PolyData
vtkActor oactor$oactorNum
  oactor$oactorNum SetMapper rmapper$oactorNum
                                                                                                             
.menubar.mSurface entryconfigure 1 -state normal
                                                                                                             
oactor$oactorNum SetMapper rmapper$oactorNum
    ##rmapper$oactorNum ScalarVisibilityOff
    #[oactor$oactorNum GetProperty] SetColor 1 1 1
    #[oactor$oactorNum GetProperty] SetAmbient 0.26
    #[oactor$oactorNum GetProperty] SetDiffuse 0.42
    #[oactor$oactorNum GetProperty] SetSpecular 0.26
    #[oactor$oactorNum GetProperty] SetSpecularPower 79.0
    [oactor$oactorNum GetProperty] SetColor 1 1 1
    [oactor$oactorNum GetProperty] SetAmbient 0.20
    [oactor$oactorNum GetProperty] SetDiffuse 0.40
    [oactor$oactorNum GetProperty] SetSpecular 0.20
    [oactor$oactorNum GetProperty] SetSpecularPower 50.0
    [oactor$oactorNum GetProperty] SetOpacity 1.0
    set Bounds [oactor$oactorNum GetBounds]
    set Xmin [lindex $Bounds 0]
    set Xmax [lindex $Bounds 1]
    set Ymin [lindex $Bounds 2]
    set Ymax [lindex $Bounds 3]
    set Zmin [lindex $Bounds 4]
    set Zmax [lindex $Bounds 5]
    set fact 0.015
    set lmDiameter [expr $fact * (($Xmax - $Xmin) + ($Ymax - $Ymin) + ($Zmax - $Zmin))/3.0]
                                                                                                             
                                                                                                             
if {! $CreateIsoSurfaceNoRender} {                                                                                                             
  ren1 AddActor oactor$oactorNum
  #DefaultProperties
                                                                                                             
     ren1 ResetCamera
    renWin Render
}

}


proc CreateIsosurface {} {
  global renWin ren1
  global tvalue
  global lmDiameter
  global oactorNum
  global XShrinkFactor YShrinkFactor ZShrinkFactor deciFactor
  global isoWasCreated
 
  # Shrink image before Marching Cubes.
  set sum [expr $XShrinkFactor + $YShrinkFactor + $ZShrinkFactor ]
  #if {$sum != 3} {

  if {$isoWasCreated} {
    shrink Delete
  }
  vtkImageShrink3D shrink 
    shrink SetShrinkFactors $XShrinkFactor $YShrinkFactor $ZShrinkFactor 
    shrink SetInput [CurrentVolume GetOutput]
    shrink AveragingOff

  [shrink GetOutput] SetOrigin 0.0 0.0 0.0
    vtkImageMarchingCubes iso
    iso SetInput [shrink GetOutput]
    iso SetValue 0 $tvalue
    iso SetInputMemoryLimit 1000000000
  #}

    # Move the isosurface data into PolyData
    iso Update
      PolyData CopyStructure [iso GetOutput]
      [PolyData GetPointData] PassData [[iso GetOutput] GetPointData]
      PolyData Modified

  # Decimate also, if wanted.
  if {$deciFactor != 0} {
    vtkDecimatePro deci
    deci SetInput PolyData   
    deci SetTargetReduction $deciFactor
    deci PreserveTopologyOn
    deci Update
      PolyData CopyStructure [deci GetOutput]
      [PolyData GetPointData] PassData [[deci GetOutput] GetPointData]
      PolyData Modified
      deci Delete
   }
iso Delete
rmapper$oactorNum Delete
oactor$oactorNum Delete
vtkPolyDataMapper rmapper$oactorNum
  rmapper$oactorNum SetInput PolyData 
  rmapper$oactorNum ScalarVisibilityOff
vtkActor oactor$oactorNum 
  oactor$oactorNum SetMapper rmapper$oactorNum

.menubar.mSurface entryconfigure 1 -state normal

oactor$oactorNum SetMapper rmapper$oactorNum
    ##rmapper$oactorNum ScalarVisibilityOff
    #[oactor$oactorNum GetProperty] SetColor 1 1 1
    #[oactor$oactorNum GetProperty] SetAmbient 0.26
    #[oactor$oactorNum GetProperty] SetDiffuse 0.42
    #[oactor$oactorNum GetProperty] SetSpecular 0.26
    #[oactor$oactorNum GetProperty] SetSpecularPower 79.0
    [oactor$oactorNum GetProperty] SetColor 1 1 1
    [oactor$oactorNum GetProperty] SetAmbient 0.20
    [oactor$oactorNum GetProperty] SetDiffuse 0.40
    [oactor$oactorNum GetProperty] SetSpecular 0.20
    [oactor$oactorNum GetProperty] SetSpecularPower 50.0
    [oactor$oactorNum GetProperty] SetOpacity 1.0
    set Bounds [oactor$oactorNum GetBounds]
    set Xmin [lindex $Bounds 0] 
    set Xmax [lindex $Bounds 1] 
    set Ymin [lindex $Bounds 2] 
    set Ymax [lindex $Bounds 3] 
    set Zmin [lindex $Bounds 4] 
    set Zmax [lindex $Bounds 5] 
    set fact 0.015
    set lmDiameter [expr $fact * (($Xmax - $Xmin) + ($Ymax - $Ymin) + ($Zmax - $Zmin))/3.0]



ren1 AddActor oactor$oactorNum
#DefaultProperties

   ren1 ResetCamera
  renWin Render

  set isoWasCreated 1
}



proc ReadAnalyzeImageASCII {infilename} {
  # Read a .hea file which is landmarkers own image file format.
  # Here's an example file.
  # ---- begin below this line ------
  #   # Landmarker Image Data File Header V.1.0
  #   FORMAT analyze7.5
  #   DATATYPE 4
  #   BITPIX 16
  #   DIM     4   154   132    50
  #   PIXDIM     0.0000000     0.8400000     0.8400000     2.0000000
  #   MINMAX 0 3527
  #   ENDIAN small_endian
  #   DESCRIB some text here
  #   EXP_DATE time of data creation
  #   ORIGINATOR who created the data, what scanner etc.
  # ---- end above this line ------
  
  global xpix ypix zpix xs ys zs
  global endian
  global pixmin pixmax
  global VolumeFileHasBeenRead
  global ImageFlipY
  global bitpix datatype hea_endian
  global landmarker_home currentdir
  global ImageNoRender
  global app_type
  global ReadAnalyzeImageASCIIendian

  set source_file "vtkImageInclude.tcl"
  if {$app_type == "exe"} { 
    source $source_file
  } else {
    source $landmarker_home$source_file
  }
  set currentdir [file rootname $infilename]
  set img_extension ".img"
  set hea_extension ".hea"
  set heaname $currentdir$hea_extension
  set imgname $currentdir$img_extension
  imreader Delete
  vtkImageReader imreader
  # Get info from Analyze header
  set line [keyword_getline $heaname "DATATYPE"]
  if {$line != -1} {
    set datatype [lindex $line 1]
  }
  set line [keyword_getline $heaname "BITPIX"]
  if {$line != -1} {
    set bitpix [lindex $line 1]
    if {($bitpix != 8) && ($bitpix != 16) } {
      notify_error "Sorry, image must be 8 or 16 bit in current landmarker implementation."
    }
  } else {
    notify_error "Did not find keyword BITPIX in header file."
  }
  set line [keyword_getline $heaname "DIM"]
  if {$line != -1} {
    set xs [lindex $line 2]
    set ys [lindex $line 3]
    set zs [lindex $line 4]
  } else {
    notify_error "Did not find keyword DIM in header file."
  }  
  set line [keyword_getline $heaname "PIXDIM"]
  if {$line != -1} {
    set xpix [lindex $line 2]
    set ypix [lindex $line 3]
    set zpix [lindex $line 4]
  } else {
    notify_error "Did not find keyword PIXDIM in header file."
  }  
  set line [keyword_getline $heaname "ENDIAN"]
  if {$line != -1} {
    set hea_endian [lindex $line 1]
  } else {
    notify_error "Did not find keyword ENDIAN in header file."
  }  
  set line [keyword_getline $heaname "MINMAX"]
  if {$line != -1} {
    set pixmin [lindex $line 1]
    set pixmax [lindex $line 2]
  } else {
    set pixmin 0
    set pixmax 2048
  }  
  set hx [expr $xs - 1 ]
  set hy [expr $ys - 1 ]
  set hz [expr $zs - 1 ]
  if {$ReadAnalyzeImageASCIIendian != "auto"} {
    if {$ReadAnalyzeImageASCIIendian == "big_endian"} {
       imreader SetDataByteOrderToBigEndian
    } else {
       imreader SetDataByteOrderToLittleEndian
    }
  } else {
  if {$endian == "small_endian" } {
    if {$hea_endian == $endian} {
      imreader SetDataByteOrderToLittleEndian
    } else {
      imreader SetDataByteOrderToBigEndian
    }
  } elseif {$endian == "big_endian" } {
    if {$hea_endian == $endian} {
      imreader SetDataByteOrderToBigEndian
    } else {
      imreader SetDataByteOrderToLittleEndian
    }
  } else {
    notify_error "endian must be small_endian or big_endian!"
  }
  }
  puts stdout "ReadAnalyzeImageASCIIendian $ReadAnalyzeImageASCIIendian" 
  ##[imreader GetOutput] SetOrigin 0.0 0.0 0.0
  imreader SetFileDimensionality 3
  imreader SetDataExtent 0 $hx 0 $hy 0 $hz
  imreader SetDataSpacing $xpix $ypix $zpix
  imreader SetFileName $imgname
  imreader SetHeaderSize 0
  if {$bitpix == 16} {
    imreader SetDataScalarTypeToShort
  }
  if {$bitpix == 8} {
    imreader SetDataScalarTypeToUnsignedChar
  }
  # New default as of 24 Feb. 2006: Do not flip, follow Analyze (patient)
  # Previously we set as default that image is to be flipped in y (needed to fit with Mvox)
  
  if {$ImageFlipY == 1} {
  # Flip volume in y
  
  vtkImageFlip reslice1
    reslice1 SetInput [imreader GetOutput]
    reslice1 SetFilteredAxis 1
  }
  puts stdout "Warning: ImageFlipY is set to $ImageFlipY"
  
  #viewer Delete
  #vtkImageViewer viewer
  ##viewer SetInput [imreader GetOutput]
  #viewer SetInput [reslice1 GetOutput]
  #viewer SetZSlice 0
  #set l [expr (( $pixmax - $pixmin ) / 2.0 )]
  #set w [expr $l / 2.0 ]
  #viewer SetColorLevel $l
  #viewer SetColorWindow $w 
  #viewer SetPosition 50 50

  # Put the volume into the current volume  
   if {$VolumeFileHasBeenRead} {
     CurrentVolume Delete
   }
   vtkImageReslice CurrentVolume
     if {$ImageFlipY} {
       CurrentVolume SetInput [reslice1 GetOutput]
     } else {
       CurrentVolume SetInput [imreader GetOutput]
     }

     set xsm1 [expr $xs - 1]
     set ysm1 [expr $ys - 1]
     set zsm1 [expr $zs - 1]
     CurrentVolume SetOutputExtent 0 $xsm1 0 $ysm1 0 $zsm1
     set extent [CurrentVolume GetOutputExtent]
     set ex0 [lindex $extent 0]
     set ex1 [lindex $extent 1]
     set ey0 [lindex $extent 2]
     set ey1 [lindex $extent 3]
     set ez0 [lindex $extent 4]
     set ez1 [lindex $extent 5]
     puts stdout "ex0 ex1 ey0 ey1 ez0 ez1 $ex0 $ex1 $ey0 $ey1 $ez0 $ez1" 

     CurrentVolume SetResliceTransform identityTransform

   # Also put a copy in PreviousVolume (for undo)
   vtkImageReslice PreviousVolume
     PreviousVolume SetInput [CurrentVolume GetOutput]
     PreviousVolume SetResliceTransform identityTransform

  viewer Delete
  vtkImageViewer viewer
  #viewer SetInput [imreader GetOutput]
  viewer SetInput [CurrentVolume GetOutput]
  viewer SetZSlice 0
  set l [expr (( $pixmax - $pixmin ) / 2.0 )]
  set w [expr $l / 2.0 ]
  viewer SetColorLevel $l
  viewer SetColorWindow $w 
  viewer SetPosition 50 50


  set VolumeFileHasBeenRead 1

  puts stdout "xs xy xz $xs $ys $zs"
  
  # make interface
  if {! $ImageNoRender} {
    set source_file "ImageViewerInterface.tcl"
    if {$app_type == "exe"} { 
      source $source_file
    } else {
      source $landmarker_home$source_file
    }
  }
if {$ImageFlipY == 1} {
   reslice1 Delete
}

PreviousVolume Delete
}



proc ReadVFFImage {infilename} {
  # Read a .vff file (e.g. Chad Perlyn mouse data)
  # Here's an example file.
  # ---- begin below this line ------
  # ncaa;
  # subject=Oxford;
  # title=9_WT6_46um;
  # rank=3;
  # type=raster;
  # size=300 300 600;
  # y_bin=1;
  # z_bin=1;
  # bands=1;
  # bits=16;
  # format=slice;
  # date=20040520;
  # center_of_rotation=760.000000;
  # central_slice=311.700012;
  # rfan_y=5389.000000;
  # rfan_z=5389.000000;
  # angle_increment=0.500000;
  # reverse_order=no;
  # min=-2.402357;
  # max=89.201347;
  # spacing=1.00 1.00 1.00;
  # elementsize=0.046391;
  # water=13.030000;
  # air=0.290000;
  # boneHU=3227;
  # ---- end above this line ------

notify_error "Not implemented yet"
  
  global xpix ypix zpix xs ys zs
  global endian
  global pixmin pixmax
  global landmarker_home currentdir
  global app_type

  set source_file "vtkImageInclude.tcl"
  if {$app_type == "exe"} { 
    source $source_file
  } else {
    source $landmarker_home$source_file
  }
  set currentdir [file rootname $infilename]
  set img_extension ".vff"
  set hea_extension ".vff"
  set heaname $currentdir$hea_extension
  set imgname $currentdir$img_extension
  imreader Delete
  vtkImageReader imreader
  # Get info from header
  set line [keyword_getline $heaname "bits"]
  if {$line != -1} {
    set bitpix [lindex $line 1]
    if {($bitpix != 8) && ($bitpix != 16) } {
      notify_error "Sorry, image must be 8 or 16 bit in current landmarker implementation."
    }
  } else {
    notify_error "Did not find keyword bits in header file."
  }
  set line [keyword_getline $heaname "size"]
  if {$line != -1} {
    set xs [lindex $line 2]
    set ys [lindex $line 3]
    set zs [lindex $line 4]
  } else {
    notify_error "Did not find keyword DIM in header file."
  }  
  set line [keyword_getline $heaname "PIXDIM"]
  if {$line != -1} {
    set xpix [lindex $line 2]
    set ypix [lindex $line 3]
    set zpix [lindex $line 4]
  } else {
    notify_error "Did not find keyword PIXDIM in header file."
  }  
  set line [keyword_getline $heaname "ENDIAN"]
  if {$line != -1} {
    set hea_endian [lindex $line 1]
  } else {
    notify_error "Did not find keyword ENDIAN in header file."
  }  
  set line [keyword_getline $heaname "MINMAX"]
  if {$line != -1} {
    set pixmin [lindex $line 1]
    set pixmax [lindex $line 2]
  } else {
    set pixmin 0
    set pixmax 2048
  }  
  set hx [expr $xs - 1 ]
  set hy [expr $ys - 1 ]
  set hz [expr $zs - 1 ]
  if {$endian == "small_endian" } {
    if {$hea_endian == $endian} {
      imreader SetDataByteOrderToLittleEndian
    } else {
      imreader SetDataByteOrderToBigEndian
    }
  } elseif {$endian == "big_endian" } {
    if {$hea_endian == $endian} {
      imreader SetDataByteOrderToBigEndian
    } else {
      imreader SetDataByteOrderToLittleEndian
    }
  } else {
    notify_error "endian must be small_endian or big_endian!"
  }
  ##[imreader GetOutput] SetOrigin 0.0 0.0 0.0
  imreader SetFileDimensionality 3
  imreader SetDataExtent 0 $hx 0 $hy 0 $hz
  imreader SetDataSpacing $xpix $ypix $zpix
  imreader SetFileName $imgname
  imreader SetHeaderSize 0
  if {$bitpix == 16} {
    imreader SetDataScalarTypeToShort
  }
  if {$bitpix == 8} {
    imreader SetDataScalarTypeToUnsignedChar
  }

  # We set as default that image is to be flipped in y (needed to fit with Mvox)
  set ImageFlipY 1
  
  if {$ImageFlipY == 1} {
  # Flip volume in y
  
  vtkImageFlip reslice1
    reslice1 SetInput [imreader GetOutput]
    reslice1 SetFilteredAxis 1
  }
  
  viewer Delete
  vtkImageViewer viewer
  ####viewer SetInput [imreader GetOutput]
  viewer SetInput [reslice1 GetOutput]

  viewer SetZSlice 0
  set l [expr (( $pixmax - $pixmin ) / 2.0 )]
  set w [expr $l / 2.0 ]
  viewer SetColorLevel $l
  viewer SetColorWindow $w 

  viewer SetPosition 50 50

  # make interface
  set source_file "ImageViewerInterface.tcl"
  if {$app_type == "exe"} { 
     source $source_file
  } else {
     source $landmarker_home$source_file
  }
}

proc OpenTargetLandmarkFile {} {
  # Routine to use when reading Target Landmarks for TPS transform.
  # A copy of the previous landmarks is made before read (in ReadLandmarkFile when the variable TargetLandmarks is set)
  # Previous landmarks are to be used as source landmarks for the TPS.
    global setarr_source
    global inputPoints nPointsIn setbuttonvalue setarr maxNlandmarks
    global NamesOnly
    global currentdir
    global redcolarr greencolarr bluecolarr
    global minLmX maxLmX minLmY maxLmY minLmZ maxLmZ
    global cubeaxes
    global LandmarkFileHasBeenRead
    global AppendToPrevious previous_nPointsIn TargetLandmarks
    global CubeAxesActorOn

    if {$LandmarkFileHasBeenRead != 1} {
       set nPointsIn 0
    }

    set types {       
        {{Simple 3D Landmark File}              {.log}        }
        {{Simple 2D Landmark File (screen coordinates)}              {.log2}        }
        {{Mvox 3D Landmark File}                 {.lm}        }
        {{All Files }                           *             }
    }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $infilename]
    set TargetLandmarks 1
    
    ReadLandmarkFile $infilename
    set TargetLandmarks 0
    CurrentArr

    }

  #set AppendToPrevious 0
  # Put current landmark array in lmCoordSource
  #if {$TargetLandmarks != 1} {
  #  vtkPoints lmCoordSource
  #} 
  

proc AppendLandmarkFile {} {
  global AppendToPrevious TargetLandmarks
  set AppendToPrevious 1
  set TargetLandmarks 0
  OpenLandmarkFile
}

proc OpenLandmarkFile {} {
# Read landmark file and show the landmarks as spheres.
    global inputPoints nPointsIn setbuttonvalue setarr maxNlandmarks
    global NamesOnly
    global currentdir
    global redcolarr greencolarr bluecolarr
    global minLmX maxLmX minLmY maxLmY minLmZ maxLmZ
    global cubeaxes
    global LandmarkFileHasBeenRead
    global AppendToPrevious previous_nPointsIn TargetLandmarks
    global CubeAxesActorOn
    global lastlandmarkfilename

    if {$LandmarkFileHasBeenRead != 1} {
       set nPointsIn 0
    }

    set types {       
        {{Simple 3D Landmark File}              {.log}        }
        {{Simple 2D Landmark File (screen coordinates)}              {.log2}        }
        {{3dMD freehand points}               {.fhp}        }
        {{Mvox 3D Landmark File}                 {.lm}        }
        {{All Files }                           *             }
    }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $infilename]
    ReadLandmarkFile $infilename
    set lastlandmarkfilename $infilename

    CurrentArr

    # Add cube axes only if CubeAxesActorOn is set.

    if {$CubeAxesActorOn} {
    # Create a text property for both cube axes
    vtkTextProperty tprop
       tprop SetColor 1 1 0
       tprop ShadowOn

    # Create a vtkCubeAxesActor2D.  Use the outer edges of the bounding box to
    # draw the axes.  Add the actor to the renderer.
        #axes SetInput [normals GetOutput]
        eval [cubeaxes GetProperty] SetColor 0 0 0

        cubeaxes SetCamera [ren1 GetActiveCamera]
        cubeaxes SetLabelFormat "%6.3g"
        cubeaxes SetFlyModeToOuterEdges
        #cubeaxes SetFlyModeToClosestTriad
        cubeaxes SetFontFactor 1.0
        ##cubeaxes SetBounds 0 100 0 100 0 100
        cubeaxes SetBounds $minLmX $maxLmX $minLmY $maxLmY $minLmZ $maxLmZ
        cubeaxes SetAxisTitleTextProperty tprop
        cubeaxes SetAxisLabelTextProperty tprop
        #cubeaxes SetXLabel pgn-cd
        #cubeaxes SetYLabel s-n-ci
        #cubeaxes SetZLabel tud-tus
        #cubeaxes SetXLabel X
        #cubeaxes SetYLabel Y
        #cubeaxes SetZLabel Z
        ren1 AddViewProp cubeaxes    
    renWin Render
    tprop Delete
    }  
    # endif CubeAxesActorOn
}

proc ReadLandmarkFile {infilename} {
    global inputPoints nPointsIn setbuttonvalue setarr setarr_source
    global NamesOnly
    global first_model_flag
    global start_cameraposition start_focalpoint start_viewup
    global redcolarr greencolarr bluecolarr opacitycolarr
    global LandmarkFileHasBeenRead
    global AppendToPrevious previous_nPointsIn TargetLandmarks
    global currentdir
    global maxNlandmarks
    global lmDiameter

    lmsphere0 SetRadius $lmDiameter
    
    if {$TargetLandmarks} {
      # We intend to use the landmarks to be read as target landmarks.
      # We copy lmCoord into lmCoordSource before read new landmarks into lmCoord.
      puts stdout "nPointsIn in ReadLandmarkFile (Target): $nPointsIn"
      #for {set i 0} {$i <= $nPointsIn} {incr i 1} {
      #}
      for {set i 0} {$i < $maxNlandmarks} {incr i 1} {
        if {$setarr($i) == 1} {
          #puts stdout "hejjjj $i"
          set setarr_source($i) 1
        } else {
          set setarr_source($i) 0
        }
        set xyz [lmCoord GetPoint $i]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
        lmCoordSource InsertPoint $i $x $y $z
      }
    }

    puts stdout "AppendToPrevious LandmarkFileHasBeenRead $AppendToPrevious $LandmarkFileHasBeenRead"
    if {$AppendToPrevious != 1} {
      if {$LandmarkFileHasBeenRead} {
        DeleteAllSphereLandmarks
        puts stdout "$AppendToPrevious $LandmarkFileHasBeenRead"
        puts stdout "AppendToPrevious LandmarkFileHasBeenRead $AppendToPrevious $LandmarkFileHasBeenRead"
      }
    }

    if { $infilename == "" } {return}
    if { $infilename != "" } {
        set currentdir [file dirname $infilename]
        if { [string match *.log $infilename] } {
            ReadSimpleLm $infilename
        } elseif { [string match *.log2 $infilename] } {
            ReadSimpleLm2d $infilename
        } elseif { [string match *.fhp $infilename] } {
            Read3dMDfhp $infilename
        } elseif { [string match *.lm $infilename] } {
            if {$AppendToPrevious} {
                           notify_error "Cannot append landmarks from .lm files, only .log files!"
                        } else {
              ReadMvoxLm $infilename
            }
        } else {
            puts stdout "Can't read this file: $infilename"
            return
        }
    }
    if {$NamesOnly != 1} {
    # Show the landmarks.
    puts stdout "previous_nPointsIn $previous_nPointsIn %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
    for {set i $previous_nPointsIn} {$i < $nPointsIn} {incr i 1} {
      #if {$setarr($i) != 0} {
        if {$i != 0} {
          #puts stdout "Creating landmark no $i"
          CreateNewSphereLandmark $i
        }
        set xyz [inputPoints GetPoint $i]
        set xp [lindex $xyz 0] 
        set yp [lindex $xyz 1] 
        set zp [lindex $xyz 2] 
        lmsphere$i SetCenter $xp $yp $zp
        lmCoord InsertPoint $i $xp $yp $zp

        if {$setarr($i) == 1} { 
          lmsphereActor$i VisibilityOn
          .f.i set $i
          set setbuttonvalue 1  
          .f.set select
          SetSetLandmarkNoRender
          [lmsphereActor$i GetProperty] SetColor $redcolarr($i) $greencolarr($i) $bluecolarr($i) 
          [lmsphereActor$i GetProperty] SetOpacity $opacitycolarr($i) 

          ##[lmsphereActor$i GetProperty] SetColor 1 0 0
          #set cam1 [ren1 GetActiveCamera]
          #$cam1 Zoom 1.4
          #iren Initialize
          #ren1 ResetCamera
          #renWin Render
          ###CaptureOneFrame
       }
      #}
    }
    }
    
    #############################
    # This pert inserted for proc FaceAsymmetry to work
    if {! $TargetLandmarks} {
      for {set i 0} {$i < $maxNlandmarks} {incr i 1} {
        if {$setarr($i) == 1} {
          #puts stdout "hejjjj $i"
          set setarr_source($i) 1
        } else {
          set setarr_source($i) 0
        }
        set xyz [lmCoord GetPoint $i]
        set x [lindex $xyz 0] 
        set y [lindex $xyz 1]
        set z [lindex $xyz 2] 
        lmCoordSource InsertPoint $i $x $y $z
      }
    }
    #############################


    set cam1 [ren1 GetActiveCamera]
    $cam1 Zoom 1.4
    iren Initialize
    ren1 ResetCamera
    #renWin Render

# Compute initial focal point and camera position for later use when changing views.
# BUT: only do it if it is the first time landmarks are are loaded.
    if {$first_model_flag == 1} {
      set camera [ren1 GetActiveCamera]
      $camera ComputeViewPlaneNormal 
      set start_cameraposition [$camera GetPosition] 
      set start_focalpoint [$camera GetFocalPoint]
      set start_viewup [$camera GetViewUp]
      #AddExtraLights
      #ToggleExtraLights
    }
    set first_model_flag 0

set LandmarkFileHasBeenRead 1

}

proc WriteSimpleLm {outfilename} {
   # Write the current landmarks to .log file in a simple format.
   global lmCoord setarr lmNameArr maxlmIndex
   global landmarkcolors_read
   global redcolarr greencolarr bluecolarr opacitycolarr
   set fileId [open $outfilename w]
   set space " "
   for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
      set coo [lmCoord GetPoint $i]
      if {$landmarkcolors_read} {
         set red $redcolarr($i)
         set green $greencolarr($i)
         set blue $bluecolarr($i)
         puts $fileId $coo$space$lmNameArr($i)$space$setarr($i)$space$red$space$green$space$blue
      } else {
         puts $fileId $coo$space$lmNameArr($i)$space$setarr($i)
      }
   }
   close $fileId
}

proc WriteMvoxLm {outfilename} {
  global inputPoints nPointsIn setarr
  global lmNameArr lmCoord
  set fileId [open $outfilename w]
  set nPointsOut 256

  # First write 16 lines of header info.
  puts $fileId "FLEX1"
  puts $fileId "HEADER BEGIN"
  puts $fileId "    NO OBJECTS = 1"
  puts $fileId "    ENDIAN = BIG"
  puts $fileId "HEADER END"
  puts $fileId "OBJECT HEADER BEGIN"
  puts $fileId "    TYPE      = 3D LANDMARK"
  puts $fileId "    NO BLOCKS = 3"
  puts $fileId "    TIME = 0"
  puts $fileId "    NO NODES = 256"
  puts $fileId "OBJECT HEADER END"
  puts $fileId "BLOCK HEADER BEGIN"
  puts $fileId "    CONTENT    = VERTICES"
  puts $fileId "    NO LINES   = 256"
  puts $fileId "    ASCII DATA = YES"
  puts $fileId "BLOCK HEADER END"
  # Write 256 lines of coordinates.
  for {set i 0} {$i <= 255} {incr i 1} {
    puts $fileId [lmCoord GetPoint $i]
  }
  # Write 5 info lines.
  puts $fileId "BLOCK HEADER BEGIN"
  puts $fileId "    CONTENT    = USED"
  puts $fileId "    NO LINES   = 256"
  puts $fileId "    ASCII DATA = YES"
  puts $fileId "BLOCK HEADER END"
  # Write 256 lines of set values.
  for {set i 0} {$i <= 255} {incr i 1} {
    puts $fileId $setarr($i)
  }
  # Write 5 info lines.
  puts $fileId "BLOCK HEADER BEGIN"
  puts $fileId "    CONTENT    = USED"
  puts $fileId "    NO LINES   = 256"
  puts $fileId "    ASCII DATA = YES"
  puts $fileId "BLOCK HEADER END"
  # Write 256 lines of names.
  for {set i 0} {$i <= 255} {incr i 1} {
    puts $fileId $lmNameArr($i)
  }
  close $fileId
}


proc SaveLandmarkFile {} {
    # Save landmark file. 
    global inputPoints nPointsIn setbuttonvalue setarr
    global currentdir
    set types {       
        {{Simple 3D Landmark File}              {.log}        }
        {{Mvox 3D Landmark File}                 {.lm}        }
        {{All Files }                           *             }
    }
    set outfilename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $outfilename]
    if { $outfilename == "" } {return}
    if { $outfilename != "" } {
        if { [string match *.log $outfilename] } {
            WriteSimpleLm $outfilename
        } elseif { [string match *.lm $outfilename] } {
            WriteMvoxLm $outfilename
        } else {
            puts "Can't write this file format."
            return
        }
    }
}


proc WriteSplineFile {outfilename} {
   # Do the write.  points is the array containing the spline points.
   global points numberOfOutputPoints  
   set fileId [open $outfilename w]  
   for {set i 0} {$i < $numberOfOutputPoints} {incr i 1} {
      puts $fileId [points GetPoint $i]
   }
   close $fileId
}

proc SaveSplineFile {} {
# Save the spline points in an .sln file (e.g. for input to registration program).
    global SplineCheck 
    global currentdir
    if {$SplineCheck != 1} {
      toplevel .error
      message .error.msg -aspect 1000 -justify left -text \
      "ERROR: you must toggle spline curve on!"
      pack .error.msg
      return
    }  
    set types {       
        {{Simple Spline File}                   {.sln}        }
        {{All Files }                           *             }
    }
    set outfilename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    if { $outfilename == "" } {return}
    if { $outfilename != "" } {
      set currentdir [file dirname $outfilename]
      if { [string match *.sln $outfilename] } {
            WriteSplineFile $outfilename
        } else {
            puts "Can't write this file"
            return
        }
    }
}

proc SaveLineCrvFile {} {
# Save the current contents of lineCrvPoints.
    global LineCrvFileHasBeenRead 
    global currentdir
    if {$LineCrvFileHasBeenRead != 1} {
      notify_error "No Line Curve to save!" 
      return
    }  
    set types {       
        {{Simple Colored Curve File}            {.sln}        }
        {{Simple Colored Curve File}            {.crv}        }
        {{All Files }                           *             }
    }
    set outfilename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    if { $outfilename == "" } {return}
    if { $outfilename != "" } {
      set currentdir [file dirname $outfilename]
      if { [string match *.sln $outfilename] } {
            WriteLineCrvFile $outfilename
        } elseif { [string match *.sln $infilename] } {
            WriteLineCrvFile $outfilename
        } else {
            puts "Can't write this file"
            return
        }
    }
}

proc WriteLineCrvFile {outfilename} {
   # Do the write.  The curve points are in lineCrvPoints
   global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue lineCrvPointsOpacity
   global linesegmentNum
   ##set np [lineCrvPoints GetNumberOfPoints]
   set np $linesegmentNum
   set fileId [open $outfilename w]  
   for {set i 0} {$i <= $np} {incr i 1} {
      set pp [lineCrvPoints GetPoint $i] 
      set px [lindex $pp 0]
      set py [lindex $pp 1]
      set pz [lindex $pp 2]
      set pr $lineCrvPointsRed($i) 
      set pg $lineCrvPointsGreen($i) 
      set pb $lineCrvPointsBlue($i) 
      set po $lineCrvPointsOpacity($i) 
      puts $fileId "$px $py $pz $pr $pg $pb $po"
   }
   close $fileId
}


proc SaveSnap {outfilename} {
    global JPEGquality
    if { $outfilename == "" } {return}
    if { $outfilename != "" } {
      if { [string match *.bmp $outfilename] } {
        vtkRendererSource renSrc
          renSrc SetInput ren1
          renSrc WholeWindowOn
        vtkBMPWriter BMPwriter
          BMPwriter SetInput [renSrc GetOutput]
          BMPwriter SetFileName $outfilename
          BMPwriter Write
        BMPwriter Delete
        renSrc Delete
      } elseif { [string match *.tif $outfilename] } {
          vtkRendererSource renSrc
          renSrc SetInput ren1
          renSrc WholeWindowOn
        vtkTIFFWriter TIFFwriter
          TIFFwriter SetInput [renSrc GetOutput]
          TIFFwriter SetFileName $outfilename
          TIFFwriter Write
        TIFFwriter Delete
        renSrc Delete
      } elseif { [string match *.jpg $outfilename] } {
          vtkRendererSource renSrc
          renSrc SetInput ren1
          renSrc WholeWindowOn
        vtkJPEGWriter JPEGwriter
          JPEGwriter SetQuality $JPEGquality
          JPEGwriter SetInput [renSrc GetOutput]
          JPEGwriter SetFileName $outfilename
          JPEGwriter Write
        JPEGwriter Delete
        renSrc Delete
      } else {
            puts "Can't write this file"
            return
      }
    }
}

# Procedure to save snapshot as a file.
proc SaveSnapshot {} {
    global currentdir JPEGquality
    set types {  
        {{JPEG Image File}                       {.jpg}        }     
        {{BMP Bitmap File}                      {.bmp}        }
        {{TIFF Image File}                      {.tif}        }
        {{All Files }                           *             }
    }
    set outfilename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $outfilename]
    SaveSnap $outfilename
}

proc SaveSnapFromPlotWindow {outfilename} {
    global JPEGquality
    if { $outfilename == "" } {return}
    if { $outfilename != "" } {
      if { [string match *.bmp $outfilename] } {
        vtkRendererSource renSrc
          renSrc SetInput ren_xyplot
          renSrc WholeWindowOn
        vtkBMPWriter BMPwriter
          BMPwriter SetInput [renSrc GetOutput]
          BMPwriter SetFileName $outfilename
          BMPwriter Write
        BMPwriter Delete
        renSrc Delete
      } elseif { [string match *.tif $outfilename] } {
          vtkRendererSource renSrc
          renSrc SetInput ren_xyplot
          renSrc WholeWindowOn
        vtkTIFFWriter TIFFwriter
          TIFFwriter SetInput [renSrc GetOutput]
          TIFFwriter SetFileName $outfilename
          TIFFwriter Write
        TIFFwriter Delete
        renSrc Delete
      } elseif { [string match *.jpg $outfilename] } {
          vtkRendererSource renSrc
          renSrc SetInput ren1
          renSrc WholeWindowOn
        vtkJPEGWriter JPEGwriter
          JPEGwriter SetQuality $JPEGquality
          JPEGwriter SetInput [renSrc GetOutput]
          JPEGwriter SetFileName $outfilename
          JPEGwriter Write
        JPEGwriter Delete
        renSrc Delete
      } else {
            puts "Can't write this file"
            return
      }
    }
}

# Procedure to save snapshot as a file.
proc SaveSnapshotFromPlotWindow {} {
    global currentdir JPEGquality
    set types {   
        {{JPEG Image File}                      {.jpg}        }    
        {{BMP Bitmap File}                      {.bmp}        }
        {{TIFF Image File}                      {.tif}        }     
        {{All Files }                           *             }
    }
    set outfilename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $outfilename]
    SaveSnapFromPlotWindow $outfilename
}



proc SaveConnectedRegion {} {
   # Save the current connected region, as extracted by ExtractConnectedRegion.
   global currentdir
   set types {
        {{Stereo-Lithography}                   {.stl}        }
        {{Visualization Toolkit (polygonal)}    {.vtk}        }
        {{VRML}                                 {.wrl}        }
        {{BYU}                                  {.g}          }
    }
    set filename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $filename]
    WriteConnectedRegion $filename
}

proc WriteConnectedRegion {filename} {
   # Save the current connected region, as extracted by ExtractConnectedRegion.
   global currentdir
    if { $filename != "" } {
        if { [info commands writer] != "" } {writer Delete}
        if { [string match *.g $filename] } {
            vtkBYUWriter writer
            writer SetGeometryFileName $filename
            writer SetInput [connect GetOutput]
        } elseif { [string match *.stl $filename] } {
            vtkSTLWriter writer
            writer SetFileName $filename
            writer SetInput [connect GetOutput]
        } elseif { [string match *.vtk $filename] } {
            vtkPolyDataWriter writer
            writer SetFileName $filename
            #writer SetInput PolyData
            writer SetInput [connect GetOutput]
        } else {
            puts "Can't write this file"
            return
        }
        
        writer Write
    }
}

proc WriteSTLFile {filename} {
   global targetsurface_write
   global writeSTLbinary
   vtkSTLWriter writer
   if {$writeSTLbinary} {   
      writer SetFileType 2
   } else {
      writer SetFileType 1
   }
   writer SetFileName $filename
   #writer SetInput [oactorPoly$oactorNum GetOutput]
   if {$targetsurface_write} {
      writer SetInput PolyDataTarget
   } else {
      writer SetInput PolyData
   }
   writer Write
   puts stdout "Writing: $filename"
   writer Delete
}

proc WriteVTKFile {filename} {
   global targetsurface_write
   vtkPolyDataWriter writer
      writer SetFileName $filename
      if {$targetsurface_write} {
         writer SetInput PolyDataTarget
      } else {
         writer SetInput PolyData
      }
      writer Write
      puts stdout "Writing: $filename"
      writer Delete
}


# Procedure saves data to file
proc SaveFile {} {
    global renWin
    global currentdir 
    global oactorNum

    set types {
        {{Stereo-Lithography}                   {.stl}        }
        {{Mvox simple ASCII (slow!)}            {.flex}       }
        {{Visualization Toolkit (polygonal)}    {.vtk}        }
        {{VRML}                                 {.wrl}        }
        {{BYU}                                  {.g}          }
        {{Marching Cubes}                       {.tri}        }
        {{RIB (Renderman)}                      {.rib}        }      
        {{Wavefront OBJ}                        {.obj}        }
        {{All Files }                           *             }
    }
    set filename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $filename]
    if { $filename != "" } {
        if { [info commands writer] != "" } {writer Delete}
        if { [string match *.g $filename] } {
            vtkBYUWriter writer
            writer SetGeometryFileName $filename
            #writer SetInput [oactorPoly$oactorNum GetOutput]
            writer SetInput PolyData
            writer Write
        } elseif { [string match *.stl $filename] } {
            WriteSTLFile $filename
        } elseif { [string match *.vtk $filename] } {
            #vtkPolyDataWriter writer
            #writer SetFileName $filename
            #writer SetInput PolyData
            #writer Write
            WriteVTKFile $filename
        } elseif { [string match *.tri $filename] } {
            vtkMCubesWriter writer
            writer SetFileName $filename
            #writer SetInput [oactorPoly$oactorNum GetOutput]
            writer SetInput PolyData
            writer Write
        } elseif { [string match *.wrl $filename] } {
            vtkVRMLExporter writer
	      writer SetRenderWindow renWin
            writer SetFileName $filename
            writer SetInput PolyData
            writer Write
        } elseif { [string match *.obj $filename] } {
            vtkOBJExporter writer
	      writer SetRenderWindow renWin
            writer SetFilePrefix [file rootname $filename]
            writer Write
        } elseif { [string match *.rib $filename] } {
            vtkRIBExporter writer
	      writer SetRenderWindow renWin
            writer SetFilePrefix [file rootname $filename]
            writer Write
        } else {
            puts "Can't write this file"
            return
        }
        
        
    }
}

proc SaveTargetSurface {} {
    global renWin
    global currentdir 
    global oactorNum
    global targetsurface_write
    set targetsurface_write 1

    set types {
        {{Stereo-Lithography}                   {.stl}        }
        {{Mvox simple ASCII (slow!)}            {.flex}       }
        {{Visualization Toolkit (polygonal)}    {.vtk}        }
        {{VRML}                                 {.wrl}        }
        {{BYU}                                  {.g}          }
        {{Marching Cubes}                       {.tri}        }
        {{RIB (Renderman)}                      {.rib}        }      
        {{Wavefront OBJ}                        {.obj}        }
        {{All Files }                           *             }
    }
    set filename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $filename]
    if { $filename != "" } {
        if { [info commands writer] != "" } {writer Delete}
        if { [string match *.g $filename] } {
            vtkBYUWriter writer
            writer SetGeometryFileName $filename
            #writer SetInput [oactorPoly$oactorNum GetOutput]
            writer SetInput PolyDataTarget
            writer Write
        } elseif { [string match *.stl $filename] } {
            WriteSTLFile $filename
        } elseif { [string match *.vtk $filename] } {
            #vtkPolyDataWriter writer
            #writer SetFileName $filename
            #writer SetInput PolyData
            #writer Write
            WriteVTKFile $filename
        } elseif { [string match *.tri $filename] } {
            vtkMCubesWriter writer
            writer SetFileName $filename
            #writer SetInput [oactorPoly$oactorNum GetOutput]
            writer SetInput PolyDataTarget
            writer Write
        } elseif { [string match *.wrl $filename] } {
            vtkVRMLExporter writer
	      writer SetRenderWindow renWin
            writer SetFileName $filename
            writer SetInput PolyDataTarget
            writer Write
        } elseif { [string match *.obj $filename] } {
            vtkOBJExporter writer
	      writer SetRenderWindow renWin
            writer SetFilePrefix [file rootname $filename]
            writer Write
        } elseif { [string match *.rib $filename] } {
            vtkRIBExporter writer
	      writer SetRenderWindow renWin
            writer SetFilePrefix [file rootname $filename]
            writer Write
        } else {
            puts "Can't write this file"
            return
        }
        
        
    }
    set targetsurface_write 0

}




#### Create pipeline
vtkPolyDataMapper   mapper
    mapper SetInput PolyData
vtkProperty property
    property SetColor 0.8900 0.8100 0.3400
    property SetSpecularColor 1 1 1
    property SetSpecular 0.3
    property SetSpecularPower 20
    property SetAmbient 0.2
    property SetDiffuse 0.8
vtkActor actor
    actor SetMapper mapper
    actor SetProperty property

[ren1 GetActiveCamera] Zoom 1.25
[ren1 GetActiveCamera] ParallelProjectionOn

proc UpdateGUI {} {
    global Surface renWin ren1
    global FEdges BEdges NMEdges renWin

    set NumberOfNodes [PolyData GetNumberOfPoints]
    set NumberOfElements [PolyData GetNumberOfCells]
    PolyData GetCellTypes CellTypes

    # Check to see whether to add surface model
    if { [PolyData GetNumberOfCells] <= 0 } {
	#ren1 AddActor bannerActor
        set s "(None)"

    } else {
	if { $Surface } {ren1 AddActor actor}

        if { [CellTypes GetNumberOfTypes] != 1 || [CellTypes GetCellType 0] != 5 } {
            set s [format "Vertices:%d    Cells:%d" \
                   $NumberOfNodes $NumberOfElements]
	} else {
            set s [format "Vertices:%d    Triangles:%d" \
                   $NumberOfNodes $NumberOfElements]
	}
	.mbar.file.menu entryconfigure 2 -state normal
    }

    #.bottomF.status configure -text $s
}

proc UpdateSpline {} {
   # Update the spline, but only in those points set in setarr.
   global aSplineX aSplineY aSplineZ lmIndex setarr
   global lmCoord Splarr NsetPoints ren1  profile
   global profileMapper profileTubes OutPointFactor
   global previousnumberOfSplinePoints
   global points profileData
   global minLmX maxLmX minLmY maxLmY minLmZ maxLmZ
   global SplarrCop

   # Splarr is array of current set coordinates. It is updated by a call to CurrentArr.

   CurrentArr
   ###CreateAxes  # Sets up an axis bounding the landmarks.
   #ClearSpline

   if {$NsetPoints == 2} {
     # Insert 2 extra points in order to be able to compute a spline.
     for {set i 0} {$i < $NsetPoints} {incr i 1} {
       set xyz [Splarr GetPoint $i]
       set xp [lindex $xyz 0]
       set yp [lindex $xyz 1]
       set zp [lindex $xyz 2]
       SplarrCop InsertPoint $i $xp $yp $zp
     }
     set xyz [SplarrCop GetPoint 0]
     set x0 [lindex $xyz 0]
     set y0 [lindex $xyz 1]
     set z0 [lindex $xyz 2]
     set xyz [SplarrCop GetPoint 1]   
     set x3 [lindex $xyz 0]
     set y3 [lindex $xyz 1]
     set z3 [lindex $xyz 2]
     set x1 [expr $x0 + ($x3 - $x0) * 1.0 / 3.0]
     set y1 [expr $y0 + ($y3 - $y0) * 1.0 / 3.0]
     set z1 [expr $z0 + ($z3 - $z0) * 1.0 / 3.0]
     set x2 [expr $x0 + ($x3 - $x0) * 1.0 / 3.0]
     set y2 [expr $y0 + ($y3 - $y0) * 2.0 / 3.0]
     set z2 [expr $z0 + ($z3 - $z0) * 2.0 / 3.0]
     Splarr InsertPoint 1 $x1 $y1 $z1
     Splarr InsertPoint 2 $x2 $y2 $z2
     Splarr InsertPoint 3 $x3 $y3 $z3
     set NsetPoints 4
 }
   if {$NsetPoints == 3} {
     # Insert 1 extra point in order to be able to compute a spline.
     for {set i 0} {$i < $NsetPoints} {incr i 1} {
       set xyz [Splarr GetPoint $i]
       set xp [lindex $xyz 0]
       set yp [lindex $xyz 1]
       set zp [lindex $xyz 2]
       SplarrCop InsertPoint $i $xp $yp $zp
     }
     set xyz [SplarrCop GetPoint 0]
     set x0 [lindex $xyz 0]
     set y0 [lindex $xyz 1]
     set z0 [lindex $xyz 2]
     set xyz [SplarrCop GetPoint 1]   
     set x2 [lindex $xyz 0]
     set y2 [lindex $xyz 1]
     set z2 [lindex $xyz 2]
     set xyz [SplarrCop GetPoint 2]
     set x3 [lindex $xyz 0]
     set y3 [lindex $xyz 1]
     set z3 [lindex $xyz 2]
     set x1 [expr $x0 + ($x2 - $x0) * 1.0 / 3.0]
     set y1 [expr $y0 + ($y2 - $y0) * 1.0 / 3.0]
     set z1 [expr $z0 + ($z2 - $z0) * 1.0 / 3.0]
     Splarr InsertPoint 1 $x1 $y1 $z1
     Splarr InsertPoint 2 $x2 $y2 $z2
     Splarr InsertPoint 3 $x3 $y3 $z3
     set NsetPoints 4
 } 

   if {$NsetPoints > 3} {

   aSplineX Delete
   aSplineY Delete
   aSplineZ Delete

   vtkCardinalSpline aSplineX
   vtkCardinalSpline aSplineY
   vtkCardinalSpline aSplineZ

     for {set i 0} {$i < $NsetPoints} {incr i 1} {
       set xyz [Splarr GetPoint $i]
       set xp [lindex $xyz 0] 
       set yp [lindex $xyz 1]
       set zp [lindex $xyz 2] 
       aSplineX AddPoint $i $xp
       aSplineY AddPoint $i $yp
       aSplineZ AddPoint $i $zp
     }  
       SplineFit
       set numberOfSplinePoints [expr $NsetPoints * $OutPointFactor]
       CreateLineSegments
       CreateTubeSegments
       #profileData Modified
 
       for {set i 1} {$i< $previousnumberOfSplinePoints} {incr i 1} {
         lineSegmentActor$i VisibilityOff
         profile$i VisibilityOff
       }
       for {set k 1} {$k < $numberOfSplinePoints} {incr k 1} {
           set ip [expr $k - 1]
           set xyz [points GetPoint $ip]
           set xpp [lindex $xyz 0] 
           set ypp [lindex $xyz 1]
           set zpp [lindex $xyz 2] 
           lineSegment$k SetPoint1 $xpp $ypp $zpp
           set xyz [points GetPoint $k]
           set xp [lindex $xyz 0] 
           set yp [lindex $xyz 1]
           set zp [lindex $xyz 2] 
           lineSegment$k SetPoint2 $xp $yp $zp    
           lineSegmentActor$k VisibilityOn
           
         points$k InsertPoint 0 $xpp $ypp $zpp
         points$k InsertPoint 1 $xp $yp $zp
         profileData$k Modified
         profileData$k SetPoints points$k
         profileData$k SetLines lines$k
         profileTubes$k SetInput profileData$k
         profileMapper$k SetInput [profileTubes$k GetOutput]
         profile$k VisibilityOn
         set previousnumberOfSplinePoints $numberOfSplinePoints
       }
   } else {
     if {$NsetPoints == 1} {
       # Do nothing - except erasing a possible line.
       for {set i 1} {$i< $previousnumberOfSplinePoints} {incr i 1} {
         lineSegmentActor$i VisibilityOff
         profile$i VisibilityOff
       }
     } else {
       set numberOfSplinePoints $NsetPoints
       CreateLineSegments
       CreateTubeSegments
       for {set i 1} {$i< $previousnumberOfSplinePoints} {incr i 1} {
         lineSegmentActor$i VisibilityOff
         profile$i VisibilityOff
       }
       for {set i 1} {$i< $numberOfSplinePoints} {incr i 1} {
         set ip [expr $i - 1]
         set xyz [Splarr GetPoint $ip]
         set xpp [lindex $xyz 0] 
         set ypp [lindex $xyz 1]
         set zpp [lindex $xyz 2] 
         lineSegment$i SetPoint1 $xpp $ypp $zpp
         set xyz [Splarr GetPoint $i]
         set xp [lindex $xyz 0] 
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2] 
         lineSegment$i SetPoint2 $xp $yp $zp    
         lineSegmentActor$i VisibilityOn      
         points$i InsertPoint 0 $xpp $ypp $zpp
         points$i InsertPoint 1 $xp $yp $zp
         profileData$i Modified
         profileData$i SetPoints points$i
         profileData$i SetLines lines$i
         profileTubes$i SetInput profileData$i
         profileMapper$i SetInput [profileTubes$i GetOutput]
         profile$i VisibilityOn
         set previousnumberOfSplinePoints $numberOfSplinePoints
       }
     }

   } 
}

proc annotatePickClosest {} {
    # Version of annotatePick where we modify the position of nearest landmark, not the one the slider
    # is indicating.
    global lmCoord lmIndex setbuttonvalue setarr CurrentPos CurrentId CurrentVal
    global aSplineX aSplineY aSplineZ SplineCheck xp yp zp
    global colors existcolorfile
    global lmCellIdArr
    global maxNlandmarks lmCoord
    global ClipModeCheck
    if { [picker GetCellId] < 0 } {
        lmsphereActor$lmIndex VisibilityOff
        set pickId -1
    } else {
 
	set selPt [picker GetSelectionPoint]
        set pickId [picker GetCellId]
        set lmCellIdArr($lmIndex) $pickId
        set CurrentId [format "Id: %10d" $pickId]
        set CurrentVal " "
        #if {$existcolorfile == 1} {
        #    set pickVal [colors GetScalar $pickId]
        #    set CurrentVal [format "Value: %18.6f" $pickVal]
        #}
	set x [lindex $selPt 0] 
	set y [lindex $selPt 1]
	set pickPos [picker GetPickPosition]
	set xp [lindex $pickPos 0] 
	set yp [lindex $pickPos 1]
	set zp [lindex $pickPos 2]

        # Determine which landmark is the closest to pick coordinates.
        puts stdout $maxNlandmarks
        set dist 1000.0
        set lmIndexClosest 0
        puts stdout pick_closest
        puts stdout $lmIndex
        puts stdout $setarr($lmIndex)
        if {$setarr($lmIndex) == 1} {
          for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
            if {$setarr($i) == 1} {        
              set xyz [lmCoord GetPoint $i]
              set xp1 [lindex $xyz 0] 
              set yp1 [lindex $xyz 1]
              set zp1 [lindex $xyz 2]
              set xd [expr ( $xp - $xp1 ) ]
              set yd [expr ( $yp - $yp1 ) ]
              set zd [expr ( $zp - $zp1 ) ]
              set xds [expr $xd * $xd ]
              set yds [expr $yd * $yd ]
              set zds [expr $zd * $zd ]
              set di [expr sqrt( $xds + $yds + $zds )]
              if {$di <= $dist} {
                 set dist $di
                 set lmIndexClosest $i  
              }   
            }
          }   
          set lmIndex $lmIndexClosest
          puts stdout $lmIndex
          lmsphere$lmIndexClosest SetCenter $xp $yp $zp
        } else {
           puts stdout hejsa
           puts stdout $lmIndex
           SetIndex $lmIndex
           puts stdout hhh
           lmsphere$lmIndex SetCenter $xp $yp $zp
           set setarr($lmIndex) 1
           set setbuttonvalue 1 
           SetSetLandmark
        }
        
        #lmsphereActor$lmIndex VisibilityOn
        lmCoord InsertPoint $lmIndex $xp $yp $zp
        set setarr($lmIndex) 1
        set setbuttonvalue 1  
        ##SetIndex -1
        SetIndex $lmIndex
        SetSetLandmark 
        SetSetPos 
        if {$SplineCheck == 1} {
          puts stdout spline
          UpdateSpline
        }
    }
  if {$ClipModeCheck == 1} {
      SphereCutting
  }

    renWin Render
}

proc annotatePick {} {
    global lmCoord lmIndex setbuttonvalue setarr CurrentPos CurrentId CurrentVal
    global aSplineX aSplineY aSplineZ SplineCheck xp yp zp
    global colors existcolorfile
    global lmCellIdArr
    if { [picker GetCellId] < 0 } {
        lmsphereActor$lmIndex VisibilityOff
        set pickId -1
    } else {
 
	set selPt [picker GetSelectionPoint]
        set pickId [picker GetCellId]
        set lmCellIdArr($lmIndex) $pickId
        set CurrentId [format "Id: %10d" $pickId]
        set CurrentVal " "
        #if {$existcolorfile == 1} {
        #    set pickVal [colors GetScalar $pickId]
        #    set CurrentVal [format "Value: %18.6f" $pickVal]
        #}
	set x [lindex $selPt 0] 
	set y [lindex $selPt 1]
	set pickPos [picker GetPickPosition]
	set xp [lindex $pickPos 0] 
	set yp [lindex $pickPos 1]
	set zp [lindex $pickPos 2]
        lmsphere$lmIndex SetCenter $xp $yp $zp
        lmsphereActor$lmIndex VisibilityOn
        lmCoord InsertPoint $lmIndex $xp $yp $zp
        set setarr($lmIndex) 1
        set setbuttonvalue 1  
        #SetIndex -1
        #SetSetLandmark 
        SetSetPos 
        if {$SplineCheck == 1} {
          UpdateSpline
        }
    }
    renWin Render
}

proc annotatePickOutlineMode {} {
    # This version of annotatePick when you wish slider to jump ahead one step for each pick.
    global lmCoord lmIndex setbuttonvalue setarr CurrentPos CurrentId CurrentVal
    global aSplineX aSplineY aSplineZ SplineCheck xp yp zp
    global colors existcolorfile
    global lmCellIdArr maxlmIndex createdarr lmIndexPrevious
    if { [picker GetCellId] < 0 } {
        lmsphereActor$lmIndex VisibilityOff
        set pickId -1
    } else {
 
	set selPt [picker GetSelectionPoint]
        set pickId [picker GetCellId]
        set lmCellIdArr($lmIndex) $pickId
        set CurrentId [format "Id: %10d" $pickId]
        set CurrentVal " "
        #if {$existcolorfile == 1} {
        #    set pickVal [colors GetScalar $pickId]
        #    set CurrentVal [format "Value: %18.6f" $pickVal]
        #}
	set x [lindex $selPt 0] 
	set y [lindex $selPt 1]
	set pickPos [picker GetPickPosition]
	set xp [lindex $pickPos 0] 
	set yp [lindex $pickPos 1]
	set zp [lindex $pickPos 2]
        if {$createdarr($lmIndex) == 0} {
          CreateNewSphereLandmark $lmIndex
        }
        lmsphere$lmIndex SetCenter $xp $yp $zp
        lmsphereActor$lmIndex VisibilityOn
        lmCoord InsertPoint $lmIndex $xp $yp $zp
        set setarr($lmIndex) 1
        set setbuttonvalue 1  
        #SetIndex -1
        #SetSetLandmark 
        SetSetPos 
        if {$SplineCheck == 1} {
          UpdateSpline
        }
        
        set lmIndexNext [expr $maxlmIndex + 1 ]
        if {$createdarr($lmIndexNext) == 0} {
          CreateNewSphereLandmark $lmIndexNext
        }
        SetIndex $lmIndexNext
        incr lmIndex 1
        if {$createdarr($lmIndex) == 0} {
          CreateNewSphereLandmark $lmIndex
        }
        puts stdout ******************
        puts stdout $lmIndex
        set setbuttonvalue 0
        SetSetLandmark
    }
    
    renWin Render
}

proc DisplayHelpVersion {} {
  global version landmarker_version
  set vtkversion [version GetVTKVersion]
  set tcl_version [info tclversion]
  #notify $vtkversion vtkversion  
  # Display help.
  toplevel .version
  set versiontext [concat "landmarker Version $landmarker_version \nVTK Version " $vtkversion ",   TCL Version " $tcl_version] 
  #set versiontext [concat "landmarker Version 1.0.5 \nVTK Version " $vtkversion ",   TCL Version " $tcl_version] 
  message .version.msg -aspect 1000 -justify left -text $versiontext
  
  pack .version.msg
}

proc DisplayHelpLandmarker {} {
# Display help.
 toplevel .help
  set t [text .help.t -width 100 -height 24 -setgrid true -wrap word -yscrollcommand ".help.sy set"]
  scrollbar .help.sy -orient vert -command ".help.t yview"
  pack .help.sy -side right -fill y
  pack .help.t -side left -fill both -expand true
  $t insert end "Landmarker is a tool for point-landmarking a polygonal object.\n"
  $t insert end "\n"
  $t insert end "USAGE:\n"
  $t insert end "------\n"
  $t insert end "\n"
  $t insert end "Load a polygonal object.  Point cursor at location you wish to position a landmark and press keyboard P.   \
  The name and number of the landmark will become those shown in the 'Landmark #' slider and 'Name' entry
  field, respectively.  The 'Set' status of the landmark will be turned on.\n"
  $t insert end " If you wish to change the name of a landmark:  Type a name in the 'Name' entry field and hit RETURN.\n"    
  $t insert end "\n"                                                                                                        
  $t insert end "If you wish to unset a landmark:  Toggle off the 'Set' status of the landmark.\n"                             
  $t insert end "\n"                                                                                                         
  $t insert end "If you wish to load a set of pre-defined landmark names, use Load (new)->Landmark names from file.\n"         
  $t insert end "\n"                                                                                                        
  $t insert end "File Menu:\n"                                                                                                 
  $t insert end "==========\n"                                                                                                 
  $t insert end "\n"                                                                                                          
  $t insert end "Load (New) \n"                                                                                                
  $t insert end "          Surface File \n"                                                                                   
  $t insert end "             Load and display a polygonal object from file, e.g. .vtk or.stl format. \n"                            
  $t insert end "          Landmark File \n"                                                                                  
  $t insert end "             Load and display point landmarks from a file in e.g. .log format. \n"   
  $t insert end "          List of Landmark Files \n"                                                                                  
  $t insert end "             Load and display all landmark files listen in one column of a an ASCII file (.txt). \n"
  $t insert end "          Line Curve File \n"                                                                                  
  $t insert end "             Load and display a line curve file (.crv or .sln). \n"                                          
  $t insert end "          Landmark names from file \n"                                                                       
  $t insert end "             Loads only the name part of the landmarks in a landmark file.  \n"                                               
  $t insert end "          Surfaces from .ani list file (e.g. for animation)\n"                                               
  $t insert end "             Loads a surface animation (.ani) file, which is an ASCII file listing surface files in a column.    \n"  
  $t insert end "          Image File\n"                                               
  $t insert end "             Loads an image file (Analyze format .hdr/.img or landmarker native image format .hea/.img ).    \n"   
  $t insert end "             NOTE: Works currently only with native Analyze format, i.e. Analyze   \n" 
  $t insert end "             files (.hdr/.img pairs) written on the same type of machine as you run landmarker.   \n"
  $t insert end "             NOTE2: landmarker native format is same as Analyze, but .hdr is replaced by ASCII .hea.   \n" 
  $t insert end "          Color File \n"                                               
  $t insert end "             Loads a color (.clr) file, which is an ASCII file with one color for each surface triangle (load surface first).\n"                                                
  $t insert end " \n"                                                                                                         
  $t insert end "Load (Additional) \n"                                                                                         
  $t insert end "          Surface File\n"                                                                                    
  $t insert end "             Loads and displays an additional surface file.\n" 
  $t insert end "          Line Curve File\n"                                                                                    
  $t insert end "             Loads and displays an additional curve file.\n"                                            
  $t insert end "\n"   
  $t insert end "Load (Append) \n"                                                                                         
  $t insert end "          Landmark File\n"                                                                                    
  $t insert end "             Loads an additional landmark file and appends the landmarks it to the previous landmarks present.\n"
  $t insert end "\n"  
  $t insert end "Load (Target) \n"                                                                                         
  $t insert end "          Landmark File\n"                                                                                    
  $t insert end "             Loads a target landmark file (e.g. for landmark transform or TPS transform).\n"
  $t insert end "          Surface File\n"                                                                                    
  $t insert end "             Loads a target surface file (e.g. for ICP transform).\n"
  $t insert end "\n"                                                                                                                                                                                                            
  $t insert end "Save\n"                                                                                                       
  $t insert end "          Surface \n"                                                                                   
  $t insert end "             Saves a surface to file. \n"
  $t insert end "          Target Surface \n"                                                                                   
  $t insert end "             Saves a target surface (after applying ICP transform inversely). \n"    
  $t insert end "          Triangulation or Connected Region \n"                                                                                   
  $t insert end "             Saves a surface after 'Surface from Unstructured Points' or 'Extract Connected or Largest Region'. \n"                      
  $t insert end "          Landmark file \n"                                                                                  
  $t insert end "             Saves current set of landmarks to a file. \n" 
  $t insert end "          Line Curve file \n"                                                                                  
  $t insert end "             Save Line Curve File. \n"                                    
  $t insert end "          Spline file \n"                                                                                    
  $t insert end "             Saves current spline curve (if defined) to a .sln file. \n" 
  $t insert end "          Image file \n"                                                                                    
  $t insert end "             Saves image file in native landmarker image format (.hea/.img). \n" 
  $t insert end "          Snapshot (from plot window) \n"
  $t insert end "             Saves an snapshot of the plot window. \n"
  $t insert end "          Snapshot (from surface window) \n"
  $t insert end "             Saves an snapshot of the surface window (.jpg, .bmp or .tif). \n"
  $t insert end "          Snapshots (from surface window) \n"
  $t insert end "             Saves a snapshot of the surface window each time you press the 'Capture' button. \n"                                                 
  $t insert end " \n"                                                                                                         
  $t insert end "Edit Menu: \n"                                                                                                
  $t insert end "==========\n"                                                                                                 
  $t insert end "\n"                                                                                                          
  $t insert end "Combine Landmarks\n"                                                                                          
  $t insert end "  Combines landmarks.  All landmarks that are closer to eachother than the Distance Limit are combined \n"  
  $t insert end "  into one landmark. \n"  
  $t insert end "\n" 
  $t insert end "Delete All Landmarks\n"                                                                                          
  $t insert end "  Remove all landmarks from the scene. \n"  
  $t insert end "\n"    
  $t insert end "Delete All Line Curves\n"                                                                                          
  $t insert end "  Remove all line curves from the scene. \n"                                                                   
  $t insert end " \n"  
  $t insert end "Insert Pattern of Landmarks\n"                                                                                          
  $t insert end "  Places a number of landmarks in a circular pattern (use it e.g. for Clip Inside Landmark Loop).\n"                                                                  
  $t insert end " \n"
  $t insert end "Insert Clipping Plane\n"                                                                                          
  $t insert end "  Interactive plane allows cutting pieces from a surface.\n"                                                                  
  $t insert end " \n"
  $t insert end "Insert Clipping Box\n"                                                                                          
  $t insert end "  Interactive box allows cutting pieces from a surface.\n"                                                                  
  $t insert end " \n"
  $t insert end "Clip Inside Landmark Loop\n"                                                                                          
  $t insert end "  Cuts out the piece inside a landmark loop (a landmark loop is a sequence of landmarks with a spline \n"  
  $t insert end "      drawn by Options->ShowSpline).\n  "                                                                  
  $t insert end " \n"
  $t insert end "Cut Inside Sphere Landmark\n"                                                                                          
  $t insert end "  Cuts a hole in the surface correponding to the landmark sphere. \n"
  $t insert end " \n"
  $t insert end "Extract Connected Region\n" 
  $t insert end "  Remove disjoint parts of a surface from the part where landmark no.0 is set.\n"                                                                                 
  $t insert end "  (If a surface model contains more than one disjoint parts, place landmark no.0 on the part you wish \n"
  $t insert end "      to extract (keep), then apply this method.)  \n  "  
  $t insert end " \n"                                                         
  $t insert end "Extract Largest Region\n" 
  $t insert end "  Keep only the largest disjoint part of a surface.\n" 
  $t insert end " \n"                                                         
  $t insert end "Combine Two First Surfaces\n" 
  $t insert end "  Combines two surfaces. (Use File->Load(New)->Surface and File->Load(Additional) to load the two\n" 
  $t insert end "     surfaces, respectively.  Then save the combined by Save->SurfaceFile) \n" 
  $t insert end " \n"                                                         
  $t insert end "Triangulate Landmark Loop\n" 
  $t insert end "  Delaunay triangulates a landmark loop.\n" 
  $t insert end " \n"                                                         
  $t insert end "Surface from Unstructured Points\n" 
  $t insert end "  Delaunay triangulates a set of points given as landmarks.\n" 
  $t insert end " \n"                                                         
  $t insert end "Triangulate Curve\n" 
  $t insert end "  Delaunay triangulates between points given as a curve (e.g. in a Line Curve File).\n" 
  $t insert end " \n"                                                         
  $t insert end "Smooth Surface\n" 
  $t insert end "  Smooths a surface.\n" 
  $t insert end " \n"                                                         
  $t insert end "Decimate Surface\n" 
  $t insert end "  Decimates a surface (removes triangles in flat regions).\n" 
  $t insert end " \n"                                                         
  $t insert end "Subdivide Surface\n" 
  $t insert end "  Subdivision, cleaning and triangle filter.\n"
  $t insert end " \n" 
  $t insert end "Edit Transformation Matrix\n" 
  $t insert end "  Manually edit and apply (to a surface) a transformation matrix.\n"
  $t insert end " \n"   
  $t insert end "Flip Data\n" 
  $t insert end "  Flip (mirror) surface and landmarks across the xy, yz or zx planes.\n"
  $t insert end " \n"    
  $t insert end "Landmark Transform\n" 
  $t insert end "  Transform a surface by use of landmarks. Can also transform landmarks and image.\n"
  $t insert end "     Transformation types: Isotropic scaling, anisotropic scaling, rigid body, affine transformation.\n" 
  $t insert end " \n"    
  $t insert end "TPS Transform\n" 
  $t insert end "  Thin-plate-splines transform a surface and/or image by landmarks.\n"          
  $t insert end " \n"    
  $t insert end "ICP Transform\n" 
  $t insert end "  Register two surfaces by iterative closest point transform.\n"          
  $t insert end " \n"                                                                                                                                                                                          
  $t insert end "Options Menu: \n"                                                                                             
  $t insert end "=============\n"                                                                                              
  $t insert end "\n"                                                                                                          
  $t insert end "Show Spline\n"                                                                                                 
  $t insert end "   Toggle on/off the spline between landmarks.  Default is off.\n"                                           
  $t insert end " \n"  
  $t insert end "Perspective Rendering \n"                                                                                          
  $t insert end "   Toggle On/Off Perspective Rendering. Default is Off (Orthographic Rendering). \n"  
  $t insert end " \n"
  $t insert end "Interpolate Normals\n"
  $t insert end "   Toggles On/Off interpolation of normals. Default is On.\n"
  $t insert end "\n"   
  $t insert end "Interpolate Colors\n"
  $t insert end "   Toggles On/Off interpolation of colors. Default is On. (only if color file has been loaded)\n"
  $t insert end "\n"
  $t insert end "Extra Lights\n"
  $t insert end "   Provides some extra light.\n"
  $t insert end "\n" 
  $t insert end "Show boundary edges.\n"
  $t insert end "   Outlines boundary edges.\n"
  $t insert end "\n" 
  $t insert end "Read clr as abs.va.\n"
  $t insert end "   If toggled on, the absolute value of colors read from a .clr file will be shown.\n"
  $t insert end "\n"                     
  $t insert end "View Menu: \n"  
  $t insert end "=============\n"                                                                                              
  $t insert end "\n"                                                                                                     
  $t insert end "Front, Back, Right, Left, Top, Bottom\n"
  $t insert end "   View objects form a particular side as indicated.\n"
  $t insert end "\n"
  $t insert end "Surface Menu: \n"  
  $t insert end "=============\n"                                                                                              
  $t insert end "\n"                                                                                                     
  $t insert end "Number of Cells/Points\n"
  $t insert end "   Diplays info on current surface (number of polygons (cells) and number of points).\n"
  $t insert end "\n"                                                                                                                                                                          
  $t insert end "Animate Surfaces \n"                                                                                          
  $t insert end "   Start animation of the surface objects that have been loaded by use of File->Load(Additional). \n"
  $t insert end "     You can set time delay, swing or loop mode, and save snaps for animation.\n"
  $t insert end "   \n"
  $t insert end "(Closed Surface Only): Volume, Surface Area \n"                                                                                          
  $t insert end "   Displays info about closed object.\n"
  $t insert end "   \n"
  $t insert end "(Closed Surface Only): Volume, Surface Area \n"                                                                                          
  $t insert end "   Displays info about closed object.\n"
  $t insert end "   \n"
  $t insert end "Plot Surface Color Distribution (%of cells)\n"                                                                                          
  $t insert end "   Plots a histogram of surface color in a plot window. (only id .clr file has been loaded).\n"
  $t insert end "   \n"
  $t insert end "Plot Surface Color Distribution (%of area)\n"                                                                                          
  $t insert end "   Plots a histogram of surface color in a plot window. Takes into account surface area. Very slow.\n"
  $t insert end " \n"                                                                                                          
  $t insert end "\n"
  $t insert end "Measure Menu: \n"  
  $t insert end "=============\n"                                                                                              
  $t insert end "\n"                                                                                                     
  $t insert end "Distances\n"
  $t insert end "   Measure distance between two landmarks.\n"
  $t insert end "\n"
  $t insert end "Camera Menu: \n"  
  $t insert end "=============\n"
  $t insert end "\n"                                                                                                     
  $t insert end "Roll, Zoom, Move in Azimuth and Elevation.\n"
  $t insert end "\n"                                                                                                     
  $t insert end "Move in Azimuth.\n"
  $t insert end "   Make, replay and save sequence during camera motion in azimuth.\n"
  $t insert end "\n"                                                                                                     
  $t insert end "Settings Menu: \n"  
  $t insert end "=============\n"
  $t insert end "\n"                                                                                                     
  $t insert end "Landmark Options\n"
  $t insert end "  Set landmark radius. Annotate the landmarks with numbers.  Toggle outline mode.\n"
  $t insert end "    (In outline mode you do not have to manually advance the landmark numer slider.)\n"                                                                                                     
  $t insert end "\n"                                                                                                     
  $t insert end "Background Color\n"
  $t insert end "  Opens window for adjustment of background color.\n"
  $t insert end "\n"
  $t insert end "Surface Color\n"
  $t insert end "  Opens window for adjustment of surface color and properties.\n"
  $t insert end "\n"
  $t insert end "Window Size\n"
  $t insert end "  Set x and y size (in pixels) of surface window.\n"
}

proc DisplayHelpDisclaimer {} {
  # Display help.
  toplevel .disclaimer
  message .disclaimer.msg -aspect 1000 -justify left -text \
  "Copyright (c) 2013 by Tron Darvann, 3D-Laboratory, Copenhagen, trd@sund.ku.dk. \
  This software (landmarker) is provided as is, without any express or implied \
  warranties whatsoever.  It is free for non-commercial use as long as a reference\
  is given in any publication to which it has contributed (for details see \
  www.lab3d.odont.ku.dk/landmarker). The software uses the VTK library: for \
  copyrights that apply to the VTK software, see www.kitware.com."
  pack .disclaimer.msg
  }

proc DisplayNews {} {
  # Display news.
  toplevel .news
  set t [text .news.t -width 100 -height 24 -setgrid true -wrap word -yscrollcommand ".news.sy set"]
  scrollbar .news.sy -orient vert -command ".news.t yview"
  pack .news.sy -side right -fill y
  pack .news.t -side left -fill both -expand true
  $t insert end "\n"
  $t insert end "Added functionalty in version 1.0.3a:\n"
  $t insert end "----------------------------------------------------\n"
  $t insert end "\n"
  $t insert end "Options\n"                                                                                                       
  $t insert end "           Interpolate Normals\n"
  $t insert end "             Toggles on/off interpolation of normals. Default is on.\n"
  $t insert end "\n"
  $t insert end "Surface\n"                                                                                                       
  $t insert end "           Info\n"
  $t insert end "             Diplays info on current surface.\n"
  $t insert end "\n"
  $t insert end "Edit\n"                                                                                                       
  $t insert end "           Background Color\n"
  $t insert end "             Opens window for adjustment of background color.\n"
  $t insert end "\n"
  $t insert end "           Surface Color\n"
  $t insert end "             Opens window for adjustment of surface color and properties.\n"
  $t insert end "\n"
  $t insert end "File->Load(New)\n"                                                                                                       
  $t insert end "           Image File\n"
  $t insert end "             Load and view image file.\n"
  $t insert end "             Preliminary version; can only read native Analyze format.\n"
  $t insert end "\n"
  $t insert end "\n"
  $t insert end "Added functionalty in version 1.0.2:\n"
  $t insert end "----------------------------------------------------\n"
  $t insert end "\n"
  $t insert end "Save\n"                                                                                                       
  $t insert end "          Snapshot \n"
  $t insert end "             Saves an snapshot image of the rendering window. \n"
  $t insert end "\n"
  $t insert end "Added functionalty in version 1.0.1:\n"
  $t insert end "----------------------------------------------------\n"
  $t insert end "Options\n"                                                                                                                                                                                                                                                                                                                                                                               
  $t insert end "Perspective Rendering \n"                                                                                          
  $t insert end "   Toggle On/Off Perspective Rendering. Default is Off (Orthographic Rendering). \n"
}

############################ Setting background color
##
proc BackgroundColor {} {

    set background [ren1 GetBackground]
    .back.f1.l.r set [expr [lindex $background 0] * 255.0]
    .back.f1.l.g set [expr [lindex $background 1] * 255.0]
    .back.f1.l.b set [expr [lindex $background 2] * 255.0]
    wm deiconify .back
}

proc CloseBackground {} {
    wm withdraw .back
}

toplevel .back
wm withdraw .back
wm title .back "Select Background Color"
wm protocol .back WM_DELETE_WINDOW {wm withdraw .back}
frame .back.f1

frame .back.f1.l  -relief raised -borderwidth 3
scale .back.f1.l.r -from 255 -to 0 -orient vertical -background #f00 \
	-command SetColor
scale .back.f1.l.g -from 255 -to 0 -orient vertical -background #0f0 \
	-command SetColor
scale .back.f1.l.b -from 255 -to 0 -orient vertical -background #00f \
	-command SetColor
pack .back.f1.l.r .back.f1.l.g .back.f1.l.b -side left -fill both

frame .back.f1.m -relief raised -borderwidth 3
label .back.f1.m.sample -highlightthickness 0 -text "  Background Color  "
pack .back.f1.m.sample -fill both -expand 1

frame .back.f1.r -relief raised -borderwidth 3
set colwheel "ColorWheel.ppm"
if {$app_type == "exe"} {
  set colwheel $colwheel
} else {
  set colwheel $landmarker_home$colwheel
}
image create photo ColorWheel -file $colwheel
label .back.f1.r.wheel -image ColorWheel -highlightthickness 0
bind .back.f1.r.wheel <Button-1> {
    scan [ColorWheel get %x %y] "%%f %%f %%f" r g b
    .back.f1.l.r set $r
    .back.f1.l.g set $g
    .back.f1.l.b set $b
}
pack .back.f1.r.wheel -fill both
pack .back.f1.l .back.f1.m .back.f1.r -side left -expand 1 -fill both

frame .back.fb
button .back.fb.apply -text Apply -command ApplyBackground
button .back.fb.defult -text Default -command ApplyDefault
button .back.fb.black -text Black -command ApplyBlack
button .back.fb.white -text White -command ApplyWhite
button .back.fb.cancel -text Done -command CloseBackground
pack .back.fb.apply .back.fb.defult .back.fb.black .back.fb.white .back.fb.cancel -side left -expand 1 -fill x
pack .back.f1 .back.fb -side top -fill both -expand 1

proc SetColor {value} {
    set color [format #%02x%02x%02x [.back.f1.l.r get] [.back.f1.l.g get]\
	    [.back.f1.l.b get]]
    .back.f1.m.sample config -background $color
}

proc ApplyBackground {} {
    global renWin

    ren1 SetBackground [expr [.back.f1.l.r get]/255.0] \
	    [expr [.back.f1.l.g get]/255.0] \
	    [expr [.back.f1.l.b get]/255.0]
    
    renWin Render
}

proc ApplyDefault {} {
    global renWin
    ren1 SetBackground 0.1 0.4 0.4
    set background [ren1 GetBackground]
    .back.f1.l.r set [expr [lindex $background 0] * 255.0]
    .back.f1.l.g set [expr [lindex $background 1] * 255.0]
    .back.f1.l.b set [expr [lindex $background 2] * 255.0]
    renWin Render
}
proc ApplyWhite {} {
    global renWin
    ren1 SetBackground 1.0 1.0 1.0
    set background [ren1 GetBackground]
    .back.f1.l.r set [expr [lindex $background 0] * 255.0]
    .back.f1.l.g set [expr [lindex $background 1] * 255.0]
    .back.f1.l.b set [expr [lindex $background 2] * 255.0]
    renWin Render
}
proc ApplyBlack {} {
    global renWin
    ren1 SetBackground 0.0 0.0 0.0
    set background [ren1 GetBackground]
    .back.f1.l.r set [expr [lindex $background 0] * 255.0]
    .back.f1.l.g set [expr [lindex $background 1] * 255.0]
    .back.f1.l.b set [expr [lindex $background 2] * 255.0]
    renWin Render
}



proc OpenChooseSurfaceMenu {} {
  global oactorNum RadioFlipValue
  for {set i 0} {$i <= $oactorNum} {incr i 1} { 
          global CheckSurfaceVisibility($i)
  }

    

    proc CloseChooseSurfaceMenu {} {
      wm withdraw .scho
      destroy .scho
    }

    #proc ToggleSurfaceVisibility0 {} {
    #   # not working
    #   global oactorNum 
    #   global CheckSurfaceVisibility0
    #   puts stdout "lskdfdlks"  
    #   if {! $CheckSurfaceVisibility0} {
    #      oactor0 VisibilityOff
    #      puts stdout "hej"
    #   } else {
    #      oactor0 VisibilityOn
    #   }
    #   renWin Render
    #}

  toplevel .scho
  wm title .scho "Choose Surface"
  set font {Helvetica 14}
  button .scho.close -font $font -text  " Close "  -width 15 -foreground red -command CloseChooseSurfaceMenu
  pack .scho.close -side bottom -pady 2m
  
  frame .scho.c
  pack .scho.c -side top -expand 1 -pady 15
  frame .scho.c.c1
  ##frame .scho.c.c2
  pack .scho.c.c1 -side left -expand 1
  label .scho.c.c1.l -text "Surface:" -justify center -background darkgray -width 30

  pack .scho.c.c1.l 
  for {set i 0} {$i <= $oactorNum} {incr i 1} { 
     radiobutton .scho.c.c1.b$i -text "      $i      " -variable oactorNum -relief flat -justify left -width 20 -background gray -foreground blue -value $i
     pack .scho.c.c1.b$i -side top
  }
  
  
       
  #label .scho.c.c2.l -text "Visibility:" -justify center -background darkgray -width 30
  #pack .scho.c.c2.l 
  #for {set i 0} {$i <= $oactorNum} {incr i 1} { 
  #  checkbutton .scho.c.c2.b$i -text "       $i      " -variable CheckSurfaceVisibility$i -command ToggleSurfaceVisibility$i -relief flat -justify left -width 20 -background gray -foreground blue
  #  pack .scho.c.c2.b$i -side top
  #}
  

}


############################ Set surface properties
##
proc SurfaceProperties {} {
    global oactorNum
    global colortablename lut existcolorfile gammacorr
    global lowersr uppersr mincol maxcol lutslidermin lutslidermax ScalarBarNumberOfLabels
    global colorbarbuttonvalue
    global colorfileread
    set color [[oactor$oactorNum GetProperty] GetColor]
    
    .prop.f1.l.r set [expr [lindex $color 0] * 255.0]
    .prop.f1.l.g set [expr [lindex $color 1] * 255.0]
    .prop.f1.l.b set [expr [lindex $color 2] * 255.0]
    .prop.sliders.amb set [[oactor$oactorNum GetProperty] GetAmbient]
    .prop.sliders.diff set [[oactor$oactorNum GetProperty] GetDiffuse]
    .prop.sliders.spec set [[oactor$oactorNum GetProperty] GetSpecular]
    .prop.sliders.power set [[oactor$oactorNum GetProperty] GetSpecularPower]
    
    if {($existcolorfile == 1) || ($colorfileread == 1) } {
      .prop.m configure -state normal
      .prop.lut.min configure -state normal
      .prop.lut.max configure -state normal
      .prop.lut.gamm configure -state normal
      .prop.nl.nl configure -state normal
      .prop.toggles.cbar configure -state normal
      .prop.lut.min configure -from $lutslidermin -to $lutslidermax
      .prop.lut.max configure -from $lutslidermin -to $lutslidermax
      .prop.lut.min set $lowersr
      .prop.lut.max set $uppersr
      .prop.nl.nl set $ScalarBarNumberOfLabels
    }

    

    wm deiconify .prop
}

proc CloseProperties {} {
    wm withdraw .prop
}

toplevel .prop
wm withdraw .prop
wm title .prop "Set Surface Properties"

menu .prop.menu -type menubar
  menu .prop.menu.file -tearoff 1
  .prop.menu add cascade -menu .prop.menu.file -label "File"
  .prop.menu.file add command -label "Choose Surface" -command  OpenChooseSurfaceMenu
  .prop configure -menu .prop.menu


wm protocol .prop WM_DELETE_WINDOW {wm withdraw .prop}
frame .prop.f1

frame .prop.f1.l  -relief raised -borderwidth 3
scale .prop.f1.l.r -from 255 -to 0 -orient vertical -background #f00 \
	-command SetSurfaceColor
scale .prop.f1.l.g -from 255 -to 0 -orient vertical -background #0f0 \
	-command SetSurfaceColor
scale .prop.f1.l.b -from 255 -to 0 -orient vertical -background #00f \
	-command SetSurfaceColor
pack .prop.f1.l.r .prop.f1.l.g .prop.f1.l.b -side left -fill both

frame .prop.f1.m -relief raised -borderwidth 3
label .prop.f1.m.sample -highlightthickness 0 -text "   Surface Color    "
pack .prop.f1.m.sample -fill both -expand 1

frame .prop.f1.r -relief raised -borderwidth 3
image create photo ColorWheel -file $colwheel
label .prop.f1.r.wheel -image ColorWheel -highlightthickness 0
bind .prop.f1.r.wheel <Button-1> {
    scan [ColorWheel get %x %y] "%%f %%f %%f" r g b
    .prop.f1.l.r set $r
    .prop.f1.l.g set $g
    .prop.f1.l.b set $b
}
pack .prop.f1.r.wheel -fill both
pack .prop.f1.l .prop.f1.m .prop.f1.r -side left -expand 1 -fill both

frame .prop.sliders
scale .prop.sliders.amb -from 0.00 -to 1.00 -orient horizontal\
	-resolution 0.01 -label Ambient
scale .prop.sliders.diff -from 0.00 -to 1.00 -orient horizontal\
	-resolution 0.01 -label Diffuse
scale .prop.sliders.spec -from 0.00 -to 1.00 -orient horizontal\
	-resolution 0.01 -label Specular
scale .prop.sliders.power -from 0 -to 100 -orient horizontal\
	-resolution 1 -label "Specular Power"
scale .prop.sliders.opacity -from 0.00 -to 1.00 -orient horizontal\
	-resolution 0.01 -label "Opacity"
pack .prop.sliders.spec .prop.sliders.power .prop.sliders.amb\
	.prop.sliders.diff .prop.sliders.opacity -side top -fill both
.prop.sliders.opacity set 1.00
frame .prop.lut
menubutton .prop.m -text "Choose Lookup Table" -menu .prop.m.menu -relief raised -state disabled

set m [menu .prop.m.menu -tearoff 1]
$m add radio -label " 1) b-w-linear" -variable colortablename -value b-w-linear
$m add radio -label " 2) blue-white" -variable colortablename -value blue-white
$m add radio -label " 3) grn-red-blu-wht" -variable colortablename -value grn-red-blu-wht
$m add radio -label " 4) red-temperature" -variable colortablename -value red-temperature
$m add radio -label " 5) blue-green-red-yellow" -variable colortablename -value blue-green-red-yellow
$m add radio -label " 6) std-gamma-ii" -variable colortablename -value std-gamma-ii
$m add radio -label " 7) prism" -variable colortablename -value prism
$m add radio -label " 8) red-purple" -variable colortablename -value red-purple
$m add radio -label " 9) green-white-linear" -variable colortablename -value green-white-linear
$m add radio -label "10) grn-wht-exponential" -variable colortablename -value grn-wht-exponential
$m add radio -label "11) green-pink" -variable colortablename -value green-pink
$m add radio -label "12) blue-red-1" -variable colortablename -value blue-red-1
$m add radio -label "13) 16-level" -variable colortablename -value 16-level
$m add radio -label "14) rainbow-1" -variable colortablename -value rainbow-1
$m add radio -label "15) steps" -variable colortablename -value steps
$m add radio -label "16) stern-special" -variable colortablename -value stern-special
$m add radio -label "17) haze" -variable colortablename -value haze
$m add radio -label "18) blue-pastel-red" -variable colortablename -value blue-pastel-red
$m add radio -label "19) pastels" -variable colortablename -value pastels
$m add radio -label "20) hue-sat-lightness-1" -variable colortablename -value hue-sat-lightness-1
$m add radio -label "21) hue-sat-lightness-2" -variable colortablename -value hue-sat-lightness-2
$m add radio -label "22) hue-sat-value-1" -variable colortablename -value hue-sat-value-1
$m add radio -label "23) hue-sat-value-2" -variable colortablename -value hue-sat-value-2
$m add radio -label "24) purple-red-stripes" -variable colortablename -value purple-red-stripes
$m add radio -label "25) beach" -variable colortablename -value beach
$m add radio -label "26) mac-style" -variable colortablename -value mac-style
$m add radio -label "27) eos-a" -variable colortablename -value eos-a
$m add radio -label "28) eos-b" -variable colortablename -value eos-b
$m add radio -label "29) hardcandy" -variable colortablename -value hardcandy
$m add radio -label "30) nature" -variable colortablename -value nature
$m add radio -label "31) ocean" -variable colortablename -value ocean
$m add radio -label "32) peppermint" -variable colortablename -value peppermint
$m add radio -label "33) plasma" -variable colortablename -value plasma
$m add radio -label "34) blue-red-2" -variable colortablename -value blue-red-2
$m add radio -label "35) rainbow" -variable colortablename -value rainbow
$m add radio -label "36) blue-waves" -variable colortablename -value blue-waves
$m add radio -label "37) volcano" -variable colortablename -value volcano
$m add radio -label "38) waves" -variable colortablename -value waves
$m add radio -label "39) rainbow18" -variable colortablename -value rainbow18
$m add radio -label "40) rainbow+white" -variable colortablename -value rainbow+white
$m add radio -label "41) rainbow-white" -variable colortablename -value rainbow-white 
$m add radio -label "42) blue-yellow" -variable colortablename -value blue-yellow 
$m add radio -label "43) colorblind" -variable colortablename -value colorblind
$m add radio -label "44) colorblind2" -variable colortablename -value colorblind2
$m add radio -label "44) rainbow_8steps" -variable colortablename -value rainbow_8steps

rmapper$oactorNum SetScalarRange $lowersr $uppersr

    if {$mincol < $lowersr} {
       set lutslidermin $mincol
    } else {
       set lutslidermin $lowersr
    }
    if {$maxcol > $uppersr} {
       set lutslidermax $maxcol
    } else {
       set lutslidermax $uppersr
    }

scale .prop.lut.min -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.001 -label "Color Value Minimum" -state disabled -variable lowersr
scale .prop.lut.max -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.001 -label "Color Value Maximum" -state disabled -variable uppersr
scale .prop.lut.gamm -from 0.1 -to 10.0 -orient horizontal\
	-resolution 0.1 -label "Gamma Correction" -state disabled -variable gammacorr

frame .prop.nl
scale .prop.nl.nl -from 1 -to 20 -orient horizontal\
	-resolution 1 -label "Number of Color Bar Labels" -state disabled -variable ScalarBarNumberOfLabels
pack .prop.nl.nl -side bottom -fill both 

set colorbarbuttonvalue 1

frame .prop.toggles


checkbutton .prop.toggles.cbar -text "Show Color Bar" -variable colorbarbuttonvalue -state disabled 
checkbutton .prop.toggles.hide -text "Toggle Surface" -variable ToggleSurfaceCheck -command ToggleSurface 
pack .prop.toggles.cbar .prop.toggles.hide -side left -expand 1 -fill both

if {$SurfaceFileHasBeenRead} {  
  set ToggleSurfaceCheck 1
} else {
  set ToggleSurfaceCheck 0
}

pack .prop.lut.min -fill both -expand 1
pack .prop.lut.max -side bottom -fill both 
pack .prop.lut.gamm -side bottom -fill both
pack .prop.toggles
pack .prop.m .prop.nl -side bottom -padx 10 -pady 10 -fill both -expand 1


frame .prop.fb
button .prop.fb.apply -text Apply -command ApplyProperties
button .prop.fb.default -text Default -command DefaultProperties
button .prop.fb.cancel -text Done -command CloseProperties
pack .prop.fb.apply .prop.fb.default .prop.fb.cancel -side left -expand 1 -fill x
pack .prop.f1 .prop.sliders .prop.fb .prop.lut -side top -fill both -expand 1

proc SetSurfaceColor {value} {
    set color [format #%02x%02x%02x [.prop.f1.l.r get] [.prop.f1.l.g get]\
	    [.prop.f1.l.b get]]
    .prop.f1.m.sample config -background $color
}

 proc ToggleSurface {} {
    # To be executed when "Toggle Surface" is toggled on or off.
    global SurfaceFileHasBeenRead ToggleSurfaceCheck oactorNum
    if {! $SurfaceFileHasBeenRead} {
       return -1
    }
    if {$ToggleSurfaceCheck} {
       ren1 AddActor oactor$oactorNum
    } else {
       ren1 RemoveActor oactor$oactorNum 
    } 
    renWin Render
  }


proc ApplyProperties {} {
    global renWin
    global oactorNum
    global colortablename lut existcolorfile
    global lowersr uppersr
    global colorbarbuttonvalue
    global ScalarBarNumberOfLabels

    [oactor$oactorNum GetProperty] SetColor [expr [.prop.f1.l.r get]/255.0] \
	    [expr [.prop.f1.l.g get]/255.0] \
	    [expr [.prop.f1.l.b get]/255.0]
     [oactor$oactorNum GetProperty] SetAmbient [.prop.sliders.amb get]
     [oactor$oactorNum GetProperty] SetDiffuse [.prop.sliders.diff get]
     [oactor$oactorNum GetProperty] SetSpecular [.prop.sliders.spec get]
     [oactor$oactorNum GetProperty] SetSpecularPower [.prop.sliders.power get]
     [oactor$oactorNum GetProperty] SetOpacity [.prop.sliders.opacity get]
     
    if {$existcolorfile == 1} {
       lut Delete
       vtkLookupTable lut
       LoadColorLUT $colortablename
       rmapper$oactorNum SetLookupTable lut
       rmapper$oactorNum SetScalarRange $lowersr $uppersr
       oactor$oactorNum SetMapper rmapper$oactorNum
       scalarBar SetLookupTable [rmapper$oactorNum GetLookupTable]
       # Check if the color bar is wanted.
       if {$colorbarbuttonvalue == 1} {
          ren1 RemoveActor2D scalarBar
          scalarBar Delete
          CreateScalarBar
          scalarBar VisibilityOn
          ren1 AddActor2D scalarBar     
          scalarBar SetNumberOfLabels $ScalarBarNumberOfLabels
       } else {
          #CreateScalarBar
          scalarBar VisibilityOff
       } 
    }
    renWin Render
}

proc DefaultProperties {} {
    global renWin
    global oactorNum
    [oactor$oactorNum GetProperty] SetColor 1 1 1
    [oactor$oactorNum GetProperty] SetAmbient 0.20
    [oactor$oactorNum GetProperty] SetDiffuse 0.40
    [oactor$oactorNum GetProperty] SetSpecular 0.20
    [oactor$oactorNum GetProperty] SetSpecularPower 50.0
    [oactor$oactorNum GetProperty] SetOpacity 1.00
    
    set color [[oactor$oactorNum GetProperty] GetColor] 
    .prop.f1.l.r set [expr [lindex $color 0] * 255.0]
    .prop.f1.l.g set [expr [lindex $color 1] * 255.0]
    .prop.f1.l.b set [expr [lindex $color 2] * 255.0]
    .prop.sliders.amb set [[oactor$oactorNum GetProperty] GetAmbient]
    .prop.sliders.diff set [[oactor$oactorNum GetProperty] GetDiffuse]
    .prop.sliders.spec set [[oactor$oactorNum GetProperty] GetSpecular]
    .prop.sliders.power set [[oactor$oactorNum GetProperty] GetSpecularPower]
    .prop.sliders.opacity set [[oactor$oactorNum GetProperty] GetOpacity]
    renWin Render
}

proc ClipGetCutSpline {} {
   # Extract the cut as a spline curve.  Show it.  Not used. See ClipGetCutPoints.
   # Problem we can't get the points of the spline out.  
   # Instead save output of the cutter as points in a vtkPolyDataWriter.  Read, and then fit spline.
   global tmpdir
   clipper Update

   vtkCutter cutEdges; #Generate cut lines
     cutEdges SetInput [clipper GetOutput]
     cutEdges SetCutFunction plane
     cutEdges GenerateCutScalarsOn
     ##cutEdges SetValue 0 0.5
     cutEdges SetValue 0 0.5
     cutEdges Update

   vtkSplineFilter feSpline
       feSpline SetInput [cutEdges GetOutput]
       feSpline SetSubdivideToLength
       # SetLength explicitly specifies length of each spline segment.
       # However, it turns out to be only approximate.
       ##feSpline SetLength 1.0
       feSpline SetLength 0.01

     ##vtkTubeFilter feTubes
     ##  feTubes SetInput [feStripper GetOutput]
     ##  feTubes SetRadius $lmDiameter

     vtkPolyDataMapper feMapper
       ##feMapper SetInput [feTubes GetOutput]
       feMapper SetInput [feSpline GetOutput]

     vtkActor feActor
       feActor SetMapper feMapper
       eval [feActor GetProperty] SetColor 1 1 1

     ren1 AddActor feActor
      
}

proc ClipGetCutPoints {} {
   # Purpose: to get access to the points along the cut when we used the clipper in ClipInteractivePlane.
   # The points are stored in CurrentPoints in this routine.
   # Unfortunately, the points are in no particular order, probably due to the writing to VTK file, and then
   # reading back.  Using vtkStripper or vtkTriangleFilter did not help (see ClipCow.tcl for an example).

   # SO: OUTPUT FROM THIS ROUTINE IS UNSORTED POINTS IN CurrentPoints.  You probably have to sort them.

   global tmpdir
   clipper Update

   vtkCutter cutEdges; #Generate cut lines
     cutEdges SetInput [clipper GetOutput]
     cutEdges SetCutFunction plane
     cutEdges GenerateCutScalarsOn
     #cutEdges SetValue 0 0.5
     cutEdges SetValue 0 0.5
     cutEdges Update

   # Try passing it through a spline filter
   #vtkSplineFilter feSpline
   #    feSpline SetInput [cutEdges GetOutput]
   #    feSpline SetSubdivideToLength
   #    # SetLength explicitly specifies length of each spline segment.
   #    # However, it turns out to be only approximate.
   #    ##feSpline SetLength 1.0
   #    feSpline SetLength 1.0
   #
   #vtkStripper cutStrips; #Forms loops (closed polylines) from cutter
   #  cutStrips SetInput [cutEdges GetOutput]
   #  cutStrips Update
   #
   #vtkPolyData cutPoly; #This trick defines polygons as polyline loop
   #  cutPoly SetPoints [[cutStrips GetOutput] GetPoints]
   #  cutPoly SetPolys [[cutStrips GetOutput] GetLines]
   #
   #vtkTriangleFilter cutTriangles
   #   cutTriangles SetInput cutPoly

   # NOTE!!!! The Cut points seem to be offset by 0.5 in x.

   vtkPolyDataWriter pdw
     pdw SetInput [cutEdges GetOutput]
     pdw SetFileName "${tmpdir}cutpoints.vtk"
     pdw Write
     pdw Delete

     # Read it back
     set fileId [open "${tmpdir}cutpoints.vtk" r]
     set c 0
     set found 0
     while {([gets $fileId value] >= 0) && $found != 1} {
       set key [lindex $value 0]
       
       puts stdout "c $c $key"
       if {$key == "POINTS"} {
          set found 1
          set nCutPoints [lindex $value 1]
          puts stdout "nCutPoints $nCutPoints"
       } 
     incr c 1
     }
     # Now read points, fill in CutPoints
     CurrentPoints Delete
     vtkPoints CurrentPoints
     set c 0 
     while {([gets $fileId value] >= 0) && $c < [expr $nCutPoints - 3]} {

       set wordlist [split $value]
       set len [llength $wordlist]
       #puts stdout "len $len"
       set coo "x"
       for {set i 0} {$i < $len} {incr i 1} {
         set val [lindex $value $i]
         if {$val != {} } {
           #puts stdout "$coo $i $val"
           if {$coo == "x"} {
              set ip1 [expr $i + 1]
              set ip2 [expr $i + 2]
              set xp [lindex $value $i]
              ##set xp [expr $xp - 0.5]
              set yp [lindex $value $ip1]
              set zp [lindex $value $ip2]
              #puts stdout "c $c $xp $yp $zp"
              CurrentPoints InsertPoint $c $xp $yp $zp
              incr c 1
              set coo "y"
           } elseif {$coo == "y"} {
              #incr c 3
              set coo "z"
           } elseif {$coo == "z"} {
              #incr c 3
              set coo "x"
           }

         }
       }
      }
    close $fileId   
cutEdges Delete
}


proc GetIndexOfCurrentPointsWithMaxZ {} {
   set maxZ -10000000.
   set np [CurrentPoints GetNumberOfPoints]
   puts stdout "np= $np"
   set cnt 0
   for {set i 0} {$i < $np} {incr i 1} {
       set xyz [CurrentPoints GetPoint $i]  
       set zp [lindex $xyz 2]
       #puts stdout "$i $zp"
       if {$zp > $maxZ} {
          set maxZ $zp
          set index $i
          incr cnt 1
       } 
   }
   if {$cnt == 0} {
     puts stdout "ERROR in GetIndexOfCurrentPointsWithMaxZ: no points matched criterion"
     return -1
   } else {
     puts stdout "index= $index"
     return $index
   }
}


proc DistanceSortCurrentPoints {seedpoint} {
   # Sort the points in CurrentPoints.
   # New order will be: seedpoint, point closest to seedpoint, point closest to that point etc.
   set np [CurrentPoints GetNumberOfPoints]
   vtkPoints tempPoints
   for {set i 0} {$i < $np} {incr i 1} {
      set flagarray($i) 0
   }
   set xyz [CurrentPoints GetPoint $seedpoint]
      set xp [lindex $xyz 0]
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2]
   tempPoints InsertPoint 0 $xp $yp $zp
   set flagarray(0) 1
   for {set i 1} {$i < $np} {incr i 1} {
      # Find the point with minimum distance to xp,yp,zp. 
      set d 100000.
      for {set j 0} {$j < $np} {incr j 1} {
         if {$flagarray($j) != 1} {
            set xyz [CurrentPoints GetPoint $j]
            set x [lindex $xyz 0]
            set y [lindex $xyz 1]
            set z [lindex $xyz 2]
            set xd2 [expr ($x - $xp) * ($x - $xp)]
            set yd2 [expr ($y - $yp) * ($y - $yp)]
            set zd2 [expr ($z - $zp) * ($z - $zp)]
            set di [expr sqrt($xd2 + $yd2 +$zd2)]
            if {$di < $d} {
               set d $di
               set jj $j
               set xpp $x
               set ypp $y
               set zpp $z
            }         
         }  
      }
      set xp $xpp
      set yp $ypp
      set zp $zpp
      tempPoints InsertPoint $i $xp $yp $zp
      set flagarray($jj) 1
   }
   # Replace CurrentPoints with tempPoints.
   for {set i 0} {$i < $np} {incr i 1} {
      set xyz [tempPoints GetPoint $i]
         set xp [lindex $xyz 0]
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2]
      CurrentPoints InsertPoint $i $xp $yp $zp
   }
   puts stdout "seedpoint $seedpoint"
   tempPoints Delete
}

proc RemoveDuplicatePointsFromCurrentPoints {} {
  # Remove duplicate points next to eachother in CurrentPoints.
  # (Sort first by e.g. DistanceSortCurrentPoints)
  set np [CurrentPoints GetNumberOfPoints]
  puts stdout "np in RemoveDuplicatePointsFromCurrentPoints: $np"
  vtkPoints tempPoints
  set xyz [CurrentPoints GetPoint 0]
         set xp [lindex $xyz 0]
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2]
  tempPoints InsertPoint 0 $xp $yp $zp
  set c 0
  set ndup 0
  for {set i 1} {$i < $np} {incr i 1} {
     set im1 [expr $i - 1]
     set xyz [CurrentPoints GetPoint $i]
       set x2 [lindex $xyz 0]
       set y2 [lindex $xyz 1]
       set z2 [lindex $xyz 2]
     set xyz [CurrentPoints GetPoint $im1 ]
       set x1 [lindex $xyz 0]
       set y1 [lindex $xyz 1]
       set z1 [lindex $xyz 2]
     set xd2 [expr ($x2 - $x1) * ($x2 - $x1)]
     set yd2 [expr ($y2 - $y1) * ($y2 - $y1)]
     set zd2 [expr ($z2 - $z1) * ($z2 - $z1)]
     set di [expr sqrt($xd2 + $yd2 +$zd2)]
     if {$di != 0.0} {
       set xyz [CurrentPoints GetPoint $i]
         set xp [lindex $xyz 0]
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2]
       tempPoints InsertPoint $c $xp $yp $zp
     } else {
       puts stdout "Removed duplicate point in CurrentPoints"
       incr ndup 1
     }
     incr c 1
  }
  puts stdout "Number of duplicate points: $ndup"
  # Replace CurrentPoints with tempPoints.
   CurrentPoints Delete
   vtkPoints CurrentPoints
   set np [tempPoints GetNumberOfPoints]
   puts stdout "np out of RemoveDuplicatePointsFromCurrentPoints: $np"
   for {set i 0} {$i < $np} {incr i 1} {
      set xyz [tempPoints GetPoint $i]
         set xp [lindex $xyz 0]
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2]
      CurrentPoints InsertPoint $i $xp $yp $zp
   }
  tempPoints Delete
}

proc CopyPointsToCurrentPoints {} {
  # Takes contents of points and copies into CurrentPoints
  CurrentPoints Delete
  vtkPoints CurrentPoints
  set np [points GetNumberOfPoints]
  puts stdout "np in CopyPointsToCurrentPoints: $np"
  if {$np <= 2} {
     puts stdout "ERROR in CopyPointsToCurrentPoints: less than 3 points in points array!"
     return -1
  }
   for {set i 0} {$i < $np} {incr i 1} {
      set xyz [points GetPoint $i]
         set xp [lindex $xyz 0]
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2]
      CurrentPoints InsertPoint $i $xp $yp $zp
   }
}

proc CreateSplineFromLineCrvPoints {} {
   global numberOfOutputPoints
   CurrentSplineX Delete
   CurrentSplineY Delete
   CurrentSplineZ Delete
   vtkCardinalSpline CurrentSplineX
   vtkCardinalSpline CurrentSplineY
   vtkCardinalSpline CurrentSplineZ

   # Fill in points from lineCrvPoints.
   set np [lineCrvPoints GetNumberOfPoints]
   for {set i 0} {$i < $np} {incr i 1} {
       set xyz [lineCrvPoints GetPoint $i]
       CurrentSplineX AddPoint $i [lindex $xyz 0]
       CurrentSplineY AddPoint $i [lindex $xyz 1]
       CurrentSplineZ AddPoint $i [lindex $xyz 2]
   }  
       #SplineFit

  points Delete
  vtkPoints points
  set numberOfOutputPoints $np 
  puts stdout ""
  puts stdout "numberOfOutputPoints $numberOfOutputPoints"
  for {set i 0} {$i < $numberOfOutputPoints} {incr i 1} {
      set t [expr ( $np - 1.0 ) / ( $numberOfOutputPoints - 1) * $i]
      points InsertPoint $i [CurrentSplineX Evaluate $t] [CurrentSplineY Evaluate $t] [CurrentSplineZ Evaluate $t]
      ##puts stdout "i t $i $t"
  }
  profileData Modified

  set numberOfOutputPoints $np
  points Modified
  set nn [points GetNumberOfPoints]
  puts stdout "nn $nn"
}


proc CreateSplineFromCurrentPoints {} {
   global numberOfOutputPoints
   CurrentSplineX Delete
   CurrentSplineY Delete
   CurrentSplineZ Delete
   vtkCardinalSpline CurrentSplineX
   vtkCardinalSpline CurrentSplineY
   vtkCardinalSpline CurrentSplineZ

   # Fill in points from CurrentPoints.
   set np [CurrentPoints GetNumberOfPoints]
   for {set i 0} {$i < $np} {incr i 1} {
       set xyz [CurrentPoints GetPoint $i]
       CurrentSplineX AddPoint $i [lindex $xyz 0]
       CurrentSplineY AddPoint $i [lindex $xyz 1]
       CurrentSplineZ AddPoint $i [lindex $xyz 2]
   }  
       #SplineFit

  points Delete
  vtkPoints points
  ####set numberOfOutputPoints [expr ( $np * 10 ) ]
  set numberOfOutputPoints [expr ( $np ) ]
  for {set i 0} {$i < $numberOfOutputPoints} {incr i 1} {
      set t [expr ( $np - 1.0 ) / ( $numberOfOutputPoints - 1) * $i]
      points InsertPoint $i [CurrentSplineX Evaluate $t] [CurrentSplineY Evaluate $t] [CurrentSplineZ Evaluate $t]
      ##puts stdout "i t $i $t"
  }
  profileData Modified

  set numberOfOutputPoints $np
  points Modified
  set nn [points GetNumberOfPoints]
  puts stdout "nn $nn"
}

proc GetPointsPointClosestTo {x y z} {
   # Find the point in the vtkPoints array named points closest to xyz and return the index of this point.
   set np [points GetNumberOfPoints]
   if {$np < 2} {
     puts stdout "ERROR in GetPointsPointClosestTo: less than two points in points!"
     return -1
   }
   set d 100000.
   for {set i 0} {$i < $np} {incr i 1} {
      # Compute distance to xyz
      set xyz [points GetPoint $i]
      set xp [lindex $xyz 0]
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2]
      set xd2 [expr ($x - $xp) * ($x - $xp)]
      set yd2 [expr ($y - $yp) * ($y - $yp)]
      set zd2 [expr ($z - $zp) * ($z - $zp)]
      set di [expr sqrt($xd2 + $yd2 +$zd2)]
      if {$di < $d} {
        set d $di
        set index $i
      }
   }
   return $index        
} 

proc CutPointsFromTo {p1 p2} {
   # Cuts out a portion of the vtkArray named points: 
   # replaces points with points between p1 and p2 (those two points inclusive).
   set np [points GetNumberOfPoints]
   if {$p1 > $p2} {
     puts stdout "Warning: p1 larger than p2 - switching them!"
     set p3 $p2
     set p2 $p1
     set p1 $p3
   }
   puts stdout "p1 p2 $p1 $p2"
   vtkPoints tempPoints
   set j 0
   for {set i $p1} {$i <= $p2} {incr i 1} {
      set xyz [points GetPoint $i]
      set x [lindex $xyz 0]
      set y [lindex $xyz 1]
      set z [lindex $xyz 2]
      tempPoints InsertPoint $j $x $y $z 
      incr j 1
   }
   # Replace points with tempPoints.
   points Delete
   vtkPoints points
   set np [tempPoints GetNumberOfPoints]
   for {set i 0} {$i < $np} {incr i 1} {
      set xyz [tempPoints GetPoint $i]
         set xp [lindex $xyz 0]
         set yp [lindex $xyz 1]
         set zp [lindex $xyz 2]
      points InsertPoint $i $xp $yp $zp
   }
   points Modified
   tempPoints Delete
}


proc GetSplineEquidistantPoints {npoints} {
  # The spline in points does not contain equidistantly sampled points.
  # Here we extract npoints equidistant points, including endpoints, and return in equipoints.
  ##vtkPoints equipoints
  set np [points GetNumberOfPoints]
  puts stdout "np = $np"
  if {$np <= 1} {
    puts stdout "ERROR in GetSplineEquidistantPoints: less than two points in point array!"
    return -1
  }
  set darr(0) 0.0
  set totlength 0.0
  # Fill darr with distances from the beginning of the curve.
  for {set i 1} {$i < $np} {incr i 1} {
     set xyz [points GetPoint $i]
       set x2 [lindex $xyz 0]
       set y2 [lindex $xyz 1]
       set z2 [lindex $xyz 2]
     set xyz [points GetPoint [expr $i - 1] ]
       set x1 [lindex $xyz 0]
       set y1 [lindex $xyz 1]
       set z1 [lindex $xyz 2]
     set xd2 [expr ($x2 - $x1) * ($x2 - $x1)]
     set yd2 [expr ($y2 - $y1) * ($y2 - $y1)]
     set zd2 [expr ($z2 - $z1) * ($z2 - $z1)]
     set di [expr sqrt($xd2 + $yd2 +$zd2)]
     set totlength [expr $totlength + $di ]
     set darr($i) $totlength
     #puts stdout "i darr $i $darr($i)"
  }
  set npm1 [expr $np - 1]
  if {$totlength != $darr($npm1)} {
    puts stdout "Error 0"
    return -1
  }
  set darrout(0) 0.0
  set dist [expr $totlength / ($npoints - 1)]
  puts stdout "totlength dist $totlength $dist"
  # Fill darrout with distances from beginning to the new point locations. 
  for {set i 1} {$i < $npoints} {incr i 1} {
    set darrout($i) [expr $dist * $i] 
    ##puts stdout "i darrout $i $darrout($i) " 
  }
  # Compute new locations.
  set j 0
  puts stdout "npoints= $npoints"
  set npointsm1 [expr $npoints - 1]
  for {set i 0} {$i < $npointsm1} {incr i 1} {
     set d $darrout($i)
     ##set j 0
     while {$d >= $darr($j)} {
       #puts stdout "j is now $j and d >= darr(j) ( $d >= $darr($j) )"
       incr j 1
     }
     set jm1 [expr $j - 1]
     set rest [expr $d - $darr($jm1)]
     ##puts stdout "rest $rest"
     #puts stdout "i j jm1 darr d $i $j $jm1 $darr($jm1) $d"

     if {$rest < 0.0} {
       puts stdout "Error 1 in GetSplineEquidistantPoints"
       return -1
     }
     set interval [expr $darr($j) - $darr($jm1)]
     if {$interval < 0.0} {
       puts stdout "Error 2 in GetSplineEquidistantPoints"
       return -1
     }
     if {$interval < $rest} {
       puts stdout "Error 3 in GetSplineEquidistantPoints"
       return -1
     }
     set interpolant [expr $rest / $interval]
     # Get x, y and z coord of point j and j+1, interpolate between.
     set xyz [points GetPoint $jm1]
       set x1 [lindex $xyz 0]
       set y1 [lindex $xyz 1]
       set z1 [lindex $xyz 2]
     set xyz [points GetPoint $j]
       set x2 [lindex $xyz 0]
       set y2 [lindex $xyz 1]
       set z2 [lindex $xyz 2]
     set xinterval [expr $x2 - $x1]
     set yinterval [expr $y2 - $y1]
     set zinterval [expr $z2 - $z1]
     set xp [expr $x1 + ($interpolant * $xinterval) ]
     set yp [expr $y1 + ($interpolant * $yinterval) ]
     set zp [expr $z1 + ($interpolant * $zinterval) ]
     equipoints InsertPoint $i $xp $yp $zp
  }
  # Put in the last point: should be same as last point on curve.
  set xyz [points GetPoint $npm1]
    set xp [lindex $xyz 0]
    set yp [lindex $xyz 1]
    set zp [lindex $xyz 2]
  equipoints InsertPoint $npointsm1 $xp $yp $zp

  # Check that the points in equipoints are really equidistant.
  for {set i 1} {$i < $npoints} {incr i 1} {
     set xyz [equipoints GetPoint $i]
       set x2 [lindex $xyz 0]
       set y2 [lindex $xyz 1]
       set z2 [lindex $xyz 2]
     set xyz [equipoints GetPoint [expr $i - 1] ]
       set x1 [lindex $xyz 0]
       set y1 [lindex $xyz 1]
       set z1 [lindex $xyz 2]
     set xd2 [expr ($x2 - $x1) * ($x2 - $x1)]
     set yd2 [expr ($y2 - $y1) * ($y2 - $y1)]
     set zd2 [expr ($z2 - $z1) * ($z2 - $z1)]
     set di [expr sqrt($xd2 + $yd2 +$zd2)]
     #puts stdout "equipoints $i $di" 
  }

}

proc ShowEquiPoints {} {
  # Will show equipoints as the current landmarks (previous landmarks will be removed).
  # Write equipoints to a .log file
  global tmpdir maxlmIndex setarr
  set np [equipoints GetNumberOfPoints]
  DeleteAllSphereLandmarks
  lmCoord Delete 
  vtkPoints lmCoord
  for {set i 0} {$i < $np} {incr i 1} {
    set xyz [equipoints GetPoint $i]
       set xp [lindex $xyz 0]
       set yp [lindex $xyz 1]
       set zp [lindex $xyz 2]

    lmCoord InsertPoint $i $xp $yp $zp
    set setarr($i) 1
  }
  set npm1 [expr $np - 1]
  set maxlmIndex $npm1

  WriteSimpleLm "${tmpdir}dum.log"
  ReadLandmarkFile "${tmpdir}dum.log"
}

proc ClipCutPlane {} {
      # Called when "Cut" is pressed.
      global ShowCutPiece oactorNum
      clipper Update
      if {! $ShowCutPiece} {
        PolyData CopyStructure [clipper GetOutput]
        [PolyData GetPointData] PassData [[clipper GetOutput] GetPointData]
        PolyData Modified
        DefaultProperties
        PolyData Update
      } else {
        [oactor$oactorNum GetProperty] SetColor 0 1 0
        #restActor SetPosition 1 3 10
      }
}

proc CloseClipCutMenu {} {
      wm withdraw .cc
      destroy .cc
      .menubar.mEdit entryconfigure 9 -state normal
      planeWidget Off
      #planeWidget KeyPressActivationOff
      #planeWidget Delete
      clipper Delete 
      plane Delete
}

proc CreateClipCutMenu {} {
  # Disable the possibillity of getting two clipping planes at once.
  .menubar.mEdit entryconfigure 9 -state disabled
  toplevel .cc
  wm title .cc "Clipping Plane Cutter"
  set font {Helvetica 14}
  label .cc.l -font $font -wraplength 4i -justify left -text "Move clipping plane by mouse."
  label .cc.l2 -font $font -wraplength 4i -justify left -text "Toggle clipping plane on/off by keypress 'i'."
  pack .cc.l .cc.l2 -side top
  button .cc.do -font $font -text  "** Cut **"  -width 15 -background red  -command ClipCutPlane
  pack .cc.do -pady 6
  ##button .cc.undo -font $font -text  " UNDO "  -width 15 -foreground green  -command UndoClipCutPlane
  ##pack .cc.undo -pady 4 
  button .cc.lm -font $font -text  "Set Plane through landmarks 0,1,2"  -width 30 -background yellow  -command UpdateCutPlane3lm
  pack .cc.lm -pady 6
  button .cc.x0 -font $font -text  "Move plane to x=0"  -width 30 -background yellow  -command UpdateCutPlaneX0
  pack .cc.x0 -pady 6
  button .cc.flip -font $font -text  "Flip Plane Normal"  -width 20 -background yellow  -command UpdateCutPlaneFlip
  pack .cc.flip -pady 6

  button .cc.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClipCutMenu
  pack .cc.close -pady 4
}

proc UpdateCutPlaneX0 {} {
  global Xmid Ymid Zmid
  planeWidget SetOrigin 0.0 $Ymid $Zmid
  clipper Update
  planeWidget UpdatePlacement
  clipper Update
  renWin Render
}

proc UpdateCutPlane3lm {} {
  global crossprod
  set origin [GetLandmarkAverageOfThree 0 1 2]
  set xo [lindex $origin 0]
  set yo [lindex $origin  1]
  set zo [lindex $origin  2]
  planeWidget SetOrigin $xo $yo $zo

  set p0 [lmCoord GetPoint 0]
  set p0x [lindex $p0 0]
  set p0y [lindex $p0 1]
  set p0z [lindex $p0 2]

  set p1 [lmCoord GetPoint 1]
  set p1x [lindex $p1 0]
  set p1y [lindex $p1 1]
  set p1z [lindex $p1 2]

  set p2 [lmCoord GetPoint 2]
  set p2x [lindex $p2 0]
  set p2y [lindex $p2 1]
  set p2z [lindex $p2 2]

  set vx1 [expr $p0x - $p1x]
  set vy1 [expr $p0y - $p1y]
  set vz1 [expr $p0z - $p1z]

  set vx2 [expr $p2x - $p1x]
  set vy2 [expr $p2y - $p1y]
  set vz2 [expr $p2z - $p1z]

  CrossProduct $vx1 $vy1 $vz1 $vx2 $vy2 $vz2
  set cpx $crossprod(0)
  set cpy $crossprod(1)
  set cpz $crossprod(2)
  
  planeWidget SetNormal $cpx $cpy $cpz
  
  clipper Update
  planeWidget UpdatePlacement
  clipper Update
  renWin Render

}

proc UpdateCutPlaneFlip {} {
  set nn [planeWidget GetNormal]
    set nx [lindex $nn 0]
    set ny [lindex $nn 1]
    set nz [lindex $nn 2]
    set nx [expr -1.0 * $nx]
    set ny [expr -1.0 * $ny]
    set nz [expr -1.0 * $nz]
  planeWidget SetNormal $nx $ny $nz
  clipper Update
  planeWidget UpdatePlacement
  clipper Update
  renWin Render
}



proc ClipInteractivePlane {} {
  # Procedure to let user manipulate clipping plane and visualize result.
  # The underlying surface is not modified until "Edit-> Get Clipped Surface" is used.
  # Only then is the PolyData replaced by the clipper output.
  global oactorNum featureAngle
  global ShowCutPiece 
  global Xmid Ymid Zmid
  CreateClipCutMenu
  ##if { [info commands plane] != "" } {plane Delete}
  ##if { [info commands clipper] != "" } {clipper Delete}
  ##if { [info commands selectMapper] != "" } {selectMapper Delete}
  ##if { [info commands planeWidget] != "" } {planeWidget Delete}
  ##if { [info commands clipnormals] != "" } {clipnormals Delete}
  
  vtkPlane plane
  vtkClipPolyData clipper
      clipper SetInput PolyData
      clipper SetClipFunction plane
      if {$ShowCutPiece} {
        clipper GenerateClippedOutputOn
      }
      clipper InsideOutOff

  ##vtkPolyDataMapper selectMapper
  ##  selectMapper SetInput [clipper GetOutput]
       
# As bounds for the PlaneWidget, use the bounding box of the PolyData: it is in the actor oactor0
set Bounds [oactor0 GetBounds]
    set Xmin [lindex $Bounds 0] 
    set Xmax [lindex $Bounds 1] 
    set Ymin [lindex $Bounds 2] 
    set Ymax [lindex $Bounds 3] 
    set Zmin [lindex $Bounds 4] 
    set Zmax [lindex $Bounds 5] 

set Xmid [expr ($Xmax + $Xmin) / 2.0]
set Ymid [expr ($Ymax + $Ymin) / 2.0]
set Zmid [expr ($Zmax + $Zmin) / 2.0]

vtkImplicitPlaneWidget planeWidget
  planeWidget SetInteractor iren
  planeWidget SetPlaceFactor 1.0
  planeWidget SetInput PolyData
  #planeWidget NormalToZAxisOn
  planeWidget KeyPressActivationOn
  planeWidget SetOrigin $Xmid $Ymid $Zmid
  planeWidget AddObserver EndInteractionEvent myCallback
  planeWidget PlaceWidget
  planeWidget SetNormal 1 0 0
  planeWidget SetOrigin $Xmid $Ymid $Zmid
  ##planeWidget SetOrigin 102.638 $Ymid $Zmid
  planeWidget On

vtkPolyDataNormals clipnormals

#ren1 AddActor selectActor

oactor$oactorNum VisibilityOn
#iren AddObserver UserEvent {wm deiconify .vtkInteract}
#renWin Render 

if {$ShowCutPiece} {
  vtkPolyDataMapper restMapper
    restMapper SetInput [clipper GetClippedOutput]
    restMapper ScalarVisibilityOff
  vtkActor restActor
    restActor SetMapper restMapper
    ##[restActor GetProperty] SetRepresentationToWireframe
  [restActor GetProperty] SetColor 1.0 0.8 0.6
  ren1 AddActor restActor
  #renWin Render
}

}

proc myCallback {} {
    global oactorNum featureAngle
    planeWidget GetPlane plane
    #selectActor VisibilityOn
    # Here we replace the current actor oactor$oactorNum with the new clipped actor.

oactor$oactorNum VisibilityOff

rmapper$oactorNum Delete
oactor$oactorNum Delete
vtkPolyDataMapper rmapper$oactorNum
  rmapper$oactorNum SetInput [clipper GetOutput] 
vtkActor oactor$oactorNum 
  oactor$oactorNum SetMapper rmapper$oactorNum

oactorPoly$oactorNum Delete

vtkTransformPolyDataFilter oactorPoly$oactorNum 
        oactorPoly$oactorNum SetTransform identityTransform
        oactorPoly$oactorNum SetInput [clipper GetOutput]

clipnormals Delete
vtkPolyDataNormals clipnormals
       clipnormals SetInput [clipper GetOutput]
     rmapper$oactorNum SetInput [clipnormals GetOutput]
    clipnormals SetFeatureAngle $featureAngle
     clipnormals SetSplitting 0

oactor$oactorNum VisibilityOn

ren1 AddActor oactor$oactorNum

renWin Render

}

#=====================================================================

proc ClipCutBox {} {
      # Called when "Cut" is pressed.
      global ShowCutPiece oactorNum
      clipper Update
      if {! $ShowCutPiece} {
        PolyData CopyStructure [clipper GetOutput]
        [PolyData GetPointData] PassData [[clipper GetOutput] GetPointData]
        PolyData Modified
        DefaultProperties
        PolyData Update
      } else {
        [oactor$oactorNum GetProperty] SetColor 0 1 0
        #restActor SetPosition 1 3 10
      }
}

proc CloseClipCutBoxMenu {} {
      wm withdraw .ccb
      destroy .ccb
      .menubar.mEdit entryconfigure 9 -state normal
      boxWidget Off
      #planeWidget KeyPressActivationOff
      #planeWidget Delete
      clipper Delete 
      planes Delete
}

proc CreateClipCutBoxMenu {} {
  # Disable the possibillity of getting two clipping boxes at once.
  .menubar.mEdit entryconfigure 9 -state disabled
  toplevel .ccb
  wm title .ccb "Clipping Box Cutter"
  set font {Helvetica 14}
  label .ccb.l -font $font -wraplength 4i -justify left -text "Manipulate clipping box by mouse."
  label .ccb.l2 -font $font -wraplength 4i -justify left -text "Toggle clipping box on/off by keypress 'i'."
  pack .ccb.l .ccb.l2 -side top
  button .ccb.do -font $font -text  "** Cut **"  -width 15 -background red  -command ClipCutBox
  pack .ccb.do -pady 6
  button .ccb.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClipCutBoxMenu
  pack .ccb.close -pady 4
}


proc ClipInteractiveBox {} {
  # Procedure to let user manipulate clipping box and visualize result.
  global oactorNum featureAngle
  global ShowCutPiece BoxWidgetHandleSize
  CreateClipCutBoxMenu
  ##if { [info commands plane] != "" } {plane Delete}
  ##if { [info commands clipper] != "" } {clipper Delete}
  ##if { [info commands selectMapper] != "" } {selectMapper Delete}
  ##if { [info commands planeWidget] != "" } {planeWidget Delete}
  ##if { [info commands clipnormals] != "" } {clipnormals Delete}
  
  vtkPlanes planes
  vtkClipPolyData clipper
      clipper SetInput PolyData
      clipper SetClipFunction planes
      #if {$ShowCutPiece} {
      #  clipper GenerateClippedOutputOn
      #}
      clipper InsideOutOff

  ##vtkPolyDataMapper selectMapper
  ##  selectMapper SetInput [clipper GetOutput]
       
# As bounds for the BoxWidget, use the bounding box of the PolyData: it is in the actor oactor0
set Bounds [oactor0 GetBounds]
    set Xmin [lindex $Bounds 0] 
    set Xmax [lindex $Bounds 1] 
    set Ymin [lindex $Bounds 2] 
    set Ymax [lindex $Bounds 3] 
    set Zmin [lindex $Bounds 4] 
    set Zmax [lindex $Bounds 5] 

set Xmid [expr ($Xmax + $Xmin) / 2.0]
set Ymid [expr ($Ymax + $Ymin) / 2.0]
set Zmid [expr ($Zmax + $Zmin) / 2.0]

vtkBoxWidget boxWidget
  boxWidget SetInteractor iren
  boxWidget SetInput PolyData
  boxWidget InsideOutOff
  boxWidget SetHandleSize $BoxWidgetHandleSize
  boxWidget PlaceWidget
  boxWidget AddObserver EndInteractionEvent SelectPolygons
  boxWidget On

vtkPolyDataNormals clipnormals
#vtkPolyDataNormals restnormals

#ren1 AddActor selectActor

oactor$oactorNum VisibilityOn
#iren AddObserver UserEvent {wm deiconify .vtkInteract}
#renWin Render 

#if {$ShowCutPiece} {
#  restnormals Delete
#  vtkPolyDataNormals restnormals
#     restnormals SetInput [clipper GetClippedOutput]
#     restnormals SetFeatureAngle $featureAngle
#     restnormals SetSplitting 0
#
# vtkPolyDataMapper restMapper
#    restMapper SetInput [restnormals GetOutput]
#    restMapper ScalarVisibilityOff
#  vtkActor restActor
#    restActor SetMapper restMapper
#    ##[restActor GetProperty] SetRepresentationToWireframe
#  [restActor GetProperty] SetColor 1.0 0.8 0.6
#  restActor VisibilityOn
#  ren1 AddActor restActor
#  #renWin Render    
#
#renWin Render
#}

}

proc SelectPolygons {} {
    global oactorNum featureAngle BoxWidgetHandleSize
    boxWidget GetPlanes planes
    #selectActor VisibilityOn
    # Here we replace the current actor oactor$oactorNum with the new clipped actor.

  oactor$oactorNum VisibilityOff

rmapper$oactorNum Delete
oactor$oactorNum Delete
vtkPolyDataMapper rmapper$oactorNum
  rmapper$oactorNum SetInput [clipper GetOutput] 
vtkActor oactor$oactorNum 
  oactor$oactorNum SetMapper rmapper$oactorNum

oactorPoly$oactorNum Delete

vtkTransformPolyDataFilter oactorPoly$oactorNum 
        oactorPoly$oactorNum SetTransform identityTransform
        oactorPoly$oactorNum SetInput [clipper GetOutput]

clipnormals Delete
vtkPolyDataNormals clipnormals
     clipnormals SetInput [clipper GetOutput]
     rmapper$oactorNum SetInput [clipnormals GetOutput]
    clipnormals SetFeatureAngle $featureAngle
     clipnormals SetSplitting 0

oactor$oactorNum VisibilityOn

##boxWidget SetHandleSize $BoxWidgetHandleSize

ren1 AddActor oactor$oactorNum

renWin Render

}







#=====================================================================




proc SmoothSurface {} {
    proc CloseSmoothMenu {} {
      PolyDataFirst Delete
      wm withdraw .dc
      destroy .dc
    }
    proc ApplySmooth {} {
      global smoothFactor
        PolyDataPrevious CopyStructure PolyData 
        [PolyDataPrevious GetPointData] PassData [PolyData GetPointData]
        PolyDataPrevious Modified

      vtkSmoothPolyDataFilter smooth
        smooth SetInput PolyData   
        smooth SetNumberOfIterations [.dc.i get]
        smooth SetRelaxationFactor [.dc.i2 get]
        smooth Update

        PolyData CopyStructure [smooth GetOutput]
        [PolyData GetPointData] PassData [[smooth GetOutput] GetPointData]
        PolyData Modified
        smooth Delete
        renWin Render
    }
    proc UndoSmooth {} {
      PolyData CopyStructure PolyDataPrevious 
        [PolyData GetPointData] PassData [PolyDataPrevious GetPointData]
        PolyData Modified
        renWin Render
    }
    proc UndoAllSmooth {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .dc
  wm title .dc "Surface Smoothing"
  set font {Helvetica 14}

  button .dc.close -font $font -text  " Close "  -width 15 -foreground red -command CloseSmoothMenu
  pack .dc.close -side bottom -pady 2m

  label .dc.l -font $font -justify center -text "Number of Iterations"
  pack .dc.l -side top -pady 8
  scale .dc.i -from 1 -to 1000 -resolution 1 -length 400 -background #f00 -orient horizontal -variable niter 
  pack .dc.i -pady 4
  label .dc.l2 -font $font -justify center -text "Relaxation Factor"
  pack .dc.l2 -side top -pady 8
  scale .dc.i2 -from 0.0 -to 1.0 -resolution 0.01 -length 400 -background #00f -orient horizontal -variable relfac 
  pack .dc.i2 -pady 4
  button .dc.b1 -font $font -text "Apply" -foreground blue -width 10 -justify center -command ApplySmooth
  button .dc.b2 -font $font -text "Undo" -width 10 -justify center -command UndoSmooth
  button .dc.b3 -font $font -text "Undo All" -width 10 -justify center -command UndoAllSmooth
  pack .dc.b1 .dc.b2 .dc.b3 -side left -expand 1
  set niter 15
  .dc.i set $niter
  set relfac 0.15
  .dc.i2 set $relfac
}

proc ApplyTriangleFilter {} {
  # Run vtkTriangleFilter on the PolyData
  vtkTriangleFilter triang
     triang SetInput PolyData
     triang Update

  PolyData CopyStructure [triang GetOutput]
        [PolyData GetPointData] PassData [[triang GetOutput] GetPointData]
        PolyData Modified
        triang Delete
        renWin Render
}

proc ApplyCleanFilter {} {
  # Run vtkTriangleFilter on the PolyData
  global CleanFilterTolerance
  
  vtkCleanPolyData clean
    clean SetInput PolyData
    clean SetTolerance $CleanFilterTolerance
    clean Update

  PolyData CopyStructure [clean GetOutput]
        [PolyData GetPointData] PassData [[clean GetOutput] GetPointData]
        PolyData Modified
        clean Delete
        renWin Render
}



proc SubdivideSurface {} {
    global CleanFilterTolerance

    proc CloseSubdivideMenu {} {
      PolyDataFirst Delete
      wm withdraw .sdc
      destroy .sdc
    }
    proc ApplySubdivide {} {
      global nsubdivisions
        PolyDataPrevious CopyStructure PolyData 
        [PolyDataPrevious GetPointData] PassData [PolyData GetPointData]
        PolyDataPrevious Modified

      ##vtkButterflySubdivisionFilter subdivide
      vtkLinearSubdivisionFilter subdivide
        subdivide SetInput PolyData
        subdivide SetNumberOfSubdivisions [.sdc.n get]
        subdivide Update

        PolyData CopyStructure [subdivide GetOutput]
        [PolyData GetPointData] PassData [[subdivide GetOutput] GetPointData]
        PolyData Modified
        subdivide Delete
        renWin Render
    }
    proc UndoSubdivide {} {
      PolyData CopyStructure PolyDataPrevious 
        [PolyData GetPointData] PassData [PolyDataPrevious GetPointData]
        PolyData Modified
        renWin Render
    }
    proc UndoAllSubdivide {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .sdc
  wm title .sdc "Surface Linear Subdivision"
  set font {Helvetica 14}

  button .sdc.close -font $font -text  " Close "  -width 15 -foreground red -command CloseSubdivideMenu
  pack .sdc.close -side bottom -pady 2m

  button .sdc.b0a -font $font -text "Apply Clean Filter" -foreground blue -width 20 -justify center -command ApplyCleanFilter
  #scale .sdc.b0as -from 0.0 -to 10 -resolution 0.0001 -length 400 -background #f00 -orient horizontal -variable CleanFilterTolerance
  #pack .sdc.b0as -pady 4

  button .sdc.b0b -font $font -text "Apply Triangle Filter" -foreground blue -width 20 -justify center -command ApplyTriangleFilter
  pack .sdc.b0a .sdc.b0b -side top -pady 8


  label .sdc.l -font $font -justify center -text "Number of Subdivisions"
  pack .sdc.l -side top -pady 8
  scale .sdc.n -from 1 -to 3 -resolution 1 -length 400 -background #f00 -orient horizontal -variable nsubdivisions 
  pack .sdc.n -pady 4
  button .sdc.b1 -font $font -text "Apply" -foreground blue -width 10 -justify center -command ApplySubdivide
  button .sdc.b2 -font $font -text "Undo" -width 10 -justify center -command UndoSubdivide
  button .sdc.b3 -font $font -text "Undo All" -width 10 -justify center -command UndoAllSubdivide
  pack .sdc.b1 .sdc.b2 .sdc.b3 -side left -expand 1
  set nsubdivisions 1
  .sdc.n set $nsubdivisions
  }


proc DecimateSurface {} {
    global DecimateSurfaceMenuOpen

    proc CloseDecimateMenu {} {
      global DecimateSurfaceMenuOpen
      PolyDataFirst Delete
      set DecimateSurfaceMenuOpen 0
      wm withdraw .ds
      destroy .ds
    }
    proc ApplyDecimate {} {
      global deciFactor
      #PolyDataPrevious CopyStructure [PolyData GetOutput]
      PolyDataPrevious CopyStructure PolyData 
        #[PolyDataPrevious GetPointData] PassData [[PolyData GetOutput] GetPointData]
        [PolyDataPrevious GetPointData] PassData [PolyData GetPointData]
        PolyDataPrevious Modified

      vtkDecimatePro deci
        deci SetInput PolyData   
        deci SetTargetReduction $deciFactor
        deci PreserveTopologyOn
        deci Update

        PolyData CopyStructure [deci GetOutput]
        [PolyData GetPointData] PassData [[deci GetOutput] GetPointData]
        PolyData Modified
        deci Delete
        renWin Render
    }
    proc UndoDecimate {} {
      PolyData CopyStructure PolyDataPrevious 
        [PolyData GetPointData] PassData [PolyDataPrevious GetPointData]
        PolyData Modified
        renWin Render
    }
    proc UndoAllDecimate {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .ds
  wm title .ds "Surface Decimation"
  set font {Helvetica 14}

  button .ds.close -font $font -text  " Close "  -width 15 -foreground red -command CloseDecimateMenu
  pack .ds.close -side bottom -pady 2m

  label .ds.l -font $font -justify center -text "Decimation Amount (0 is no decimation)"
  pack .ds.l -side top -pady 8
  scale .ds.i -from 0.0 -to 1.0 -resolution 0.01 -length 400 -background #ff0 -orient horizontal -variable deciFactor 
  pack .ds.i -pady 4
  button .ds.b1 -font $font -text "Apply" -foreground blue -width 10 -justify center -command ApplyDecimate
  button .ds.b2 -font $font -text "Undo" -width 10 -justify center -command UndoDecimate
  button .ds.b3 -font $font -text "Undo All" -width 10 -justify center -command UndoAllDecimate
  pack .ds.b1 .ds.b2 .ds.b3 -side left -expand 1
  set deciFactor 0.5 
  .ds.i set $deciFactor
  set DecimateSurfaceMenuOpen 1
}

proc OrientMSP { offsetFlag offsetX offsetY offsetZ } {
  global setarr lmCoord lmDiameter
  global centerx centery centerz
  global other_msp_landmark_order msp_landmarks

  # This routine computes the transformation LmTrafo in order to
  # orient a surface according to MSP and FH using 3 or 4 landmarks.
  # [Subsequently LmTrafo may be applied to data to carry out the transformation
  # (this is not done inside this routine).]
  # The first 4 landmarks (0-3) are expected to be:
  #    0: Rigth porion
  #    1: Left porion
  #    2: Right orbitalis inferior
  #    3: Left orbitalis inferior
  # Computations will be made according to which of these 4 landmarks are set.
  # Both ear landmarks must be set (used for MSP calculation).
  # At least one of the orbit points must be present (the one that is set is used).
  # If both orbit points are set, then an average is used (for FH calculation).
  # 
  # We decide here on a standard orientation:
  # Face in xz-plane, facing origin, top of head towards larger z.
  # (This correponds to orientation of the cooked dataset.)
  #
  # offsetFlag: 0 interprets offset relative to mid-ear.
  #             1 interprets offset relative to origin.
  
  # Get the first 4 landmarks and their set status.
  # Start by checking that the two first landmarks are set...
  ##puts stdout "setarr(0) $setarr(0)"
  ##if { ($setarr(0) != 1) || ($setarr(1) != 1) } {
  ##   notify_error "Both ear landmarks must be set + at least one orbit landmark!"
  ##   puts stdout "Both ear landmarks must be set + at least one orbit landmark!"
  ##   return -1
  ##}  

if {$other_msp_landmark_order} {
      set nel [llength $msp_landmarks]
      if {$nel == 3} {
         set right_ear [lindex $msp_landmarks 0]
         set left_ear [lindex $msp_landmarks 1]
         set right_orbit [lindex $msp_landmarks 2]
      } elseif {$nel == 4} {  
         set right_ear [lindex $msp_landmarks 0]
         set left_ear [lindex $msp_landmarks 1]
         set right_orbit [lindex $msp_landmarks 2]
         set left_orbit [lindex $msp_landmarks 3]
      } else {
         notify_error "When other_msp_landmark_order is set, msp_landmarks must have 3 or 4 elements!"
         puts stdout "When other_msp_landmark_order is set, msp_landmarks must have 3 or 4 elements!"
         return -1
      }
      if { ($setarr($right_ear) != 1) || ($setarr($left_ear) != 1)  } {
         notify_error "Both MSP landmarks must be set + at least one extra landmark!"
         puts stdout "Both MSP landmarks must be set + at least one extra landmark!"
         return -1
      } 
  } else {
      set nel 4
      set right_ear 0
      set left_ear 1
      set right_orbit 2
      set left_orbit 3 
      if { ($setarr(0) != 1) || ($setarr(1) != 1) } {
         notify_error "Both ear landmarks must be set + at least one orbit landmark!"
         puts stdout "Both ear landmarks must be set + at least one orbit landmark!"
         return -1
      }
  }

  set xyz [lmCoord GetPoint $right_ear]
  set pRx [lindex $xyz 0]
  set pRy [lindex $xyz 1]
  set pRz [lindex $xyz 2]
  set xyz [lmCoord GetPoint $left_ear]
  set pLx [lindex $xyz 0]
  set pLy [lindex $xyz 1]
  set pLz [lindex $xyz 2]

  set oRset 0
  set oLset 0
  if { $setarr($right_orbit) == 1 } {
    set oRset 1
    set xyz [lmCoord GetPoint $right_orbit]
    set oRx [lindex $xyz 0]
    set oRy [lindex $xyz 1]
    set oRz [lindex $xyz 2]
  } 

  if {$nel == 4} { 
    if { $setarr($left_orbit) == 1 } {
      set oLset 1
      set xyz [lmCoord GetPoint $left_orbit]
      set oLx [lindex $xyz 0]
      set oLy [lindex $xyz 1]
      set oLz [lindex $xyz 2]
    }
  } 

  if { ($oLset == 1) && ($oRset == 1) } {
    # Both left and right orbit points are set - take the avarage.
    set oLRx [expr ($oLx + $oRx) / 2.0]
    set oLRy [expr ($oLy + $oRy) / 2.0]
    set oLRz [expr ($oLz + $oRz) / 2.0]
  }
  
  if { ($oLset == 0) && ($oRset == 1) } {
    set oLRx $oRx
    set oLRy $oRy
    set oLRz $oRz
  }

  if { ($oLset == 1) && ($oRset == 0) } {
    set oLRx $oLx
    set oLRy $oLy
    set oLRz $oLz
  }

  # Compute midpoint between ears.
  set earmidx [expr ($pRx + $pLx) / 2.0]
  set earmidy [expr ($pRy + $pLy) / 2.0]
  set earmidz [expr ($pRz + $pLz) / 2.0]

  # Compute the points to be used as target.
  set dmx [expr abs($earmidx-$pLx) ]
  set dmy [expr abs($earmidy-$pLy) ]
  set dmz [expr abs($earmidz-$pLz) ]
  set dm [expr sqrt($dmx*$dmx + $dmy*$dmy + $dmz*$dmz) ]

  # Origin depends on the input parameters.
  if {$offsetFlag == 0} {
    set centerx [expr $earmidx + $offsetX ]
    set centery [expr $earmidy + $offsetY ]
    set centerz [expr $earmidz + $offsetZ ]
  } elseif {$offsetFlag == 1} {
    set centerx $offsetX 
    set centery $offsetY 
    set centerz $offsetZ 
  } else {
    notify_error " offsetFlag must be 0 or 1 in orientMSP "
  }
  puts stdout "center $centerx $centery $centerz"

  set TpRx [expr $centerx  + $dm]  
  set TpRy [expr $centery ]
  set TpRz [expr $centerz ]

  set TpLx [expr $centerx - $dm]  
  set TpLy [expr $centery ]
  set TpLz [expr $centerz ]

  # Compute the third point.
  # p0 is the orbit point. l1 and l2 are left and rigth ear points.
  set p0 [ list 2 3 1 $oLRx $oLRy $oLRz ]
  set l0 [ list 2 3 1 $pRx $pRy $pRz ]
  set l1 [ list 2 3 1 $pLx $pLy $pLz ]
  
  # pnt_line returns a list containing {distance plx ply plz}
  set retlist [ pnt_line $p0 $l0 $l1 ]
  puts stdout "retlist $retlist"
  #pnt_line $p0 $l0 $l1
  set di [lindex $retlist 0]
  set p1x [lindex $retlist 1]
  set p1y [lindex $retlist 2]
  set p1z [lindex $retlist 3]

  # Compute distance from p1 to right ear.  
  set p1 [list 2 3 1 $p1x $p1y $p1z]
  set m1 [list 2 3 1 $pRx $pRy $pRz]
  set di2 [distance $p1 $m1]
  puts stdout "di2= $di2"

  set pp1 [list 2 3 1 1 2 3]
  set mm1 [list 2 3 1 4 5 6]
  set diii [distance $pp1 $mm1]
  puts stdout "diii= $diii"

  set Tox [expr $TpRx - $di2]
  set Toy [expr $earmidy + $di]
  set Toz $earmidz
    
  vtkPoints SourcePoints
     SourcePoints InsertPoint 0 $pRx $pRy $pRz
     SourcePoints InsertPoint 1 $pLx $pLy $pLz
     SourcePoints InsertPoint 2 $oLRx $oLRy $oLRz

  vtkPoints TargetPoints
     TargetPoints InsertPoint 0 $TpRx $TpRy $TpRz
     TargetPoints InsertPoint 1 $TpLx $TpLy $TpLz
     TargetPoints InsertPoint 2 $Tox $Toy $Toz
     puts stdout "TpR: $TpRx $TpRy $TpRz"
     puts stdout "TpL: $TpLx $TpLy $TpLz"
     puts stdout "Tox: $Tox $Toy $Toz"

  ##vtkLandmarkTransform LmTrafo
     LmTrafo SetSourceLandmarks SourcePoints
     LmTrafo SetTargetLandmarks TargetPoints
     LmTrafo SetModeToRigidBody

  TargetPoints Delete
  SourcePoints Delete

}



proc OrientMSPnew { offsetFlag offsetX offsetY offsetZ } {
  global setarr lmCoord lmDiameter
  global centerx centery centerz
  # This routine computes the transformation LmTrafo in order to
  # orient a surface according to MSP and FH using 3 or 4 landmarks.
  # [Subsequently LmTrafo may be applied to data to carry out the transformation
  # (this is not done inside this routine).]
  # The first 4 landmarks (0-3) are expected to be:
  #    0: Rigth porion
  #    1: Left porion
  #    2: Right orbitalis inferior
  #    3: Left orbitalis inferior
  # Computations will be made according to which of these 4 landmarks are set.
  # Both ear landmarks must be set (used for MSP calculation).
  # At least one of the orbit points must be present (the one that is set is used).
  # If both orbit points are set, then an average is used (for FH calculation).
  # 
  # We decide here on a standard orientation:
  # Face in xz-plane, facing origin, top of head towards larger z.
  # (This correponds to orientation of the cooked dataset.)
  #
  # offsetFlag: 0 interprets offset relative to mid-ear.
  #             1 interprets offset relative to origin.
  
  # Get the first 4 landmarks and their set status.
  # Start by checking that the two first landmarks are set...
  puts stdout "setarr(0) $setarr(0)"
  if { ($setarr(0) != 1) || ($setarr(1) != 1) } {
     notify_error "Both ear landmarks must be set + at least one orbit landmark!"
     puts stdout "Both ear landmarks must be set + at least one orbit landmark!"
     return -1
  }  
  set xyz [lmCoord GetPoint 0]
  set pRx [lindex $xyz 0]
  set pRy [lindex $xyz 1]
  set pRz [lindex $xyz 2]
  set xyz [lmCoord GetPoint 1]
  set pLx [lindex $xyz 0]
  set pLy [lindex $xyz 1]
  set pLz [lindex $xyz 2]

  set oRset 0
  set oLset 0
  if { $setarr(2) == 1 } {
    set oRset 1
    set xyz [lmCoord GetPoint 2]
    set oRx [lindex $xyz 0]
    set oRy [lindex $xyz 1]
    set oRz [lindex $xyz 2]
  } 
  if { $setarr(3) == 1 } {
    set oLset 1
    set xyz [lmCoord GetPoint 3]
    set oLx [lindex $xyz 0]
    set oLy [lindex $xyz 1]
    set oLz [lindex $xyz 2]
  } 
  if { ($oLset == 1) && ($oRset == 1) } {
    # Both left and right orbit points are set - take the avarage.
    set oLRx [expr ($oLx + $oRx) / 2.0]
    set oLRy [expr ($oLy + $oRy) / 2.0]
    set oLRz [expr ($oLz + $oRz) / 2.0]
  }
  
  if { ($oLset == 0) && ($oRset == 1) } {
    set oLRx $oRx
    set oLRy $oRy
    set oLRz $oRz
  }

  if { ($oLset == 1) && ($oRset == 0) } {
    set oLRx $oLx
    set oLRy $oLy
    set oLRz $oLz
  }

  # Compute midpoint between ears.
  set earmidx [expr ($pRx + $pLx) / 2.0]
  set earmidy [expr ($pRy + $pLy) / 2.0]
  set earmidz [expr ($pRz + $pLz) / 2.0]

  # Compute the points to be used as target.
  # dm is half the distance between ears
  set dmx [expr abs($earmidx-$pLx) ]
  set dmy [expr abs($earmidy-$pLy) ]
  set dmz [expr abs($earmidz-$pLz) ]
  set dm [expr sqrt($dmx*$dmx + $dmy*$dmy + $dmz*$dmz) ]

  # Origin depends on the input parameters.
  if {$offsetFlag == 0} {
    set centerx [expr $earmidx + $offsetX ]
    set centery [expr $earmidy + $offsetY ]
    set centerz [expr $earmidz + $offsetZ ]
  } elseif {$offsetFlag == 1} {
    set centerx $offsetX 
    set centery $offsetY 
    set centerz $offsetZ 
  }
  set TpRx [expr $centerx  - $dm]  
  set TpRy [expr $centery ]
  set TpRz [expr $centerz ]

  set TpLx [expr $centerx + $dm]  
  set TpLy [expr $centery ]
  set TpLz [expr $centerz ]

  # Compute the third point.
  # p0 is the orbit point. l1 and l2 are left and rigth ear points.
  set p0 [ list 2 3 1 $oLRx $oLRy $oLRz ]
  set l0 [ list 2 3 1 $pRx $pRy $pRz ]
  set l1 [ list 2 3 1 $pLx $pLy $pLz ]
  
  # pnt_line returns a list containing {distance plx ply plz}
  set retlist [ pnt_line $p0 $l0 $l1 ]
  puts stdout "retlist $retlist"
  #pnt_line $p0 $l0 $l1
  set di [lindex $retlist 0]
  set p1x [lindex $retlist 1]
  set p1y [lindex $retlist 2]
  set p1z [lindex $retlist 3]

  # Compute distance from p1 to right ear.  
  set p1 [list 2 3 1 $p1x $p1y $p1z]
  set m1 [list 2 3 1 $pRx $pRy $pRz]
  set di2 [distance $p1 $m1]
  puts stdout "di2= $di2"

  set pp1 [list 2 3 1 1 2 3]
  set mm1 [list 2 3 1 4 5 6]
  set diii [distance $pp1 $mm1]
  puts stdout "diii= $diii"

  # ??? !!!!!! next line: changed pRx to TpRx Dec. 12 2005
  set Tox [expr $TpRx + $di2]
  set Toy [expr $centery - $di]
  set Toz $centerz
    
  vtkPoints SourcePoints
     SourcePoints InsertPoint 0 $pRx $pRy $pRz
     SourcePoints InsertPoint 1 $pLx $pLy $pLz
     SourcePoints InsertPoint 2 $oLRx $oLRy $oLRz

  vtkPoints TargetPoints
     TargetPoints InsertPoint 0 $TpRx $TpRy $TpRz
     TargetPoints InsertPoint 1 $TpLx $TpLy $TpLz
     TargetPoints InsertPoint 2 $Tox $Toy $Toz
     puts stdout "TpR: $TpRx $TpRy $TpRz"
     puts stdout "TpL: $TpLx $TpLy $TpLz"
     puts stdout "Tox: $Tox $Toy $Toz"

  ##vtkLandmarkTransform LmTrafo
     LmTrafo SetSourceLandmarks SourcePoints
     LmTrafo SetTargetLandmarks TargetPoints
     LmTrafo SetModeToRigidBody

  TargetPoints Delete
  SourcePoints Delete

}

proc OrientMSPface { offsetFlag offsetX offsetY offsetZ } {
  global setarr lmCoord lmDiameter
  global centerx centery centerz
  global other_msp_landmark_order msp_landmarks
  # This routine computes the transformation LmTrafo in order to
  # orient a surface according to MSP and FH using 3 or 4 landmarks.
  # [Subsequently LmTrafo may be applied to data to carry out the transformation
  # (this is not done inside this routine).]
  # The first 4 landmarks (0-3) are expected to be:
  #    0: Rigth porion
  #    1: Left porion
  #    2: Right orbitalis inferior
  #    3: Left orbitalis inferior
  # Computations will be made according to which of these 4 landmarks are set.
  # Both ear landmarks must be set (used for MSP calculation).
  # At least one of the orbit points must be present (the one that is set is used).
  # If both orbit points are set, then an average is used (for FH calculation).
  # 
  # We decide here on a standard orientation that fits with typical orientation of 3dMD facial scans at 3D-Lab
  # Face in xy-plane, facing positive z, top of head towards larger y.
  #
  # offsetFlag: 0 interprets offset relative to mid-ear.
  #             1 interprets offset relative to origin.
  
  # Get the first 4 landmarks and their set status.
  # Start by checking that the two first landmarks are set...
  puts stdout "setarr(0) $setarr(0)"
  

  if {$other_msp_landmark_order} {
      set nel [llength $msp_landmarks]
      if {$nel == 3} {
         set right_ear [lindex $msp_landmarks 0]
         set left_ear [lindex $msp_landmarks 1]
         set right_orbit [lindex $msp_landmarks 2]
      } elseif {$nel == 4} {  
         set right_ear [lindex $msp_landmarks 0]
         set left_ear [lindex $msp_landmarks 1]
         set right_orbit [lindex $msp_landmarks 2]
         set left_orbit [lindex $msp_landmarks 3]
      } else {
         notify_error "When other_msp_landmark_order is set, msp_landmarks must have 3 or 4 elements!"
         puts stdout "When other_msp_landmark_order is set, msp_landmarks must have 3 or 4 elements!"
         return -1
      }
      if { ($setarr($right_ear) != 1) || ($setarr($left_ear) != 1)  } {
         notify_error "Both MSP landmarks must be set + at least one extra landmark!"
         puts stdout "Both MSP landmarks must be set + at least one extra landmark!"
         return -1
      } 
  } else {
      set nel 4
      set right_ear 0
      set left_ear 1
      set right_orbit 2
      set left_orbit 3 
      if { ($setarr(0) != 1) || ($setarr(1) != 1) } {
         notify_error "Both ear landmarks must be set + at least one orbit landmark!"
         puts stdout "Both ear landmarks must be set + at least one orbit landmark!"
         return -1
      }
  }
  
  
  set xyz [lmCoord GetPoint $right_ear]
  set pRx [lindex $xyz 0]
  set pRy [lindex $xyz 1]
  set pRz [lindex $xyz 2]
  set xyz [lmCoord GetPoint $left_ear]
  set pLx [lindex $xyz 0]
  set pLy [lindex $xyz 1]
  set pLz [lindex $xyz 2]

  set oRset 0
  set oLset 0
  if { $setarr($right_orbit) == 1 } {
    set oRset 1
    set xyz [lmCoord GetPoint $right_orbit]
    set oRx [lindex $xyz 0]
    set oRy [lindex $xyz 1]
    set oRz [lindex $xyz 2]
  } 
  if {$nel == 4} { 
    if { $setarr($left_orbit) == 1 } {
      set oLset 1
      set xyz [lmCoord GetPoint $left_orbit]
      set oLx [lindex $xyz 0]
      set oLy [lindex $xyz 1]
      set oLz [lindex $xyz 2]
    }
  } 
  if { ($oLset == 1) && ($oRset == 1) } {
    # Both left and right orbit points are set - take the avarage.
    set oLRx [expr ($oLx + $oRx) / 2.0]
    set oLRy [expr ($oLy + $oRy) / 2.0]
    set oLRz [expr ($oLz + $oRz) / 2.0]
  }
  
  if { ($oLset == 0) && ($oRset == 1) } {
    set oLRx $oRx
    set oLRy $oRy
    set oLRz $oRz
  }

  if { ($oLset == 1) && ($oRset == 0) } {
    set oLRx $oLx
    set oLRy $oLy
    set oLRz $oLz
  }

  # Compute midpoint between ears.
  set earmidx [expr ($pRx + $pLx) / 2.0]
  set earmidy [expr ($pRy + $pLy) / 2.0]
  set earmidz [expr ($pRz + $pLz) / 2.0]

  # Compute the points to be used as target.
  # dm is half the distance between ears
  set dmx [expr abs($earmidx-$pLx) ]
  set dmy [expr abs($earmidy-$pLy) ]
  set dmz [expr abs($earmidz-$pLz) ]
  set dm [expr sqrt($dmx*$dmx + $dmy*$dmy + $dmz*$dmz) ]

  # Origin depends on the input parameters.
  if {$offsetFlag == 0} {
    set centerx [expr $earmidx + $offsetX ]
    set centery [expr $earmidy + $offsetY ]
    set centerz [expr $earmidz + $offsetZ ]
  } elseif {$offsetFlag == 1} {
    set centerx $offsetX 
    set centery $offsetY 
    set centerz $offsetZ 
  }
  set TpRx [expr $centerx  - $dm]  
  set TpRy [expr $centery ]
  set TpRz [expr $centerz ]

  set TpLx [expr $centerx + $dm]  
  set TpLy [expr $centery ]
  set TpLz [expr $centerz ]

  # Compute the third point.
  # p0 is the orbit point. l1 and l2 are left and rigth ear points.
  set p0 [ list 2 3 1 $oLRx $oLRy $oLRz ]
  set l0 [ list 2 3 1 $pRx $pRy $pRz ]
  set l1 [ list 2 3 1 $pLx $pLy $pLz ]
  
  # pnt_line returns a list containing {distance plx ply plz}
  set retlist [ pnt_line $p0 $l0 $l1 ]
  puts stdout "retlist $retlist"
  #pnt_line $p0 $l0 $l1
  set di [lindex $retlist 0]
  set p1x [lindex $retlist 1]
  set p1y [lindex $retlist 2]
  set p1z [lindex $retlist 3]

  # Compute distance from p1 to right ear.  
  set p1 [list 2 3 1 $p1x $p1y $p1z]
  set m1 [list 2 3 1 $pRx $pRy $pRz]
  set di2 [distance $p1 $m1]
  puts stdout "di2= $di2"

  set pp1 [list 2 3 1 1 2 3]
  set mm1 [list 2 3 1 4 5 6]
  set diii [distance $pp1 $mm1]
  puts stdout "diii= $diii"

  # ??? !!!!!! next line: changed pRx to TpRx Dec. 12 2005
  ##set Tox [expr $TpRx + $di2]
  ##set Toy [expr $centery - $di]
  ##set Toz $centerz
  set Tox [expr $TpRx + $di2]
  set Toz [expr $centerz + $di]
  set Toy $centery

    
  vtkPoints SourcePoints
     SourcePoints InsertPoint 0 $pRx $pRy $pRz
     SourcePoints InsertPoint 1 $pLx $pLy $pLz
     SourcePoints InsertPoint 2 $oLRx $oLRy $oLRz

  vtkPoints TargetPoints
     TargetPoints InsertPoint 0 $TpRx $TpRy $TpRz
     TargetPoints InsertPoint 1 $TpLx $TpLy $TpLz
     TargetPoints InsertPoint 2 $Tox $Toy $Toz
     puts stdout "TpR: $TpRx $TpRy $TpRz"
     puts stdout "TpL: $TpLx $TpLy $TpLz"
     puts stdout "Tox: $Tox $Toy $Toz"

  ##vtkLandmarkTransform LmTrafo
     LmTrafo SetSourceLandmarks SourcePoints
     LmTrafo SetTargetLandmarks TargetPoints
     LmTrafo SetModeToRigidBody

  TargetPoints Delete
  SourcePoints Delete

}


proc OrientMSPmouse { offsetFlag offsetX offsetY offsetZ } {
  global setarr lmCoord lmDiameter
  # NEW version for mice (Hildur, mice, Dec. 2005)
  # This routine computes the transformation LmTrafo in order to
  # orient a surface according to MSP and FH using 3 or 4 landmarks.
  # [Subsequently LmTrafo may be applied to data to carry out the transformation
  # (this is not done inside this routine).]
  # The first 4 landmarks (0-3) are expected to be:
  #    0: Rigth porion
  #    1: Left porion
  #    2: Right orbitalis inferior
  #    3: Left orbitalis inferior
  # Computations will be made according to which of these 4 landmarks are set.
  # Both ear landmarks must be set (used for MSP calculation).
  # At least one of the orbit points must be present (the one that is set is used).
  # If both orbit points are set, then an average is used (for FH calculation).
  # 
  # We decide here on a standard orientation for mice:  (note that this is fidderent from
  # used with human data, e.g. in cooked or laser scans).
  #    Routine           face in     facing        top of head        corresponds to
  # OrientMSPnew:       xz-plane     origin      towards larger z        cooked
  # OrientMSPmouse:     xy-plane     origin      towards larger y        mouse
  #
  # offsetFlag: 0 interprets offset relative to mid-ear.  (ex: 0 20 0 0 translates 20 mm in x)
  #             1 interprets offset relative to origin.   (ex: 1 0 0 0 translates midear to 0,0,0 mm)
  
  # Get the first 4 landmarks and their set status.
  # Start by checking that the two first landmarks are set...
  puts stdout "setarr(0) $setarr(0)"
  if { ($setarr(0) != 1) || ($setarr(1) != 1) } {
     notify_error "Both ear landmarks must be set + at least one orbit landmark!"
     puts stdout "Both ear landmarks must be set + at least one orbit landmark!"
     return -1
  }  
  # Point 0 is right (R) porion (p)
  set xyz [lmCoord GetPoint 0]
  set pRx [lindex $xyz 0]
  set pRy [lindex $xyz 1]
  set pRz [lindex $xyz 2]
  # Point 1 is left (L) porion (p)
  set xyz [lmCoord GetPoint 1]
  set pLx [lindex $xyz 0]
  set pLy [lindex $xyz 1]
  set pLz [lindex $xyz 2]

  set oRset 0
  set oLset 0
  # Point 2 is right (R) orbit (o)
  if { $setarr(2) == 1 } {
    set oRset 1
    set xyz [lmCoord GetPoint 2]
    set oRx [lindex $xyz 0]
    set oRy [lindex $xyz 1]
    set oRz [lindex $xyz 2]
  } 
  # Point 3 is left (L) orbit (o)
  if { $setarr(3) == 1 } {
    set oLset 1
    set xyz [lmCoord GetPoint 3]
    set oLx [lindex $xyz 0]
    set oLy [lindex $xyz 1]
    set oLz [lindex $xyz 2]
  } 
  if { ($oLset == 1) && ($oRset == 1) } {
    # Both left and right orbit points are set - take the avarage.
    set oLRx [expr ($oLx + $oRx) / 2.0]
    set oLRy [expr ($oLy + $oRy) / 2.0]
    set oLRz [expr ($oLz + $oRz) / 2.0]
  }
  
  if { ($oLset == 0) && ($oRset == 1) } {
    # Only Left orbit is set.
    set oLRx $oRx
    set oLRy $oRy
    set oLRz $oRz
  }

  if { ($oLset == 1) && ($oRset == 0) } {
    # Only right orbit is set.
    set oLRx $oLx
    set oLRy $oLy
    set oLRz $oLz
  }

  # Compute midpoint between ears.
  set earmidx [expr ($pRx + $pLx) / 2.0]
  set earmidy [expr ($pRy + $pLy) / 2.0]
  set earmidz [expr ($pRz + $pLz) / 2.0]

  # Compute the points to be used as target (T).
  # dm is half the distance between ears
  set dmx [expr abs($earmidx-$pLx) ]
  set dmy [expr abs($earmidy-$pLy) ]
  set dmz [expr abs($earmidz-$pLz) ]
  set dm [expr sqrt($dmx*$dmx + $dmy*$dmy + $dmz*$dmz) ]

  # Origin depends on the input parameters.
  if {$offsetFlag == 0} {
    # Offset is relative to earmid.
    set centerx [expr $earmidx + $offsetX ]
    set centery [expr $earmidy + $offsetY ]
    set centerz [expr $earmidz + $offsetZ ]
  } elseif {$offsetFlag == 1} {
    # Offset is relative to origin (0,0,0).
    set centerx $offsetX 
    set centery $offsetY 
    set centerz $offsetZ
  } else {
     notify_error "offsetFlag must be 0, 1 in call to OrientMSPmouse"
     return -1
  }
  # Create the Target porion Right: lies the distance +dm relative to center along x.
  set TpRx [expr $centerx + $dm]  
  set TpRy $centery
  set TpRz $centerz

  # Create the Target porion Left: lies the distance -dm relative to center along x.
  set TpLx [expr $centerx - $dm]  
  set TpLy $centery
  set TpLz $centerz

  # Compute the third point.
  # p0 is the orbit point. l1 and l2 are left and rigth ear points.
  set p0 [ list 2 3 1 $oLRx $oLRy $oLRz ]
  set l0 [ list 2 3 1 $pRx $pRy $pRz ]
  set l1 [ list 2 3 1 $pLx $pLy $pLz ]
  
  # p1 is the point on the line [l0,l1] closest to the point p0.
  # pnt_line returns a list containing {distance p1x p1y p1z}
  set retlist [ pnt_line $p0 $l0 $l1 ]
  puts stdout "retlist $retlist"
  set di [lindex $retlist 0]
  set p1x [lindex $retlist 1]
  set p1y [lindex $retlist 2]
  set p1z [lindex $retlist 3]

  # Compute distance (di2) from p1 to right ear.  
  set p1 [list 2 3 1 $p1x $p1y $p1z]
  set m1 [list 2 3 1 $pRx $pRy $pRz]
  set di2 [distance $p1 $m1]
  puts stdout "di2= $di2"

  # Compute Target orbit point.
  # Note that the three next lines define the direction the model is facing.
  set Tox [expr $TpRx - $di2]
  ##set Toz [expr $earmidz - $di]
  set Toz [expr $centerz - $di]
  ##set Toy $earmidy
  set Toy $centery
    
  vtkPoints SourcePoints
     SourcePoints InsertPoint 0 $pRx $pRy $pRz
     SourcePoints InsertPoint 1 $pLx $pLy $pLz
     SourcePoints InsertPoint 2 $oLRx $oLRy $oLRz

  vtkPoints TargetPoints
     TargetPoints InsertPoint 0 $TpRx $TpRy $TpRz
     TargetPoints InsertPoint 1 $TpLx $TpLy $TpLz
     TargetPoints InsertPoint 2 $Tox $Toy $Toz
     puts stdout "TpR: $TpRx $TpRy $TpRz"
     puts stdout "TpL: $TpLx $TpLy $TpLz"
     puts stdout "Tox: $Tox $Toy $Toz"

  ##vtkLandmarkTransform LmTrafo
     LmTrafo SetSourceLandmarks SourcePoints
     LmTrafo SetTargetLandmarks TargetPoints
     LmTrafo SetModeToRigidBody

  TargetPoints Delete
  SourcePoints Delete

}


proc CreateMSPPlane {} {
  # Create a plane perpendicular to and halfway between ear points.
  # To be called after OrientMSP2 or OrientMSP (OrientMSP(2) computes the needed landmarks)
  
}

proc OrientMSP2 { offsetFlag offsetX offsetY offsetZ } {
  global setarr lmCoord lmDiameter
  global earmidx earmidy earmidz
  global TpRx TpRy TpRz TpLx TpLy TpLz
  # This routine computes the transformation LmTrafo in order to
  # orient a surface according to MSP and FH using 3 or 4 landmarks.
  # [Subsequently LmTrafo may be applied to data to carry out the transformation
  # (this is not done inside this routine).]
  # The first 4 landmarks (0-3) are expected to be:
  #    0: Rigth porion
  #    1: Left porion
  #    2: Right orbitalis inferior
  #    3: Left orbitalis inferior
  # Computations will be made according to which of these 4 landmarks are set.
  # Both ear landmarks must be set (used for MSP calculation).
  # At least one of the orbit points must be present (the one that is set is used).
  # If both orbit points are set, then an average is used (for FH calculation).
  # 
  # We decide here on a standard orientation:
  # Face in xz-plane, facing AWAY FROM origin, top of head towards larger z.
  # (This correponds to orientation of Mette's Muenke dataset.)
  #
  # offsetFlag: 0 interprets offset relative to mid-ear.
  #             1 interprets offset relative to origin.
  
  # Get the first 4 landmarks and their set status.
  # Start by checking that the two first landmarks are set...
  puts stdout "setarr(0) $setarr(0)"
  if { ($setarr(0) != 1) || ($setarr(1) != 1) } {
     notify_error "Both ear landmarks must be set + at least one orbit landmark!"
     puts stdout "Both ear landmarks must be set + at least one orbit landmark!"
     return -1
  }  
  set xyz [lmCoord GetPoint 0]
  set pRx [lindex $xyz 0]
  set pRy [lindex $xyz 1]
  set pRz [lindex $xyz 2]
  set xyz [lmCoord GetPoint 1]
  set pLx [lindex $xyz 0]
  set pLy [lindex $xyz 1]
  set pLz [lindex $xyz 2]

  set oRset 0
  set oLset 0
  if { $setarr(2) == 1 } {
    set oRset 1
    set xyz [lmCoord GetPoint 2]
    set oRx [lindex $xyz 0]
    set oRy [lindex $xyz 1]
    set oRz [lindex $xyz 2]
  } 
  if { $setarr(3) == 1 } {
    set oLset 1
    set xyz [lmCoord GetPoint 3]
    set oLx [lindex $xyz 0]
    set oLy [lindex $xyz 1]
    set oLz [lindex $xyz 2]
  } 
  if { ($oLset == 1) && ($oRset == 1) } {
    # Both left and right orbit points are set - take the avarage.
    set oLRx [expr ($oLx + $oRx) / 2.0]
    set oLRy [expr ($oLy + $oRy) / 2.0]
    set oLRz [expr ($oLz + $oRz) / 2.0]
  }
  if { ($oLset == 0) && ($oRset == 1) } {
    set oLRx $oRx
    set oLRy $oRy
    set oLRz $oRz
  }
  if { ($oLset == 1) && ($oRset == 0) } {
    set oLRx $oLx
    set oLRy $oLy
    set oLRz $oLz
  }

  # Compute midpoint between ears.
  set earmidx [expr ($pRx + $pLx) / 2.0]
  set earmidy [expr ($pRy + $pLy) / 2.0]
  set earmidz [expr ($pRz + $pLz) / 2.0]

  # Compute the points to be used as target.
  # dm is the distance from earmid to left porion:
  set dmx [expr abs($earmidx - $pLx) ]
  set dmy [expr abs($earmidy - $pLy) ]
  set dmz [expr abs($earmidz - $pLz) ]
  set dm [expr sqrt($dmx*$dmx + $dmy*$dmy + $dmz*$dmz) ]
  puts stdout "dm*2: [expr $dm * 2.0]"
  
  # Origin depends on the input parameters.
  if {$offsetFlag == 0} {
    set addx $offsetX
    set addy $offsetY
    set addz $offsetZ
  } else {
    set addx [expr $offsetX - $earmidx] 
    set addy [expr $offsetY - $earmidy]
    set addz [expr $offsetZ - $earmidz]
  }
  #!#set TpRx [expr $centerx  - $dm] 
  #!# Later: test the sign here? 
  set TpRx [expr $earmidx  + $dm + $addx]  
  set TpRy [expr $earmidy + $addy]
  set TpRz [expr $earmidz + $addz]
  
  
  #!#set TpLx [expr $centerx + $offsetX + $dm] 
  set TpLx [expr $earmidx + $offsetX - $dm + $addx]   
  set TpLy [expr $earmidy + $offsetY + $addy]
  set TpLz [expr $earmidz + $offsetZ + $addz]

  # Compute the third point.
  # p0 is the orbit point. l1 and l2 are left and rigth ear points.
  set p0 [ list 2 3 1 $oLRx $oLRy $oLRz ]
  set l0 [ list 2 3 1 $pRx $pRy $pRz ]
  set l1 [ list 2 3 1 $pLx $pLy $pLz ]
  
  # pnt_line returns a list containing {distance plx ply plz}
  set retlist [ pnt_line $p0 $l0 $l1 ]
  puts stdout "retlist $retlist"
  #pnt_line $p0 $l0 $l1
  set di [lindex $retlist 0]
  set p1x [lindex $retlist 1]
  set p1y [lindex $retlist 2]
  set p1z [lindex $retlist 3]

  # Compute distance from p1 to right ear.  
  set p1 [list 2 3 1 $p1x $p1y $p1z]
  set m1 [list 2 3 1 $pRx $pRy $pRz]
  set di2 [distance $p1 $m1]
  puts stdout "di2= $di2"

  #set pp1 [list 2 3 1 1 2 3]
  #set mm1 [list 2 3 1 4 5 6]
  #set diii [distance $pp1 $mm1]
  #puts stdout "diii= $diii"

  #!#set Tox [expr $pRx + $di2]
  set Tox [expr $pRx - $di2 + $addx]
  #!#set Toy [expr $earmidy - $di ]
  set Toy [expr $earmidy + $di + $addy]
  set Toz [expr $earmidz + $addz]

  # Wiew the target landmarks.
  # vtkSphereSource lmT0
  #    lmT0 SetRadius $lmDiameter
  #    lmT0 SetCenter $TpRx $TpRy $TpRz
  #    lmT0 SetThetaResolution 10
  #    lmT0 SetPhiResolution 10
  # vtkPolyDataMapper lmT0Mapper
  #   lmT0Mapper SetInput [lmT0 GetOutput]
  # vtkActor lmT0Actor 
  #   lmT0Actor SetMapper lmT0Mapper
  #   [lmT0Actor GetProperty] SetColor 0.2 0.5 1.0
  #   lmT0Actor PickableOff
  #   lmT0Actor VisibilityOn
  #   ren1 AddActor lmT0Actor
  # 
  # vtkSphereSource lmT1
  #    lmT1 SetRadius $lmDiameter
  #    lmT1 SetCenter $TpLx $TpLy $TpLz
  #    lmT1 SetThetaResolution 10
  #    lmT1 SetPhiResolution 10
  # vtkPolyDataMapper lmT1Mapper
  #   lmT1Mapper SetInput [lmT1 GetOutput]
  # vtkActor lmT1Actor 
  #   lmT1Actor SetMapper lmT1Mapper
  #   [lmT1Actor GetProperty] SetColor 0.2 0.5 1.0 
  #   lmT1Actor PickableOff
  #   lmT1Actor VisibilityOn
  #   ren1 AddActor lmT1Actor
  # 
  # vtkSphereSource lmT2
  #    lmT2 SetRadius $lmDiameter
  #    lmT2 SetCenter $Tox $Toy $Toz
  #    lmT2 SetThetaResolution 10
  #    lmT2 SetPhiResolution 10
  # vtkPolyDataMapper lmT2Mapper
  #   lmT2Mapper SetInput [lmT2 GetOutput]
  # vtkActor lmT2Actor 
  #   lmT2Actor SetMapper lmT2Mapper
  #   [lmT2Actor GetProperty] SetColor 0.2 0.5 1.0
  #   lmT2Actor PickableOff
  #   lmT2Actor VisibilityOn 
  #   ren1 AddActor lmT2Actor

  # Double check that target and source landmarks form the same congruent triangle...
  set edx [expr $pRx -  $pLx]
  set edy [expr $pRy -  $pLy]
  set edz [expr $pRz -  $pLz]
  set edxT [expr $TpRx -  $TpLx]
  set edyT [expr $TpRy -  $TpLy]
  set edzT [expr $TpRz -  $TpLz]
  puts stdout "ed: [expr sqrt(($edx * $edx) + ($edy * $edy) + ($edz * $edz))] [expr sqrt(($edxT * $edxT) + ($edyT * $edyT) + ($edzT * $edzT))]"  
  set odx [expr $oLRx - $pLx]
  set ody [expr $oLRy - $pLy]
  set odz [expr $oLRz - $pLz]
  set odxT [expr $Tox - $TpLx]
  set odyT [expr $Toy - $TpLy]
  set odzT [expr $Toz - $TpLz]
  puts stdout "od: [expr sqrt(($odx * $odx) + ($ody * $ody) + ($odz * $odz))] [expr sqrt(($odxT * $odxT) + ($odyT * $odyT) + ($odzT * $odzT))]"  
  
  vtkPoints SourcePoints
     SourcePoints InsertPoint 0 $pRx $pRy $pRz
     SourcePoints InsertPoint 1 $pLx $pLy $pLz
     SourcePoints InsertPoint 2 $oLRx $oLRy $oLRz

  vtkPoints TargetPoints
     TargetPoints InsertPoint 0 $TpRx $TpRy $TpRz
     TargetPoints InsertPoint 1 $TpLx $TpLy $TpLz
     TargetPoints InsertPoint 2 $Tox $Toy $Toz
     puts stdout "TpR: $TpRx $TpRy $TpRz"
     puts stdout "TpL: $TpLx $TpLy $TpLz"
     puts stdout "Tox: $Tox $Toy $Toz"

  ##vtkLandmarkTransform LmTrafo
     LmTrafo SetModeToRigidBody
     LmTrafo SetSourceLandmarks SourcePoints
     LmTrafo SetTargetLandmarks TargetPoints
     LmTrafo SetModeToRigidBody

  LmTrafo Update

  TargetPoints Delete
  SourcePoints Delete

}


proc CountCurrentLandmarks {} {
  global maxNlandmarks setarr NsetLandmarks maxlmIndex
  # Returns the number of currently set landmarks in the variable NsetLandmarks.
  
  ##puts stdout "(CountCurrentLandmarks) maxlmIndex $maxlmIndex"
  set NsetLandmarks 0
  for {set i 0} {$i <= $maxlmIndex} {incr i 1} {
     if {$setarr($i) == 1} {
        incr NsetLandmarks 1
     }
  }  
}


proc ApplyTrafoToLandmarks {} {
  global maxlmIndex lmIndex NsetLandmarks
  global LandmarkFileHasBeenRead
  # Transform each landmark at a time.  Loop through all landmarks...
  # We apply the transform to all landmarks, either they are set or not.
  # This should maybe be changed... 
  # We transform all landmarks up to $maxlmIndex  
  # Note that we make a copy of lmCoord in lmCoordPrevious (for Undo),
  # and that we replace contents of lmCoord with transformed coordinates...

  # Check if there are any landmarks (set or read)
  CountCurrentLandmarks
  puts stdout "NsetLandmarks $NsetLandmarks"
  if {$NsetLandmarks == 0} {
    notify_error "No landmarks to transform"
     return -1
  }
    

  for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
     set xyz [lmCoord GetPoint $k]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lmCoordPrevious InsertPoint $k $xxx $yyy $zzz 
     set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lmCoord InsertPoint $k $xxx $yyy $zzz 
     set lmIndex $k
     SetIndex $lmIndex
        SetSetLandmarkNoRender
        SetSetPos 
  }
  SetSetPos
  
  
  set lmIndex [expr $k - 1 ]
  SetIndex $lmIndex
  renWin Render 

  #vtkPoints lmCoordT
  #set nPoints 4
  #for {set k 0} {$k < $nPoints} {incr k 1} {
  #  set xyz [lmCoord GetPoint $k]
  #  set xxx [lindex $xyz 0]
  #  set yyy [lindex $xyz 1]
  #  set zzz [lindex $xyz 2]
  #  puts stdout "#######################"
  #  puts stdout "xyz%%%% $xxx $yyy $zzz"
  #  set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
  #  set xxx [lindex $xyz 0]
  #  set yyy [lindex $xyz 1]
  #  set zzz [lindex $xyz 2]
  #  lmCoordT InsertPoint $k $xxx $yyy $zzz 
  #  puts stdout "xyz%%%% $xxx $yyy $zzz"
  #  vtkSphereSource lmTT$k
  #    lmTT$k SetRadius $lmDiameter
  #    lmTT$k SetCenter $xxx $yyy $zzz 
  #    lmTT$k SetThetaResolution 10
  #    lmTT$k SetPhiResolution 10
  #  vtkPolyDataMapper lmTTMapper$k
  #    lmTTMapper$k SetInput [lmTT$k GetOutput]
  #  vtkActor lmTTActor$k 
  #    lmTTActor$k SetMapper lmTTMapper$k
  #    [lmTTActor$k GetProperty] SetColor 1 1 1
  #    lmTTActor$k PickableOff
  #    lmTTActor$k VisibilityOn 
  #    ren1 AddActor lmTTActor$k
  #}

  
}

proc ApplyTrafoToCurve {} {
  global LineCrvFileHasBeenRead
  # Transform the vtkPoints lineCrvPoints (the points that make up line or curve read by Load(New) Line Curve File (will not affect those read with Load(Additional)).
  # Note that we make a copy of lineCrvPoints in lineCrvPointsPrevious (for Undo),
  # and that we replace contents of lineCrvPoints with transformed coordinates...

  # Check if a curve has been read
    if {$LineCrvFileHasBeenRead == 0} {
    notify_error "No curve to transform; load one with Load(New) Line Curve File"
     return -1
  }
  set np [lineCrvPoints GetNumberOfPoints]
  
  for {set k 0} {$k < $np} {incr k 1} {
     set xyz [lineCrvPoints GetPoint $k]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lineCrvPointsPrevious InsertPoint $k $xxx $yyy $zzz 
     set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lineCrvPoints InsertPoint $k $xxx $yyy $zzz 
  }
  DeleteAllCurves  
  ShowLineCrv
  set LineCrvFileHasBeenRead 1
}

proc UndoTrafoToCurve {} {
  global LineCrvFileHasBeenRead
  # Undo the trafo applied to lineCrvPoints in ApplyTrafoToCurve
  set np [lineCrvPointsPrevious GetNumberOfPoints]
  
  for {set k 0} {$k < $np} {incr k 1} {
     set xyz [lineCrvPointsPrevious GetPoint $k]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lineCrvPoints InsertPoint $k $xxx $yyy $zzz 
  }
  DeleteAllCurves  
  ShowLineCrv
  set LineCrvFileHasBeenRead 1
}


proc ApplyTrafoToSurface {} {
  global SurfaceFileHasBeenRead
  # Transform the surface and view the result.

  if {! $SurfaceFileHasBeenRead} {
     notify_error "No surface to transform"
     return -1
  }
  PolyDataPrevious CopyStructure PolyData 
    [PolyDataPrevious GetPointData] PassData [PolyData GetPointData]
    PolyDataPrevious Modified

  vtkTransform transformSurface
    transformSurface SetMatrix [LmTrafo GetMatrix]
    transformSurface Update

  vtkTransformPolyDataFilter transFilterSurface
    transFilterSurface SetInput PolyData
    transFilterSurface SetTransform transformSurface
    transFilterSurface Update

  # Put result back into PolyData
  PolyData CopyStructure [transFilterSurface GetOutput]
    [PolyData GetPointData] PassData [[transFilterSurface GetOutput] GetPointData]
    PolyData Modified
    renWin Render

  transFilterSurface Delete
  transformSurface Delete  
 }

proc SetCurrentVolumeOutputSpacing {ssx ssy ssz} {
  # Procedure to change voxel size.
  # This routine sets new values for xpix,ypix,zpix the voxel size. 
  # Also, the background color is set to the lowest value in the dataset, as given by the input.
  global xpix ypix zpix pixmin
    
  set xpix $ssx
  set ypix $ssy
  set zpix $ssz
    
  CurrentVolume SetOutputSpacing $ssx $ssy $ssz
  CurrentVolume SetBackgroundLevel $pixmin
  CurrentVolume Update
}

proc SetCurrentVolumeOutputSize {osx osy osz} {
  # Procedure typically to be called before ApplyTrafoToVolume
  # in order to increase size of volume such that there is sufficient space for the 
  # transformed volume.
  
  # This routine sets new values for xs,ys,zs the size of the volume.
  # Also, the background color is set to the lowest value in the dataset, as given by the input.
  global xs ys zs pixmin
    
  set xs $osx
  set ys $osy
  set zs $osz
  set osx [expr $osx - 1]
  set osy [expr $osy - 1]
  set osz [expr $osz - 1]
  
  CurrentVolume SetOutputExtent 0 $osx 0 $osy 0 $osz
  CurrentVolume SetOutputOrigin 0 0 0 
  CurrentVolume SetBackgroundLevel $pixmin
  CurrentVolume Update
}

proc SetCurrentVolumeOutputExtent {xstart xend ystart yend zstart zend} {
  # Procedure typically to be called before ApplyTrafoToVolume. Seems better than proc SetCurrentVolumeOutputSize (will center volume better).
  # in order to increase size of volume such that there is sufficient space for the 
  # transformed volume.
  
  # This routine sets new values for xs,ys,zs the size of the volume.
  # Also, the background color is set to the lowest value in the dataset, as given by the input.
  global xs ys zs pixmin
      
  CurrentVolume SetOutputExtent $xstart $xend $ystart $yend $zstart $zend
  set xs [expr $xend - $xstart + 1]
  set ys [expr $yend - $ystart + 1]
  set zs [expr $zend - $zstart + 1]

  CurrentVolume Update
}



proc ApplyTrafoToVolume {} {
  # Transform the volume and view the result.
  global xpix ypix zpix xs ys zs
  global VolumeFileHasBeenRead
  global pixmin pixmax 
  global VolumeBackgroundLevel
  global ChangeOutputExtent
  puts stdout "VolumeFileHasBeenRead $VolumeFileHasBeenRead"
  if {! $VolumeFileHasBeenRead} {
     notify_error "No volume to transform!"
     return -1
  }
  # First save a copy of CurrentVolume in PreviousVolume
  ##PreviousVolume SetInput [CurrentVolume GetOutput]

  CurrentVolume SetBackgroundLevel $VolumeBackgroundLevel

  CurrentVolume Update
  CurrentVolume SetInterpolationModeToCubic
  
  # Important to use the inverse (see documentation for vtkImageReslice)
  CurrentVolume SetResliceTransform [LmTrafo GetLinearInverse] 
  ##CurrentVolume TransformInputSamplingOn
  ##CurrentVolume SetBackgroundLevel 0.0
  ##puts stdout "Warning: setting image background to pixmin: $pixmin"
  CurrentVolume SetBackgroundLevel $VolumeBackgroundLevel
  ##puts stdout "SPACING IN: $xpix $ypix $zpix ###################################################"
  ##set spacing [CurrentVolume GetOutputSpacing]
  ##  set xp [lindex $spacing 0]
  ##  set yp [lindex $spacing 1]
  ##  set zp [lindex $spacing 2]
  ##puts stdout "SPACING OUT: $xp $yp $zp ###################################################"
     ###SetCurrentVolumeOutputSpacing 1.1 1.1 1.1

  CurrentVolume Update
}


 proc ShowMSP {} {
       # Procedure computes and shows a midsagittal plane based on current ear/orbit landmarks (after trafo has been made)
       global msp_plane_created
       global earmidx earmidy earmidz
       global centerx centery centerz
       global TpRx TpRy TpRz TpLx TpLy TpLz

       if {$msp_plane_created} {
         MSPPlaneActor VisibilityOn
         renWin Render
       } else {
         ## ComputeBoundingBox DOES NOT WORK, therefore, for now, use a plane big enough for all heads...
         vtkPlaneSource MSPPlane
           MSPPlane SetOrigin 0 0 0
           MSPPlane SetPoint1 0 0 300
           MSPPlane SetPoint2 0 300 0
           MSPPlane SetXResolution 200
           MSPPlane SetYResolution 200
           MSPPlane SetCenter $centerx $centery $centerz
           MSPPlane SetNormal 1 0 0

         # We need to convert to triangles.
         vtkTriangleFilter triplane
           triplane SetInput [MSPPlane GetOutput]
         vtkPolyDataMapper MSPPlaneMapper
           MSPPlaneMapper SetInput [triplane GetOutput]
         vtkActor MSPPlaneActor
           MSPPlaneActor SetMapper MSPPlaneMapper
           ren1 AddActor MSPPlaneActor
           renWin Render
         set msp_plane_created 1
       }  
    }



    proc CutMSP {} {
       # Cut the MSP plane along an outline defined by the projection of the current landmark file.
       # Compute and display the projection: this is lmCoord but with all x-coordinates = earmidx.
       global earmidx
       global setarr maxlmIndex lmIndex
       global SplineCheck
       for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
         set xyz [lmCoord GetPoint $k]
         set xxx [lindex $xyz 0]
         set yyy [lindex $xyz 1]
         set zzz [lindex $xyz 2]
         lmCoordCopy InsertPoint $k $xxx $yyy $zzz 
         lmCoord InsertPoint $k $earmidx $yyy $zzz 
         set lmIndex $k
         SetIndex $lmIndex
         SetSetLandmarkNoRender
         SetSetPos 
       }
       SetSetPos
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render 
       
       # Save PolyData for later in PolyDataPrevious
       PolyDataPrevious CopyStructure PolyData 
       [PolyDataPrevious GetPointData] PassData [PolyData GetPointData]
       PolyDataPrevious Modified

       # Put the MSP plane temporarily in PolyData
       PolyData CopyStructure [triplane GetOutput] 
       PolyData Modified
       PolyData Update

       # Show spline and cut.
       if {$SplineCheck != 1} {
         set SplineCheck 1
         ShowSpline
       }
       LoopClipping
       if {$SplineCheck} {
         set SplineCheck 0
         ShowSpline
       }
    }

    proc TPSMSP {} {
       # Here we use TPSsurface to deform current cut MSP plane (output from CutMSP) current landmarks.
       # It is assumed that current landmarks are landmarks in the mid-sagittal surface (MSS)
       # that have been read in (e.g. by use of AppendLandmarkFile.  
       # Typical landmark file prefixes are bigcircle, Brain, Maxilla and Cranie_Base_Line.
       # (see example in make_msp_plane.tcl in C:\tron\projects\mette_keller\convert_analyze_log_to_mm.
       global AppendToPrevious TargetLandmarks 
       global nPointsIn setarr setarr_source maxNlandmarks
       global earmidx
       global dLimit
       set AppendToPrevious 0

       set dLimit 8.0
       CombineLandmarks

       # Create lmCoordSource
       if {$TargetLandmarks != 1} {
         vtkPoints lmCoordSource
       } 
       for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
          if {$setarr($i) == 1} {
            set setarr_source($i) 1
          } else {
            set setarr_source($i) 0
          }
          set xyz [lmCoord GetPoint $i]
          set x [lindex $xyz 0] 
          set y [lindex $xyz 1]
          set z [lindex $xyz 2] 
          lmCoordSource InsertNextPoint $earmidx $y $z
       }

       TPSsurface
       HideMSP 

       ############################################################
       ### WORKS, BUT gets too meny points in points array.  Use IDL for now...
       ### Compute distances for coloring and write clr file.
       ### For every point in PolyData we wish to write x-earmidx to a .clr file.
       ##set NumberOfNodes [PolyData GetNumberOfPoints]
       ###set points [[ PolyData GetOutput ] GetPoints]
       ##set points [PolyData GetPoints]
       ##
       ##for {set i 0} {$i <= $NumberOfNodes} {incr i 1} {
       ##   set xyz [points GetPoint $i]
       ##   set x [lindex $xyz 0] 
       ##   set y [lindex $xyz 1]
       ##   set z [lindex $xyz 2] 
       ##   puts stdout "$i $x $y $z"
       ##}
       ##puts stdout "NumberOfNodes $NumberOfNodes"
       ############################################################


    }

   
    proc TPSsurface {} {
       # Procedure TPS transforms tha data currently in PolyData.
       # It uses as target landmaks the landmarks currently in lmCoord,
       # and as source landmarks the landmarks currently in lmCoordSource.
       # Note that prior to a call to TPSSurface it must be assured that
       # lmCoord and lmCoordSource contain the same number of equally ordered
       # points, and that if there are unset points, they must be unset in both arrays.
       # TPSsurface creates internal copies of both landmark arrays where unset points are removed. 
       global setarr setarr_source maxNlandmarks
       
       # Start by making an arrays that contain only the currently set landmarks.
       ##vtkPoints lmSource
       set k 0
       for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
         if {$setarr_source($i) == 1} {
           set xyz [lmCoordSource GetPoint $i]
           set x [lindex $xyz 0] 
           set y [lindex $xyz 1]
           set z [lindex $xyz 2] 
           lmSource InsertNextPoint $x $y $z
         }
       }
       ##vtkPoints lmTarget
       set k 0
       for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
         if {$setarr($i) == 1} {
           set xyz [lmCoord GetPoint $i]
           set x [lindex $xyz 0] 
           set y [lindex $xyz 1]
           set z [lindex $xyz 2] 
           lmTarget InsertNextPoint $x $y $z
         }
       }

       vtkThinPlateSplineTransform tps
         tps SetSourceLandmarks lmSource
         tps SetTargetLandmarks lmTarget
         tps Update

       vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         mss SetTransform tps
         mss Update      

       # Put result in PolyData
       PolyData CopyStructure [mss GetOutput]
         [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
         PolyData Modified
         PolyData Update
         renWin Render
    }

    proc HideMSP {} {
       # Procedure computes and shows a midsagittal plane based on current ear/orbit landmarks (after trafo has been made)
       global msp_plane_created
       if {$msp_plane_created} {
         MSPPlaneActor VisibilityOff
         renWin Render
       }
       
    }





proc StandardOrientMSP {} {
   # Called from edit menu to do orientation standardization according to MSP/FH
   # This the one created for Mette Keller.
   global setarr lmCoord lmDiameter
   global offsetFlag offsetX offsetY offsetZ 
   global lmIndex maxlmIndex
   global earmidx earmidy earmidz
   global centerx centery centerz
   global TpRx TpRy TpRz TpLx TpLy TpLz


    proc CloseOrientMenu {} {
      PolyDataFirst Delete
      wm withdraw .os
      destroy .os
    }

    
    
    proc UndoTrafoToSurface {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }

    proc UndoTrafoToLandmarks {} {
      global lmIndex maxlmIndex
      for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
        set xyz [lmCoordPrevious GetPoint $k]
        set xxx [lindex $xyz 0]
        set yyy [lindex $xyz 1]
        set zzz [lindex $xyz 2]
        lmCoord InsertPoint $k $xxx $yyy $zzz 
        set lmIndex $k
        SetIndex $lmIndex
           SetSetLandmarkNoRender
           SetSetPos 
     }
     SetSetPos 
     set lmIndex [expr $k - 1 ]
     SetIndex $lmIndex
     renWin Render       
  }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .os
  wm title .os "Standard Orientation (MSP)"
  set font {Helvetica 14}

  button .os.close -font $font -text  " Close "  -width 15 -foreground red -command CloseOrientMenu
  pack .os.close -side bottom -pady 2m
  label .os.l -font $font -justify center -text "Set or read in landmarks:"
  label .os.l2 -font $font -justify center -text "0 and 1: right/left ear."
  label .os.l3 -font $font -justify center -text "2 and/or 3: right/left lower orbital rim."
  pack .os.l .os.l2 .os.l3 -side top -pady 8
  
  
  button .os.b0 -font $font -text "Compute Transformation" -foreground blue -width 20 -justify center -command {OrientMSP $offsetFlag $offsetX $offsetY $offsetZ} 
  pack .os.b0 -side top

  frame .os.f
  button .os.f.b1 -font $font -text "Transform Landmarks" -foreground green -width 20 -justify center -command ApplyTrafoToLandmarks
  button .os.f.b1u -font $font -text "** Undo **" -foreground green -width 10 -justify center -command UndoTrafoToLandmarks
  pack .os.f -side top
  pack .os.f.b1 .os.f.b1u -side left -expand 1

  frame .os.f2
  button .os.f2.b1 -font $font -text "Transform Surface" -foreground black -width 20 -justify center -command ApplyTrafoToSurface
  button .os.f2.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToSurface
  pack .os.f2 -side top
  pack .os.f2.b1 .os.f2.b1u -side left -expand 1

  frame .os.f3
  button .os.f3.b1 -font $font -text "Transform Volume" -foreground black -width 20 -justify center -command ApplyTrafoToVolume
  button .os.f3.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToVolume -state disabled
  pack .os.f3 -side top
  pack .os.f3.b1 .os.f3.b1u -side left -expand 1

  frame .os.p
  button .os.p.b0 -font $font -text "Show MSP Plane" -foreground blue -width 20 -justify center -command ShowMSP
  button .os.p.b1 -font $font -text "Hide" -foreground blue -width 10 -justify center -command HideMSP
  pack .os.p -side top
  pack .os.p.b0 .os.p.b1 -side left -expand 1

  frame .os.p2
  label .os.p2.l -font $font -justify center -text "Read landmarks for cut, then Cut:"
  button .os.p2.b0 -font $font -text "Cut MSP Plane" -foreground blue -width 20 -justify center -command CutMSP
  label .os.p2.l2 -font $font -justify center -text "Read landmarks for TPS, then TPS:"
  button .os.p2.b1 -font $font -text "TPS" -foreground blue -width 10 -justify center -command TPSMSP
  pack .os.p2 -side top
  pack .os.p2.l .os.p2.b0 .os.p2.l2 .os.p2.b1 -side top -expand 1

}



proc StandardOrient {} {
   # Called from edit menu to do orientation standardization according to MSP/FH
   # This the one created as new general case, Dec. 2005.
   global setarr lmCoord lmDiameter
   global offsetFlag offsetX offsetY offsetZ 
   global lmIndex maxlmIndex
   global earmidx earmidy earmidz
   global TpRx TpRy TpRz TpLx TpLy TpLz
   global VolumeFileHasBeenRead LandmarkFileHasBeenRead SurfaceFileHasBeenRead

    proc CloseOrientMenu {} {
      PolyDataFirst Delete
      wm withdraw .os
      destroy .os
    }

    proc UndoTrafoToVolume {} {
    ## Not working
      CurrentVolume Delete
      vtkImageReslice CurrentVolume
        CurrentVolume SetInput PreviousVolume      
        # We do not render anything (should do in later version).
        ####renWin Render
    }

    
    proc UndoTrafoToSurface {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }

    proc UndoTrafoToLandmarks {} {
      global lmIndex maxlmIndex
      for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
        set xyz [lmCoordPrevious GetPoint $k]
        set xxx [lindex $xyz 0]
        set yyy [lindex $xyz 1]
        set zzz [lindex $xyz 2]
        lmCoord InsertPoint $k $xxx $yyy $zzz 
        set lmIndex $k
        SetIndex $lmIndex
           SetSetLandmarkNoRender
           SetSetPos 
     }
     SetSetPos 
     set lmIndex [expr $k - 1 ]
     SetIndex $lmIndex
     renWin Render       
  }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .os
  wm title .os "Standard Orientation"
  set font {Helvetica 14}

  button .os.close -font $font -text  " Close "  -width 15 -foreground red -command CloseOrientMenu
  pack .os.close -side bottom -pady 2m
  label .os.l -font $font -justify center -text "Set or read in landmarks:"
  label .os.l2 -font $font -justify center -text "0 and 1: right/left ear."
  label .os.l3 -font $font -justify center -text "2 and/or 3: right/left lower orbital rim."
  pack .os.l .os.l2 .os.l3 -side top -pady 8
  
  
  button .os.b0 -font $font -text "Compute Transformation" -foreground blue -width 20 -justify center -command {OrientMSPnew $offsetFlag $offsetX $offsetY $offsetZ} 
  pack .os.b0 -side top

  frame .os.f
  button .os.f.b1 -font $font -text "Transform Landmarks" -foreground green -width 20 -justify center -command ApplyTrafoToLandmarks
  button .os.f.b1u -font $font -text "** Undo **" -foreground green -width 10 -justify center -command UndoTrafoToLandmarks
  pack .os.f -side top
  pack .os.f.b1 .os.f.b1u -side left -expand 1

  frame .os.f1
  button .os.f1.b1 -font $font -text "Transform Curve" -foreground yellow -width 20 -justify center -command ApplyTrafoToCurve
  button .os.f1.b1u -font $font -text "** Undo **" -foreground yellow -width 10 -justify center -command UndoTrafoToCurve
  pack .os.f1 -side top
  pack .os.f1.b1 .os.f1.b1u -side left -expand 1

  frame .os.f2
  button .os.f2.b1 -font $font -text "Transform Surface" -foreground black -width 20 -justify center -command ApplyTrafoToSurface
  button .os.f2.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToSurface
  pack .os.f2 -side top
  pack .os.f2.b1 .os.f2.b1u -side left -expand 1

  frame .os.f3
  button .os.f3.b1 -font $font -text "Transform Volume" -foreground black -width 20 -justify center -command ApplyTrafoToVolume
  button .os.f3.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToVolume -state disabled
  pack .os.f3 -side top
  pack .os.f3.b1 .os.f3.b1u -side left -expand 1
}

proc StandardOrientFace {} {
   # Called from edit menu to do orientation standardization according to MSP/FH
   # This the one created as new general case, Dec. 2005.
   global setarr lmCoord lmDiameter
   global offsetFlag offsetX offsetY offsetZ 
   global lmIndex maxlmIndex
   global earmidx earmidy earmidz
   global TpRx TpRy TpRz TpLx TpLy TpLz
   global VolumeFileHasBeenRead LandmarkFileHasBeenRead SurfaceFileHasBeenRead

    proc CloseOrientMenu {} {
      PolyDataFirst Delete
      wm withdraw .os
      destroy .os
    }

    proc UndoTrafoToVolume {} {
    ## Not working
      CurrentVolume Delete
      vtkImageReslice CurrentVolume
        CurrentVolume SetInput PreviousVolume      
        # We do not render anything (should do in later version).
        ####renWin Render
    }

    
    proc UndoTrafoToSurface {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }

    proc UndoTrafoToLandmarks {} {
      global lmIndex maxlmIndex
      for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
        set xyz [lmCoordPrevious GetPoint $k]
        set xxx [lindex $xyz 0]
        set yyy [lindex $xyz 1]
        set zzz [lindex $xyz 2]
        lmCoord InsertPoint $k $xxx $yyy $zzz 
        set lmIndex $k
        SetIndex $lmIndex
           SetSetLandmarkNoRender
           SetSetPos 
     }
     SetSetPos 
     set lmIndex [expr $k - 1 ]
     SetIndex $lmIndex
     renWin Render       
  }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .os
  wm title .os "Standard Orientation"
  set font {Helvetica 14}

  button .os.close -font $font -text  " Close "  -width 15 -foreground red -command CloseOrientMenu
  pack .os.close -side bottom -pady 2m
  label .os.l -font $font -justify center -text "Set or read in landmarks:"
  label .os.l2 -font $font -justify center -text "0 and 1: right/left ear."
  label .os.l3 -font $font -justify center -text "2 and/or 3: right/left lower orbital rim."
  pack .os.l .os.l2 .os.l3 -side top -pady 8
  
  
  button .os.b0 -font $font -text "Compute Transformation" -foreground blue -width 20 -justify center -command {OrientMSPface $offsetFlag $offsetX $offsetY $offsetZ} 
  pack .os.b0 -side top

  frame .os.f
  button .os.f.b1 -font $font -text "Transform Landmarks" -foreground green -width 20 -justify center -command ApplyTrafoToLandmarks
  button .os.f.b1u -font $font -text "** Undo **" -foreground green -width 10 -justify center -command UndoTrafoToLandmarks
  pack .os.f -side top
  pack .os.f.b1 .os.f.b1u -side left -expand 1

  frame .os.f1
  button .os.f1.b1 -font $font -text "Transform Curve" -foreground yellow -width 20 -justify center -command ApplyTrafoToCurve
  button .os.f1.b1u -font $font -text "** Undo **" -foreground yellow -width 10 -justify center -command UndoTrafoToCurve
  pack .os.f1 -side top
  pack .os.f1.b1 .os.f1.b1u -side left -expand 1

  frame .os.f2
  button .os.f2.b1 -font $font -text "Transform Surface" -foreground black -width 20 -justify center -command ApplyTrafoToSurface
  button .os.f2.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToSurface
  pack .os.f2 -side top
  pack .os.f2.b1 .os.f2.b1u -side left -expand 1

  frame .os.f3
  button .os.f3.b1 -font $font -text "Transform Volume" -foreground black -width 20 -justify center -command ApplyTrafoToVolume
  button .os.f3.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToVolume -state disabled
  pack .os.f3 -side top
  pack .os.f3.b1 .os.f3.b1u -side left -expand 1

}


proc StandardOrientMouse {} {
   # Called from edit menu to do orientation standardization according to MSP/FH
   # This the one created as new general case, Dec. 2005.
   global setarr lmCoord lmDiameter
   global offsetFlag offsetX offsetY offsetZ 
   global lmIndex maxlmIndex
   global earmidx earmidy earmidz
   global TpRx TpRy TpRz TpLx TpLy TpLz
   global VolumeFileHasBeenRead LandmarkFileHasBeenRead SurfaceFileHasBeenRead
   global VolumeBackgroundLevel

    proc CloseOrientMenu {} {
      PolyDataFirst Delete
      wm withdraw .os
      destroy .os
    }

    proc UndoTrafoToVolume {} {
      CurrentVolume Delete
      vtkImageReslice CurrentVolume
        CurrentVolume SetInput PreviousVolume      
        # We do not render anything (should do in later version).
        ####renWin Render
    }

    
    proc UndoTrafoToSurface {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }

    proc UndoTrafoToLandmarks {} {
      global lmIndex maxlmIndex
      for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
        set xyz [lmCoordPrevious GetPoint $k]
        set xxx [lindex $xyz 0]
        set yyy [lindex $xyz 1]
        set zzz [lindex $xyz 2]
        lmCoord InsertPoint $k $xxx $yyy $zzz 
        set lmIndex $k
        SetIndex $lmIndex
           SetSetLandmarkNoRender
           SetSetPos 
     }
     SetSetPos 
     set lmIndex [expr $k - 1 ]
     SetIndex $lmIndex
     renWin Render       
  }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .os
  wm title .os "Standard Orientation"
  set font {Helvetica 14}

  button .os.close -font $font -text  " Close "  -width 15 -foreground red -command CloseOrientMenu
  pack .os.close -side bottom -pady 2m
  label .os.l -font $font -justify center -text "Set or read in landmarks:"
  label .os.l2 -font $font -justify center -text "0 and 1: right/left ear."
  label .os.l3 -font $font -justify center -text "2 and/or 3: right/left lower orbital rim."
  pack .os.l .os.l2 .os.l3 -side top -pady 8
  
  
  button .os.b0 -font $font -text "Compute Transformation" -foreground blue -width 20 -justify center -command {OrientMSPmouse $offsetFlag $offsetX $offsetY $offsetZ} 
  pack .os.b0 -side top

  frame .os.f
  button .os.f.b1 -font $font -text "Transform Landmarks" -foreground green -width 20 -justify center -command ApplyTrafoToLandmarks
  button .os.f.b1u -font $font -text "** Undo **" -foreground green -width 10 -justify center -command UndoTrafoToLandmarks
  pack .os.f -side top
  pack .os.f.b1 .os.f.b1u -side left -expand 1

  frame .os.f2
  button .os.f2.b1 -font $font -text "Transform Surface" -foreground black -width 20 -justify center -command ApplyTrafoToSurface
  button .os.f2.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToSurface
  pack .os.f2 -side top
  pack .os.f2.b1 .os.f2.b1u -side left -expand 1

  frame .os.f3
  button .os.f3.b1 -font $font -text "Transform Volume" -foreground black -width 20 -justify center -command ApplyTrafoToVolume
  button .os.f3.b1u -font $font -text "** Undo **" -foreground black -width 10 -justify center -command UndoTrafoToVolume
  pack .os.f3 -side top
  pack .os.f3.b1 .os.f3.b1u -side left -expand 1


  

     

}







proc ComputeBoundingBox {} {
  # Return bounds of the current surface.  DOES NOT WORK (returns -1 1 -1 1 -1 1)
  vtkCubeAxesActor2D boundingaxes
  vtkPolyDataNormals normalss
    normalss SetInput PolyData
  axes SetInput [normalss GetOutput]
  set bo [boundingaxes GetBounds]
  set xmi [lindex $bo 0]
  set xma [lindex $bo 1]
  set ymi [lindex $bo 0]
  set yma [lindex $bo 1]
  set zmi [lindex $bo 0]
  set zma [lindex $bo 1]
  puts stdout "xmi $xmi $xma $ymi $yma $zmi $zma" 
}

proc FlipYZ {} {
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
    global CheckFlipLandmarks CheckFlipSurface CheckFlipVolume RadioFlipValue
    global app_type

global xpix ypix zpix xs ys zs
  global endian
  global pixmin pixmax
  global VolumeFileHasBeenRead
  global ImageFlipY
  global bitpix datatype hea_endian
  global landmarker_home currentdir
  global ImageNoRender
  global infilename

    #if {! $LandmarkFileHasBeenRead} {
    #   notify_error "You must set or load landmarks before you can flip them!"
    #}
    # For each landmark, multiply its coordinate by a 4x4 matrix.
    vtkMatrix4x4 mYZ
      mYZ SetElement 0 0  -1.0
      mYZ SetElement 0 1  0.0
      mYZ SetElement 0 2  0.0
      mYZ SetElement 0 3  0.0
      mYZ SetElement 1 0  0.0
      mYZ SetElement 1 1  1.0
      mYZ SetElement 1 2  0.0
      mYZ SetElement 1 3  0.0
      mYZ SetElement 2 0  0.0
      mYZ SetElement 2 1  0.0
      mYZ SetElement 2 2  1.0
      mYZ SetElement 2 3  0.0
      mYZ SetElement 3 0  0.0
      mYZ SetElement 3 1  0.0
      mYZ SetElement 3 2  0.0
      mYZ SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mYZ

      if {$CheckFlipLandmarks} {
       # Flip landmarks
       for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
        
          set xyz [trans TransformDoublePoint $xxx $yyy $zzz]

          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
     }
     if {$CheckFlipSurface} {
         # Flip surface also

         vtkTransformPolyDataFilter mss
           mss SetInput PolyData
           mss SetTransform trans
           mss Update      

         # Put result in PolyData
         PolyData CopyStructure [mss GetOutput]
           [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
           PolyData Modified
           PolyData Update
           mss Delete
     }

       renWin Render 
       trans Delete
       mYZ Delete

   if {$CheckFlipVolume} {
     # Flip volume also
     vtkImageReslice PreviousVolume
     PreviousVolume SetInput [CurrentVolume GetOutput]
     PreviousVolume SetResliceTransform identityTransform
                vtkImageFlip flip
                   flip SetInput [PreviousVolume GetOutput]
                   flip SetFilteredAxis 0
                   flip Update
        CloseImageViewer
        ##CurrentVolume Delete
        vtkImageReslice CurrentVolume
                  CurrentVolume SetInput [flip GetOutput]
                  CurrentVolume SetResliceTransform identityTransform
                  CurrentVolume Update
     
     set infilename "Flipped"
     viewer SetInput [CurrentVolume GetOutput]
     viewer SetZSlice 0
     set l [expr (( $pixmax - $pixmin ) / 1.5 )]
     set w [expr $l / 2.0 ]
     viewer SetColorLevel $l
     viewer SetColorWindow $w 
     viewer SetPosition 50 50
       set source_file "ImageViewerInterface.tcl"
       if {$app_type == "exe"} { 
         source $source_file
       } else {
         source $landmarker_home$source_file
       }
     PreviousVolume Delete
     flip Delete
  }


  }

proc FlipZX {} {
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
    global CheckFlipLandmarks CheckFlipSurface CheckFlipVolume RadioFlipValue
    global ypix ys
    global landmarker_home

  global xpix ypix zpix xs ys zs
  global endian
  global pixmin pixmax
  global VolumeFileHasBeenRead
  global ImageFlipY
  global bitpix datatype hea_endian
  global landmarker_home currentdir
  global ImageNoRender
  global infilename

    
    #if {! $LandmarkFileHasBeenRead} {
    #   notify_error "You must set or load landmarks before you can flip them!"
    #}
    # For each landmark, multiply its coordinate by a 4x4 matrix.
    vtkMatrix4x4 mZX
      mZX SetElement 0 0  1.0
      mZX SetElement 0 1  0.0
      mZX SetElement 0 2  0.0
      mZX SetElement 0 3  0.0
      mZX SetElement 1 0  0.0
      mZX SetElement 1 1 -1.0
      mZX SetElement 1 2  0.0
      mZX SetElement 1 3  0.0
      mZX SetElement 2 0  0.0
      mZX SetElement 2 1  0.0
      mZX SetElement 2 2  1.0
      mZX SetElement 2 3  0.0
      mZX SetElement 3 0  0.0
      mZX SetElement 3 1  0.0
      mZX SetElement 3 2  0.0
      mZX SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mZX

      if {$CheckFlipLandmarks} {
       # Flip landmarks
       for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
        
          set xyz [trans TransformDoublePoint $xxx $yyy $zzz]

          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       }
       if {$CheckFlipSurface} {
         # Flip surface also

         vtkTransformPolyDataFilter mss
           mss SetInput PolyData
           mss SetTransform trans
           mss Update      

         # Put result in PolyData
         PolyData CopyStructure [mss GetOutput]
           [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
           PolyData Modified
           PolyData Update
           mss Delete
       }
       
  if {$CheckFlipVolume} {
     # Flip volume also
     vtkImageReslice PreviousVolume
     PreviousVolume SetInput [CurrentVolume GetOutput]
     PreviousVolume SetResliceTransform identityTransform
                vtkImageFlip flip
                   flip SetInput [PreviousVolume GetOutput]
                   flip SetFilteredAxis 1
                   flip Update
        CloseImageViewer
        ##CurrentVolume Delete
        vtkImageReslice CurrentVolume
                  CurrentVolume SetInput [flip GetOutput]
                  CurrentVolume SetResliceTransform identityTransform
                  CurrentVolume Update
     
     set infilename "Flipped"
     viewer SetInput [CurrentVolume GetOutput]
     viewer SetZSlice 0
     set l [expr (( $pixmax - $pixmin ) / 1.5 )]
     set w [expr $l / 2.0 ]
     viewer SetColorLevel $l
     viewer SetColorWindow $w 
     viewer SetPosition 50 50
       set source_file "ImageViewerInterface.tcl"
       if {$app_type == "exe"} { 
         source $source_file
       } else {
         source $landmarker_home$source_file
       }
     PreviousVolume Delete
     flip Delete
  }
       renWin Render 
       trans Delete
       mZX Delete
 
}

proc FlipXY {} {
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
    global CheckFlipLandmarks CheckFlipSurface CheckFlipVolume RadioFlipValue

global xpix ypix zpix xs ys zs
  global endian
  global pixmin pixmax
  global VolumeFileHasBeenRead
  global ImageFlipY
  global bitpix datatype hea_endian
  global landmarker_home currentdir
  global ImageNoRender
  global infilename
  global app_type
    
    #if {! $LandmarkFileHasBeenRead} {
    #   notify_error "You must set or load landmarks before you can flip them!"
    #}
    # For each landmark, multiply its coordinate by a 4x4 matrix.
    vtkMatrix4x4 mXY
      mXY SetElement 0 0  1.0
      mXY SetElement 0 1  0.0
      mXY SetElement 0 2  0.0
      mXY SetElement 0 3  0.0
      mXY SetElement 1 0  0.0
      mXY SetElement 1 1  1.0
      mXY SetElement 1 2  0.0
      mXY SetElement 1 3  0.0
      mXY SetElement 2 0  0.0
      mXY SetElement 2 1  0.0
      mXY SetElement 2 2 -1.0
      mXY SetElement 2 3  0.0
      mXY SetElement 3 0  0.0
      mXY SetElement 3 1  0.0
      mXY SetElement 3 2  0.0
      mXY SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mXY

      if {$CheckFlipLandmarks} {
       # Flip landmarks
       for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
        
          set xyz [trans TransformDoublePoint $xxx $yyy $zzz]

          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       }
       if {$CheckFlipSurface} {
         # Flip surface also

         vtkTransformPolyDataFilter mss
           mss SetInput PolyData
           mss SetTransform trans
           mss Update      

         # Put result in PolyData
         PolyData CopyStructure [mss GetOutput]
           [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
           PolyData Modified
           PolyData Update
           mss Delete
       }
       renWin Render 
       trans Delete
       mXY Delete

  if {$CheckFlipVolume} {
     # Flip volume also
     vtkImageReslice PreviousVolume
     PreviousVolume SetInput [CurrentVolume GetOutput]
     PreviousVolume SetResliceTransform identityTransform
                vtkImageFlip flip
                   flip SetInput [PreviousVolume GetOutput]
                   flip SetFilteredAxis 2
                   flip Update
        CloseImageViewer
        ##CurrentVolume Delete
        vtkImageReslice CurrentVolume
                  CurrentVolume SetInput [flip GetOutput]
                  CurrentVolume SetResliceTransform identityTransform
                  CurrentVolume Update
     
     set infilename "Flipped"
     viewer SetInput [CurrentVolume GetOutput]
     viewer SetZSlice 0
     set l [expr (( $pixmax - $pixmin ) / 1.5 )]
     set w [expr $l / 2.0 ]
     viewer SetColorLevel $l
     viewer SetColorWindow $w 
     viewer SetPosition 50 50
       set source_file "ImageViewerInterface.tcl"
       if {$app_type == "exe"} { 
         source $source_file
       } else {
         source $landmarker_home$source_file
       }
     PreviousVolume Delete
     flip Delete
  }

  }

proc InterchangeLandmarkCoord {filename} {
   # Routine to interchange the coordinate entries in the currently loaded landmarks.
   # Useful in connection with left/right flipping of data.
   # Keywords: order reorder shuffle
   global setarr lmCoord lmDiameter lmNameArr
   global lmIndex maxlmIndex
   global LandmarkFileHasBeenRead SurfaceFileHasBeenRead VolumeFileHasBeenRead
   global CheckFlipLandmarks CheckFlipSurface CheckFlipVolume RadioFlipValue
   global tmpdir
   
   # Read the interchange file.
   # Format should be: two columns with landmark numbers for interchanging of names
   set fileId [open $filename r]
      while {([gets $fileId line] >= 0)} {
           set from [lindex $line 0]
           set to [lindex $line 1]
           puts stdout "interchanging coordinate entries for landmarks $from $to" 
           set xyz_from [lmCoord GetPoint $from] 
              set x_from [lindex $xyz_from 0]
              set y_from [lindex $xyz_from 1]
              set z_from [lindex $xyz_from 2]
           set xyz_to [lmCoord GetPoint $to] 
              set x_to [lindex $xyz_to 0]
              set y_to [lindex $xyz_to 1]
              set z_to [lindex $xyz_to 2]
           lmCoord InsertPoint $from $x_to $y_to $z_to
           #SetIndex $from
           #SetSetLandmark
           #SetSetPos
           lmCoord InsertPoint $to $x_from $y_from $z_from
           #SetIndex $to
           #SetSetLandmark
           #SetSetPos
      }
      ##WriteSimpleLm "${tmpdir}interchange_tmp.txt"
      ##DeleteAllSphereLandmarks
      ##ReadLandmarkFile "${tmpdir}interchange_tmp.txt"
      ##ReadLandmarkFile "${tmpdir}interchange_tmp.txt"
      #renWin Render

   close $fileId 
}


proc ReadLandmarkInterchangeLandmarkListFile {} {
  # Read a file containing a list of landmark files and read and display them together.
  global currentdir landmarker_home indir 
  global app_type

  set types {   
    {{ASCII Text file containing list of landmark numbers (two columns) to interchange}                {.txt}        }    
    {{All Files }                                                        *             }
  }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $infilename]
          if {$infilename == ""} {
             return -1
          }
   InterchangeLandmarkCoord $infilename
}



proc FlipData {} {
   # Called from edit menu to flip landmarks
   global setarr lmCoord lmDiameter
   global lmIndex maxlmIndex
   global LandmarkFileHasBeenRead SurfaceFileHasBeenRead VolumeFileHasBeenRead
   global CheckFlipLandmarks CheckFlipSurface CheckFlipVolume RadioFlipValue

    proc CloseFlipDataMenu {} {
      PolyDataFirst Delete
      wm withdraw .fd
      destroy .fd
    }

    proc UndoFlipSurface {} {
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }

    proc UndoFlip {} {
      global lmIndex maxlmIndex CheckFlipLandmarks CheckFlipSurface
      if {$CheckFlipLandmarks} {
       # Undo Flip landmarks
      for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
        set xyz [lmCoordPrevious GetPoint $k]
        set xxx [lindex $xyz 0]
        set yyy [lindex $xyz 1]
        set zzz [lindex $xyz 2]
        lmCoord InsertPoint $k $xxx $yyy $zzz 
        set lmIndex $k
        SetIndexNoRender $lmIndex
           SetSetLandmarkNoRender
           ##SetSetPos 
     }
     SetSetPos 
     set lmIndex [expr $k - 1 ]
     SetIndex $lmIndex
     renWin Render 
     }
     if {$CheckFlipSurface} {
       # Undo Flip Surface
       PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
     }
      
    }

  # Create a copy of current polydata surface for Undo...
  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  # Create a copy of current landmarks for Undo...
  for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
     set xyz [lmCoord GetPoint $k]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lmCoordPrevious InsertPoint $k $xxx $yyy $zzz 
     set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
  }

  
  toplevel .fd
  wm title .fd "Flip Data"
  set font {Helvetica 14}

  menu .fd.menu -type menubar
  menu .fd.menu.file -tearoff 1
  .fd.menu add cascade -menu .fd.menu.file -label "File"
  .fd.menu.file add command -label "Read Landmark Reorder File and Reorder Landmarks" -command  ReadLandmarkInterchangeLandmarkListFile
  .fd configure -menu .fd.menu


  button .fd.close -font $font -text  " Close "  -width 15 -foreground red -command CloseFlipDataMenu
  pack .fd.close -side bottom -pady 2m
  label .fd.l -font $font -justify center -text "Flip across plane as indicated."
  label .fd.l2 -font $font -justify center -text "(Not implemented for volumes yet)"
  label .fd.l3 -font $font -justify center -text " "
  pack .fd.l .fd.l2 .fd.l3 -side top -pady 8
  
  frame .fd.c
  pack .fd.c -side top -expand 1 -pady 15
  frame .fd.c.c1
  frame .fd.c.c2
  pack .fd.c.c1 .fd.c.c2 -side left -expand 1
  label .fd.c.c1.l -text "Object(s) to flip:" -justify center -background darkgray -width 30
  if {$LandmarkFileHasBeenRead} {
    puts stdout 66666666666666666
    set CheckFlipLandmarks 1
  }
  if {$SurfaceFileHasBeenRead} {
    set CheckFlipSurface 1
  }
  checkbutton .fd.c.c1.b1 -text "Landmarks" -variable CheckFlipLandmarks -relief flat -justify left -width 20 -background gray -foreground blue
  checkbutton .fd.c.c1.b2 -text "Surface     " -variable CheckFlipSurface -relief flat -justify left -width 20 -background gray -foreground blue
  checkbutton .fd.c.c1.b3 -text "Volume      " -variable CheckFlipVolume -relief flat -justify left -width 20 -background gray -foreground blue
  pack .fd.c.c1.l .fd.c.c1.b1 .fd.c.c1.b2 .fd.c.c1.b3 -side top
    
  label .fd.c.c2.l -text "Flip around:" -justify center -background darkgray -width 30
  set RadioFlipValue 0
  radiobutton .fd.c.c2.b1 -text "Origin              " -variable RadioFlipValue -relief flat -justify left -width 20 -background gray -foreground blue -value 0
  radiobutton .fd.c.c2.b2 -text "Surface COG  " -variable RadioFlipValue -relief flat -justify left -width 20 -background gray -value 1 -foreground blue -state disabled
  radiobutton .fd.c.c2.b3 -text "Volume Center" -variable RadioFlipValue -relief flat -justify left -width 20 -background gray -value 2 -foreground blue -state disabled
  pack .fd.c.c2.l .fd.c.c2.b1 .fd.c.c2.b2 .fd.c.c2.b3 -side top

  frame .fd.f
  button .fd.f.b1 -font $font -text " YZ " -foreground red -width 10 -justify center -command FlipYZ
  button .fd.f.b2 -font $font -text " ZX " -foreground green -width 10 -justify center -command FlipZX
  button .fd.f.b3 -font $font -text " XY " -foreground blue -width 10 -justify center -command FlipXY
  pack .fd.f -side top
  pack .fd.f.b1 .fd.f.b2 .fd.f.b3 -side left -expand 1

  frame .fd.f2
  button .fd.f2.b1u -font $font -text "** Undo **" -foreground black -width 34 -justify center -command UndoFlip
  pack .fd.f2 -side top
  pack .fd.f2.b1u

  #frame .fd.f3
  #button .fd.f3.b1 -font $font -text " Reorder Landmarks " -foreground gray -width 54 -justify center -command ReadLandmarkInterchangeLandmarkListFile
  #pack .fd.f3 -side top
  #pack .fd.f3.b1
}



proc TPSTransform {} {
   global setarr setarr_source maxNlandmarks max_set
   global LandmarkFileHasBeenRead SurfaceFileHasBeenRead 
   global tps_trafo_is_computed 

    vtkThinPlateSplineTransform tps
    set tps_trafo_is_computed 0

    proc CloseTPSMenu {} {
      global tps_trafo_is_computed 
      PolyDataFirst Delete
      tps Delete
      set tps_trafo_is_computed 0
      wm withdraw .tps
      destroy .tps
    }

    proc ComputeTPS {} {
       # Called from ApplyTPStoSurface and ApplyTPStoVolume
       # Here we compute the input to vtkThinPlateSplineTransform and update it.
       global setarr setarr_source maxNlandmarks max_set
       global tps_trafo_is_computed
       
       # Start by making an array that contain only the currently set landmarks.
       ##vtkPoints lmSource
       set kS 0
       for {set i 0} {$i <= $max_set} {incr i 1} {
         if {$setarr_source($i) == 1} {
           set xyz [lmCoordSource GetPoint $i]
           set x [lindex $xyz 0] 
           set y [lindex $xyz 1]
           set z [lindex $xyz 2] 
           puts stdout "TPS Source (lmCoordSource) $i $x $y $z"
           lmSource InsertPoint $kS $x $y $z
           incr kS 1
         }
       }
       ##vtkPoints lmTarget
       set kT 0
       for {set i 0} {$i <= $max_set} {incr i 1} {
         if {$setarr($i) == 1} {
           set xyz [lmCoord GetPoint $i]
           set x [lindex $xyz 0] 
           set y [lindex $xyz 1]
           set z [lindex $xyz 2] 
           puts stdout "TPS Target (lmCoord) $i $x $y $z"
           lmTarget InsertPoint $kT $x $y $z
           incr kT 1
         }
       }
       puts stdout "Number of Source points: $kS"
       puts stdout "Number of Target points: $kT"
       if {$kS != $kT} {
          notify_error "Number of target and source points is not the same!!"
          return -1
       }
       # tps is a vtkThinPlateSplineTransform that was defined in proc TPSTransform
       # (was defined there such that it is available for both surface and vloume transformation)
         tps SetSourceLandmarks lmSource
         tps SetTargetLandmarks lmTarget
         tps Update
         set tps_trafo_is_computed 1
    }

    proc ApplyTPStoSurface {} {
       # Procedure TPS transforms the data currently in PolyData.
       # It uses as target landmaks the landmarks currently in lmCoord,
       # and as source landmarks the landmarks currently in lmCoordSource.
       # Note that prior to a call to TPSSurface it must be assured that
       # lmCoord and lmCoordSource contain the same number of equally ordered
       # points, and that if there are unset points, they must be unset in both arrays.
       # ApplyTPS creates internal copies of both landmark arrays where unset points are removed. 
       global setarr setarr_source maxNlandmarks max_set
       global LandmarkFileHasBeenRead SurfaceFileHasBeenRead 
       global tps_trafo_is_computed
 
       if {! $LandmarkFileHasBeenRead} {
          notify_error "You must load/set both Source and Target landmarks before transforming!"
          return -1
       } 
       if {! $SurfaceFileHasBeenRead} {
          notify_error "You must load a surface before transforming it!"
          return -1
       }
       
       if {! $tps_trafo_is_computed} {
          ComputeTPS
       }

       vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         mss SetTransform tps
         mss Update      

       # Put result in PolyData
       PolyData CopyStructure [mss GetOutput]
         [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
         PolyData Modified
         PolyData Update
         renWin Render  

    #lmSource Delete
    #lmTarget Delete
    ##tps Delete
    mss Delete  
    }

    proc UndoTPStoVolume {} {
      global tps_trafo_is_computed 
      CurrentVolume Delete
      vtkImageReslice CurrentVolume
        CurrentVolume SetInput PreviousVolume      
        # We do not render anything (should do in later version).
        ####renWin Render
        set tps_trafo_is_computed 0
    }


    proc ApplyTPStoVolume {} {
      # Transform the volume and view the result.
      global xpix ypix zpix xs ys zs
      global VolumeFileHasBeenRead
      global tps_trafo_is_computed
      puts stdout "VolumeFileHasBeenRead $VolumeFileHasBeenRead"
      if {! $VolumeFileHasBeenRead} {
         notify_error "No volume to transform!"
         return -1
      }

      if {! $tps_trafo_is_computed} {
          # Compute the tps transform if it was not already done
          ComputeTPS
      }

      # First save a copy of CurrentVolume in PreviousVolume
      ##PreviousVolume SetInput [CurrentVolume GetOutput]

      ####SetCurrentVolumeOutputSize 580 580 820

       CurrentVolume SetInterpolationModeToCubic

      # Important to use the inverse (see documentation for vtkImageReslice)
      CurrentVolume SetResliceTransform [tps GetInverse]
      CurrentVolume Update
    }

    proc ApplyTPStoVolumeInversely {} {
      # Transform the volume and view the result.
      global xpix ypix zpix xs ys zs
      global VolumeFileHasBeenRead
      global tps_trafo_is_computed
      puts stdout "VolumeFileHasBeenRead $VolumeFileHasBeenRead"
      if {! $VolumeFileHasBeenRead} {
         notify_error "No volume to transform!"
         return -1
      }

      if {! $tps_trafo_is_computed} {
          # Compute the tps transform if it was not already done
          ComputeTPS
      }

      # First save a copy of CurrentVolume in PreviousVolume
      ##PreviousVolume SetInput [CurrentVolume GetOutput]

      ####SetCurrentVolumeOutputSize 580 580 820

       CurrentVolume SetInterpolationModeToCubic

      # Important to use the inverse (see documentation for vtkImageReslice)
      ###CurrentVolume SetResliceTransform [tps GetInverse]
      CurrentVolume SetResliceTransform tps
      CurrentVolume Update
    }



    proc UndoTPS {} {
      global tps_trafo_is_computed 
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
        set tps_trafo_is_computed 0
    }

  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  
  toplevel .tps
  wm title .tps "TPS Transform"
  set font {Helvetica 14}

  button .tps.close -font $font -text  " Close "  -width 15 -foreground red -command CloseTPSMenu
  pack .tps.close -side bottom -pady 2m

  label .tps.l1 -font $font -justify center -text "1) Load (New) Surface (and/or image) to be transformed."
  label .tps.l2 -font $font -justify center -text "2) Load Source Landmarks (Load New)."
  label .tps.l3 -font $font -justify center -text "3) Load Target Landmarks (Load Target)"
  label .tps.l4 -font $font -justify center -text "4) Transform."
  label .tps.l5 -font $font -justify center -text "   OR (if you wish to deform the target volume): "
  label .tps.l1b -font $font -justify center -text "1) Load (New) Image File to be transformed inversely."
  label .tps.l2b -font $font -justify center -text "2) Load Source Landmarks (Load New)."
  label .tps.l3b -font $font -justify center -text "3) Load Target Landmarks (Load Target)"
  label .tps.l4b -font $font -justify center -text "4) Transform Inversely."
  pack .tps.l1 .tps.l2 .tps.l3 .tps.l4 .tps.l5 .tps.l1b .tps.l2b .tps.l3b .tps.l4b -side top -pady 8

  frame .tps.f1
  button .tps.f1.b1 -font $font -text " Transform Surface" -foreground blue -width 20 -justify center -command ApplyTPStoSurface
  button .tps.f1.b2 -font $font -text " Undo " -width 10 -justify center -command UndoTPS
  pack .tps.f1 -side top
  pack .tps.f1.b1 .tps.f1.b2 -side left -expand 1

  frame .tps.f2
  button .tps.f2.b1 -font $font -text "Transform Image" -foreground black -width 20 -justify center -command ApplyTPStoVolume
  button .tps.f2.b2 -font $font -text "Transform Image Inversely" -foreground black -width 20 -justify center -command ApplyTPStoVolumeInversely
  ##button .tps.f2.b2 -font $font -text " Undo " -foreground black -width 10 -justify center -command UndoTPStoVolume -state disabled
  pack .tps.f2 -side top
  pack .tps.f2.b1 .tps.f2.b2 -side left -expand 1 
}

proc ApplyLandmarkTransformToLandmarks {} {
       # Apply the current matrix to the landmarks currently in lmCoord
       global RadioTrafoModeValue lmIndex max_set

       for {set k 0} {$k <= $max_set} {incr k 1} {
           
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          if {$RadioTrafoModeValue == 0} {
            # Scaling only
            set xyz [trans TransformDoublePoint $xxx $yyy $zzz]
          } else {
            # Similarity, rigid or affine
            set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
          }
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render 
       if {$RadioTrafoModeValue == 0} {
         trans Delete
       }
    }

proc ApplyInverseLandmarkTransformToLandmarks {} {
   # Test of getting the inverse of a landmark transform.
   # the transform is in LmTrafo
   global RadioTrafoModeValue lmIndex max_set

       for {set k 0} {$k <= $max_set} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          if {$RadioTrafoModeValue == 0} {
            # Scaling only
            set xyz [[trans GetLinearInverse] TransformDoublePoint $xxx $yyy $zzz]
          } else {
            # Similarity, rigid or affine
            set xyz [[LmTrafo GetLinearInverse]  TransformDoublePoint $xxx $yyy $zzz]
          }
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender

       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render 
       if {$RadioTrafoModeValue == 0} {
         trans Delete
       }
       

}


proc LandmarkSurfaceTransform {} {
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead VolumeFileHasBeenRead
    global RadioTrafoModeValue maxlmIndex
    global setarr setarr_source maxNlandmarks max_set
    global RadioTrafoModeValue
    global lmDiameter
    global lmIndex 
    global nset_target

    #vtkPoints lmTarget  
    vtkTransform trans    

    proc CloseLandmarkTransformMenu {} {
      PolyDataFirst Delete
      wm withdraw .lt
      destroy .lt
      #lmTarget Delete
      trans Delete
    }

    proc ApplyLandmarkTransformtoVolume {} {
      # Transform the volume and view the result.
      global xpix ypix zpix xs ys zs
      global VolumeFileHasBeenRead
      global RadioTrafoModeValue
      puts stdout "VolumeFileHasBeenRead $VolumeFileHasBeenRead"
      #if {! $VolumeFileHasBeenRead} {
      #   notify_error "No volume to transform!"
      #   return -1
      #}

      #if {! $tps_trafo_is_computed} {
      #    # Compute the tps transform if it was not already done
      #    ComputeTPS
      #}

      # First save a copy of CurrentVolume in PreviousVolume
      ##PreviousVolume SetInput [CurrentVolume GetOutput]

      ####SetCurrentVolumeOutputSize 580 580 820

       CurrentVolume SetInterpolationModeToCubic

      # Important to use the inverse (see documentation for vtkImageReslice)
      ###CurrentVolume SetResliceTransform [tps GetInverse]

      if {$RadioTrafoModeValue == 0} {
           CurrentVolume SetResliceTransform [trans GetInverse]
           ##trans Delete
      } else {
         CurrentVolume SetResliceTransform [LmTrafo GetInverse]
      }

      
      CurrentVolume Update
    }


    proc ApplyLandmarkTransform {} {
       # Procedure transforms the data currently in PolyData.
       # It uses as target landmaks the landmarks currently in lmCoord,
       # and as source landmarks the landmarks currently in lmCoordSource.
       # Note that prior to a call to LandmarkSurfaceTransform it must be assured that
       # lmCoord and lmCoordSource contain the same number of equally ordered
       # points, and that if there are unset points, they must be unset in both arrays.
       # ApplyLandmarkTransform creates internal copies of both landmark arrays where unset points are removed. 
       global setarr setarr_source maxNlandmarks max_set
       global RadioTrafoModeValue
       global LandmarkFileHasBeenRead SurfaceFileHasBeenRead maxlmIndex
       global lmCoord lmDiameter
       global lmIndex 
       global nset_target
       global VolumeFileHasBeenRead

       if {! $LandmarkFileHasBeenRead} {
          notify_error "You must load/set both Source and Target landmarks before transforming!"
          return -1
       } 
       #if {! $SurfaceFileHasBeenRead} {
       #   notify_error "You must load a surface before transforming it!"
       #   return -1
       #}
        # PolyDataFirst was defined in LandmarkSurfaceTransform
        PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

       # Start by making an array that contain only the currently set landmarks.
       #vtkPoints lmSource
       set k 0
       set nset_source 0
       for {set i 0} {$i <= $max_set} {incr i 1} {
         if {$setarr_source($i) == 1} {
           set xyz [lmCoordSource GetPoint $i]
           set x [lindex $xyz 0] 
           set y [lindex $xyz 1]
           set z [lindex $xyz 2] 
           puts stdout "Source $x $y $z"
           lmSource InsertPoint $k $x $y $z
           incr k 1
           incr nset_source 1
         }
       }
       #vtkPoints lmTarget
       set k 0
       set nset_target 0
       for {set i 0} {$i <= $max_set} {incr i 1} {
         if {$setarr($i) == 1} {
           set xyz [lmCoord GetPoint $i]
           set x [lindex $xyz 0] 
           set y [lindex $xyz 1]
           set z [lindex $xyz 2] 
           puts stdout "Target $x $y $z"
           lmTarget InsertPoint $k $x $y $z
           incr k 1
           incr nset_target 1
         }
       }
       puts stdout "Number of landmarks in source and target: $nset_source $nset_target"
       if {$nset_source != $nset_target} {
          notify_error "Number of landmarks in source and target not the same!"
          return -1
       }

       LmTrafo SetSourceLandmarks lmSource
       LmTrafo SetTargetLandmarks lmTarget

       if {$RadioTrafoModeValue == 0} {
           # Compute scaling factor
           # Compute COG of lmSource
           set xcog 0.0
           set ycog 0.0
           set zcog 0.0
           for {set i 0} {$i < $nset_target} {incr i 1} {
             set xyz [lmSource GetPoint $i]
             set x [lindex $xyz 0] 
             set y [lindex $xyz 1]
             set z [lindex $xyz 2] 
             set xcog [expr $xcog + $x]
             #puts stdout "y(1): $y" 
             set ycog [expr $ycog + $y]
             set zcog [expr $zcog + $z]
           }
           #puts stdout "nset_target $nset_target"
           set xcog [expr $xcog / $nset_target]
           set ycog [expr $ycog / $nset_target]
           set zcog [expr $zcog / $nset_target]
           # Compute centroid size.
           set csx 0
           set csy 0
           set csz 0
           set cs 0
           for {set i 0} {$i < $nset_target} {incr i 1} {
             set xyz [lmSource GetPoint $i]
             set x [lindex $xyz 0] 
             set y [lindex $xyz 1]
             set z [lindex $xyz 2] 
             set dx [expr $xcog - $x]
             set dy [expr $ycog - $y]
             set dz [expr $zcog - $z]
             set dxyz [expr sqrt( ($dx * $dx) + ($dy * $dy) + ($dz * $dz) )]
             set csx [expr $csx + $dx]
             set csy [expr $csy + $dy]
             set csz [expr $csz + $dz]
             set cs [expr $cs + $dxyz]
           }
           set csx [expr $csx / $nset_target]
           set csy [expr $csy / $nset_target]
           set csz [expr $csz / $nset_target]
           set cs [expr $cs / $nset_target]
           #puts stdout "csx csy csz cs $csx $csy $csz $cs"
           set csx_source $csx
           set csy_source $csy
           set csz_source $csz
           set cs_source $cs

           # Repeat for target
           # Compute COG of lmSource
           set xcog 0.0
           set ycog 0.0
           set zcog 0.0
           for {set i 0} {$i < $nset_target} {incr i 1} {
             set xyz [lmTarget GetPoint $i]
             set x [lindex $xyz 0] 
             set y [lindex $xyz 1]
             set z [lindex $xyz 2] 
             set xcog [expr $xcog + $x]
             #puts stdout "y(2): $y" 
             set ycog [expr $ycog + $y]
             set zcog [expr $zcog + $z]
           }
           puts stdout "nset_target $nset_target"
           set xcog [expr $xcog / $nset_target]
           set ycog [expr $ycog / $nset_target]
           set zcog [expr $zcog / $nset_target]
           # Compute centroid size.
           set csx 0
           set csy 0
           set csz 0
           set cs 0
           for {set i 0} {$i < $nset_target} {incr i 1} {
             set xyz [lmTarget GetPoint $i]
             set x [lindex $xyz 0] 
             set y [lindex $xyz 1]
             set z [lindex $xyz 2] 
             set dx [expr $xcog - $x]
             set dy [expr $ycog - $y]
             set dz [expr $zcog - $z]
             set dxyz [expr sqrt( ($dx * $dx) + ($dy * $dy) + ($dz * $dz) )]
             set csx [expr $csx + $dx]
             set csy [expr $csy + $dy]
             set csz [expr $csz + $dz]
             set cs [expr $cs + $dxyz]
           }
           set csx [expr $csx / $nset_target]
           set csy [expr $csy / $nset_target]
           set csz [expr $csz / $nset_target]
           set cs [expr $cs / $nset_target]
           #puts stdout "csx csy csz cs $csx $csy $csz $cs"
           set csx_target $csx
           set csy_target $csy
           set csz_target $csz
           set cs_target $cs
      
           set sfac [expr $cs_target / $cs_source]
           puts stdout "Scale Factor sfac: $sfac"
         
           # Create the matrix.
           # For each landmark, multiply its coordinate by a 4x4 matrix.
         vtkMatrix4x4 mat
           mat SetElement 0 0  $sfac
           mat SetElement 0 1  0.0
           mat SetElement 0 2  0.0
           mat SetElement 0 3  0.0
           mat SetElement 1 0  0.0
           mat SetElement 1 1  $sfac
           mat SetElement 1 2  0.0
           mat SetElement 1 3  0.0
           mat SetElement 2 0  0.0
           mat SetElement 2 1  0.0
           mat SetElement 2 2  $sfac
           mat SetElement 2 3  0.0
           mat SetElement 3 0  0.0
           mat SetElement 3 1  0.0
           mat SetElement 3 2  0.0
           mat SetElement 3 3  0.0
        #vtkTransform trans
        trans SetMatrix mat
        mat Delete

     } elseif {$RadioTrafoModeValue == 1} {
           LmTrafo SetModeToSimilarity
       } elseif {$RadioTrafoModeValue == 2} {
           LmTrafo SetModeToRigidBody
       } elseif {$RadioTrafoModeValue == 3} {
           LmTrafo SetModeToAffine
       } else {
           notify_error "Unknown Landmark Transform Mode!!"
         return -1
       }

     # TRANSFORM SURFACE - IF READ
     if {$SurfaceFileHasBeenRead} {

        # PolyDataFirst was defined in LandmarkSurfaceTransform
        PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified


       vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         if {$RadioTrafoModeValue == 0} {
           mss SetTransform trans
           ##trans Delete
         } else {
           mss SetTransform LmTrafo
         }
         mss Update      

       # Put result in PolyData
       PolyData CopyStructure [mss GetOutput]
         [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
         PolyData Modified
         PolyData Update
         #renWin Render

      mss Delete   
      }

       # Transform the source landmarks too, and put in lmCoord


       ### {set k 0} {$k < $nset_target} {incr k 1} 
       for {set k 0} {$k < $maxNlandmarks} {incr k 1} {
          ##set xyz [lmSource GetPoint $k]
          set xyz [lmCoordSource GetPoint $k]

          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          if {$RadioTrafoModeValue == 0} {
            set xyz [trans TransformDoublePoint $xxx $yyy $zzz]
          } else {
            set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
          }
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render 
       #if {$RadioTrafoModeValue == 0} {
       #  trans Delete
       #}
    ##lmSource Delete
    #lmTarget Delete
    

     # And finally, transform the volume
     if {$VolumeFileHasBeenRead } {
       ApplyLandmarkTransformtoVolume    
     }
    }

    proc UndoLandmarkTransform {} {
      global lmIndex maxlmIndex
      global nset_target
      global SurfaceFileHasBeenRead

      if {! $SurfaceFileHasBeenRead} {
          notify_error "Nothing to undo yet!"
          return -1
       }

      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        #renWin Render

        # Also, replace lmCoordSource (it may have changed if user unset landmarks)
        for {set k 0} {$k < $nset_target} {incr k 1} {
          set xyz [lmSource GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoordSource InsertPoint $k $xxx $yyy $zzz
        }

        # Also, replace lmCoord
        for {set k 0} {$k < $nset_target} {incr k 1} {
          set xyz [lmTarget GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render       

    }

   # Copy PloyData into PolyDataFirst: has been moved to ApplyLandmarkTransform
   # because if the menu is already open when a surface is read, there is nothing to copy.
   vtkPolyData PolyDataFirst
   #PolyDataFirst CopyStructure PolyData 
   #     [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
   #     PolyDataFirst Modified

  
  toplevel .lt
  wm title .lt "Landmark Transform"
  set font {Helvetica 14}
  set font2 {Helvetica 12}
  set font3 {Helvetica 9}
 

  button .lt.close -font $font -text  " Close "  -width 15 -foreground red -command CloseLandmarkTransformMenu
  pack .lt.close -side bottom -pady 2m

  label .lt.l1 -font $font -justify center -text "1) Load Surface/Volume to be transformed."
  label .lt.l2 -font $font -justify center -text "2) Load Source Landmarks (Load New)."
  label .lt.l3 -font $font -justify center -text "3) Load Target Landmarks (Load Target)"
  label .lt.l4 -font $font -justify center -text "4) Select Transform Type:"

  pack .lt.l1 .lt.l2 .lt.l3 .lt.l4 -side top -pady 8

  set RadioTrafoModeValue 2
  radiobutton .lt.rb1 -text "   Scaling Only     " -variable RadioTrafoModeValue -relief flat -justify left -width 20 -background gray -foreground blue -value 0
  radiobutton .lt.rb2 -text "Similarity Transform" -variable RadioTrafoModeValue -relief flat -justify left -width 20 -background gray -foreground blue -value 1
  radiobutton .lt.rb3 -text "Rigid Body Transform" -variable RadioTrafoModeValue -relief flat -justify left -width 20 -background gray -value 2 -foreground blue
  radiobutton .lt.rb4 -text "  Affine Transform  " -variable RadioTrafoModeValue -relief flat -justify left -width 20 -background gray -value 3 -foreground blue
  pack .lt.rb1 .lt.rb2 .lt.rb3 .lt.rb4 -side top

  frame .lt.b
  button .lt.b.b1 -font $font -text " 5) Transform " -foreground blue -width 12 -justify center -command ApplyLandmarkTransform
  button .lt.b.b2 -font $font -text " Undo " -width 12 -justify center -command UndoLandmarkTransform
  pack .lt.b -side top
  pack .lt.b.b1 .lt.b.b2 -side left -expand 1
    
  frame .lt.n
  label .lt.n.l5 -font $font2 -justify center -text "6) Load Another Landmark File (Load New)"
  button .lt.n.b3 -font $font2 -text " 7) Transform Landmarks " -foreground black -width 18 -justify center -command ApplyLandmarkTransformToLandmarks
  button .lt.n.b4 -font $font3 -text " 8) Inverse Transform Landmarks " -foreground black -width 24 -justify center -command ApplyInverseLandmarkTransformToLandmarks
  pack .lt.n -side top -pady 10
  pack .lt.n.l5 .lt.n.b3 .lt.n.b4 -side top

  
}

###########################################################################################################################
proc EditTransformationMatrix {} {
   # Here we let the user specify a transformation matrix, then apply it to current surface (PolyData).
   # Later: apply to other objects also (like landmarks)
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead 
    global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
    global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
    global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
    global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33

    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
    global app_type


    proc CloseEditTransformationMatrixMenu {} {
      PolyDataFirst Delete
      wm withdraw .emt
      destroy .emt
    }

    proc SetIdentityMatrixTransform {} {
       global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
       global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
       global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
       global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33
       set lmTrafo00 1.0
       set lmTrafo01 0.0
       set lmTrafo02 0.0
       set lmTrafo03 0.0
       set lmTrafo10 0.0
       set lmTrafo11 1.0
       set lmTrafo12 0.0
       set lmTrafo13 0.0
       set lmTrafo20 0.0
       set lmTrafo21 0.0
       set lmTrafo22 1.0
       set lmTrafo23 0.0
       set lmTrafo30 0.0
       set lmTrafo31 0.0
       set lmTrafo32 0.0
       set lmTrafo33 1.0
    }


    proc ApplyMatrixTransform {} {
       # Procedure transforms the data currently in PolyData.
       global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
       global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
       global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
       global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
       global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33
       global lmIndex maxlmIndex
       global setarr lmCoord lmDiameter
       global app_type
       if {! $SurfaceFileHasBeenRead} {
          notify_error "You must load a surface before transforming it!"
          return -1
       }

     vtkMatrix4x4 mat
      mat SetElement 0 0 $lmTrafo00
      mat SetElement 0 1 $lmTrafo01
      mat SetElement 0 2 $lmTrafo02
      mat SetElement 0 3 $lmTrafo03
      mat SetElement 1 0 $lmTrafo10
      mat SetElement 1 1 $lmTrafo11 
      mat SetElement 1 2 $lmTrafo12 
      mat SetElement 1 3 $lmTrafo13 
      mat SetElement 2 0 $lmTrafo20 
      mat SetElement 2 1 $lmTrafo21
      mat SetElement 2 2 $lmTrafo22 
      mat SetElement 2 3 $lmTrafo23
      mat SetElement 3 0 $lmTrafo30 
      mat SetElement 3 1 $lmTrafo31
      mat SetElement 3 2 $lmTrafo32
      mat SetElement 3 3 $lmTrafo33
      ##LmTrafo SetMatrix mat
        ##mat Delete

      vtkTransform trans
        trans SetMatrix mat
        

       vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         mss SetTransform trans
         mss Update      

       # Put result in PolyData
       PolyData CopyStructure [mss GetOutput]
         [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
         PolyData Modified
         PolyData Update
         renWin Render  

        mss Delete  
        

       if {$LandmarkFileHasBeenRead} {
          ApplyMatrixTransformToLandmarks       
       } else {
          mat Delete
          trans Delete
       }
    }

    proc ApplyMatrixTransformToLandmarks {} {
       # Procedure transforms the current landmarks (if any).
       global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
       global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
       global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
       global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
       global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33
       global lmIndex maxlmIndex
       global setarr lmCoord lmDiameter
       global app_type
       
    # For each landmark, multiply its coordinate by a 4x4 matrix.

       # Flip landmarks
       for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
        
          set xyz [trans TransformDoublePoint $xxx $yyy $zzz]

          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
     

    mat Delete
    trans Delete


    }




    proc UndoMatrixTransform {} {
      global LandmarkFileHasBeenRead
      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        
        if {$LandmarkFileHasBeenRead} {
          UndoMatrixTransformToLandmarks       
        }

        renWin Render
    }

    proc UndoMatrixTransformToLandmarks {} {
      global LandmarkFileHasBeenRead
      global lmIndex maxlmIndex CheckFlipLandmarks CheckFlipSurface
      if {$LandmarkFileHasBeenRead} {
      # Undo Flip landmarks
      for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
        set xyz [lmCoordPrevious GetPoint $k]
        set xxx [lindex $xyz 0]
        set yyy [lindex $xyz 1]
        set zzz [lindex $xyz 2]
        lmCoord InsertPoint $k $xxx $yyy $zzz 
        set lmIndex $k
        SetIndexNoRender $lmIndex
           SetSetLandmarkNoRender
           ##SetSetPos 
     }
     SetSetPos 
     set lmIndex [expr $k - 1 ]
     SetIndex $lmIndex
     renWin Render 
     }





    }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  if {$LandmarkFileHasBeenRead} {
  # Create a copy of current landmarks for Undo...
  for {set k 0} {$k <= $maxlmIndex} {incr k 1} {
     set xyz [lmCoord GetPoint $k]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
     lmCoordPrevious InsertPoint $k $xxx $yyy $zzz 
     set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
     set xxx [lindex $xyz 0]
     set yyy [lindex $xyz 1]
     set zzz [lindex $xyz 2]
  }
  }

  
  toplevel .emt
  wm title .emt "Edit Transformation Matrix"
  set font {Helvetica 14}

  button .emt.close -font $font -text  " Close "  -width 15 -foreground red -command CloseEditTransformationMatrixMenu
  pack .emt.close -side bottom -pady 2m
  label .emt.l1 -font $font -justify center -text "Edit Matrix, then apply (to surface)." 
  pack .emt.l1 -side top -pady 8

  frame .emt.f1
  entry .emt.f1.e00 -width 16 -justify left -textvariable lmTrafo00
  entry .emt.f1.e01 -width 16 -justify left -textvariable lmTrafo01
  entry .emt.f1.e02 -width 16 -justify left -textvariable lmTrafo02
  entry .emt.f1.e03 -width 16 -justify left -textvariable lmTrafo03
  pack .emt.f1 -side top
  pack .emt.f1.e00 .emt.f1.e01 .emt.f1.e02 .emt.f1.e03 -side left

  frame .emt.f2
  entry .emt.f2.e10 -width 16 -justify left -textvariable lmTrafo10
  entry .emt.f2.e11 -width 16 -justify left -textvariable lmTrafo11
  entry .emt.f2.e12 -width 16 -justify left -textvariable lmTrafo12
  entry .emt.f2.e13 -width 16 -justify left -textvariable lmTrafo13
  pack .emt.f2 -side top
  pack .emt.f2.e10 .emt.f2.e11 .emt.f2.e12 .emt.f2.e13 -side left

  frame .emt.f3
  entry .emt.f3.e20 -width 16 -justify left -textvariable lmTrafo20
  entry .emt.f3.e21 -width 16 -justify left -textvariable lmTrafo21
  entry .emt.f3.e22 -width 16 -justify left -textvariable lmTrafo22
  entry .emt.f3.e23 -width 16 -justify left -textvariable lmTrafo23
  pack .emt.f3 -side top
  pack .emt.f3.e20 .emt.f3.e21 .emt.f3.e22 .emt.f3.e23 -side left

  frame .emt.f4
  entry .emt.f4.e30 -width 16 -justify left -textvariable lmTrafo30
  entry .emt.f4.e31 -width 16 -justify left -textvariable lmTrafo31
  entry .emt.f4.e32 -width 16 -justify left -textvariable lmTrafo32
  entry .emt.f4.e33 -width 16 -justify left -textvariable lmTrafo33
  pack .emt.f4 -side top
  pack .emt.f4.e30 .emt.f4.e31 .emt.f4.e32 .emt.f4.e33 -side left

  button .emt.b1 -font $font -text " Apply " -foreground blue -width 10 -justify center -command ApplyMatrixTransform
  button .emt.b2 -font $font -text " Identity " -foreground green -width 10 -justify center -command SetIdentityMatrixTransform
  button .emt.b3 -font $font -text " Undo " -width 10 -justify center -command UndoMatrixTransform
  pack .emt.b1 .emt.b2 .emt.b3 -side left -expand 1 -pady 10
}

proc InsertLineWidget {} {
   vtkLineWidget lineWidget
   lineWidget SetInput PolyData
   lineWidget SetAlignToYAxis
   lineWidget PlaceWidget
   #lineWidget GetPolyData seeds
   lineWidget ClampToBoundsOff
   lineWidget SetInteractor iren 
   lineWidget SetKeyPressActivationValue L
   #lineWidget AddObserver StartInteractionEvent BeginInteraction
   lineWidget On
}

proc InsertPointWidget {} {
   vtkPointWidget pointWidget
   pointWidget SetInput PolyData
   pointWidget AllOff
   pointWidget PlaceWidget
   #pointWidget ClampToBoundsOff
   pointWidget SetInteractor iren 
   pointWidget SetKeyPressActivationValue P
   #lineWidget AddObserver StartInteractionEvent BeginInteraction
   pointWidget On
}



# Procedure saves the surface currently in PolyDataObjct to file.
proc SavePolyDataObject {} {
    global currentdir 
    global oactorNum

    set types {
        {{Stereo-Lithography}                   {.stl}        }
        {{Visualization Toolkit (polygonal)}    {.vtk}        }
        {{VRML}                                 {.wrl}        }
        {{BYU}                                  {.g}          }
        {{Marching Cubes}                       {.tri}        }
        {{RIB (Renderman)}                      {.rib}        }      
        {{Wavefront OBJ}                        {.obj}        }
        {{All Files }                           *             }
    }
    set filename [tk_getSaveFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $filename]
    if { $filename != "" } {
        if { [info commands writer] != "" } {writer Delete}
        if { [string match *.g $filename] } {
            vtkBYUWriter writer
            writer SetGeometryFileName $filename
            #writer SetInput [oactorPoly$oactorNum GetOutput]
            writer SetInput PolyDataObject
            writer Write
        } elseif { [string match *.stl $filename] } {
            vtkSTLWriter writer
            writer SetFileName $filename
            writer SetInput PolyDataObject
            writer Write
            puts stdout "Writing: $filename"
            writer Delete
        } elseif { [string match *.vtk $filename] } {
            vtkPolyDataWriter writer
            writer SetFileName $filename
            writer SetInput PolyDataObject
            writer Write
            puts stdout "Writing: $filename"
            writer Delete
        } elseif { [string match *.tri $filename] } {
            vtkMCubesWriter writer
            writer SetFileName $filename
            #writer SetInput [oactorPoly$oactorNum GetOutput]
            writer SetInput PolyData
            writer Write
        } elseif { [string match *.wrl $filename] } {
            vtkVRMLExporter writer
	      writer SetRenderWindow renWin
            writer SetFileName $filename
            writer SetInput PolyData
            writer Write
        } elseif { [string match *.obj $filename] } {
            vtkOBJExporter writer
	      writer SetRenderWindow renWin
            writer SetFilePrefix [file rootname $filename]
            writer Write
        } elseif { [string match *.rib $filename] } {
            vtkRIBExporter writer
	      writer SetRenderWindow renWin
            writer SetFilePrefix [file rootname $filename]
            writer Write
        } else {
            puts "Can't write this file"
            return
        }
        
        
    }
}



proc InsertSphereWidget {} {
   global lmCoord SphereWidgetCreated
   vtkSphereWidget sphereWidget
   sphereWidget SetInput PolyData
   set xyz [lmCoord GetPoint 0]
              set xp1 [lindex $xyz 0] 
              set yp1 [lindex $xyz 1]
              set zp1 [lindex $xyz 2]
   sphereWidget PlaceWidget
   sphereWidget SetCenter $xp1 $yp1 $zp1
   #set iren2 [renWin2 GetInteractor]
   #sphereWidget SetInteractor $iren2
   sphereWidget SetInteractor iren
   sphereWidget SetKeyPressActivationValue i
   
   #lineWidget AddObserver StartInteractionEvent BeginInteraction
   sphereWidget On
   set SphereWidgetCreated 1
   # Show an unpickable version of the sphere in the slicing window.
   #vtkPolyData PolySphereWidget
   #   PolySphereWidget SetInput [sphereWidget GetPolyData]
   vtkSphereSource PolySphereWidget
      PolySphereWidget SetCenter $xp1 $yp1 $zp1
      PolySphereWidget SetThetaResolution 40
      PolySphereWidget SetPhiResolution 40
      PolySphereWidget SetRadius [sphereWidget GetRadius]

   vtkPolyDataMapper PolySphereWidgetMapper
      PolySphereWidgetMapper SetInput [PolySphereWidget GetOutput]

   vtkActor PolySphereWidgetActor
      PolySphereWidgetActor SetMapper PolySphereWidgetMapper
      [PolySphereWidgetActor GetProperty] SetColor 0 1 1 
      [PolySphereWidgetActor GetProperty] SetOpacity 0.2
      #ren1 AddActor PolySphereWidgetActor
   #renWin Render
}


proc ICPTransform {} {
   global LandmarkFileHasBeenRead 
   global NsetLandmarks

   vtkIterativeClosestPointTransform icp
                icp SetSource PolyData
                icp SetTarget PolyDataTarget
                icp SetCheckMeanDistance 1
                icp SetMeanDistanceModeToAbsoluteValue
                icp SetMaximumMeanDistance 0.000001
                icp SetMaximumNumberOfIterations 100
                icp SetMaximumNumberOfLandmarks 2000
                [icp GetLandmarkTransform] SetModeToRigidBody
                 
            icp StartByMatchingCentroidsOff
            icp Modified
            icp Update
       set meandist [icp GetMeanDistance]
       puts stdout "meandist $meandist"
       puts "Number of landmarks: [[[icp GetLandmarkTransform] GetTargetLandmarks] GetNumberOfPoints]"
       puts "Number of iterations: [icp GetNumberOfIterations]"
       puts "Mean distance: [icp GetMeanDistance]"
       puts "Mean distance mode: [icp GetMeanDistanceModeAsString]"

       ##oactor0 SetUserTransform icp
       vtkTransformPolyDataFilter mss
                mss SetInput PolyData
                mss SetTransform icp
                mss Update  

       # Put the result in PolyData
       PolyData CopyStructure [mss GetOutput]
             [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
       PolyData Modified
 
renWin Render

}

proc CloseICPTransformMenu {} {
      PolyDataFirst Delete
      icp Delete
      wm withdraw .icp
      destroy .icp
}

proc ApplyICPDirectMaxNIterations {} {
   global maxNLandmarks maxNIterations maxMeanDistance 
   global LandmarkFileHasBeenRead
   global NsetLandmarks
   global OpenAdditional
   global FirstIteration accumatrix 
   puts stdout "Computing ICP .........."
   for {set i 0} {$i <= $maxNIterations} {incr i 1}  {
       if {$i == 0} {
         set FirstIteration 1
       } else {
         set FirstIteration 0
       }
       ApplyICPDirect
   }
   puts stdout "Done computing ICP"
   renWin Render
}

proc ApplyICPDirect {} {
   global maxNLandmarks maxNIterations maxMeanDistance 
   global LandmarkFileHasBeenRead
   global NsetLandmarks
   global OpenAdditional
   global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
   global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
   global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
   global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33
   global FirstIteration accumatrix

        PolyDataCopy CopyStructure PolyData 
        [PolyDataCopy GetPointData] PassData [PolyData GetPointData]
        PolyDataCopy Modified

        #vtkIterativeClosestPointTransform icp
                icp SetSource PolyData
                icp SetTarget PolyDataTarget
                icp SetCheckMeanDistance 1
                icp SetMeanDistanceModeToAbsoluteValue
                icp SetMaximumMeanDistance $maxMeanDistance
                icp SetMaximumNumberOfIterations 1 
                icp SetMaximumNumberOfLandmarks $maxNLandmarks
                [icp GetLandmarkTransform] SetModeToRigidBody               
                icp StartByMatchingCentroidsOff
            icp Update
        
  CountCurrentLandmarks
  if {$NsetLandmarks != 0} {
     ApplyICPTransformToLandmarks
  }

  # Alternatively, get source and target landmark and get the landmark transformation, then apply it to the data.
  set tlm [[icp GetLandmarkTransform] GetTargetLandmarks]
  set slm [[icp GetLandmarkTransform] GetSourceLandmarks]
  LmTrafo SetSourceLandmarks $slm
  LmTrafo SetTargetLandmarks $tlm
  LmTrafo SetModeToRigidBody
  LmTrafo Update
  LmTrafo Modified
  
  if {$FirstIteration} {
    set accumatrix [LmTrafo GetMatrix]
    #puts stdout "FIRSTITERATION!!!!!!!!!!!!!!!!!!!!!!!!!!!"
  } else {
    set dum [LmTrafo GetMatrix]
    set el03 [$dum GetElement 0 3]
    #puts stdout "el03 $el03"
  
  #vtkMatrix4x4 mx
     mx Multiply4x4 $accumatrix $dum $accumatrix
  #   mx Delete
  }
    
  set meandist [icp GetMeanDistance]
  #puts stdout "meandist $meandist"
  #puts "Number of landmarks: [[[icp GetLandmarkTransform] GetTargetLandmarks] GetNumberOfPoints]"
  #puts "Number of iterations: [icp GetNumberOfIterations]"
  #puts "Mean distance: [icp GetMeanDistance]"
  #puts "Mean distance mode: [icp GetMeanDistanceModeAsString]"

  set lmTrafo00 [$accumatrix GetElement 0 0]
  set lmTrafo01 [$accumatrix GetElement 0 1]
  set lmTrafo02 [$accumatrix GetElement 0 2]
  set lmTrafo03 [$accumatrix GetElement 0 3]
  set lmTrafo10 [$accumatrix GetElement 1 0]
  set lmTrafo11 [$accumatrix GetElement 1 1]
  set lmTrafo12 [$accumatrix GetElement 1 2]
  set lmTrafo13 [$accumatrix GetElement 1 3]
  set lmTrafo20 [$accumatrix GetElement 2 0]
  set lmTrafo21 [$accumatrix GetElement 2 1]
  set lmTrafo22 [$accumatrix GetElement 2 2]
  set lmTrafo23 [$accumatrix GetElement 2 3]
  set lmTrafo30 [$accumatrix GetElement 3 0]
  set lmTrafo31 [$accumatrix GetElement 3 1]
  set lmTrafo32 [$accumatrix GetElement 3 2]
  set lmTrafo33 [$accumatrix GetElement 3 3]
  #puts stdout "lmTrafo03 $lmTrafo03"
  
  


  vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         mss SetTransform icp
         mss Update 
         mss Modified 

         # Put the result in PolyData
         PolyData CopyStructure [mss GetOutput]
         [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
         PolyData Modified   

   mss Delete

   if {$OpenAdditional} {
    # An additional surface has been loaded and put into PolyData.
    # We then assume we wish to apply the transform also to the surface in PolyDataPrevious.
    # DOES NOT WORK
    vtkTransformPolyDataFilter mss
         mss SetInput PolyDataPrevious
         #mss SetTransform icp
         mss SetTransform LmTrafo
         mss Update 
         mss Modified 
       # Put the result in PolyData
         PolyDataPrevious CopyStructure [mss GetOutput]
        [PolyDataPrevious GetPointData] PassData [[mss GetOutput] GetPointData]
        PolyDataPrevious Modified   

      mss Delete
   }
 
}



proc ApplyICPInverseMaxNIterations {} {
   global maxNLandmarks maxNIterations maxMeanDistance 
   global LandmarkFileHasBeenRead
   global NsetLandmarks
   global OpenAdditional

   PolyDataCopy CopyStructure PolyData 
        [PolyDataCopy GetPointData] PassData [PolyData GetPointData]
        PolyDataCopy Modified

   PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified    

   puts stdout "Computing ICP .........."
   for {set i 0} {$i <= $maxNIterations} {incr i 1}  {
       ApplyICPInversely
   }
   puts stdout "Done computing ICP"
   renWin Render
}


proc ApplyICPInversely {} {
   global maxNLandmarks maxNIterations maxMeanDistance 
   global LandmarkFileHasBeenRead
   global NsetLandmarks
   global OpenAdditional

        #PolyDataCopy CopyStructure PolyData 
        #[PolyDataCopy GetPointData] PassData [PolyData GetPointData]
        #PolyDataCopy Modified

        #vtkIterativeClosestPointTransform icp
                icp SetSource PolyData
                icp SetTarget PolyDataTarget
                icp SetCheckMeanDistance 1
                icp SetMeanDistanceModeToAbsoluteValue
                icp SetMaximumMeanDistance $maxMeanDistance
                #icp SetMaximumNumberOfIterations $maxNIterations 
                icp SetMaximumNumberOfIterations 1
                icp SetMaximumNumberOfLandmarks $maxNLandmarks
                [icp GetLandmarkTransform] SetModeToRigidBody               
                icp StartByMatchingCentroidsOff
            icp Update
        
  CountCurrentLandmarks
  if {($NsetLandmarks != 2) & ($NsetLandmarks != 0)} {
     ##ApplyICPTransformToLandmarks
     ApplyICPInverseTransformToLandmarksNoRender
  }

  # Alternatively, get source and target landmark and get the landmark transformation, then apply it to the data.
  set tlm [[icp GetLandmarkTransform] GetTargetLandmarks]
  set slm [[icp GetLandmarkTransform] GetSourceLandmarks]
  LmTrafo SetSourceLandmarks $slm
  LmTrafo SetTargetLandmarks $tlm
  LmTrafo SetModeToRigidBody
  LmTrafo Update
  LmTrafo Modified

  icp Update  

  ## Show 3 of the source landmarks as spheres
  #for {set i 0} {$i < 10} {incr i 1} {
  #   vtkSphereSource sphereResult($i)
  #   sphereResult($i) SetRadius 1.0
  #   set xyz [[[icp GetLandmarkTransform] GetSourceLandmarks] GetPoint $i]
  #   ##set xyz [$slm GetPoint $i]
  #
  #   set xp [lindex $xyz 0]
  #   set yp [lindex $xyz 1]
  #   set zp [lindex $xyz 2]
  #   sphereResult($i) SetCenter $xp $yp $zp
  #   vtkPolyDataMapper mapResult($i)
  #   mapResult($i) SetInput [sphereResult($i) GetOutput]
  #   vtkActor actResult($i)
  #   actResult($i) SetMapper mapResult($i)
  #   [actResult($i) GetProperty] SetColor 0.0 0.0 0.0
  #   ren1 AddActor actResult($i)
  #}
  ## Show 3 of the target points inverse tr
  #for {set i 0} {$i < 10} {incr i 1} {
  #   vtkSphereSource sphereTResult($i)
  #   sphereTResult($i) SetRadius 1.0
  #   set xyz [[[icp GetLandmarkTransform] GetTargetLandmarks] GetPoint $i]
  #   set xp [lindex $xyz 0]
  #   set yp [lindex $xyz 1]
  #   set zp [lindex $xyz 2]
  #   sphereTResult($i) SetCenter $xp $yp $zp
  #   vtkPolyDataMapper mapTResult($i)
  #   mapTResult($i) SetInput [sphereTResult($i) GetOutput]
  #   vtkActor actTResult($i)
  #   actTResult($i) SetMapper mapTResult($i)
  #   [actTResult($i) GetProperty] SetColor 1.0 0.7 0.0
  #   ren1 AddActor actTResult($i)
  #}

  ##icp Modified
  
  #set meandist [icp GetMeanDistance]
  #puts stdout "meandist $meandist"
  #puts "Number of landmarks: [[[icp GetLandmarkTransform] GetTargetLandmarks] GetNumberOfPoints]"
  #puts "Number of iterations: [icp GetNumberOfIterations]"
  #puts "Mean distance: [icp GetMeanDistance]"
  #puts "Mean distance mode: [icp GetMeanDistanceModeAsString]"

  vtkTransformPolyDataFilter mss
         mss SetInput PolyDataTarget
         mss SetTransform [LmTrafo GetLinearInverse]
         mss Update 
         mss Modified 

         # Put the result in PolyDataTarget
         PolyDataTarget CopyStructure [mss GetOutput]
        [PolyDataTarget GetPointData] PassData [[mss GetOutput] GetPointData]
        PolyDataTarget Modified   

   #PolyData CopyStructure [mss GetOutput]
   #   [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
   #PolyData Modified

   mss Delete
   
   #if {$OpenAdditional} {
   # # An additional surface has been loaded and put into PolyData.
   # # We then assume we wish to apply the transform also to the surface in PolyDataPrevious.
   # vtkTransformPolyDataFilter mss
   #      mss SetInput PolyDataPrevious
   #      mss SetTransform icp
   #      #mss SetTransform LmTrafo
   #      mss Update 
   #      mss Modified 
   #}
}

proc ApplyICP {} {
   global maxNLandmarks maxNIterations maxMeanDistance 
   global LandmarkFileHasBeenRead
   global NsetLandmarks
   global OpenAdditional
   global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
   global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
   global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
   global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33

        PolyDataCopy CopyStructure PolyData 
        [PolyDataCopy GetPointData] PassData [PolyData GetPointData]
        PolyDataCopy Modified

        #vtkIterativeClosestPointTransform icp
                icp SetSource PolyData
                icp SetTarget PolyDataTarget
                icp SetCheckMeanDistance 1
                icp SetMeanDistanceModeToAbsoluteValue
                icp SetMaximumMeanDistance $maxMeanDistance
                icp SetMaximumNumberOfIterations $maxNIterations 
                icp SetMaximumNumberOfLandmarks $maxNLandmarks
                [icp GetLandmarkTransform] SetModeToRigidBody               
                icp StartByMatchingCentroidsOff
            icp Update
        
  CountCurrentLandmarks
  if {$NsetLandmarks != 0} {
     ApplyICPTransformToLandmarks
     # Also: get the transformation. The trafo we want is not the last one, but the one from original to last.
     
  }

  # Alternatively, get source and target landmark and get the landmark transformation, then apply it to the data.
  set tlm [[icp GetLandmarkTransform] GetTargetLandmarks]
  set slm [[icp GetLandmarkTransform] GetSourceLandmarks]
  LmTrafo SetSourceLandmarks $slm
  LmTrafo SetTargetLandmarks $tlm
  LmTrafo SetModeToRigidBody
  LmTrafo Update
  LmTrafo Modified
  
  set dum [LmTrafo GetMatrix]
  set lmTrafo00 [$dum GetElement 0 0]
  set lmTrafo01 [$dum GetElement 0 1]
  set lmTrafo02 [$dum GetElement 0 2]
  set lmTrafo03 [$dum GetElement 0 3]
  set lmTrafo10 [$dum GetElement 1 0]
  set lmTrafo11 [$dum GetElement 1 1]
  set lmTrafo12 [$dum GetElement 1 2]
  set lmTrafo13 [$dum GetElement 1 3]
  set lmTrafo20 [$dum GetElement 2 0]
  set lmTrafo21 [$dum GetElement 2 1]
  set lmTrafo22 [$dum GetElement 2 2]
  set lmTrafo23 [$dum GetElement 2 3]
  set lmTrafo30 [$dum GetElement 3 0]
  set lmTrafo31 [$dum GetElement 3 1]
  set lmTrafo32 [$dum GetElement 3 2]
  set lmTrafo33 [$dum GetElement 3 3]

     set el00 [$dum GetElement 0 0]
     set el01 [$dum GetElement 0 1]
     set el02 [$dum GetElement 0 2]
     set el03 [$dum GetElement 0 3]
     puts stdout "el00 01 02 03 $el00 $el01 $el02 $el03"
     puts stdout "el00 01 02 03 $el00 $el01 $el02 $el03"

  #vtkMatrix4x4 mx
     mx Multiply4x4 $dum $dum $dum
     set el00 [mx GetElement 0 0]
     set el01 [mx GetElement 0 1]
     set el02 [mx GetElement 0 2]
     set el03 [mx GetElement 0 3]
     puts stdout "el00 01 02 03 $el00 $el01 $el02 $el03"
     puts stdout "el00 01 02 03 $el00 $el01 $el02 $el03"

     set el00 [$dum GetElement 0 0]
     set el01 [$dum GetElement 0 1]
     set el02 [$dum GetElement 0 2]
     set el03 [$dum GetElement 0 3]
     puts stdout "el00 01 02 03 $el00 $el01 $el02 $el03"
     puts stdout "el00 01 02 03 $el00 $el01 $el02 $el03"



  icp Update  

  ## Show 3 of the source landmarks as spheres
  #for {set i 0} {$i < 10} {incr i 1} {
  #   vtkSphereSource sphereResult($i)
  #   sphereResult($i) SetRadius 1.0
  #   set xyz [[[icp GetLandmarkTransform] GetSourceLandmarks] GetPoint $i]
  #   ##set xyz [$slm GetPoint $i]
  #
  #   set xp [lindex $xyz 0]
  #   set yp [lindex $xyz 1]
  #   set zp [lindex $xyz 2]
  #   sphereResult($i) SetCenter $xp $yp $zp
  #   vtkPolyDataMapper mapResult($i)
  #   mapResult($i) SetInput [sphereResult($i) GetOutput]
  #   vtkActor actResult($i)
  #   actResult($i) SetMapper mapResult($i)
  #   [actResult($i) GetProperty] SetColor 0.0 0.0 0.0
  #   ren1 AddActor actResult($i)
  #}
  ## Show 3 of the target points inverse tr
  #for {set i 0} {$i < 10} {incr i 1} {
  #   vtkSphereSource sphereTResult($i)
  #   sphereTResult($i) SetRadius 1.0
  #   set xyz [[[icp GetLandmarkTransform] GetTargetLandmarks] GetPoint $i]
  #   set xp [lindex $xyz 0]
  #   set yp [lindex $xyz 1]
  #   set zp [lindex $xyz 2]
  #   sphereTResult($i) SetCenter $xp $yp $zp
  #   vtkPolyDataMapper mapTResult($i)
  #   mapTResult($i) SetInput [sphereTResult($i) GetOutput]
  #   vtkActor actTResult($i)
  #   actTResult($i) SetMapper mapTResult($i)
  #   [actTResult($i) GetProperty] SetColor 1.0 0.7 0.0
  #   ren1 AddActor actTResult($i)
  #}

  ##icp Modified
  
  set meandist [icp GetMeanDistance]
  puts stdout "meandist $meandist"
  puts "Number of landmarks: [[[icp GetLandmarkTransform] GetTargetLandmarks] GetNumberOfPoints]"
  puts "Number of iterations: [icp GetNumberOfIterations]"
  puts "Mean distance: [icp GetMeanDistance]"
  puts "Mean distance mode: [icp GetMeanDistanceModeAsString]"

  vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         mss SetTransform icp
         mss Update 
         mss Modified 

         # Put the result in PolyData
         PolyData CopyStructure [mss GetOutput]
        [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
        PolyData Modified   

   #PolyData CopyStructure [mss GetOutput]
   #   [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
   #PolyData Modified

   renWin Render

   mss Delete
   
   #if {$OpenAdditional} {
   # # An additional surface has been loaded and put into PolyData.
   # # We then assume we wish to apply the transform also to the surface in PolyDataPrevious.
   # vtkTransformPolyDataFilter mss
   #      mss SetInput PolyDataPrevious
   #      #mss SetTransform icp
   #      mss SetTransform LmTrafo
   #      mss Update 
   #      mss Modified 
   #}

  


   
}




proc ApplyInverseICP {} {
   # Apply the inverse of the transform currently in icp to the data currently in PolyData.

   vtkTransformPolyDataFilter mss
         mss SetInput PolyData
         ## mss SetTransform [[icp GetLandmarkTransform] GetInverse] 
         ##mss SetTransform [icp GetLandmarkTransform] 
         ##mss SetTransform icp 
         #mss SetTransform [[icp GetLandmarkTransform] GetInverse] 
         mss SetTransform [LmTrafo GetLinearInverse]
         mss Update  

               #set xyz [[LmTrafo GetLinearInverse]  TransformDoublePoint $xxx $yyy $zzz]


   # Put the result in PolyData

   PolyData CopyStructure [mss GetOutput]
      [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
   PolyData Modified
   renWin Render

   mss Delete

}  

proc ApplyCurrentICPTrafoToPolyData {} {
   # Apply the transform currently in icp to the data currently in PolyData.
   #### Not working
   ###vtkTransformPolyDataFilter mss
         mss SetInput PolyData



         mss SetTransform icp
         mss Update  

   # Put the result in PolyData

   PolyData CopyStructure [mss GetOutput]
      [PolyData GetPointData] PassData [[mss GetOutput] GetPointData]
   PolyData Modified
   renWin Render

   mss Delete

}  


proc ApplyICPTransformToLandmarks {} {
    # If there are landmarks loaded, here you can transform them according to the icp transform.
    # There must be an icp defined, and there must be landmarks set or loaded.  Check for it later.

    global max_set lmIndex
    global LandmarkFileHasBeenRead
    global NsetLandmarks
    CountCurrentLandmarks
    if {$NsetLandmarks == 0} {
      notify_error "Can't transform landmarks: No landmarks exist!"
      return -1
    }

       for {set k 0} {$k <= $max_set} {incr k 1} {
           
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          ##set xyz [LmTrafo TransformDoublePoint $xxx $yyy $zzz]
          set xyz [icp TransformDoublePoint $xxx $yyy $zzz]

          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render 
       
}
proc ApplyICPInverseTransformToLandmarks {} {
    # Inverse transform the landmarks
    global max_set lmIndex
    global LandmarkFileHasBeenRead
    global NsetLandmarks

    if {$NsetLandmarks == 0} {
      notify_error "Can't transform landmarks: No landmarks exist!"
      return -1
    }

       for {set k 0} {$k <= $max_set} {incr k 1} {
           
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          set xyz [[LmTrafo GetLinearInverse] TransformDoublePoint $xxx $yyy $zzz]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render 
       
}

proc ApplyICPInverseTransformToLandmarksNoRender {} {
    # Inverse transform the landmarks
    global max_set lmIndex
    global LandmarkFileHasBeenRead
    global NsetLandmarks

    if {$NsetLandmarks == 0} {
      notify_error "Can't transform landmarks: No landmarks exist!"
      return -1
    }

       for {set k 0} {$k <= $max_set} {incr k 1} {
           
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          set xyz [[LmTrafo GetLinearInverse] TransformDoublePoint $xxx $yyy $zzz]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndexNoRender $lmIndex
       ###renWin Render 
       
}



proc CreateICPTransformMenu {} {
    global maxNLandmarks maxNIterations maxMeanDistance max_set
    global LandmarkFileHasBeenRead
    global NsetLandmarks
    global OpenAdditional
    global TargetSurfaceRead
    global ToggleSourceSurfaceCheck ToggleTargetSurfaceCheck
    global lmTrafo00 lmTrafo01 lmTrafo02 lmTrafo03
    global lmTrafo10 lmTrafo11 lmTrafo12 lmTrafo13
    global lmTrafo20 lmTrafo21 lmTrafo22 lmTrafo23
    global lmTrafo30 lmTrafo31 lmTrafo32 lmTrafo33
    global FirstIteration accumatrix

    vtkIterativeClosestPointTransform icp

    proc UndoICP {} {
      global LandmarkFileHasBeenRead
      global NsetLandmarks

      PolyData CopyStructure PolyDataCopy 
        [PolyData GetPointData] PassData [PolyDataCopy GetPointData]
        PolyData Modified
        renWin Render
    }
    proc UndoAllICP {} {
      global LandmarkFileHasBeenRead
      global NsetLandmarks

      ##PolyData CopyStructure PolyDataFirst 
      ##  [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
      ##  PolyData Modified
      ##  renWin Render

      PolyData CopyStructure PolyDataFirst 
        [PolyData GetPointData] PassData [PolyDataFirst GetPointData]
        PolyData Modified
        renWin Render
    }


  vtkPolyData PolyDataFirst
    PolyDataFirst CopyStructure PolyData 
        [PolyDataFirst GetPointData] PassData [PolyData GetPointData]
        PolyDataFirst Modified

  proc ToggleInitializationGUI {} {
      global InitializationGUI
      if {$InitializationGUI} {
        pack .icp.init -side top
      } else {
        pack forget .icp.init top
      }
  }

  proc TranslateTemplate01 {} {
      # Translate the template surface from landmark 0 to landmark 1.
      global TargetSurfaceRead 
      # Get the vector from 0 to 1
      set p0 [lmCoord GetPoint 0]
        set p0x [lindex $p0 0]
        set p0y [lindex $p0 1]
        set p0z [lindex $p0 2]
      set p1 [lmCoord GetPoint 1]
        set p1x [lindex $p1 0]
        set p1y [lindex $p1 1]
        set p1z [lindex $p1 2]
      set xtrans [expr $p1x - $p0x]
      set ytrans [expr $p1y - $p0y]
      set ztrans [expr $p1z - $p0z]
      TranslatePolyDataTarget $xtrans $ytrans $ztrans
  }

  proc TranslateSource10 {} {
      # Translate the source surface from landmark 1 to landmark 0.
      global SurfaceFileHasBeenRead 
      # Get the vector from 1 to 0
      set p0 [lmCoord GetPoint 0]
        set p0x [lindex $p0 0]
        set p0y [lindex $p0 1]
        set p0z [lindex $p0 2]
      set p1 [lmCoord GetPoint 1]
        set p1x [lindex $p1 0]
        set p1y [lindex $p1 1]
        set p1z [lindex $p1 2]
      set xtrans [expr $p0x - $p1x]
      set ytrans [expr $p0y - $p1y]
      set ztrans [expr $p0z - $p1z]
      TranslatePolyData $xtrans $ytrans $ztrans
  }

  proc ToggleSourceSurface {} {
    # To be executed when "Toggle Source Surface" is toggled on or off.
    global SurfaceFileHasBeenRead ToggleSourceSurfaceCheck oactorNum
    if {! $SurfaceFileHasBeenRead} {
       return -1
    }
    if {$ToggleSourceSurfaceCheck} {
       ren1 AddActor oactor0
    } else {
       ren1 RemoveActor oactor0  
    } 
    renWin Render
  }

  proc ToggleTargetSurface {} {
    # To be executed when "Toggle Target Surface" is toggled on or off.
    global TargetSurfaceRead ToggleTargetSurfaceCheck oactorNum
    if {! $TargetSurfaceRead} {
       return -1
    }
    if {$ToggleTargetSurfaceCheck} {
       ren1 AddActor TargetActor
    } else {
       ren1 RemoveActor TargetActor 
    } 
    renWin Render
  }

  toplevel .icp
  wm title .icp "Iterative Closest Point Transform"
  set font {Helvetica 14}
  set font2 {Helvetica 10}

  menu .icp.menu -type menubar
  menu .icp.menu.options -tearoff 1
  .icp.menu add cascade -menu .icp.menu.options -label "Options"
  .icp.menu.options add check -label "Initialization GUI" -command ToggleInitializationGUI -variable InitializationGUI 
  .icp.menu.options add check -label "Toggle Source Surface" -command ToggleSourceSurface -variable ToggleSourceSurfaceCheck
  .icp.menu.options add check -label "Toggle Target Surface" -command ToggleTargetSurface -variable ToggleTargetSurfaceCheck
  set ToggleSourceSurfaceCheck 1
  set ToggleTargetSurfaceCheck 1
  .icp configure -menu .icp.menu

  frame .icp.init
  label .icp.init.lab -text "Initialization"
  button .icp.init.translate_template -text "Translate Template 0 to 1" -foreground blue -width 20 -justify left -command TranslateTemplate01
  button .icp.init.translate_surface -text "Translate Source 1 to 0" -foreground green -width 20 -justify left -command TranslateSource10
  
  pack .icp.init.lab -side top
  pack .icp.init.translate_template -side top 
  pack .icp.init.translate_surface -side top 
  pack forget .icp.init -side top

  button .icp.close -font $font -text  " Close "  -width 15 -foreground red -command CloseICPTransformMenu
  pack .icp.close -side bottom -pady 2m

  label .icp.l -font $font -justify center -text "Max Number of Iterations"
  pack .icp.l -side top -pady 8
  scale .icp.i -from 1 -to 200 -resolution 1 -length 400 -background #ff0 -orient horizontal -variable maxNIterations
  pack .icp.i -pady 4
  label .icp.l2 -font $font -justify center -text "Max Number of Points"
  pack .icp.l2 -side top -pady 8
  scale .icp.i2 -from 10 -to 10000 -resolution 10 -length 400 -background #ff0 -orient horizontal -variable maxNLandmarks 
  pack .icp.i2 -pady 4
  label .icp.l3 -font $font -justify center -text "Max Mean Distance"
  pack .icp.l3 -side top -pady 8
  scale .icp.i3 -from 0.0000001 -to 0.1 -resolution 0.0000001 -length 400 -background #ff0 -orient horizontal -variable maxMeanDistance 
  pack .icp.i3 -pady 4

  button .icp.b1 -font $font -text "Apply" -foreground blue -width 10 -justify center -command ApplyICP
  button .icp.b2 -font $font -text "Undo" -width 10 -justify center -command UndoICP
  button .icp.b3 -font $font -text "Apply Inversely" -width 12 -justify center -command ApplyICPInverseMaxNIterations
  button .icp.b4 -font $font -text "Undo All" -width 10 -justify center -command UndoAllICP
  pack .icp.b1 .icp.b2 .icp.b3 .icp.b4 -side left -expand 1

  #frame .icp.inv
  #button .icp.b5 -font $font2 -text "Transform Landmarks" -width 20 -justify center -command ApplyICPTransformToLandmarks
  #button .icp.b6 -font $font2 -text "Inverse Transform Landmarks" -width 30 -justify center -command ApplyICPInverseTransformToLandmarks
  #button .icp.b7 -font $font2 -text "Transform Surface" -width 20 -justify center -command ApplyCurrentICPTrafoToPolyData
  
  #pack .icp.inv -side top
  #pack .icp.b5 .icp.b6 .icp.b7 -side left

      
  set maxNLandmarks 500
  set maxNIterations 50
  set maxMeanDistance 0.000001 
  .icp.i set $maxNIterations
  .icp.i2 set $maxNLandmarks
  .icp.i3 set $maxMeanDistance

}

proc OpenTargetSurfaceFile {} {
  global LandmarkFileHasBeenRead
  global currentdir identityTransform TargetSurfaceRead targetfilename

    set types {
        {{Stereo-Lithography}                   {.stl}        }
        {{Visualization Toolkit (polygonal)}    {.vtk}        }
        {{Mvox (simple ASCII, (slow!))}         {.flex}       }
        {{BYU}                                  {.g}          }
        {{Cyberware (Laser Scanner)}            {.cyb}        }
        {{Marching Cubes}                       {.tri}        }
        {{Wavefront}                            {.obj}        }
        {{All Files }                           *             }
    }

    set filename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    ReadTargetSurfaceFile $filename
}

proc ReadTargetSurfaceFile {filename} {
    global TargetSurfaceRead
    global targetfilename currentdir
    global tmpdir
    set currentdir [file dirname $filename]
          if {$filename == ""} {
             return -1
          }
    set currentdir [file dirname $filename]
    if { $filename != "" } {
        if { [info commands reader] != "" } {reader Delete}
        if { [string match *.g $filename] } {
            vtkBYUReader reader
            reader SetGeometryFileName $filename
        } elseif { [string match *.stl $filename] } {
            vtkSTLReader reader
            reader SetFileName $filename
        } elseif { [string match *.vtk $filename] } {
            vtkPolyDataReader reader
            reader SetFileName $filename
        } elseif { [string match *.flex $filename] } {
            ReadFlexSimpleAscii $filename
            vtkPolyDataReader reader
            set tempname "temp.vtk"
            reader SetFileName $tmpdir$tempname
        } elseif { [string match *.cyb $filename] } {
            vtkCyberReader reader
            reader SetFileName $filename
        } elseif { [string match *.tri $filename] } {
            vtkMCubesReader reader
            reader SetFileName $filename
        } elseif { [string match *.obj $filename] } {
            vtkOBJReader reader
            reader SetFileName $filename
        } else {
            puts stdout "Can't read this file: $filename"
            return
        }
    }
        set targetfilename $filename

        # Put the newly read object into the variable PolyDataTarget
        PolyDataTarget Delete
        vtkPolyData PolyDataTarget

    if {$TargetSurfaceRead} {
       # Clean up before reading a new Target Surface
       TargetMapper Delete
       TargetFilter Delete
       TargetActor Delete
    }
    set TargetSurfaceRead 1

    reader Update
    PolyDataTarget CopyStructure [reader GetOutput]
      [PolyDataTarget GetPointData] PassData [[reader GetOutput] GetPointData]
      
      PolyDataTarget Modified

    vtkPolyDataMapper TargetMapper
          TargetMapper SetInput PolyDataTarget

    vtkTransformPolyDataFilter TargetFilter
       TargetFilter SetTransform identityTransform
       TargetFilter SetInput PolyDataTarget
       
       # Compute normals (this step not really needed if surface created by contour filter).
       normals Delete
       vtkPolyDataNormals normals
         normals SetInput [TargetFilter GetOutput]
       TargetMapper SetInput [normals GetOutput] 
    
    vtkActor TargetActor
  
    TargetActor SetMapper TargetMapper
    [TargetActor GetProperty] SetColor 1 1 0.5
    [TargetActor GetProperty] SetAmbient 0.20
    [TargetActor GetProperty] SetDiffuse 0.40
    [TargetActor GetProperty] SetSpecular 0.20
    [TargetActor GetProperty] SetSpecularPower 50.0
    [TargetActor GetProperty] SetOpacity 1.0
    ren1 AddActor TargetActor

   renWin Render
}

proc ComputeAverageOf2Surfaces {} {
   # Here we average the surfaces in PolyData and PolyDataPrevious, assuming they have same number of cells/points.
   # (The two datas can be loaded by OpenFile and OpenFileAdditional)
   # Result is put in PolyData
   set npoints [PolyData GetNumberOfPoints]
   vtkPoints poi
   for {set k 0} {$k < $npoints} {incr k 1} {
      set xyz [PolyData GetPoint $k]
      set xp [lindex $xyz 0]
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2]
      set xyz2 [PolyDataPrevious GetPoint $k]
      set xp2 [lindex $xyz2 0]
      set yp2 [lindex $xyz2 1]
      set zp2 [lindex $xyz2 2]
      set xpa [expr ( $xp + $xp2 ) / 2.0 ]
      set ypa [expr ( $yp + $yp2 ) / 2.0 ]
      set zpa [expr ( $zp + $zp2 ) / 2.0 ]
      poi InsertPoint $k $xpa $ypa $zpa  
   }
   PolyData SetPoints poi
   PolyData Update
   PolyData Modified
   poi Delete
}

proc Add2Surfaces {} {
   # Here we add the surfaces in PolyData and PolyDataTarget, assuming they have same number of cells/points.
   # (The two datas can be loaded by OpenFile and OpenTargetFile)
   # Result is put in PolyData
   set npoints [PolyData GetNumberOfPoints]
   vtkPoints poi
   for {set k 0} {$k < $npoints} {incr k 1} {
      set xyz [PolyData GetPoint $k]
      set xp [lindex $xyz 0]
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2]
      set xyz2 [PolyDataTarget GetPoint $k]
      set xp2 [lindex $xyz2 0]
      set yp2 [lindex $xyz2 1]
      set zp2 [lindex $xyz2 2]
      set xpa [expr ( $xp + $xp2 ) ]
      set ypa [expr ( $yp + $yp2 ) ]
      set zpa [expr ( $zp + $zp2 ) ]
      poi InsertPoint $k $xpa $ypa $zpa  
   }
   PolyData SetPoints poi
   PolyData Update
   PolyData Modified
   poi Delete
}

proc GetBoundingBoxOfSurfaceObjectMap_NOT_WORKING {ObjectNumber} {
   ## DOES NOT WORK!!!  TANKETORSK!!!  (ObjectMap is indexed per cell, while we have only access to points here!)
   # Here we return the bounding box of the points in PolyData correponding to an object in a SurfaceObjectMap.
   # Requires that a SurfaceObjectMap has been read.
   # The return value is a list: {$xmin $xmax $ymin $ymax $zmin $zmax}

   global SurfaceObjectMapHasBeenRead SurfaceObjectMap
   set npoints [PolyData GetNumberOfPoints]

   if {! $SurfaceObjectMapHasBeenRead} {
     notify_error "Surface Object Map must be read before you can compute bounds of one of its objects!"
     puts stdout "ERROR: Surface Object Map must be read before you can compute bounds of one of its objects!"
     return -1
   }   

   set xmin 100000.0
   set xmax -100000.0
   set ymin 100000.0
   set ymax -100000.0
   set zmin 100000.0
   set zmax -100000.0
  
   for {set k 0} {$k < $npoints} {incr k 1} {
      
      if {$SurfaceObjectMap($k) == $ObjectNumber} {
        puts stdout "$k $ObjectNumber $SurfaceObjectMap($k)"
        set xyz [PolyData GetPoint $k]
        set xp [lindex $xyz 0]
        set yp [lindex $xyz 1]
        set zp [lindex $xyz 2]
        if {$xp < $xmin} {
           set xmin $xp
        }
        if {$xp > $xmax} {
           set xmax $xp
        }
        if {$yp < $ymin} {
           set ymin $yp
        }
        if {$yp > $ymax} {
           set ymax $yp
        }
        if {$zp < $zmin} {
           set zmin $zp
        }
        if {$zp > $zmax} {
           set zmax $zp
        }  
      }     
   }
   puts stdout "$xmin $xmax $ymin $ymax $zmin $zmax"
   set bo [list $xmin $xmax $ymin $ymax $zmin $zmax]

   return $bo
}

proc GetBoundingBoxOfSurfaceObjectMap {ObjectNumber} {
   ## DOES NOT WORK!!!  TANKETORSK!!!  (ObjectMap is indexed per cell, while we have only access to points here!)
   # Create a set of points containing only points in a specified object. 
   # Here we return the bounding box of the points in PolyData correponding to an object in a SurfaceObjectMap.
   # Requires that a SurfaceObjectMap has been read.
   # The return value is a list: {$xmin $xmax $ymin $ymax $zmin $zmax}
  
   global SurfaceObjectMapHasBeenRead SurfaceObjectMap
   set npoints [PolyData GetNumberOfPoints]

   if {! $SurfaceObjectMapHasBeenRead} {
     notify_error "Surface Object Map must be read before you can extract one of its objects!"
     puts stdout "ERROR: Surface Object Map must be read before you can extract one of its objects!"
     return -1
   }   
   
   vtkFloatArray coo
      coo SetNumberOfComponents 3
   vtkPoints pp
   set np 0
   for {set k 0} {$k < $npoints} {incr k 1} {
      
      if {$SurfaceObjectMap($k) == $ObjectNumber} {
        set xyz [PolyData GetPoint $k]
        set xp [lindex $xyz 0]
        set yp [lindex $xyz 1]
        set zp [lindex $xyz 2]
        coo InsertTuple3 $np $xp $yp $zp
        incr np 1
      }
   }
   pp SetData coo
     set bounds [pp GetBounds]
     #set xmin [lindex $bounds 0]
     #puts stdout "$xmin"
   return $bounds
}





proc DivideSurfaceByNumber {Number} {
   # Here we divide the surface in PolyData by a number.
   # Result is put in PolyData
   set npoints [PolyData GetNumberOfPoints]
   vtkPoints poi
   for {set k 0} {$k < $npoints} {incr k 1} {
      set xyz [PolyData GetPoint $k]
      set xp [lindex $xyz 0]
      set yp [lindex $xyz 1]
      set zp [lindex $xyz 2]
      set xpa [expr $xp / $Number ]
      set ypa [expr $yp / $Number ]
      set zpa [expr $zp / $Number ]
      poi InsertPoint $k $xpa $ypa $zpa  
   }
   PolyData SetPoints poi
   PolyData Update
   PolyData Modified
   poi Delete
}


proc ClosestPointDifference {target source outfilename colrangemin colrangemax signedflag} {
   # Computes closest points on a target surface from every point on a source surface.
   # Done by call to external c program.  closestpoint_diff_unsigned.cxx and closestpoint_diff_signed.cxx
   # Computes closest points per cell (not per point: see closestpoint_with_output.cxx)   

   # Parameters:
   # target: name of target, .vtk 
   # source: name of source, .vtk
   # outfilename: name of output, without extension.  Wil be .clr
   # colrangemin: minimum color range in mm for input to .clr file.
   # colrangemax: maximum color range in mm for input to .clr file.
   # signedflag: set this to 1 to get signed differences, otherwise 0.
 
   global landmarker_home 
   global platform
   global app_type

   if {! [file exists $target ] } {
      notify_error "$target not found"
      return -1
   }
   if {! [file exists $source ]} {
      notify_error "$source not found"
      return -1
   }

   if {$platform == "windows"} {
      if {$signedflag} {
        set app_name "closestpoint_diff_signed.exe"
      } else {
        set app_name "closestpoint_diff_unsigned.exe"
      }
   } else {
      if {$signedflag} {
        set app_name "closestpoint_diff_signed"
      } else {
        set app_name "closestpoint_diff_unsigned"
      }
   }

   puts stdout "Computing closest point difference..."
   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set app_name $landmarker_home$app_name 
   }

   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }
   puts stdout "Executing: $app_name $target $source $outfilename $colrangemin $colrangemax"
   catch {exec $app_name $target $source $outfilename $colrangemin $colrangemax }
   ##exec $app_name $target $source $outfilename $colrangemin $colrangemax
   puts stdout "Done!"
   puts stdout "Result is written to $outfilename"
}


proc ClosestPointDeformation {template scan outfilename} {
   # Computes closest points on a surface from every point on a source surface.
   # DOne by call to external c program.  closest_point_with_output.cxx
   # Computes closest points per point (not per cell: see ClosestPointDifference)   

   # Parameters: takes three filenames, must be .vtk format.
   # scan is the scan to be matched.
   # template is the template to be deformed to the shape of the scan.

   global landmarker_home closest_point_deformation_home
   global platform
   global app_type

   if {! [file exists $scan ] } {
      notify_error "$scan not found"
      return -1
   }
   if {! [file exists $template ]} {
      notify_error "$template not found"
      return -1
   }

   if {$platform == "windows"} {
      set app_name "closestpoint_with_output.exe"
   } else {
      set app_name "closestpoint_with_output"
   }

   puts stdout "Computing closest point deformation..."

   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set $app_name $landmarker_home$app_name 
   }

   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }
   catch {exec $app_name $template $scan $outfilename }
   puts stdout "Done!"
   puts stdout "Result is written to $outfilename"
}

proc ClosestPointDeformationCurve {target source outfilename} {
   # Computes closest points on a surface from every point on a source curve.
   # DOne by call to external c program.  curve_closestpoint.cxx
   # Computes closest points per point (not per cell: see ClosestPointDifference)   

   # Parameters: takes three filenames, target must be .vtk format.
   global landmarker_home closest_point_deformation_home
   global platform
   global app_type

   if {! [file exists $target ] } {
      notify_error "$target not found"
      return -1
   }
   if {! [file exists $source ]} {
      notify_error "$source not found"
      return -1
   }

   if {$platform == "windows"} {
      set app_name "curve_closestpoint.exe"
   } else {
      set app_name "curve_closestpoint"
   }

   puts stdout "Computing closest point deformation..."

   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set $app_name $landmarker_home$app_name 
   }

   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }
   catch {exec $app_name $target $source $outfilename }
   puts stdout "Done!"
   puts stdout "Result is written to $outfilename"
}




proc TranslatePolyData {transx transy transz} {
    # Translate the surface currently in PolyData by amount specified.
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
        
    if {! $SurfaceFileHasBeenRead} {
       notify_error "You must load surface before you can translate it!"
       return -1
    }
    # Make the transformation matrix
    vtkMatrix4x4 mat
      mat SetElement 0 0  1.0
      mat SetElement 0 1  0.0
      mat SetElement 0 2  0.0
      mat SetElement 0 3  $transx
      mat SetElement 1 0  0.0
      mat SetElement 1 1  1.0
      mat SetElement 1 2  0.0
      mat SetElement 1 3  $transy
      mat SetElement 2 0  0.0
      mat SetElement 2 1  0.0
      mat SetElement 2 2  1.0
      mat SetElement 2 3  $transz
      mat SetElement 3 0  0.0
      mat SetElement 3 1  0.0
      mat SetElement 3 2  0.0
      mat SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mat
      vtkTransformPolyDataFilter transFilter
        transFilter SetInput PolyData
        transFilter SetTransform trans
        transFilter Update

      # Put the result in PolyData
      #PolyData Delete
      #vtkPolyData PolyData
      PolyData CopyStructure [transFilter GetOutput] 
         [PolyData GetPointData] PassData [[transFilter GetOutput] GetPointData]
         PolyData Update
         PolyData Modified
      renWin Render

      trans Delete
      mat Delete
      transFilter Delete
}

proc TranslatePolyDataTarget {transx transy transz} {
    # Translate the surface currently in PolyDataTarget by amount specified.
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global TargetSurfaceRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter

    if {! $TargetSurfaceRead} {
       notify_error "You must load a target surface before you can translate it!"
       return -1
    }
    # Make the transformation matrix
    vtkMatrix4x4 mat
      mat SetElement 0 0  1.0
      mat SetElement 0 1  0.0
      mat SetElement 0 2  0.0
      mat SetElement 0 3  $transx
      mat SetElement 1 0  0.0
      mat SetElement 1 1  1.0
      mat SetElement 1 2  0.0
      mat SetElement 1 3  $transy
      mat SetElement 2 0  0.0
      mat SetElement 2 1  0.0
      mat SetElement 2 2  1.0
      mat SetElement 2 3  $transz
      mat SetElement 3 0  0.0
      mat SetElement 3 1  0.0
      mat SetElement 3 2  0.0
      mat SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mat
      vtkTransformPolyDataFilter transFilter
        transFilter SetInput PolyDataTarget
        transFilter SetTransform trans
        transFilter Update
        transFilter Modified

      # Put the result in PolyDataTarget
      PolyDataTarget CopyStructure [transFilter GetOutput] 
         [PolyDataTarget GetPointData] PassData [[transFilter GetOutput] GetPointData]
         PolyDataTarget Update
         PolyDataTarget Modified
      renWin Render

      trans Delete
      mat Delete
      transFilter Delete
}


proc TranslateCurrentVolume {transx transy transz} {
    # Translate the volume currently in CurrentVolume by amount (in number of voxels) specified.
    global VolumeFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
        
    if {! $VolumeFileHasBeenRead} {
       notify_error "You must load a volume before you can translate it!"
       return -1
    }
    # Make the transformation matrix
    vtkMatrix4x4 mat
      mat SetElement 0 0  1.0
      mat SetElement 0 1  0.0
      mat SetElement 0 2  0.0
      mat SetElement 0 3  $transx
      mat SetElement 1 0  0.0
      mat SetElement 1 1  1.0
      mat SetElement 1 2  0.0
      mat SetElement 1 3  $transy
      mat SetElement 2 0  0.0
      mat SetElement 2 1  0.0
      mat SetElement 2 2  1.0
      mat SetElement 2 3  $transz
      mat SetElement 3 0  0.0
      mat SetElement 3 1  0.0
      mat SetElement 3 2  0.0
      mat SetElement 3 3  0.0
      vtkTransform trans
        #trans SetMatrix mat
        trans Translate $transx $transy $transz

      CurrentVolume SetInterpolationModeToCubic

      # Important to use the inverse (see documentation for vtkImageReslice)
      CurrentVolume SetResliceTransform [trans GetInverse]
      #CurrentVolume SetResliceTransform trans 
      CurrentVolume Update
viewer Render

      #trans Delete
      #mat Delete
      
}


proc TranslateLandmarks {transx transy transz} {
    # Translate current landmarks by amount specified
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter max_set
        
    if {! $LandmarkFileHasBeenRead} {
       notify_error "You must load or set landmarks before you can translate them!"
    }
    # Make the transformation matrix
    vtkMatrix4x4 mat
      mat SetElement 0 0  1.0
      mat SetElement 0 1  0.0
      mat SetElement 0 2  0.0
      mat SetElement 0 3  $transx
      mat SetElement 1 0  0.0
      mat SetElement 1 1  1.0
      mat SetElement 1 2  0.0
      mat SetElement 1 3  $transy
      mat SetElement 2 0  0.0
      mat SetElement 2 1  0.0
      mat SetElement 2 2  1.0
      mat SetElement 2 3  $transz
      mat SetElement 3 0  0.0
      mat SetElement 3 1  0.0
      mat SetElement 3 2  0.0
      mat SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mat

      for {set k 0} {$k <= $max_set} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          set xyz [trans TransformDoublePoint $xxx $yyy $zzz]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render  

       trans Delete
       mat Delete 
}

proc ScalePolyData {scalex scaley scalez} {
    # Scale the surface currently in PolyData by amount specified.
    # NOTE: Scaling is not relative to origin.  Use TranslatePolyData to translate to/from origin.
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter
        
    if {! $SurfaceFileHasBeenRead} {
       notify_error "You must load surface before you can scale it!"
    }
    # Make the transformation matrix
    vtkMatrix4x4 mat
      mat SetElement 0 0  $scalex
      mat SetElement 0 1  0.0
      mat SetElement 0 2  0.0
      mat SetElement 0 3  0.0
      mat SetElement 1 0  0.0
      mat SetElement 1 1  $scaley
      mat SetElement 1 2  0.0
      mat SetElement 1 3  0.0
      mat SetElement 2 0  0.0
      mat SetElement 2 1  0.0
      mat SetElement 2 2  $scalez
      mat SetElement 2 3  0.0
      mat SetElement 3 0  0.0
      mat SetElement 3 1  0.0
      mat SetElement 3 2  0.0
      mat SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mat
      vtkTransformPolyDataFilter transFilter
        transFilter SetInput PolyData
        transFilter SetTransform trans
        transFilter Update

      # Put the result in PolyData
      #PolyData Delete
      #vtkPolyData PolyData
      PolyData CopyStructure [transFilter GetOutput] 
         [PolyData GetPointData] PassData [[transFilter GetOutput] GetPointData]
         PolyData Update
         PolyData Modified
      renWin Render
      trans Delete
      mat Delete
      transFilter Delete
}

proc ScaleLandmarks {scalex scaley scalez} {
    # Scale current landmarks by amount specified.
    # NOTE: Scaling is not relative to origin.  Use TranslatePolyData to translate to/from origin.
    global LandmarkFileHasBeenRead SurfaceFileHasBeenRead
    global lmIndex maxlmIndex
    global setarr lmCoord lmDiameter max_set
        
    if {! $LandmarkFileHasBeenRead} {
       notify_error "You must load or set landmarks before you can translate them!"
    }
    # Make the transformation matrix
    vtkMatrix4x4 mat
      mat SetElement 0 0  $scalex
      mat SetElement 0 1  0.0
      mat SetElement 0 2  0.0
      mat SetElement 0 3  0.0
      mat SetElement 1 0  0.0
      mat SetElement 1 1  $scaley
      mat SetElement 1 2  0.0
      mat SetElement 1 3  0.0
      mat SetElement 2 0  0.0
      mat SetElement 2 1  0.0
      mat SetElement 2 2  $scalez
      mat SetElement 2 3  0.0
      mat SetElement 3 0  0.0
      mat SetElement 3 1  0.0
      mat SetElement 3 2  0.0
      mat SetElement 3 3  0.0
      vtkTransform trans
        trans SetMatrix mat

      for {set k 0} {$k <= $max_set} {incr k 1} {
          set xyz [lmCoord GetPoint $k]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          set xyz [trans TransformDoublePoint $xxx $yyy $zzz]
          set xxx [lindex $xyz 0]
          set yyy [lindex $xyz 1]
          set zzz [lindex $xyz 2]
          lmCoord InsertPoint $k $xxx $yyy $zzz 
          set lmIndex $k
          SetIndexNoRender $lmIndex
             SetSetLandmarkNoRender
             ##SetSetPos 
       }
       SetSetPos 
       set lmIndex [expr $k - 1 ]
       SetIndex $lmIndex
       renWin Render   

       trans Delete
       mat Delete

}

proc LoadEyeFile {} {
  # Routine to load an eye.  An eye consists of a surface file (e.g. stl) and will be textured.
  # If a .log file exists, it will be read for pupil orientation and direction of eye nerve.
  global currentdir eyeNum
  global lmDiameter
  global tmpdir
    set types {       
        {{Eye Surface}              {.stl}        }
        {{All Files }                           *             }
    }
    set infilename [tk_getOpenFile -filetypes $types -initialdir $currentdir]
    set currentdir [file dirname $infilename]
      
    puts stdout "Reading Eye File: $infilename"
    ReadEyeFile $infilename 
    incr eyeNum 1  
}

proc ReadEyeFile {infilename} {
   global currentdir eyeNum
   global lmDiameter
   global eyevolume surfarea shapeind eyeballradius
   global tmpdir
   global pi
   
   # Read the surface file.   

   vtkSTLReader eyeReader
      puts stdout $infilename
      eyeReader SetFileName $infilename

   vtkTransformPolyDataFilter PolyTransform
      PolyTransform SetTransform identityTransform
      PolyTransform SetInput [eyeReader GetOutput]

   vtkMassProperties massprop
    massprop SetInput [eyeReader GetOutput]
    set eyevolume [massprop GetVolume] 
    set surfarea [massprop GetSurfaceArea] 
    set shapeind [massprop GetNormalizedShapeIndex] 
    puts stdout "Eye Volume: $eyevolume"
    puts stdout "Surface Area $surfarea"
    puts stdout "Normalized Shape Index $shapeind"
    massprop Delete

   vtkPolyDataNormals eyeNormals
      eyeNormals SetFeatureAngle 30
      eyeNormals SetSplitting 1
      eyeNormals SetInput [PolyTransform GetOutput]

   vtkPolyDataMapper eyeMapper
      eyeMapper SetInput [eyeNormals GetOutput]

   vtkTextureMapToSphere tmapper
      tmapper SetInput [PolyTransform GetOutput]
      tmapper PreventSeamOff
  
   vtkTransformTextureCoords xform
      xform SetInput [tmapper GetOutput]
      xform SetScale 1 1 1

   vtkDataSetMapper dmapper
      dmapper SetInput [xform GetOutput]
      #dmapper SetInput [eyeNormals GetOutput]

   vtkBMPReader bmpReader
      bmpReader SetFileName "eyetex3.bmp"

   vtkTexture atext
      atext SetInput [bmpReader GetOutput]
      atext InterpolateOn

   set infile [file rootname $infilename]
    set log_extension ".log"
    set logname $infile$log_extension 
    set existlogfile [file exists $logname]  
    puts stdout "logname $logname"

    if {$existlogfile} {

      vtkActor eyeActor$eyeNum
        eyeActor$eyeNum SetMapper eyeMapper
        #eyeActor$eyeNum SetMapper dmapper
        #eyeActor$eyeNum SetTexture atext
              
      puts stdout "logfile exists"
      # Now read the eye logfile and display with texture.
      # An eye logfile consists of 4 landmarks.
      # 0: center of eyeball
      # 1: center of pupilla
      # 2: point of attachment of eye nerve to pupilla
      # 3: posterior endpoint of eye nerve 
      set fileId [open $logname r]
      gets $fileId line
         set xcent [lindex $line 0]
         set ycent [lindex $line 1]
         set zcent [lindex $line 2]
      gets $fileId line
         set xpup [lindex $line 0]
         set ypup [lindex $line 1]
         set zpup [lindex $line 2]
      gets $fileId line
         set xnerve1 [lindex $line 0]
         set ynerve1 [lindex $line 1]
         set znerve1 [lindex $line 2]
      gets $fileId line
         set xnerve2 [lindex $line 0]
         set ynerve2 [lindex $line 1]
         set znerve2 [lindex $line 2]
      close $fileId  

   # Compute the eye radius.
   # It is the distance from eyeball center to any point on the sphere.
   vtkPoints pu
     pu InsertPoint 0 $xpup $ypup $zpup
     set pu [pu GetPoint 0]
   pu Delete
   vtkPolyData pd
     pd SetPoints [[eyeReader GetOutput] GetPoints]
     pd SetPolys [[eyeReader GetOutput] GetPolys]
     set p0 [pd GetPoint 0]
       set p0x [lindex $p0 0]
       set p0y [lindex $p0 1]
       set p0z [lindex $p0 2]
     puts stdout "p0x p0y p0z $p0x $p0y $p0z" 
     set eyeballradius [DistanceBetweenTwoPoints $p0 $pu]
     puts stdout "Eye Ball Radius: $eyeballradius"
   pd Delete

   # Compute a couple of distances...
   vtkPoints n1 
     n1 InsertPoint 0 $xnerve1 $ynerve1 $znerve1 
     set n1 [n1 GetPoint 0]
     n1 Delete
   vtkPoints n2
     n2 InsertPoint 0 $xnerve2 $ynerve2 $znerve2 
     set n2 [n2 GetPoint 0]
     n2 Delete
   vtkPoints c
     c InsertPoint 0 $xcent $ycent $zcent 
     set c [c GetPoint 0]
     c Delete
   set dn1n2 [DistanceBetweenTwoPoints $n1 $n2]
   set dcn1 [DistanceBetweenTwoPoints $c $n1]
   set dcn2 [DistanceBetweenTwoPoints $c $n2]

   # And some angles.
   set vec1x [expr $xnerve1 - $xnerve2]
   set vec1y [expr $ynerve1 - $ynerve2]
   set vec1z [expr $znerve1 - $znerve2]
   set vec2x [expr $xcent - $xnerve2]
   set vec2y [expr $ycent - $ynerve2]
   set vec2z [expr $zcent - $znerve2]

   puts stdout "$vec1x $vec1y $vec1z $vec2x $vec2y $vec2z" 

   set angn2n1n2c [expr [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]  
   puts stdout "angn2n1n2c $angn2n1n2c"
   
   set vec1x [expr $xpup - $xcent]
   set vec1y [expr $ypup - $ycent]
   set vec1z [expr $zpup - $zcent]
   set vec2x [expr $xcent - $xnerve2]
   set vec2y [expr $ycent - $ynerve2]
   set vec2z [expr $zcent - $znerve2]
   set angpup [expr [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]   
   puts stdout "angpup $angpup"

   eyeActor$eyeNum SetOrigin $xcent $ycent $zcent  

   # Compute Rotation of pupill.
   set xvec [expr $xcent - $xpup]
   set yvec [expr $ycent - $ypup]
   set zvec [expr $zcent - $zpup]

   set xang [ComputeAngle 0 $yvec $zvec 0 1 0]
   set yang [ComputeAngle $xvec 0 $zvec -1 0 0]
   set zang [ComputeAngle $xvec $yvec 0 -1 0 0]

   set xang [expr $xang * 180.0 / $pi ]
   set yang [expr $yang * 180.0 / $pi ]
   set zang [expr $zang * 180.0 / $pi ]
   puts stdout "xang yang zang $xang $yang $zang" 

   #set xang 0
   #set yang 0
   #set zang 0
   
   eyeActor$eyeNum RotateZ [expr $zang]
   #eyeActor$eyeNum RotateY [expr $yang]
   eyeActor$eyeNum RotateX [expr $xang]

   
   #eyeActor$eyeNum RotateX $xang
   #eyeActor$eyeNum RotateY $yang
   
    #eyeActor$eyeNum  RotateZ 90.0

   # Put spheres at landmarks.
   vtkSphereSource pupSphere
     pupSphere SetRadius $lmDiameter
     pupSphere SetCenter $xpup $ypup $zpup
     pupSphere SetThetaResolution 10
     pupSphere SetPhiResolution 10
   vtkPolyDataMapper pupSphereMapper
     pupSphereMapper SetInput [pupSphere GetOutput]
   vtkActor pupSphereActor$eyeNum
     pupSphereActor$eyeNum SetMapper pupSphereMapper
     [pupSphereActor$eyeNum  GetProperty] SetColor 1 1 0 
     pupSphereActor$eyeNum PickableOff
     pupSphereActor$eyeNum VisibilityOn
     ren1 AddActor pupSphereActor$eyeNum  

   vtkSphereSource centSphere
     centSphere SetRadius $lmDiameter
     centSphere SetCenter $xcent $ycent $zcent
     centSphere SetThetaResolution 10
     centSphere SetPhiResolution 10
   vtkPolyDataMapper centSphereMapper
     centSphereMapper SetInput [centSphere GetOutput]
   vtkActor centSphereActor$eyeNum
     centSphereActor$eyeNum SetMapper centSphereMapper
     [centSphereActor$eyeNum  GetProperty] SetColor 1 0 1 
     centSphereActor$eyeNum PickableOff
     centSphereActor$eyeNum VisibilityOn
     ren1 AddActor centSphereActor$eyeNum            

   vtkSphereSource nerve1Sphere
     nerve1Sphere SetRadius $lmDiameter
     nerve1Sphere SetCenter $xnerve1 $ynerve1 $znerve1
     nerve1Sphere SetThetaResolution 10
     nerve1Sphere SetPhiResolution 10
   vtkPolyDataMapper nerve1SphereMapper
     nerve1SphereMapper SetInput [nerve1Sphere GetOutput]
   vtkActor nerve1SphereActor$eyeNum
     nerve1SphereActor$eyeNum SetMapper nerve1SphereMapper
     [nerve1SphereActor$eyeNum  GetProperty] SetColor 0 0 1 
     nerve1SphereActor$eyeNum PickableOff
     nerve1SphereActor$eyeNum VisibilityOn
     ren1 AddActor nerve1SphereActor$eyeNum

   vtkSphereSource nerve2Sphere
     nerve2Sphere SetRadius $lmDiameter
     nerve2Sphere SetCenter $xnerve2 $ynerve2 $znerve2
     nerve2Sphere SetThetaResolution 10
     nerve2Sphere SetPhiResolution 10
   vtkPolyDataMapper nerve2SphereMapper
     nerve2SphereMapper SetInput [nerve2Sphere GetOutput]
   vtkActor nerve2SphereActor$eyeNum
     nerve2SphereActor$eyeNum SetMapper nerve2SphereMapper
     [nerve2SphereActor$eyeNum  GetProperty] SetColor 0 0.5 1 
     nerve2SphereActor$eyeNum PickableOff
     nerve2SphereActor$eyeNum VisibilityOn
     ren1 AddActor nerve2SphereActor$eyeNum  
  
   pupSphere Delete
   centSphere Delete 
   nerve1Sphere Delete                     
   nerve2Sphere Delete
   pupSphereMapper Delete
   centSphereMapper Delete
   nerve1SphereMapper Delete
   nerve2SphereMapper Delete

   # And draw some lines.
   vtkLineSource pupLine
     pupLine SetPoint1 $xpup $ypup $zpup
     pupLine SetPoint2 $xcent $ycent $zcent
   vtkPolyDataMapper pupLineMapper
     pupLineMapper SetInput [pupLine GetOutput]
   vtkActor pupLineActor$eyeNum
     pupLineActor$eyeNum SetMapper pupLineMapper
     [pupLineActor$eyeNum GetProperty] SetColor 1 0 0 
     pupLineActor$eyeNum PickableOff
     ren1 AddActor pupLineActor$eyeNum 

   vtkLineSource nerveLine
     nerveLine SetPoint1 $xnerve1 $ynerve1 $znerve1
     nerveLine SetPoint2 $xnerve2 $ynerve2 $znerve2
   vtkPolyDataMapper nerveLineMapper
     nerveLineMapper SetInput [nerveLine GetOutput]
   vtkActor nerveLineActor$eyeNum
     nerveLineActor$eyeNum SetMapper nerveLineMapper
     [nerveLineActor$eyeNum GetProperty] SetColor 1 0 0 
     nerveLineActor$eyeNum PickableOff
     ren1 AddActor nerveLineActor$eyeNum 

   pupLine Delete
   nerveLine Delete
   pupLineMapper Delete
   nerveLineMapper Delete

   vtkLineSource Line
     Line SetPoint1 $xnerve1 $ynerve1 $znerve1
     Line SetPoint2 $xcent $ycent $zcent
   vtkPolyDataMapper LineMapper
     LineMapper SetInput [Line GetOutput]
   vtkActor LineActor$eyeNum
     LineActor$eyeNum SetMapper LineMapper
     [LineActor$eyeNum GetProperty] SetColor 1 0 0 
     LineActor$eyeNum PickableOff
     ren1 AddActor LineActor$eyeNum   

   Line Delete
   LineMapper Delete
        
   vtkLineSource Line
     Line SetPoint1 $xnerve2 $ynerve2 $znerve2
     Line SetPoint2 $xcent $ycent $zcent
   vtkPolyDataMapper LineMapper
     LineMapper SetInput [Line GetOutput]
   vtkActor LineActor2$eyeNum
     LineActor2$eyeNum SetMapper LineMapper
     [LineActor2$eyeNum GetProperty] SetColor 1 1 0 
     LineActor2$eyeNum PickableOff
     ren1 AddActor LineActor2$eyeNum   

   Line Delete
   LineMapper Delete

   # Write different things to a file named eyefile_info.txt in the tmpdir directory.
    set orbfile "eyefile_info.txt"
    set fileId [open $tmpdir$orbfile w]
    puts $fileId "Eye information for file: "
    puts $fileId $infilename
    puts $fileId "Created: [clock format [clock seconds]]"
    puts $fileId "Eye Ball Radius: $eyeballradius"
    set eyeballdiameter [expr $eyeballradius * 2.0]
    puts $fileId "Eye Ball Diameter: $eyeballdiameter"
    puts $fileId "Eye Ball Volume: $eyevolume"
    puts $fileId "Eye Ball Center: c $xcent $ycent $zcent"
    puts $fileId "Anterior nerve point: np1 $xnerve1 $ynerve1 $znerve1"
    puts $fileId "Posterior nerve point: np2 $xnerve2 $ynerve2 $znerve2"
    puts $fileId "Distance between c and np2: $dcn2"
    puts $fileId "Distance between c and np1: $dcn1"
    puts $fileId "Distance between np1 and np2: $dn1n2"
    puts $fileId "Angle between np2-c and np2-np1: $angn2n1n2c"
    puts $fileId "Angle between np2-c and c-pup: $angpup"
    close $fileId
                                           
   } else {
     vtkActor eyeActor$eyeNum 
        eyeActor$eyeNum SetMapper eyeMapper
        #eyeActor SetMapper dmapper
        #eyeActor$eyeNum SetTexture atext
        #eyeActor$eyeNum RotateZ 90.0
   }    

   puts stdout "Add the eye actor"
   [eyeActor$eyeNum GetProperty] SetOpacity 0.5

   ren1 AddActor eyeActor$eyeNum
   renWin Render

   eyeReader Delete
   PolyTransform Delete
   eyeNormals Delete
   eyeMapper Delete
   tmapper Delete
   xform Delete
   dmapper Delete
   bmpReader Delete
   atext Delete
}

proc veclength {vecx vecy vecz} {
  # Return vector length.
  set lx [expr $vecx * $vecx]
  set ly [expr $vecy * $vecy]
  set lz [expr $vecz * $vecz]
  return [expr sqrt ( $lx + $ly + $lz ) ]
}

proc dotproduct {vec1x vec1y vec1z vec2x vec2y vec2z} {
   # Return the scalar product between two vectors.
   set dop [expr $vec1x * $vec2x + $vec1y * $vec2y + $vec1z * $vec2z]
   puts stdout "dop $dop"
   return $dop
}

proc ComputeAngle {vec1x vec1y vec1z vec2x vec2y vec2z} {
  # Compute the angle between two lines in space.
  
  set v1l [veclength $vec1x $vec1y $vec1z]
  set v2l [veclength $vec2x $vec2y $vec2z]
  set vec1x [expr $vec1x / $v1l]
  set vec1y [expr $vec1y / $v1l]
  set vec1z [expr $vec1z / $v1l]
  set vec2x [expr $vec2x / $v2l]
  set vec2y [expr $vec2y / $v2l]
  set vec2z [expr $vec2z / $v2l]

  set dop [dotproduct $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z]
  
  set angle [expr acos ($dop)]
  puts stdout "dop $dop"
  puts stdout "angle $angle"
  return $angle
}

proc ApplyClosestPointDeformation {} {
   global cp_sourcefile cp_targetfile cp_outputfile RenderCheck
   global landmarker_home
   global app_type

   set app_name "closestpoint_with_output"

   if {$app_type == "exe"} {
      set app_name $app_name
   } else {
      set app_name $landmarker_home$app_name 
   }

   puts stdout "Executing $app_name $cp_targetfile $cp_sourcefile $cp_outputfile"
   if [catch {exec $app_name $cp_targetfile $cp_sourcefile $cp_outputfile} retval] {
   puts stdout "ERROR in $app_name, error code: $retval"
      #notify_error $retval
   } else {
      puts stdout "Normal termination of $app_name"
   }

   #puts stdout "Done."
   if {$RenderCheck} {
      puts stdout "Rendering Result..."
      ReadSurfaceFile $cp_outputfile 
      puts stdout "Done."
   }

}

proc CreateClosestPointDeformationMenu {} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile RenderCheck

    proc CloseClosestPointDeformationMenu {} {
      wm withdraw .cp
      destroy .cp
    }

  set w .cp
  toplevel $w
  wm title $w "Closest Point Deformation"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClosestPointDeformationMenu
  pack $w.close -side bottom -pady 2m
  label $w.l -font $font -justify center -text "Select: 1) Source Filename,"
  label $w.l2 -font $font -justify center -text "2) Target Filename, and 3) Output Filename."
  label $w.l3 -font $font -justify center -text "4) Apply to deform Source to Target."
  pack $w.l $w.l2 $w.l3 -side top -pady 8
  
  foreach i {source target output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }

  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile

    set types {
	{"VTK PolyData Surface"		{.vtk}	}
	{"All files"		*}
    }
    if {$operation == "source"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_sourcefile $file
    } elseif {$operation == "target"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_targetfile $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -initialfile "cp_output" -defaultextension .vtk]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
    puts stdout "cp_sourcefile $cp_sourcefile"
  }

  checkbutton $w.show -font $font -foreground black -background gray -text " Render Result When Done " -variable RenderCheck 
  pack $w.show -pady 4 


  set closestpoint_command "dum"
  button $w.b0 -font $font -text " Apply " -foreground blue -width 20 -justify center -command ApplyClosestPointDeformation 
  pack $w.b0 -side top

}


proc ApplyClosestPointDeformationCurve {} {
   global cp_sourcefile cp_targetfile cp_outputfile RenderCheck
   global landmarker_home
   global app_type

   set app_name "curve_closestpoint"

   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set $app_name $landmarker_home$app_name 
   }

   puts stdout "Executing $app_name $cp_targetfile $cp_sourcefile $cp_outputfile"
   catch {exec $app_name $cp_targetfile $cp_sourcefile $cp_outputfile}
   puts stdout "Done."
   if {$RenderCheck} {
      puts stdout "Rendering Result..."
      ##ReadSplineFile $cp_outputfile
      ReadLineCrvFile $cp_outputfile
      puts stdout "Done."
   }

}

proc CreateClosestPointDeformationMenuCurve {} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile RenderCheck

    proc CloseClosestPointDeformationMenuCurve {} {
      wm withdraw .cpc
      destroy .cpc
    }

  set w .cpc
  toplevel $w
  wm title $w "Closest Point Deformation for Curve"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClosestPointDeformationMenuCurve
  pack $w.close -side bottom -pady 2m
  label $w.l -font $font -justify center -text "Select: 1) Source Filename (.sln or .crv),"
  label $w.l2 -font $font -justify center -text "2) Target Filename (.vtk), and 3) Output Filename (.sln or .crv)."
  label $w.l3 -font $font -justify center -text "4) Apply to deform Source to Target."
  pack $w.l $w.l2 $w.l3 -side top -pady 8
  
  foreach i {source target output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }

  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile

    if {$operation == "source"} {
      set types {
	 {"Spline File"		{.sln}	}
      {"Curve File"		{.crv}	}
      {"Landmark File"	{.log}	}
	 {"All files"		*}
      }
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_sourcefile $file
    } elseif {$operation == "target"} {
      set types {
      {"VTK Surface File"		{.vtk}	}
	 {"All files"		*}
       }
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_targetfile $file
    } else {
      set types {
	{"Text file with location and IDs"		{.txt}	}
	{"All files"		*}
      }
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -initialfile "cp_output" -defaultextension .txt]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
    puts stdout "cp_sourcefile $cp_sourcefile"
  }

  checkbutton $w.show -font $font -foreground black -background gray -text " Render Result When Done " -variable RenderCheck 
  pack $w.show -pady 4 


  set closestpoint_command "dum"
  button $w.b0 -font $font -text " Apply " -foreground blue -width 20 -justify center -command ApplyClosestPointDeformationCurve 
  pack $w.b0 -side top

}


proc ApplyIntersectSurface {} {
   global cp_sourcefile cp_targetfile cp_outputfile platform
   global landmarker_home RenderCheck
   global app_type

   if {! [file exists $cp_sourcefile ] } {
      notify_error "$cp_sourcefile not found"
      return -1
   }
   if {! [file exists $cp_targetfile ]} {
      notify_error "$cp_targetfile not found"
      return -1
   }   

   if {$platform == "windows"} {
      set app_name "intersect_surface"
   } else {
      set app_name "intersect_surface"
   }

   set app_name "intersect_surface"

   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set $app_name $landmarker_home$app_name 
   }

   puts stdout "Executing: $app_name $cp_targetfile $cp_sourcefile $cp_outputfile"
   catch {exec $app_name $cp_targetfile $cp_sourcefile $cp_outputfile}
   puts stdout "Done."

   if {$RenderCheck} {
      puts stdout "Rendering Result..."
      ReadSurfaceFile $cp_targetfile 
      ReadLineCrvFile $cp_sourcefile 
      ReadLandmarkFile $cp_outputfile
      puts stdout "Done."
   }
  
}


proc CreateIntersectSurfaceMenu {} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile RenderCheck
        
    proc CloseIntersectSurfaceMenu {} {
      wm withdraw .is
      destroy .is
    }

  set w .is
  toplevel $w
  wm title $w "Intersect Surface with Line(s)"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseIntersectSurfaceMenu
  pack $w.close -side bottom -pady 2m
  label $w.l -font $font -justify center -text "1) Select Source .crv Filename,"
  label $w.l2 -font $font -justify center -text "2) Select Target .vtk Filename,"
  label $w.l3 -font $font -justify center -text "3) Select Output .log Filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l $w.l2 $w.l3 $w.l4 -side top -pady 8
  
  foreach i {source target output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile

    if { $operation == "output" } {
       set types {
	   {"Landmark File"		{.log}	}
	   {"All files"		*}
       }
    } elseif {$operation == "target"} {
       set types {
	   {"VTK PolyData Surface"		{.vtk}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"LineCurve file"		{.crv}	}
	   {"All files"		*}
       } 
    }
    if {$operation == "source"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_sourcefile $file
    } elseif {$operation == "target"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_targetfile $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .log]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  checkbutton $w.show -font $font -foreground black -background gray -text " Render Result When Done " -variable RenderCheck 
  pack $w.show -pady 4 

  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ApplyIntersectSurface
  pack $w.b0 -side top

}

proc ApplyInterpolateBetween2Surfaces {} {
   global ibfilename1 ibfilename2 iboutfilename ibnsurfaces iboutdir currentdir
   global landmarker_home RenderCheck platform OpenAdditional
   global app_type

   if {! [file exists $ibfilename1 ] } {
      notify_error "$ibfilename2 not found"
      return -1
   }
   if {! [file exists $ibfilename2 ]} {
      notify_error "$ibfilaename2 not found"
      return -1
   }

   if {$platform == "windows"} {
      set app_name "interpolate_between2surfaces"
   } else {
      set app_name "interpolate_between2surfaces"
   }

   if {$app_type == "exe"} {
      set $app_name $app_name
   } else {
      set $app_name $landmarker_home$app_name 
   }


   set ibnsurfacesp1 [expr $ibnsurfaces + 1]
   puts stdout "Executing: $app_name $ibfilename1 $ibfilename2 $iboutfilename $ibnsurfacesp1"
   catch {exec $app_name $ibfilename1 $ibfilename2 $iboutfilename $ibnsurfacesp1}
   puts stdout "Done."

   # Rename the files (at the moment due to atoi not working in c++, names are .vtk, .vtk.vtk etc.)
   puts stdout "Copying ${ibfilename1} ${iboutfilename}0.vtk"
   file copy -force "${ibfilename1}" "${iboutfilename}0.vtk"
   set np1 [expr $ibnsurfaces + 1]
   puts stdout "Copying ${ibfilename2} ${iboutfilename}${np1}.vtk"
   ###file copy -force "${ibfilename2}" "${iboutfilename}${np1}.vtk"
   set extension ".vtk"
   set filename ${iboutfilename}
   for {set i 0} {$i < $ibnsurfaces} {incr i 1} {
        set ip1 [expr $i + 1]
        set filename ${filename}${extension}
        puts stdout "Renaming ${filename} ${iboutfilename}${ip1}.vtk"
        ##file rename -force "${filename}" "${iboutfilename}${ip1}.vtk"
        file copy -force "${filename}" "${iboutfilename}${ip1}.vtk"
   }

   # Create a .ani file for possible later use.  
   set outext "_ani.ani"
   set fileId [open ${iboutfilename}${outext} w]
   set filename ${iboutfilename}
   set extension ".vtk"
   for {set i 0} {$i < $np1} {incr i 1} {
        set filename ${iboutfilename}${i}${extension}
        puts $fileId $filename
   }
   close $fileId

   puts stdout "Rendering Result..."
   ReadAnimationFiles ${iboutfilename}${outext} 
   puts stdout "Done."
   CreateAnimateMenu
   AnimateSwing
}

proc CreateInterpolateBetween2SurfacesMenu {} {
    global tmpdir currentdir platform OpenAdditional
    global ibfilename1 ibfilename2 iboutfilename ibnsurfaces iboutdir
        
    proc CloseInterpolateBetween2SurfacesMenu {} {
      wm withdraw .ib
      destroy .ib
    }

  set w .ib
  toplevel $w
  wm title $w "Interpolate Between Two Surfaces"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseInterpolateBetween2SurfacesMenu
  pack $w.close -side bottom -pady 2m
  label $w.l -font $font -justify center -text "1) Select .vtk Filename for Surface 1,"
  label $w.l2 -font $font -justify center -text "2) Select .vtk Filename for Surface 2,"
  label $w.l3 -font $font -justify center -text "3) Select Output Filename (without extension),"
  label $w.l4 -font $font -justify center -text "4) Set N,"
  label $w.l5 -font $font -justify center -text "5) Compute N Interpolated Surfaces (excluding endpoints)."
  pack $w.l $w.l2 $w.l3 $w.l4 $w.l5 -side top -pady 8
  
  foreach i {source1 source2 output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir iboutdir
    global ibfilename1 ibfilename2 iboutfilename 

    if { $operation == "source1" } {
       set types {
	   {"VTK PolyData Surface"		{.vtk}	}
	   {"All files"		*}
       }
    } elseif {$operation == "source2"} {
       set types {
	   {"VTK PolyData Surface"		{.vtk}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"All files"		*}
       } 
    }
    if {$operation == "source1"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set ibfilename1 $file
      set currentdir [file dirname $file]
      UpdateCurrentDir
    } elseif {$operation == "source2"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set ibfilename2 $file
      set currentdir [file dirname $file]
      UpdateCurrentDir
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir ]
      set iboutfilename $file
      set iboutdir [file dirname $file]
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  scale $w.s -from 1 -to 19 -resolution 1 -length 400 -background #ff0 -label "N" -orient horizontal -variable ibnsurfaces
  pack $w.s -pady 4 
  set ibnsurfaces 7
  checkbutton $w.show -font $font -foreground black -background gray -text " Render Result When Done " -variable RenderCheck 
  pack $w.show -pady 4 

  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ApplyInterpolateBetween2Surfaces
  pack $w.b0 -side top

}



proc ApplyClosestPointDifference {} {
   global cp_sourcefile cp_targetfile cp_outputfile RenderCheck SignedCheck
   global landmarker_home cp_targetfile cp_sourcefile cp_outputfile RenderCheck SignedCheck lowersr uppersr

   puts stdout "ClosestPointDifference $cp_targetfile $cp_sourcefile $cp_outputfile $lowersr $uppersr $SignedCheck"
   ClosestPointDifference $cp_targetfile $cp_sourcefile $cp_outputfile $lowersr $uppersr $SignedCheck
   puts stdout "Done."

   if {$RenderCheck} {
      puts stdout "Rendering Result..."
      ReadSurfaceFile $cp_sourcefile 
      ReadScalarColors $cp_outputfile
      puts stdout "Done."
   }
  
}


proc CreateClosestPointDifferenceMenu {} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile
    global SignedCheck RenderCheck lowersr uppersr
    global closestpoint_slider_min closestpoint_slider_max
    
    proc CloseClosestPointDifferenceMenu {} {
      wm withdraw .cp
      destroy .cp
    }

  set w .cp
  toplevel $w
  wm title $w "Closest Point Difference"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClosestPointDifferenceMenu
  pack $w.close -side bottom -pady 2m
  label $w.l -font $font -justify center -text "1) Select Source Filename,"
  label $w.l2 -font $font -justify center -text "2) Select Target Filename,"
  label $w.l3 -font $font -justify center -text "3) Select Output Color (.clr) Filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l $w.l2 $w.l3 $w.l4 -side top -pady 8
  
  foreach i {source target output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile

    if { $operation == "output" } {
       set types {
	   {"Surface Color File"		{.clr}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"VTK PolyData Surface"		{.vtk}	}
	   {"All files"		*}
       }
    }
    if {$operation == "source"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_sourcefile $file
    } elseif {$operation == "target"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_targetfile $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .vtk]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  #set lutslidermin -10
  #set lutslidermax 10
  set lutslidermin $closestpoint_slider_min
  set lutslidermax $closestpoint_slider_max

  set lutslidermax 
  scale $w.min -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Minimum" -variable lowersr
  scale $w.max -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Maximum" -variable uppersr

  pack $w.min -fill both    
  pack $w.max -fill both    

  set SignedCheck 1
  checkbutton $w.signed -font $font -foreground black -background yellow -text " Signed Difference " -variable SignedCheck 
  checkbutton $w.show -font $font -foreground black -background gray -text " Render Result When Done " -variable RenderCheck 
  pack $w.signed $w.show -pady 4 

  set closestpoint_command "dum"
  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ApplyClosestPointDifference 
  pack $w.b0 -side top

}

proc ApplySurfaceDifference {} {
   global cp_sourcefile cp_targetfile cp_outputfile RenderCheck SignedCheck platform
   global landmarker_home cp_targetfile cp_sourcefile cp_outputfile RenderCheck SignedCheck lowersr uppersr
   global app_type
   global difference_between_two_surfaces_slider_min difference_between_two_surfaces_slider_max

   if {! [file exists $cp_targetfile ] } {
      puts stdout "$cp_targetfile not found"
      notify_error "$cp_targetfile not found"
      return -1
   }
   if {! [file exists $cp_sourcefile ]} {
      puts stdout "$cp_sourcefile not found"
      notify_error "$cp_sourcefile not found"
      return -1
   }

   if {$platform == "windows"} {
      if {$SignedCheck} {
        set app_name "difference_between2surfaces.exe "
      } else {
        set app_name "difference_between2surfaces.exe"
      }
   } else {
      if {$SignedCheck} {
        set app_name "difference_between2surfaces "
      } else {
        set app_name "difference_between2surfaces "
      }
   }

   puts stdout "Computing difference..."

   if {$app_type == "exe"} {
      set app_name $app_name
   } else {
      set app_name $landmarker_home$app_name 
   }
   
   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }
   
   ###puts stdout "Executing: $landmarker_home$app_name $cp_targetfile $cp_sourcefile $cp_outputfile $lowersr $uppersr"
   ###catch {exec $landmarker_home$app_name $cp_targetfile $cp_sourcefile $cp_outputfile $lowersr $uppersr }
   # New version of difference_between2surfaces.exe (Windows only) writes also the three vector components.
   set xout "${cp_outputfile}_x.clr" 
   set yout "${cp_outputfile}_y.clr" 
   set zout "${cp_outputfile}_z.clr" 
   puts stdout "Executing: $app_name $cp_targetfile $cp_sourcefile $cp_outputfile $lowersr $uppersr $xout $yout $zout"
   catch {exec $app_name $cp_targetfile $cp_sourcefile $cp_outputfile $lowersr $uppersr $xout $yout $zout}

   puts stdout "Done!"
   puts stdout "Result is written to $cp_outputfile"

   if {$RenderCheck} {
      puts stdout "Rendering Result..."
      ReadSurfaceFile $cp_sourcefile 
      ReadScalarColors $cp_outputfile
      puts stdout "Done."
   }
}

proc CreateSurfaceDifferenceMenu {} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile
    global SignedCheck RenderCheck lowersr uppersr
    global difference_between_two_surfaces_slider_min difference_between_two_surfaces_slider_max
    
    proc CloseSurfaceDifferenceMenu {} {
      wm withdraw .cp
      destroy .cp
    }

  set w .cp
  toplevel $w
  wm title $w "Difference Between 2 Surfaces"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseSurfaceDifferenceMenu
  pack $w.close -side bottom -pady 2m
  label $w.l0 -font $font -justify center -foreground red -text "(Target and Source must have same number of polygons!)"
  label $w.l -font $font -justify center -text "1) Select Source Filename,"
  label $w.l2 -font $font -justify center -text "2) Select Target Filename,"
  label $w.l3 -font $font -justify center -text "3) Select Output Color (.clr) Filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l0 $w.l $w.l2 $w.l3 $w.l4 -side top -pady 8
  
  foreach i {source target output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global cp_sourcefile cp_targetfile cp_outputfile

    if { $operation == "output" } {
       set types {
	   {"Surface Color File"		{.clr}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"VTK PolyData Surface"		{.vtk}	}
	   {"All files"		*}
       }
    }
    if {$operation == "source"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_sourcefile $file
    } elseif {$operation == "target"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_targetfile $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .vtk]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  set lutslidermin $difference_between_two_surfaces_slider_min
  set lutslidermax $difference_between_two_surfaces_slider_max
  scale $w.min -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Minimum" -variable lowersr
  scale $w.max -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Maximum" -variable uppersr

  pack $w.min -fill both    
  pack $w.max -fill both    

  set SignedCheck 1
  checkbutton $w.signed -font $font -foreground black -background yellow -text " Signed Difference " -variable SignedCheck -state disabled
  checkbutton $w.show -font $font -foreground black -background gray -text " Render Result When Done " -variable RenderCheck 
  pack $w.signed $w.show -pady 4 

  set closestpoint_command "dum"
  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ApplySurfaceDifference 
  pack $w.b0 -side top

}


proc CombineTwoFirstSurfaces {} {
   # Uses vtkAppendPolyData to combine the two first surfaces (loaded by LoadNew and LoadAdditional, respectively).
   # If you wish to combine more than two surfaces, you can use LoadAdditional again, then CombineTwoFirstSurfaces again etc.
   global oactorNum
   
   puts stdout "hej oactorNum $oactorNum"
   if {$oactorNum < 1} {
      notify_error "You need 2 or more surfaces in order to combine them!"
      return -1
   }
   vtkAppendPolyData appendP

   ###########################################
   # Here I tried ombining all current surfaces by appending from rmapper.  Did not work
   #for {set i 0} {$i == $oactorNum} {incr i 1} {
   #  puts stdout "appends $i"
   #  appendP AddInput [rmapper$i GetInputAsDataSet]
   #}
   ###########################################

   # Instead combine what is in PolyData and PolyDataPrevious
   appendP AddInput PolyData
   appendP AddInput PolyDataPrevious
   
   # We now wish to remove all oactors, and put the output of appendP in as oactor0, as well as put it in PolyData.

   RemoveAllOactors
   appendP Update
          PolyData CopyStructure [appendP GetOutput]
          [PolyData GetPointData] PassData [[appendP GetOutput] GetPointData]
          PolyData Modified
   # Since we removed all oactors we need to create a new one and put PolyData as input.
   set oactorNum 0
   vtkPolyDataMapper rmapper$oactorNum
     rmapper$oactorNum SetInput PolyData
   vtkTransformPolyDataFilter oactorPoly$oactorNum
       oactorPoly$oactorNum SetTransform identityTransform
       oactorPoly$oactorNum SetInput PolyData
   vtkActor oactor$oactorNum
     oactor$oactorNum SetMapper rmapper$oactorNum
    [oactor$oactorNum GetProperty] SetColor 1 1 1
    [oactor$oactorNum GetProperty] SetAmbient 0.20
    [oactor$oactorNum GetProperty] SetDiffuse 0.40
    [oactor$oactorNum GetProperty] SetSpecular 0.20
    [oactor$oactorNum GetProperty] SetSpecularPower 50.0
    [oactor$oactorNum GetProperty] SetOpacity 1.0
   ren1 AddActor oactor$oactorNum
   
   renWin Render
   appendP Delete
}

proc DistanceBetweenTwoPoints {p1 p2} {
  # Compute distance between two 3D points.
  # The 3D points must be represented as a triplet, e.g. as returned from a command like: set p1 [lmCoord GetPoint 1]
  set p1x [lindex $p1 0]
  set p1y [lindex $p1 1]
  set p1z [lindex $p1 2]
  set p2x [lindex $p2 0]
  set p2y [lindex $p2 1]
  set p2z [lindex $p2 2]
  set xdist [expr $p2x - $p1x]
  set ydist [expr $p2y - $p1y]
  set zdist [expr $p2z - $p1z]
  return [expr sqrt (( $xdist * $xdist ) + ( $ydist * $ydist ) +( $zdist * $zdist )) ] 
}
proc XDistanceBetweenTwoPoints {p1 p2} {
  # Compute distance between two 3D points.
  # The 3D points must be represented as a triplet, e.g. as returned from a command like: set p1 [lmCoord GetPoint 1]
  set p1x [lindex $p1 0]
  set p1y [lindex $p1 1]
  set p1z [lindex $p1 2]
  set p2x [lindex $p2 0]
  set p2y [lindex $p2 1]
  set p2z [lindex $p2 2]
  return [expr abs( $p2x - $p1x )]
}
proc YDistanceBetweenTwoPoints {p1 p2} {
  # Compute distance between two 3D points.
  # The 3D points must be represented as a triplet, e.g. as returned from a command like: set p1 [lmCoord GetPoint 1]
  set p1x [lindex $p1 0]
  set p1y [lindex $p1 1]
  set p1z [lindex $p1 2]
  set p2x [lindex $p2 0]
  set p2y [lindex $p2 1]
  set p2z [lindex $p2 2]
  return [expr abs( $p2y - $p1y )]
}
proc ZDistanceBetweenTwoPoints {p1 p2} {
  # Compute distance between two 3D points.
  # The 3D points must be represented as a triplet, e.g. as returned from a command like: set p1 [lmCoord GetPoint 1]
  set p1x [lindex $p1 0]
  set p1y [lindex $p1 1]
  set p1z [lindex $p1 2]
  set p2x [lindex $p2 0]
  set p2y [lindex $p2 1]
  set p2z [lindex $p2 2]
  return [expr abs( $p2z - $p1z )]
}

proc ComputeOrbitalIndex {} {
     global tmpdir orblinefile OrbitalIndexHasBeenComputed
     global corbit
     global cx cy cz
     global corbitx corbity corbitz
     global redcolarr greencolarr bluecolarr
     global orbitannotext OrbittextOn
     global lastlandmarkfilename

     # s = superior
     # i = inferior
     # m = medial
     # l = lateral
     # is = vector from i to s
    
     set s [lmCoord GetPoint 0] 
       set sx [lindex $s 0]
       set sy [lindex $s 1]
       set sz [lindex $s 2] 
     set i [lmCoord GetPoint 1]
       set ix [lindex $i 0]
       set iy [lindex $i 1]
       set iz [lindex $i 2] 
     set m [lmCoord GetPoint 2]
       set mx [lindex $m 0]
       set my [lindex $m 1]
       set mz [lindex $m 2] 
     set l [lmCoord GetPoint 3]         
       set lx [lindex $l 0]
       set ly [lindex $l 1]
       set lz [lindex $l 2] 

    # Compute center of the eye.  COG of the four orbit points.
    set cx [expr ($sx + $ix + $mx + $lx) / 4.0]  
    set cy [expr ($sy + $iy + $my + $ly) / 4.0]    
    set cz [expr ($sz + $iz + $mz + $lz) / 4.0] 
    set corbitx $cx
    set corbity $cy
    set corbitz $cz
   
    # Determine vertical-direction: it is along the coordinate axis direction that changes the most along the is vector.
    set dix [ XDistanceBetweenTwoPoints $i $s ]
    set diy [ YDistanceBetweenTwoPoints $i $s ]
    set diz [ ZDistanceBetweenTwoPoints $i $s ]
    if { (($dix >= $diy) && ($dix >= $diz)) } {
       set vert "x" 
    } elseif { (($diy >= $dix) && ($diy >= $diz)) } {
       set vert "y"
    } else {
       set vert "z"
    }
    #puts stdout "dix diy diz $dix $diy $diz"

    puts stdout "vert $vert" 
    # Determine horizontal-direction: it is along the coordinate axis direction that changes the most along the lm vector.
    set dix [ XDistanceBetweenTwoPoints $l $m ]
    set diy [ YDistanceBetweenTwoPoints $l $m ]
    set diz [ ZDistanceBetweenTwoPoints $l $m ]
    if { (($dix >= $diy) && ($dix >= $diz)) } {
       set hori "x" 
    } elseif { (($diy >= $dix) && ($diy >= $diz)) } {
       set hori "y"
    } else {
       set hori "z"
    }
    #puts stdout "hori $hori" 
   
    # sm shall always take i's horizontal coordinate.
    if { $hori == "x"  } {
      set smx $ix
      if { $vert == "y"  } {
        set smz $iz
        set smy $sy
      } elseif { $vert == "z"  } {
        set smy $iy
        set smz $sz
      }
    } elseif { $hori == "y"  } {
      set smy $iy
      if { $vert == "x"  } {
        set smz $iz
        set smx $sx
      } elseif { $vert == "z"  } {
        set smx $ix
        set smz $sz
      }
    } else {
      set smz $iz
      if { $vert == "x"  } {
        set smy $iy
        set smx $sx
      } elseif { $vert == "y"  } {
        set smx $ix
        set smy $sy
      }
    } 

    # mm shall always take l's vertical coordinate.
    if { $vert == "x"  } {
      set mmx $lx
      if { $hori == "y"  } {
        set mmz $lz
        set mmy $my
      } elseif { $hori == "z"  } {
        set mmy $ly
        set mmz $mz
      }
    } elseif { $vert == "y"  } {
      set mmy $ly
      if { $hori == "x"  } {
        set mmz $lz
        set mmx $mx
      } elseif { $hori == "z"  } {
        set mmx $lx
        set mmz $mz
      }
    } elseif { $vert == "z" } {
      set mmz $lz
      if { $hori == "x"  } {
        set mmy $ly
        set mmx $mx
      } elseif { $hori == "y"  } {
        set mmx $lx
        set mmy $my
      }
    } 

    vtkPoints sm
      sm InsertPoint 0 $smx $smy $smz
      set sm [sm GetPoint 0]
    vtkPoints mm
      mm InsertPoint 0 $mmx $mmy $mmz
      set mm [mm GetPoint 0]

    set h [ DistanceBetweenTwoPoints $i $s ]
    set w [ DistanceBetweenTwoPoints $l $m ]
    set oi [expr $h / $w]
    puts stdout "Height, width and orbital index:"
    puts stdout "h w oi $h $w $oi" 

    puts stdout "Original and corrected coordinates: superior and medial:"
    puts stdout "s $sx $sy $sz"
    puts stdout "sm $smx $smy $smz"
    puts stdout "m $mx $my $mz"
    puts stdout "mm $mmx $mmy $mmz"

    set hm [ DistanceBetweenTwoPoints $i $sm ]
    set wm [ DistanceBetweenTwoPoints $l $mm ]
    set oim [expr $hm / $wm]
    puts stdout "Corrected height, width and orbital index:"
    puts stdout "hm wm oim $hm $wm $oim" 

    # Create a temporary curve file: to be read if user clicks on "Draw lines".
    set orblinefile "orblinefile.crv"
    set fileId [open $tmpdir$orblinefile w]
    puts $fileId "$ix $iy $iz 0 0 1 1"
    puts $fileId "$smx $smy $smz 0 0 1 0"
    puts $fileId "$lx $ly $lz 0 0 1 1"
    puts $fileId "$mmx $mmy $mmz 0 0 1 0"
    close $fileId
    mm Delete
    sm Delete
    set OrbitalIndexHasBeenComputed 1
    
    set orbitannotext "Corrected Orbital Index: $oim"

    # Write different things to a file named orbitalindex.txt in the tmpdir directory.
    set orbfile "oi_info.txt"
    set fileId [open $tmpdir$orbfile w]
    puts $fileId "Orbital Index Information for file: "
    puts $fileId $lastlandmarkfilename
    puts $fileId "Created: [clock format [clock seconds]]"
    puts $fileId "Height, width and orbital index:"
    puts $fileId "h w oi $h $w $oi" 
    puts $fileId "Center point:"
    puts $fileId "c $cx $cy $cz"
    puts $fileId "Original and corrected coordinates: superior and medial:"
    puts $fileId "s $sx $sy $sz"
    puts $fileId "sm $smx $smy $smz"
    puts $fileId "m $mx $my $mz"
    puts $fileId "mm $mmx $mmy $mmz"
    puts $fileId "Original coordinates: inferior and lateral:"
    puts $fileId "i $ix $iy $iz"
    puts $fileId "l $lx $ly $lz"
    puts $fileId "Corrected height, width and orbital index:"
    puts $fileId "hm wm oim $hm $wm $oim" 
    close $fileId
}

proc DrawOrbitLines {} {
      global tmpdir orblinefile OrbitalIndexHasBeenComputed
      global cx cy cz
      global redcolarr greencolarr bluecolarr
      global corbitx corbity corbitz
      global orbitannotext OrbittextOn
      global lmDiameter

      puts stdout "OrbitalIndexHasBeenComputed $OrbitalIndexHasBeenComputed" 
      if {! $OrbitalIndexHasBeenComputed } { 
         notify_error "You must Compute before you can Display"
         return -1
      } 
      ReadLineCrvFile $tmpdir$orblinefile
      if {$OrbittextOn} {
         AnnotateTextErase
      }
      AnnotateText $orbitannotext
      set OrbittextOn 1
      # Put a yellow spere at eye center...
   vtkSphereSource eSphere
     eSphere SetRadius $lmDiameter
     eSphere SetCenter $cx $cy $cz
     eSphere SetThetaResolution 10
     eSphere SetPhiResolution 10
   vtkPolyDataMapper eSphereMapper
     eSphereMapper SetInput [eSphere GetOutput]
   vtkActor eSphereActor
     eSphereActor SetMapper eSphereMapper
     [eSphereActor GetProperty] SetColor 1 1 0 
     eSphereActor PickableOff
     eSphereActor VisibilityOn
     ren1 AddActor eSphereActor  
     renWin Render
   eSphere Delete
   eSphereMapper Delete
   eSphereActor Delete   
}

proc CreateOrbitalIndexMenu {} {
   global setarr setarr_source maxNlandmarks max_set
   global LandmarkFileHasBeenRead SurfaceFileHasBeenRead 
   global tmpdir orblinefile OrbitalIndexHasBeenComputed
   global corbit
   global cx cy cz
   global redcolarr greencolarr bluecolarr
   global corbitx corbity corbitz
   global orbitannotext OrbittextOn
   global lastlandmarkfilename

   set OrbitalIndexHasBeenComputed 0
   set OrbittextOn 0
   
    proc CloseOrbitalIndexMenu {} {
      global OrbitalIndexHasBeenComputed OrbittextOn
      set OrbitalIndexHasBeenComputed 0
      if {$OrbittextOn} {
        AnnotateTextErase
        set OrbittextOn 0
      }
      wm withdraw .oi
      destroy .oi
    }

  toplevel .oi
  wm title .oi "Compute Orbital Index"
  set font {Helvetica 14}

  button .oi.close -font $font -text  " Close "  -width 15 -foreground red -command CloseOrbitalIndexMenu
  pack .oi.close -side bottom -pady 2m

  label .oi.l1 -font $font -justify center -text "Load or set 4 orbital rim landmarks:"
  label .oi.l2 -font $font -justify center -text "(0 = superior, 1 = inferior, 2 = medial, 3 = lateral)"
  pack .oi.l1 .oi.l2 -side top -pady 8

  frame .oi.f1
  button .oi.f1.b1 -font $font -text " Compute " -foreground blue -width 20 -justify center -command ComputeOrbitalIndex
  button .oi.f1.b2 -font $font -text " Draw Lines " -width 10 -justify center -command DrawOrbitLines
  pack .oi.f1 -side top
  pack .oi.f1.b1 .oi.f1.b2 -side left -expand 1
}

proc ComputeProtrusionSquint {} {
     global tmpdir orblinefile OrbitalIndexHasBeenComputed
     global corbit
     global cx cy cz
     global corbitx corbity corbitz
     global redcolarr greencolarr bluecolarr
     global orbitannotext OrbittextOn
     global lastlandmarkfilename
     global pi

     # Here we assume the user has loaded landmarks from 5 files (or a combi file, or from a list of files).
     # 1) Left orbit landmarks: 0,1,2,3,
     # 2) Right orbit landmarks: 4,5,6,7,
     # 3) Left eye landmarks: 8,9,10,11,
     # 4) Right eye landmarks: 12,13,14,15,
     # 5) Sella: 16.

     # Here we calculate:
     # Relative protrusion: eye ball center relative to s and i, respectively. 
     # Absolute protrusion: distance of eye ball center from sella.
     # Squint: Angle between c-pup on left and right side.
     # Inclination of orbital opening: 
     #      A) Difference in length of i-sella and s-sella.
     #      B) Angle between is and vertical.
     
     # s = superior
     # i = inferior
     # m = medial
     # l = lateral
     # is = vector from i to s
    
     set Ls [lmCoord GetPoint 0] 
       set sx [lindex $Ls 0]
       set sy [lindex $Ls 1]
       set sz [lindex $Ls 2] 
     set Li [lmCoord GetPoint 1]
       set ix [lindex $Li 0]
       set iy [lindex $Li 1]
       set iz [lindex $Li 2] 
     set Lm [lmCoord GetPoint 2]
       set mx [lindex $Lm 0]
       set my [lindex $Lm 1]
       set mz [lindex $Lm 2] 
     set Ll [lmCoord GetPoint 3]         
       set lx [lindex $Ll 0]
       set ly [lindex $Ll 1]
       set lz [lindex $Ll 2] 

    # Compute center of the eye.  COG of the four orbit points.
    set Lcx [expr ($sx + $ix + $mx + $lx) / 4.0]  
    set Lcy [expr ($sy + $iy + $my + $ly) / 4.0]    
    set Lcz [expr ($sz + $iz + $mz + $lz) / 4.0] 
    
    # Get absolute protrusion: establishes sign of inclination.
     set sella [lmCoord GetPoint 16]
       set sellax [lindex $sella 0]
       set sellay [lindex $sella 1]
       set sellaz [lindex $sella 2]
     vtkPoints Lc
       Lc InsertPoint 0 $Lcx $Lcy $Lcz
       set Lc [Lc GetPoint 0]
     #Lc Delete
     set Ldsellac [ DistanceBetweenTwoPoints $sella $Lc ]
     puts stdout "Absolute protrusion of eyeball; dist(sella,c): $Ldsellac"
     set dsellas [ DistanceBetweenTwoPoints $sella $Ls ]
     puts stdout "dist(sella,s): $dsellas"
     set dsellai [ DistanceBetweenTwoPoints $sella $Li ]
     puts stdout "dist(sella,i): $dsellai"
     set dsellam [ DistanceBetweenTwoPoints $sella $Lm ]
     puts stdout "dist(sella,m): $dsellam"
     set dsellal [ DistanceBetweenTwoPoints $sella $Ll ]
     puts stdout "dist(sella,l): $dsellal"

   
    set i $Li
    set s $Ls
    set m $Lm
    set l $Ll
    # Determine vertical-direction: it is along the coordinate axis direction that changes the most along the is vector.
    set dix [ XDistanceBetweenTwoPoints $i $s ]
    set diy [ YDistanceBetweenTwoPoints $i $s ]
    set diz [ ZDistanceBetweenTwoPoints $i $s ]
    if { (($dix >= $diy) && ($dix >= $diz)) } {
       set vert "x" 
    } elseif { (($diy >= $dix) && ($diy >= $diz)) } {
       set vert "y"
    } else {
       set vert "z"
    }
    #puts stdout "dix diy diz $dix $diy $diz"

    puts stdout "vert $vert" 
    # Determine horizontal-direction: it is along the coordinate axis direction that changes the most along the lm vector.
    set dix [ XDistanceBetweenTwoPoints $l $m ]
    set diy [ YDistanceBetweenTwoPoints $l $m ]
    set diz [ ZDistanceBetweenTwoPoints $l $m ]
    if { (($dix >= $diy) && ($dix >= $diz)) } {
       set hori "x" 
    } elseif { (($diy >= $dix) && ($diy >= $diz)) } {
       set hori "y"
    } else {
       set hori "z"
    }
    #puts stdout "hori $hori" 
   
    # sm shall always take i's horizontal coordinate.
    if { $hori == "x"  } {
      set smx $ix
      if { $vert == "y"  } {
        set smz $iz
        set smy $sy
        set perp "z"
      } elseif { $vert == "z"  } {
        set smy $iy
        set smz $sz
        set perp "y"
      }
    } elseif { $hori == "y"  } {
      set smy $iy
      if { $vert == "x"  } {
        set smz $iz
        set smx $sx
        set perp "z"
      } elseif { $vert == "z"  } {
        set smx $ix
        set smz $sz
        set perp "x"
      }
    } else {
      set smz $iz
      if { $vert == "x"  } {
        set smy $iy
        set smx $sx
        set perp "y"
      } elseif { $vert == "y"  } {
        set smx $ix
        set smy $sy
        set perp "x"
      }
    } 

    # mm shall always take l's vertical coordinate.
    if { $vert == "x"  } {
      set mmx $lx
      if { $hori == "y"  } {
        set mmz $lz
        set mmy $my
      } elseif { $hori == "z"  } {
        set mmy $ly
        set mmz $mz
      }
    } elseif { $vert == "y"  } {
      set mmy $ly
      if { $hori == "x"  } {
        set mmz $lz
        set mmx $mx
      } elseif { $hori == "z"  } {
        set mmx $lx
        set mmz $mz
      }
    } elseif { $vert == "z" } {
      set mmz $lz
      if { $hori == "x"  } {
        set mmy $ly
        set mmx $mx
      } elseif { $hori == "y"  } {
        set mmx $lx
        set mmy $my
      }
    } 

    # Relative protrusion: eye ball center relative to s and i, respectively.  Note that this is a signed distance.
    # It is measured along the AP-direction (perp)
    if {$perp == "x"} {
      if {$sellax <= $Lcx} {
         set forward 1.0
      } else {
         set forward -1.0
      }
      # Ldic is positive if c is more forward than i, AND perp axis increases in forward direction.
      set Ldic [expr $forward * ( $ix - $Lcx )]
      set Ldsc [expr $forward * ( $sx - $Lcx )]
    } elseif {$perp == "y"} {
      if {$sellay <= $Lcy} {
         set forward 1.0
      } else {
         set forward -1.0
      }
      # Ldic is positive if c is more forward than i, AND perp axis increases in forward direction.
      set Ldic [expr $forward * ( $iy - $Lcy )]
      set Ldsc [expr $forward * ( $sy - $Lcy )]
    } else {
      if {$sellaz <= $Lcz} {
         set forward 1.0
      } else {
         set forward -1.0
      }
      # Ldic is positive if c is more forward than i, AND perp axis increases in forward direction.
      set Ldic [expr $forward * ( $iz - $Lcz )]
      set Ldsc [expr $forward * ( $sz - $Lcz )]
    }
    puts stdout "Relative Protrusion, left side: (positive means c more forward) "
    puts stdout "Eye ball relative to s: $Ldsc"
    puts stdout "Eye ball relative to i: $Ldic"

    # Inclination of orbital opening: 
    #      A) Difference in length of i-sella and s-sella.
    #      B) Angle between is and vertical.

    # incli1 is positive if s is most protruding (most forward)
    set incli1 [expr $dsellas - $dsellai]
    puts stdout "Inclination measured as (sella-s - sella-i): (positive if s is most forward)"
    puts stdout "$incli1"

    # And the inclination angle.
    set vec1x [expr $sx - $ix]
    set vec1y [expr $sy - $iy]
    set vec1z [expr $sz - $iz]
    set vec2x [expr $smx - $ix]
    set vec2y [expr $smy - $iy]   
    set vec2z [expr $smz - $iz]
    puts stdout "$vec1x $vec1y $vec1z $vec2x $vec2y $vec2z" 

    set incli2 [expr $forward * [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]  
    puts stdout "Inclination angle, left side: (positive if s is more protruding than i)"
    puts stdout "$incli2"

    vtkPoints sm
      sm InsertPoint 0 $smx $smy $smz
      set sm [sm GetPoint 0]
    vtkPoints mm
      mm InsertPoint 0 $mmx $mmy $mmz
      set mm [mm GetPoint 0]

    set h [ DistanceBetweenTwoPoints $i $s ]
    set w [ DistanceBetweenTwoPoints $l $m ]
    set oi [expr $h / $w]
    puts stdout "Height, width and orbital index:"
    puts stdout "h w oi $h $w $oi" 

    puts stdout "Original and corrected coordinates: superior and medial:"
    puts stdout "s $sx $sy $sz"
    puts stdout "sm $smx $smy $smz"
    puts stdout "m $mx $my $mz"
    puts stdout "mm $mmx $mmy $mmz"

    set hm [ DistanceBetweenTwoPoints $i $sm ]
    set wm [ DistanceBetweenTwoPoints $l $mm ]
    set oim [expr $hm / $wm]
    puts stdout "Corrected height, width and orbital index:"
    puts stdout "hm wm oim $hm $wm $oim" 

    # Create a temporary curve file: to be read if user clicks on "Draw lines".
    #set orblinefile "orblinefile.crv"
    #set fileId [open $tmpdir$orblinefile w]
    #puts $fileId "$ix $iy $iz 0 0 1 1"
    #puts $fileId "$smx $smy $smz 0 0 1 0"
    #puts $fileId "$lx $ly $lz 0 0 1 1"
    #puts $fileId "$mmx $mmy $mmz 0 0 1 0"
    #close $fileId
    mm Delete
    sm Delete
    set OrbitalIndexHasBeenComputed 1
    
    set orbitannotext "Corrected Orbital Index: $oim"

    # Write different things to a file named orbitalindex.txt in the tmpdir directory.
    set orbfile "oi_info.txt"
    set fileId [open $tmpdir$orbfile w]
    puts $fileId "Orbital Index Information for file: "
    puts $fileId $lastlandmarkfilename
    puts $fileId "Created: [clock format [clock seconds]]"
    puts $fileId "#########################################"
    puts $fileId "#### LEFT EYE: ##########################"
    puts $fileId "Height, width and orbital index (3D):"
    puts $fileId "h w oi $h $w $oi" 
    puts $fileId "Center point:"
    puts $fileId "c $Lcx $Lcy $Lcz"
    puts $fileId "Original and corrected coordinates: superior and medial:"
    puts $fileId "s $sx $sy $sz"
    puts $fileId "sm $smx $smy $smz"
    puts $fileId "m $mx $my $mz"
    puts $fileId "mm $mmx $mmy $mmz"
    puts $fileId "Original coordinates: inferior and lateral:"
    puts $fileId "i $ix $iy $iz"
    puts $fileId "l $lx $ly $lz"
    puts $fileId "Corrected height, width and orbital index:"
    puts $fileId "hm wm oim $hm $wm $oim" 
    puts $fileId "----------------"
    puts $fileId "Absolute protrusion of eyeball; dist(sella,c): $Ldsellac"
    puts $fileId "dist(sella,s): $dsellas"
    puts $fileId "dist(sella,i): $dsellai"
    puts $fileId "dist(sella,m): $dsellam"
    puts $fileId "dist(sella,l): $dsellal"
    puts $fileId "----------------"
    puts $fileId "Relative Protrusion, left side: (positive means c more forward) "
    puts $fileId "Eye ball relative to s: $Ldsc"
    puts $fileId "Eye ball relative to i: $Ldic"
    puts $fileId "----------------"
    puts $fileId "Inclination measured as (sella-s - sella-i): (positive if s is most forward)"
    puts $fileId "$incli1"
    puts $fileId "----------------"
    puts $fileId "Inclination angle, left side: (positive if s is more protruding than i)"
    puts $fileId "$incli2"
    puts $fileId "----------------"


    # DONE WITH LEFT SIDE

    puts stdout "######## RIGHT EYE: ######################"

     set Rs [lmCoord GetPoint 4] 
       set sx [lindex $Rs 0]
       set sy [lindex $Rs 1]
       set sz [lindex $Rs 2] 
     set Ri [lmCoord GetPoint 5]
       set ix [lindex $Ri 0]
       set iy [lindex $Ri 1]
       set iz [lindex $Ri 2] 
     set Rm [lmCoord GetPoint 6]
       set mx [lindex $Rm 0]
       set my [lindex $Rm 1]
       set mz [lindex $Rm 2] 
     set Rl [lmCoord GetPoint 7]         
       set lx [lindex $Rl 0]
       set ly [lindex $Rl 1]
       set lz [lindex $Rl 2] 

    # Compute center of the right eye.  COG of the four orbit points.
    set Rcx [expr ($sx + $ix + $mx + $lx) / 4.0]  
    set Rcy [expr ($sy + $iy + $my + $ly) / 4.0]    
    set Rcz [expr ($sz + $iz + $mz + $lz) / 4.0] 
    
    # Get absolute protrusion: establishes sign of inclination.
     vtkPoints Rc
       Rc InsertPoint 0 $Rcx $Rcy $Rcz
       set Rc [Rc GetPoint 0]
     #Rc Delete
     set Rdsellac [ DistanceBetweenTwoPoints $sella $Rc ]
     puts stdout "Absolute protrusion of eyeball; dist(sella,c): $Rdsellac"
     set dsellas [ DistanceBetweenTwoPoints $sella $Rs ]
     puts stdout "dist(sella,s): $dsellas"
     set dsellai [ DistanceBetweenTwoPoints $sella $Ri ]
     puts stdout "dist(sella,i): $dsellai"
     set dsellam [ DistanceBetweenTwoPoints $sella $Rm ]
     puts stdout "dist(sella,m): $dsellam"
     set dsellal [ DistanceBetweenTwoPoints $sella $Rl ]
     puts stdout "dist(sella,l): $dsellal"

   
    set i $Ri
    set s $Rs
    set m $Rm
    set l $Rl
    # Determine vertical-direction: it is along the coordinate axis direction that changes the most along the is vector.
    set dix [ XDistanceBetweenTwoPoints $i $s ]
    set diy [ YDistanceBetweenTwoPoints $i $s ]
    set diz [ ZDistanceBetweenTwoPoints $i $s ]
    if { (($dix >= $diy) && ($dix >= $diz)) } {
       set vert "x" 
    } elseif { (($diy >= $dix) && ($diy >= $diz)) } {
       set vert "y"
    } else {
       set vert "z"
    }
    #puts stdout "dix diy diz $dix $diy $diz"

    puts stdout "vert $vert" 
    # Determine horizontal-direction: it is along the coordinate axis direction that changes the most along the lm vector.
    set dix [ XDistanceBetweenTwoPoints $l $m ]
    set diy [ YDistanceBetweenTwoPoints $l $m ]
    set diz [ ZDistanceBetweenTwoPoints $l $m ]
    if { (($dix >= $diy) && ($dix >= $diz)) } {
       set hori "x" 
    } elseif { (($diy >= $dix) && ($diy >= $diz)) } {
       set hori "y"
    } else {
       set hori "z"
    }
    #puts stdout "hori $hori" 
   
    # sm shall always take i's horizontal coordinate.
    if { $hori == "x"  } {
      set smx $ix
      if { $vert == "y"  } {
        set smz $iz
        set smy $sy
        set perp "z"
      } elseif { $vert == "z"  } {
        set smy $iy
        set smz $sz
        set perp "y"
      }
    } elseif { $hori == "y"  } {
      set smy $iy
      if { $vert == "x"  } {
        set smz $iz
        set smx $sx
        set perp "z"
      } elseif { $vert == "z"  } {
        set smx $ix
        set smz $sz
        set perp "x"
      }
    } else {
      set smz $iz
      if { $vert == "x"  } {
        set smy $iy
        set smx $sx
        set perp "y"
      } elseif { $vert == "y"  } {
        set smx $ix
        set smy $sy
        set perp "x"
      }
    } 

    # mm shall always take l's vertical coordinate.
    if { $vert == "x"  } {
      set mmx $lx
      if { $hori == "y"  } {
        set mmz $lz
        set mmy $my
      } elseif { $hori == "z"  } {
        set mmy $ly
        set mmz $mz
      }
    } elseif { $vert == "y"  } {
      set mmy $ly
      if { $hori == "x"  } {
        set mmz $lz
        set mmx $mx
      } elseif { $hori == "z"  } {
        set mmx $lx
        set mmz $mz
      }
    } elseif { $vert == "z" } {
      set mmz $lz
      if { $hori == "x"  } {
        set mmy $ly
        set mmx $mx
      } elseif { $hori == "y"  } {
        set mmx $lx
        set mmy $my
      }
    } 

    # Relative protrusion: eye ball center relative to s and i, respectively.  Note that this is a signed distance.
    # It is measured along the AP-direction (perp)
    if {$perp == "x"} {
      if {$sellax <= $Rcx} {
         set forward 1.0
      } else {
         set forward -1.0
      }
      # Rdic is positive if c is more forward than i, AND perp axis increases in forward direction.
      set Rdic [expr $forward * ( $ix - $Rcx )]
      set Rdsc [expr $forward * ( $sx - $Rcx )]
    } elseif {$perp == "y"} {
      if {$sellay <= $Rcy} {
         set forward 1.0
      } else {
         set forward -1.0
      }
      # Rdic is positive if c is more forward than i, AND perp axis increases in forward direction.
      set Rdic [expr $forward * ( $iy - $Rcy )]
      set Rdsc [expr $forward * ( $sy - $Rcy )]
    } else {
      if {$sellaz <= $Rcz} {
         set forward 1.0
      } else {
         set forward -1.0
      }
      # Rdic is positive if c is more forward than i, AND perp axis increases in forward direction.
      set Rdic [expr $forward * ( $iz - $Rcz )]
      set Rdsc [expr $forward * ( $sz - $Rcz )]
    }
    puts stdout "Relative Protrusion, right side: (positive means c more forward) "
    puts stdout "Eye ball relative to s: $Rdsc"
    puts stdout "Eye ball relative to i: $Rdic"

    # Inclination of orbital opening: 
    #      A) Difference in length of i-sella and s-sella.
    #      B) Angle between is and vertical.

    # incli1 is positive if s is most protruding (most forward)
    set incli1 [expr $dsellas - $dsellai]
    puts stdout "Inclination measured as (sella-s - sella-i): (positive if s is most forward)"
    puts stdout "$incli1"

    # And the inclination angle.
    set vec1x [expr $sx - $ix]
    set vec1y [expr $sy - $iy]
    set vec1z [expr $sz - $iz]
    set vec2x [expr $smx - $ix]
    set vec2y [expr $smy - $iy]   
    set vec2z [expr $smz - $iz]
    puts stdout "$vec1x $vec1y $vec1z $vec2x $vec2y $vec2z" 

    set incli2 [expr $forward * [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]  
    puts stdout "Inclination angle, left side: (positive if s is more protruding than i)"
    puts stdout "$incli2"

    vtkPoints sm
      sm InsertPoint 0 $smx $smy $smz
      set sm [sm GetPoint 0]
    vtkPoints mm
      mm InsertPoint 0 $mmx $mmy $mmz
      set mm [mm GetPoint 0]

    set h [ DistanceBetweenTwoPoints $i $s ]
    set w [ DistanceBetweenTwoPoints $l $m ]
    set oi [expr $h / $w]
    puts stdout "Height, width and orbital index:"
    puts stdout "h w oi $h $w $oi" 

    puts stdout "Original and corrected coordinates: superior and medial:"
    puts stdout "s $sx $sy $sz"
    puts stdout "sm $smx $smy $smz"
    puts stdout "m $mx $my $mz"
    puts stdout "mm $mmx $mmy $mmz"

    set hm [ DistanceBetweenTwoPoints $i $sm ]
    set wm [ DistanceBetweenTwoPoints $l $mm ]
    set oim [expr $hm / $wm]
    puts stdout "Corrected height, width and orbital index:"
    puts stdout "hm wm oim $hm $wm $oim" 

    # Create a temporary curve file: to be read if user clicks on "Draw lines".
    #set orblinefile "orblinefile.crv"
    #set fileId [open $tmpdir$orblinefile w]
    #puts $fileId "$ix $iy $iz 0 0 1 1"
    #puts $fileId "$smx $smy $smz 0 0 1 0"
    #puts $fileId "$lx $ly $lz 0 0 1 1"
    #puts $fileId "$mmx $mmy $mmz 0 0 1 0"
    #close $fileId
    mm Delete
    sm Delete
    set OrbitalIndexHasBeenComputed 1
    
    set orbitannotext "Corrected Orbital Index: $oim"

    # DONE WITH RIGHT SIDE

    # Compute angle between sella-lefteyeball and sella-righteyeball.
    set vec1x [expr $sellax - $Lcx]
    set vec1y [expr $sellay - $Lcy]
    set vec1z [expr $sellaz - $Lcz]
    set vec2x [expr $sellax - $Rcx]
    set vec2y [expr $sellay - $Rcy]   
    set vec2z [expr $sellaz - $Rcz]
    puts stdout "$vec1x $vec1y $vec1z $vec2x $vec2y $vec2z" 
    set sellang [expr [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]  
    puts stdout "Angle between sella-lefteyeball and sella-righteyeball: $sellang"

    # DIstance between eyes.
    set eyedist [DistanceBetweenTwoPoints $Lc $Rc]
    puts stdout "Distance between eyes: $eyedist"

    # Squint.

    set Lpup [lmCoord GetPoint 9]
      set Lpupx [lindex $Lpup 0]
      set Lpupy [lindex $Lpup 1]
      set Lpupz [lindex $Lpup 2]
    set Rpup [lmCoord GetPoint 13]
      set Rpupx [lindex $Rpup 0]
      set Rpupy [lindex $Rpup 1]
      set Rpupz [lindex $Rpup 2]
    set vec1x [expr $Lcx - $Lpupx]
    set vec1y [expr $Lcy - $Lpupy]
    set vec1z [expr $Lcz - $Lpupz]
    set vec2x [expr $Rcx - $Rpupx]
    set vec2y [expr $Rcy - $Rpupy]   
    set vec2z [expr $Rcz - $Rpupz]
    set squint [expr [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]  

    puts stdout "Squint: $squint"

    set vec1x [expr $Lpupx - $Lcx]
    set vec1y [expr $Lpupy - $Lcy]
    set vec1z [expr $Lpupz - $Lcz]
    set vec2x [expr $Rpupx - $Rcx]
    set vec2y [expr $Rpupy - $Rcy]   
    set vec2z [expr $Rpupz - $Rcz]
    set squint [expr [ComputeAngle $vec1x $vec1y $vec1z $vec2x $vec2y $vec2z] * 180.0 / $pi ]  
    puts stdout "Squint: $squint"



    # Write different things to a file named orbitalindex.txt in the tmpdir directory.
    puts $fileId "#########################################"
    puts $fileId "#### RIGHT EYE: ##########################"
    puts $fileId "Height, width and orbital index (3D):"
    puts $fileId "h w oi $h $w $oi" 
    puts $fileId "Center point:"
    puts $fileId "c $Rcx $Rcy $Rcz"
    puts $fileId "Original and corrected coordinates: superior and medial:"
    puts $fileId "s $sx $sy $sz"
    puts $fileId "sm $smx $smy $smz"
    puts $fileId "m $mx $my $mz"
    puts $fileId "mm $mmx $mmy $mmz"
    puts $fileId "Original coordinates: inferior and lateral:"
    puts $fileId "i $ix $iy $iz"
    puts $fileId "l $lx $ly $lz"
    puts $fileId "Corrected height, width and orbital index:"
    puts $fileId "hm wm oim $hm $wm $oim" 
    puts $fileId "----------------"
    puts $fileId "Absolute protrusion of eyeball; dist(sella,c): $Rdsellac"
    puts $fileId "dist(sella,s): $dsellas"
    puts $fileId "dist(sella,i): $dsellai"
    puts $fileId "dist(sella,m): $dsellam"
    puts $fileId "dist(sella,l): $dsellal"
    puts $fileId "----------------"
    puts $fileId "Relative Protrusion, right side: (positive means c more forward) "
    puts $fileId "Eye ball relative to s: $Rdsc"
    puts $fileId "Eye ball relative to i: $Rdic"
    puts $fileId "----------------"
    puts $fileId "Inclination measured as (sella-s - sella-i): (positive if s is most forward)"
    puts $fileId "$incli1"
    puts $fileId "----------------"
    puts $fileId "Inclination angle, right side: (positive if s is more protruding than i)"
    puts $fileId "$incli2"
    puts $fileId "----------------"
    puts $fileId "#########################################"
    puts $fileId "#### RELATION BETWEEN EYES: ##########################" 
    puts $fileId " Angle bewteen sella-lefteyeball and sella-righteyeball: $sellang" 
    puts $fileId "Distance between left and right eyeball: $eyedist"
    puts $fileId "Squint angle: $squint"
    puts $fileId "#########################################"
    close $fileId

    Lc Delete
    Rc Delete
}

proc CreateProtrusionSquintMenu {} {
   global setarr setarr_source maxNlandmarks max_set
   global LandmarkFileHasBeenRead SurfaceFileHasBeenRead 
   global tmpdir orblinefile OrbitalIndexHasBeenComputed
   global corbit
   global cx cy cz
   global redcolarr greencolarr bluecolarr
   global corbitx corbity corbitz
   global orbitannotext OrbittextOn
   global lastlandmarkfilename

   set OrbitalIndexHasBeenComputed 0
   set OrbittextOn 0
   
    proc CloseProtrusionSquintMenu {} {
      global OrbitalIndexHasBeenComputed OrbittextOn
      set OrbitalIndexHasBeenComputed 0
      if {$OrbittextOn} {
        AnnotateTextErase
        set OrbittextOn 0
      }
      wm withdraw .ps
      destroy .ps
    }

  toplevel .ps
  wm title .ps "Compute Eye Protrusion and Squint"
  set font {Helvetica 14}

  button .ps.close -font $font -text  " Close "  -width 15 -foreground red -command CloseProtrusionSquintMenu
  pack .ps.close -side bottom -pady 2m

  label .ps.l1 -font $font -justify center -text "Load 5 landmark (.log) files (or one combined file):"
  label .ps.l2 -font $font -justify center -text "1) (LoadNew) Left Orbit (4 landmarks)"
  label .ps.l3 -font $font -justify center -text "2) (LoadAppend) Right Orbit (4 landmarks)"
  label .ps.l4 -font $font -justify center -text "3) (LoadAppend) Left Eye (4 landmarks)"
  label .ps.l5 -font $font -justify center -text "4) (LoadAppend) Right Eye (4 landmarks)"
  label .ps.l6 -font $font -justify center -text "5) (LoadAppend) Sella Turcica (1 landmark)"

  pack .ps.l1 .ps.l2 .ps.l3 .ps.l4 .ps.l5 .ps.l6 -side top -pady 8

  frame .ps.f1
  button .ps.f1.b1 -font $font -text " Compute " -foreground blue -width 20 -justify center -command ComputeProtrusionSquint
  button .ps.f1.b2 -font $font -text " Draw Lines " -width 10 -justify center -command DrawProtrusionLines
  pack .ps.f1 -side top
  pack .ps.f1.b1 .ps.f1.b2 -side left -expand 1
}


proc RemoveUnsetLandmarks {} {
   # Replace lmCoord by a new array where we leave out unset landmarks.
   global setarr 
   global lmIndex max_set maxNlandmarks tmpdir maxlmIndex

   vtkPoints tempPoints
   set np [lmCoord GetNumberOfPoints]
   puts stdout "number of points in lmCoord: $np"

   set k 0
   for {set i 0} {$i < $np} {incr i 1} {
      if {$setarr($i) == 1} {
        set xyz [lmCoord GetPoint $i]
          set xp [lindex $xyz 0]
          set yp [lindex $xyz 1]
          set zp [lindex $xyz 2]
        tempPoints InsertPoint $k $xp $yp $zp
        incr k 1
      } else {
        puts stdout "setarr($i) 0"
      }
   }
   for {set i 0} {$i < $maxNlandmarks} {incr i 1} {
      set setarr($i) 0
      set createdarr($i) 0
   }
   DeleteAllSphereLandmarks
   lmCoord Delete
   vtkPoints lmCoord
   set np [tempPoints GetNumberOfPoints]
   puts stdout "number of points in tempPoints: $np"
   for {set i 0} {$i < $np} {incr i 1} {
      set xyz [tempPoints GetPoint $i]
          set xp [lindex $xyz 0]
          set yp [lindex $xyz 1]
          set zp [lindex $xyz 2]
        lmCoord InsertPoint $i $xp $yp $zp
      set setarr($i) 1
      set createdarr($i) 1
      set maxlmIndex $i
      set max_set $i
   }
   tempPoints Delete
   
   WriteSimpleLm "${tmpdir}tmplandmarks.log"
   ##DeleteAllSphereLandmarks
   ReadLandmarkFile "${tmpdir}tmplandmarks.log"
   

}

proc SetLandmarksFromList_OLD {list} {
  # Procedure sets landmarks correponding to numbers in the list. 
  # Changes setarr.
  # If target landmarks have been read, the setarr_source will be changed the same way.
  # The list argument may be created e.g. like this: set list {0 3 4 5} in which landmarks 0,3,4 and 5 will be set.
  global setarr setarr_source
  global lmIndex max_set
  global SplineCheck
  global maxNlandmarks
  global setarr_previous max_set_previous
  global maxlmIndex
     
       # setarr is an array of 256 elements.
       # lmsphereactors have only been created up to max_set.
       # therefore, more lmsphereactors may have to be created.

       # max_set is the maximum index of the set landmarks in the input.
       #        

       set nlist [llength $list]
       set max_ind 0
       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          if {$j > $max_ind} {
             set max_ind $j
          }
       }
          
       for {set k 0} {$k <= $max_ind} {incr k 1} {
          if {$k > $max_set} {
             CreateNewSphereLandmark $k
             #set max_set $k
             ##puts stdout "Creating new landmark"
          }
          set setarr_previous($k) $setarr($k)
          set setarr($k) 0
          lmsphereActor$k VisibilityOff
       }

       set max_set_previous $max_set
       if {$max_ind > $max_set} {
         set max_set $max_ind
       }

       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          set setarr($j) 1
          lmsphereActor$j VisibilityOn
          puts stdout "Turning on landmark no. $j"
       }
       #set setbuttonvalue 1  
       #SetSetPos 
       #set lmIndex [expr $j + 1 ]
       #SetIndex $lmIndex
       #SetSetLandmark 
        if {$SplineCheck == 1} {
          UpdateSpline
        }
        renWin Render

}

proc SetLandmarksFromList {list} {
  # Procedure sets landmarks correponding to numbers in the list. 
  # Changes setarr.
  # If target landmarks have been read, the setarr_source will be changed the same way.
  # The list argument may be created e.g. like this: set list {0 3 4 5} in which landmarks 0,3,4 and 5 will be set.
  global setarr setarr_source
  global lmIndex max_set
  global SplineCheck
  global maxNlandmarks
  global setarr_previous max_set_previous
  global maxlmIndex createdarr
     
       # setarr is an array of 256 elements.
       # lmsphereactors have only been created up to max_set.
       # therefore, more lmsphereactors may have to be created.

       # max_set is the maximum index of the set landmarks in the input.
       #        

       set nlist [llength $list]
       update_setarr_previous
                 
       for {set k 0} {$k <= $maxNlandmarks} {incr k 1} {
          set setarr($k) 0
          if {$createdarr($k) == 1} { 
             lmsphereActor$k VisibilityOff
          }
       }

       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          set setarr($j) 1
          lmsphereActor$j VisibilityOn
          puts stdout "Turning on landmark no. $j"
          if {$createdarr($j) == 0} { 
             CreateNewSphereLandmark $j
          }
       }
       set max_set_previous $max_set
       update_max_set
       ##set maxlmIndex $max_set
    
       set lmIndex $max_set
       ##SetIndex $lmIndex
      
       if {$SplineCheck == 1} {
          UpdateSpline
       }
       renWin Render
}

proc SetLandmarksFromList_OnlyThoseSet {list} {
  # Procedure sets landmarks correponding to numbers in the list. 
  # Changes setarr.
  # If target landmarks have been read, the setarr_source will be changed the same way.
  # The list argument may be created e.g. like this: set list {0 3 4 5} in which landmarks 0,3,4 and 5 will be set.
  global setarr setarr_source
  global lmIndex max_set
  global SplineCheck
  global maxNlandmarks
  global setarr_previous max_set_previous
  global maxlmIndex createdarr
     
       # setarr is an array of 256 elements.
       # lmsphereactors have only been created up to max_set.
       # therefore, more lmsphereactors may have to be created.

       # max_set is the maximum index of the set landmarks in the input.
       #        

       set nlist [llength $list]
       update_setarr_previous
                 
       for {set k 0} {$k <= $maxNlandmarks} {incr k 1} {
          set setarr($k) 0
          if {$createdarr($k) == 1} { 
             lmsphereActor$k VisibilityOff
          }
       }

       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          if {$setarr_previous($j) == 1} {
            set setarr($j) 1
            lmsphereActor$j VisibilityOn
            puts stdout "Turning on landmark no. $j"
            if {$createdarr($j) == 0} { 
               CreateNewSphereLandmark $j  
               puts stdout "!! Creating landmark no. $j"
            }
          }
       }
       set max_set_previous $max_set
       update_max_set
       ##set maxlmIndex $max_set

       puts stdout "maxlmIndex $maxlmIndex"
    
       set lmIndex $max_set
       #SetIndex $lmIndex
      
       if {$SplineCheck == 1} {
          UpdateSpline
       }
       renWin Render
}



proc update_createdarr_previous {} {
  global createdarr createdarr_previous maxNlandmarks
  for {set k 0} {$k <= $maxNlandmarks} {incr k 1} {
     set createdarr_previous($k) $createdarr($k)
  }
}

proc update_setarr_previous {} {
  global setarr setarr_previous maxNlandmarks
  for {set k 0} {$k <= $maxNlandmarks} {incr k 1} {
     set setarr_previous($k) $setarr($k)
  }
}

proc update_max_set {} {
  global max_set setarr maxNlandmarks
  for {set k 0} {$k <= $maxNlandmarks} {incr k 1} {
     if {$setarr($k) == 1} {
       set max_set $k
     }
  }
}

proc GetSetLandmarksList {} {
   # Return a list of currently set landmarks.
   global maxNlandmarks setarr
   set list { }
   for {set k 0} {$k < $maxNlandmarks} {incr k 1} {
      if {$setarr($k)} {
         lappend list $k
      } 
   }
   return $list
}

proc DeleteTrailingUnsetLandmarks {} {
   global maxNlandmarks setarr maxlmIndex
   # maxlmIndex contains index of the highest currently created landmark.
   # Determine the currently highest set landmark.
   set maxset 0
   for {set k 0} {$k < $maxNlandmarks} {incr k 1} {
      if {$setarr($k)} {
         set maxset $k
      } 
   }
   set maxsetp1 [expr $maxset + 1]
   puts stdout "maxsetp1 $maxsetp1"
   puts stdout "maxlmIndex $maxlmIndex"
   for {set k $maxsetp1} {$k < $maxlmIndex} {incr k 1} {
      DeleteSphereLandmark $k
   }
   set maxlmIndex $maxset
}

proc SetLandmarksFromList_OnlyThoseSet_OLD {list} {
  # Procedure sets landmarks correponding to numbers in the list. 
  # BUT: Only those set already may be set. (see SetLandmarksFromList for proc where all landmarks in the
  # input list will be set, even if they are unset before.)
  # Changes setarr.
  # The list argument may be created e.g. like this: set list {0 3 4 5} in which landmarks 0,3,4 and 5 will be set (unless they were already unset).
  global setarr setarr_source
  global lmIndex max_set
  global SplineCheck
  global maxNlandmarks
  global setarr_previous
     
       # setarr is an array of 256 elements.
       # lmsphereactors have only been created up to max_set.
       # therefore, more lmsphereactors may have to be created.

       # Determine the max index in the list.
       set nlist [llength $list]
       set max_ind 0
       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          if {$j > $max_ind} {
             set max_ind $j
          }
       }
          
       for {set k 0} {$k <= $max_ind} {incr k 1} {
          if {$k > $max_set} {
             CreateNewSphereLandmark $k
             ##set max_set $k
             ##puts stdout "Creating new landmark $k"
          }
          set setarr_previous($k) $setarr($k)
          set setarr($k) 0
          lmsphereActor$k VisibilityOff
       }

       set max_set_previous $max_set
       if {$max_ind > $max_set} {
         set max_set $max_ind
       }

       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          if {$setarr_previous($j) == 1} {
            set setarr($j) 1
            lmsphereActor$j VisibilityOn
            puts stdout "Turning on landmark no. $j"
          } else {
            puts stdout "Did not turn on landmark no. $j"
          }
       }
       #set setbuttonvalue 1  
       #SetSetPos 
       #set lmIndex [expr $j + 1 ]
       #SetIndex $lmIndex
       #SetSetLandmark 
        if {$SplineCheck == 1} {
          UpdateSpline
        }
        renWin Render

}


proc SetLandmarksFromList_Undo {} {
  # Often it is necessary to copy setarr_previous back into setarr after use of 
  # SetLandmarksFromList or SetLandmarksFromList_OnlyThoseSet.
  # Here we do that...
  global setarr setarr_previous max_set_previous
  global maxNlandmarks max_set lmIndex max_set_previous createdarr maxlmIndex
  for {set k 0} {$k < $maxNlandmarks} {incr k 1} {
        puts stdout "$k $setarr($k) $setarr_previous($k)"
        set setarr($k) $setarr_previous($k)
        if {$setarr_previous($k) == 1} {
           lmsphereActor$k VisibilityOn
        }
        if {$k > $max_set_previous} {
           if {$createdarr($k) == 1} {
             DeleteSphereLandmark $k
           }
        }
  }
  set max_set $max_set_previous
  set maxlmIndex $max_set_previous
  puts stdout "max_set_previous ttttttttttttttttttt $max_set_previous"
  #set lmIndex $max_set_previous
  #SetIndex $lmIndex
  renWin Render
}


proc IntersectionOfSourceAndTargetLandmarks {} {
  # Procedure computes list correponding to the intersection of the set landmarks in setarr and setarr_source,
  # and modifies these accordingly.
  # Note that setarr_source only exists if target landmarks have been read.
  global TargetLandmarks
  global setarr setarr_source
  global maxNlandmarks 

  if {! $TargetLandmarks} {
    puts stdout "Target landmarks have not been defined.  Needed for IntersectionOfSourceAndTargetLandmarks."
    notify_error "Target landmarks have not been defined.  Needed for IntersectionOfSourceAndTargetLandmarks."
    return -1
  }  
       set list { }
       for {set k 0} {$k < $maxNlandmarks} {incr k 1} {
          set val [expr $setarr($k) * $setarr_source($k) ]
          if {$val == 1} {
            lappend list $k
          } 
       }
       puts stdout "%%% list= $list"

  # Modify setarr: this is done with SetLandmarksFromList 
  SetLandmarksFromList $list
  # Modify setarr_source also.
  for {set i 0} {$i < $maxNlandmarks} {incr i 1} {
          set setarr_source($i) 0
  }
  set nlist [llength $list]
       for {set i 0} {$i < $nlist} {incr i 1} {
          set j [lindex $list $i]
          set setarr_source($j) 1
          lmsphereActor$j VisibilityOn
       }
       
    renWin Render 
     
}

proc CreateLinearDistractorMenu {} {
    global LinearDistractorMenuOpen

    proc CloseLinearDistractorMenu {} {
      global LinearDistractorMenuOpen
      #PolyDataFirst Delete
      set LinearDistractorMenuOpen 0
      wm withdraw .ld
      destroy .ld
    }
    proc ApplyLinearDistractor {value} {
      global linearDistractAmount
      global lmCoord
      set dum [GetLandmarkDistance 0 1]
      set di [lindex $dum 0] 
      set dx [lindex $dum 1] 
      set dy [lindex $dum 2] 
      set dz [lindex $dum 3] 
      set ddx [expr $dx / $di]
      set ddy [expr $dy / $di]
      set ddz [expr $dz / $di]




      #set p1 [lmCoord GetPoint 0]
      #set xp1 [lindex $xyz 0] 
      #set yp1 [lindex $xyz 1]
      #set zp1 [lindex $xyz 2] 
      #set p2 [lmCoord GetPoint 1]
      #set ux [istanceB]


      set ax [expr $ddx * $linearDistractAmount]
      set ay [expr $ddy * $linearDistractAmount]
      set az [expr $ddz * $linearDistractAmount]

        restActor SetPosition $ax $ay $az

        renWin Render
    }
  
  toplevel .ld
  wm title .ld "Linear Distractor v 0.0"
  set font {Helvetica 14}

  button .ld.close -font $font -text  " Close "  -width 15 -foreground red -command CloseLinearDistractorMenu
  pack .ld.close -side bottom -pady 2m

  label .ld.l -font $font -justify center -text "Distraction Amount (mm)"
  pack .ld.l -side top -pady 8
  scale .ld.i -from 0.0 -to 30.0 -resolution 1.0 -length 400 -background #ff0 -orient horizontal -variable linearDistractAmount -command ApplyLinearDistractor
  pack .ld.i -pady 4
  #button .ld.b1 -font $font -text "Apply" -foreground blue -width 10 -justify center -command ApplyLinearDistractor
  #button .ds.b2 -font $font -text "Undo" -width 10 -justify center -command UndoDecimate
  #button .ds.b3 -font $font -text "Undo All" -width 10 -justify center -command UndoAllDecimate
  #pack .ld.b1 -side left -expand 1
  set linearDistractAmount 0.0 
  .ld.i set $linearDistractAmount
  set LinearDistractorMenuOpen 1
}

proc ReadAsciiFileOnlyFirstColumn {listfilename outarray nfiles} {

   # Read the lines from a textfile into an array

   upvar $outarray filenam
   upvar $nfiles nf

   set fileId [open $listfilename r]
      set c 0
      while {([gets $fileId line] >= 0)} {
           set filenam($c) [lindex $line 0]
           puts stdout "$c $filenam($c)"
           incr c 1  
      }
   set nf $c
   close $fileId
}

proc ReadAsciiFile {listfilename outarray nfiles} {
   # Read the lines from a textfile into an array
   set space " "
   upvar $outarray filenam
   upvar $nfiles nf
   set fileId [open $listfilename r]
      set c 0
      while {([gets $fileId line] >= 0)} {
           set c2 0
           set wo [lindex $line $c2]
           set filenam($c) $wo
           #puts stdout $wo
           incr c2 1
           while {$wo != ""} {
              set wo [lindex $line $c2]
              append filenam($c) ${space}$wo
              #puts stdout $wo
              incr c2 1     
           }    
      puts stdout $filenam($c) 
      incr c 1    
      }    
   set nf $c
   close $fileId
}

proc WriteAsciiFile {listfilename outarray} {

   # Write the lines in an array to a text file.

   upvar $outarray fils

   set fileId [open $listfilename w]
   set nl [array size fils]
   puts stdout "nl $nl"
   for {set i 0} {$i < $nl} {incr i 1} {
       puts stdout "$fils($i) $i"
       puts $fileId $fils($i)
   }
   close $fileId
}

proc WriteAsciiFileEndOfCharE {listfilename outarray} {

   # Write the lines in an array to a text file.

   upvar $outarray fils

   set fileId [open $listfilename w]
   puts stdout "fils(1) $fils(1)"
   set nl [array size fils]
   puts stdout "nl $nl"
   for {set i 0} {$i < $nl} {incr i 1} {
     #if {$fils($i) != ""} {
       puts stdout "$fils($i) $i"
       puts $fileId $fils($i)
     #}
   }
   fconfigure $fileId -eofchar "E"
   close $fileId
}



proc ExtractColumn {listfilename column outarray nfiles} {

   # Read the lines from a textfile into an array

   upvar $outarray filenam
   upvar $nfiles nf
   set col [expr $column - 1]
   set fileId [open $listfilename r]
      set c 0
      while {([gets $fileId line] >= 0)} {
           set filenam($c) [lindex $line $col]
           puts stdout "$c $filenam($c)"
           incr c 1  
      }
   set nf $c
   close $fileId

}

proc FindFile {startDir namePat} {
   set pwd [pwd]
   if [catch {cd $startDir} err] {
      puts stderr $err
      return
   }
   foreach match [glob -nocomplain -- $namePat] {
      puts stdout [file join $startDir $match]
   }
   foreach file [glob -nocomplain *] {
      if [file isdirectory $file] {
         FindFile [file join $startDir $file] $namePat
      }
   }
   cd $pwd
}


proc MakeListFileENDS_IN_BLANK_LINE {startDir namePat ListFile} {
   # Procedure finds all files matching namePat in and under the directory startDir and puts the list of found files in ListFile
   set fileId [open $ListFile w]

   proc FindFile2 {startDir namePat fileId} {
      set pwd [pwd]
      if [catch {cd $startDir} err] {
         puts stderr $err
         return
      }
      foreach match [glob -nocomplain -- $namePat] {
         puts stdout [file join $startDir $match]
         puts $fileId [file join $startDir $match]
      }
      foreach file [glob -nocomplain *] {
         if [file isdirectory $file] {
            FindFile2 [file join $startDir $file] $namePat $fileId
         }
      }
      cd $pwd
   }
   FindFile2 $startDir $namePat $fileId
   close $fileId
}

proc MakeListFile {startDir namePat ListFile} {
   # Procedure finds all files matching namePat in and under the directory startDir and puts the list of found files in ListFile
   global tmpdir

   puts stdout "inside"
   set tempfile "${tmpdir}temp.txt"
   set fileId [open $tempfile w]

   proc FindFile2 {startDir namePat fileId} {
      set pwd [pwd]
      if [catch {cd $startDir} err] {
         puts stderr $err
         return
      }
      foreach match [glob -nocomplain -- $namePat] {
         puts stdout [file join $startDir $match]
         set name [file join $startDir $match]
         puts $fileId [file join $startDir $match]
      }
      foreach file [glob -nocomplain *] {
         if [file isdirectory $file] {
            FindFile2 [file join $startDir $file] $namePat $fileId
         }
      }
      cd $pwd
   }
   FindFile2 $startDir $namePat $fileId
   fconfigure $fileId -eofchar
   close $fileId

   # Read back from the file, and write to the listfile in order to get rid of the last blank line...
   puts stdout "Reading..."
   ReadAsciiFile $tempfile filearray nfiles
   puts stdout "Writitng..."
   WriteAsciiFile $ListFile filearray
}


proc FilenameWithoutExtension {filename} {
   # Given a filename with extension, this routine returns the filename without extension.
   set dir [file dirname ${filename}]
   set root [file rootname ${filename}]
   set dlen [string length $dir]
   set rlen [string length $root]
   set name [string range $filename [expr $dlen - 1] [expr $rlen - 1] ]
return $name
}

proc ReorderLandmarks {oldorder neworder} {
   global setarr setarr_source
   global maxNlandmarks
   
   for {set i 0} {$i <= $maxNlandmarks} {incr i 1} {
         set xyz [lmCoord GetPoint $i]
         set xxx [lindex $xyz 0]
         set yyy [lindex $xyz 1]
         set zzz [lindex $xyz 2]
         lmCoordCopy InsertPoint $i $xxx $yyy $zzz 
   }
   set nlist [llength $oldorder]
   for {set i 0} {$i < $nlist} {incr i 1} {   
         set xyz [lmCoordCopy GetPoint $i]
         set xxx [lindex $xyz 0]
         set yyy [lindex $xyz 1]
         set zzz [lindex $xyz 2]
         set k [lindex $neworder $i]
         #set k $neworder($i)
         puts stdout "$i $k"
         lmCoord InsertPoint $k $xxx $yyy $zzz 
   }

}

proc FaceAsymmetry {} {
  # Facial asymmetry for ACPA 2010.
  # Is a menu option to carry out asymmetry calculation as in face_analyzes, for a single face.
  # Combines the following code: rigid_orient_to_template.tcl, template_match_eyebrow_correct.tcl and asymmetry_ho_xyz_single.tcl

  global landmarker_home
  global rigid_trafo_list
  global setarr_source setarr currentdir
  global TargetLandmarks
  global filename
  global app_type
  global eyebrows_right_left 
  global COLOR_RANGE_ASY_HO_XYZ_MIN COLOR_RANGE_ASY_HO_XYZ_MAX TEMPLATE_NTRIANGLES
  global roi_mask color_roi_mask_only
  global SurfaceFileHasBeenRead NsetPoints maxNlandmarks maxlmIndex max_set LandmarkFileHasBeenRead 1
  global root_filename
  global lowersr uppersr
  global zerocolors
  global AnnotateTextPosX AnnotateTextPosY
  global DATA_DIR_TEMPLATE TEMPLATE

  if {! $SurfaceFileHasBeenRead} {
     notify_error "No surface file has been loaded!!!"
     return -1
  }

  if {! $LandmarkFileHasBeenRead} {
     notify_error "No landmark file has been loaded!!!"
     return -1
  }

  .fac.orient.b0 configure -state normal
  .fac.orient.b1 configure -state normal
  .fac.orient.b2 configure -state normal
  .fac.orient.b3 configure -state normal
  .fac.orient.b4 configure -state normal

  set COLOR_RANGE_ASY_HO_XYZ_MIN [expr -1.0 * $COLOR_RANGE_ASY_HO_XYZ_MAX]


  #update_max_set 
  #notify_message $max_set

  #if {$max_set < 5} {
  #  notify_error "Not enough landmarks set (or read)!!!"
  #  return -1
  #}



  set root_filename [file rootname $filename]

  set root_template [file rootname $TEMPLATE]

  ren1 SetBackground 1.0 1.0 1.0

  #### ORIENTATION ####
  set landmarklist $rigid_trafo_list

  set source_orig_setlist [GetSetLandmarksList]
  SetLandmarksFromList_OnlyThoseSet $landmarklist

  # Read target landmarks: this is the template landmarks.
  set TargetLandmarks 1

#set max_set_p [expr $max_set + 2]
#for {set i 1} {$i < $max_set_p} {incr i 1} {
#    lmsphere$i Delete
#    lmsphereMapper$i Delete
#    lmsphereActor$i Delete
#}
  #set LandmarkFileHasBeenRead 0
  ReadLandmarkFile "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.log" 
  set target_orig_setlist [GetSetLandmarksList]
  SetLandmarksFromList_OnlyThoseSet $landmarklist
  IntersectionOfSourceAndTargetLandmarks

  # Do the transformation.
  LandmarkSurfaceTransform
  # RadioTrafoModeValue 1= similarity transform, 2= rigid body, 3= affine, 0= isotropic scaling only
  set RadioTrafoModeValue 2
  ApplyLandmarkTransform
  CloseLandmarkTransformMenu
  SetLandmarksFromList $source_orig_setlist 
  DeleteTrailingUnsetLandmarks

  ##set lmIndex 18 
  renWin Render

  # Save the result.
  WriteVTKFile "${root_filename}_ori.vtk"
  WriteSimpleLm "${root_filename}_ori.log"

   # Make a snapshot of the result
   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "${root_filename}_ori.vtk"
   AnnotateText $annotext
   SaveSnap "${root_filename}_ori_front.jpg"
   AnnotateTextErase

   #### MATCHING ####

   # Read the template as the source.
   ReadSurfaceFile "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.vtk" 
   set TargetLandmarks 0
   ReadLandmarkFile "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.log" 
   
   # Read the oriented scan as the target.
   set TargetLandmarks 1
   ReadLandmarkFile "${root_filename}_ori.log"
   IntersectionOfSourceAndTargetLandmarks

   # Modify eyebrow landmarks (defined by the eybrows list in general_settings.tcl)
   set right_eyebrow [lindex $eyebrows_right_left 0]
   set left_eyebrow [lindex $eyebrows_right_left 1]
   set xyz [lmCoord GetPoint $right_eyebrow]
      set xp_right [lindex $xyz 0]
      set yp_right [lindex $xyz 1]
      set zp_right [lindex $xyz 2]
   set xyz [lmCoord GetPoint $left_eyebrow]
      set xp_left [lindex $xyz 0]
      set yp_left [lindex $xyz 1]
      set zp_left [lindex $xyz 2]
   set xp [expr ( abs ( $xp_right ) + abs ( $xp_left ) ) / 2.0]
   if {$xp_right < 0} { 
      lmCoord SetPoint $right_eyebrow [expr -1.0 * $xp] $yp_right $zp_right
      lmCoord SetPoint $left_eyebrow $xp $yp_left $zp_left
   } else {
      lmCoord SetPoint $left_eyebrow [expr -1.0 * $xp] $yp_right $zp_right
     lmCoord SetPoint $right_eyebrow $xp $yp_left $zp_left
   }

   TPSTransform
   ApplyTPStoSurface
   WriteVTKFile "${root_filename}_template_tps.vtk"
   CloseTPSMenu

   # Closest point deformation of the tps deformed template to the scan.
   set target "${root_filename}_ori.vtk"
   set source "${root_filename}_template_tps.vtk"
   set output "${root_filename}_template_tps_cp.vtk"
   ClosestPointDeformation $target $source $output 

   # Compute differences between the deformed template and the scan.
   set target "${root_filename}_ori.vtk"
   set source $output
   set output "${root_filename}_template_tps_cp_clr.clr"
   ClosestPointDifference $target $source $output -1.0 1.0 1

   # Show result
   ReadSurfaceFile "${root_filename}_template_tps_cp.vtk"
   ReadScalarColors $output

   # Copy the scan landmark file into the result name, for completeness.
   file copy -force "${root_filename}_ori.log" "${root_filename}_template_tps_cp.log"

   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "match result"
   AnnotateText $annotext
   SaveSnap "${root_filename}_template_tps_cp_front.jpg"
   UpdateView Right
   RollCamera
   RollCamera
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_template_tps_cp_left.jpg"
   UpdateView Left
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_template_tps_cp_right.jpg"
   AnnotateTextErase

   #### ASYMMETRY ####

   set lowersr $COLOR_RANGE_ASY_HO_XYZ_MIN
   set uppersr $COLOR_RANGE_ASY_HO_XYZ_MAX
   set meshsize $TEMPLATE_NTRIANGLES

   set SURFACE "${root_filename}_template_tps_cp.vtk"
   set TEMP "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.vtk" 
   set CLR_M "${root_filename}_template_asy_ho_m.clr"
   set CLR_A "${root_filename}_template_asy_ho_a.clr"
   set CLR_X "${root_filename}_template_asy_ho_x.clr"
   set CLR_Y "${root_filename}_template_asy_ho_y.clr"
   set CLR_Z "${root_filename}_template_asy_ho_z.clr"

   # Compute asymmetries.
   set app_name "asymmetry_ho_xyz.exe" 
   if {! [file exists $SURFACE]} {
      puts stdout "ERROR: could not find source input file: $SURFACE"
      return -1
   }
   if {! [file exists $TEMP]} {
      puts stdout "ERROR: could not find template input file: $TEMP "
      return -1
   }

   puts stdout " "
   puts stdout "source: $SURFACE"
   puts stdout "template: $TEMP"
   puts stdout " "

   puts stdout "$landmarker_home$app_name $TEMP $SURFACE $CLR_M $CLR_A $CLR_X $CLR_Y $CLR_Z $lowersr $uppersr $meshsize"
   catch {exec $landmarker_home$app_name $TEMP $SURFACE $CLR_M $CLR_A $CLR_X $CLR_Y $CLR_Z $lowersr $uppersr $meshsize}

   ##ReadSurfaceFile "$scan"

   if {$color_roi_mask_only} {
      ReadSurfaceColorMask "${landmarker_home}${DATA_DIR_TEMPLATE}${roi_mask}"
   }

   DeleteAllSphereLandmarks

   set tail_root_filename [file tail $root_filename]
   #notify_message $tail_root_filename

   ##set ClrAbsValCheck 1
   ##ToggleClrAbsVal
   ##ReadScalarColors $CLR_M 
   ##set ColorsCheck 0
   ##ToggleColors

   ##UpdateView Top
   ##ZoomOutCamera
   ##set AnnotateTextPosX 10
   ##set AnnotateTextPosY 570
   ##set annotext "${root_filename}_asy_ho_m"
   ##AnnotateText $annotext
   ##SaveSnap "${root_filename}_asy_ho_m_front.jpg"
   ##UpdateView Right
   ##RollCamera
   ##RollCamera
   ##RollCamera
   ##ZoomOutCamera
   ##SaveSnap "${root_filename}_asy_ho_m_left.jpg"
   ##UpdateView Left
   ##RollCamera
   ##ZoomOutCamera
   ##SaveSnap "${root_filename}_asy_ho_m_right.jpg"
   ##AnnotateTextErase

   set ClrAbsValCheck 0
   ToggleClrAbsVal
   ReadScalarColors $CLR_X
   set ColorsCheck 0
   ToggleColors

   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "${tail_root_filename}_asy_ho_x"
   AnnotateText $annotext
   SaveSnap "${root_filename}_asy_ho_x_front.jpg"
   UpdateView Right
   RollCamera
   RollCamera
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_x_left.jpg"
   UpdateView Left
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_x_right.jpg"
   AnnotateTextErase

   set ClrAbsValCheck 0
   ToggleClrAbsVal
   ReadScalarColors $CLR_Y
   set ColorsCheck 0
   ToggleColors

   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "${tail_root_filename}_asy_ho_y"
   AnnotateText $annotext
   SaveSnap "${root_filename}_asy_ho_y_front.jpg"
   UpdateView Right
   RollCamera
   RollCamera
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_y_left.jpg"
   UpdateView Left
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_y_right.jpg"
   AnnotateTextErase

   set ClrAbsValCheck 0
   ToggleClrAbsVal
   ReadScalarColors $CLR_Z
   set ColorsCheck 0
   ToggleColors

   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "${tail_root_filename}_asy_ho_z"
   AnnotateText $annotext
   SaveSnap "${root_filename}_asy_ho_z_front.jpg"
   UpdateView Right
   RollCamera
   RollCamera
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_z_left.jpg"
   UpdateView Left
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_z_right.jpg"
   AnnotateTextErase

   set ClrAbsValCheck 0
   ToggleClrAbsVal
   ReadScalarColors $CLR_A
   set ColorsCheck 0
   ToggleColors

   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "${tail_root_filename}_asy_ho_a"
   AnnotateText $annotext
   SaveSnap "${root_filename}_asy_ho_a_front.jpg"
   UpdateView Right
   RollCamera
   RollCamera
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_a_left.jpg"
   UpdateView Left
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_asy_ho_a_right.jpg"
   AnnotateTextErase

   UpdateView Top
   ZoomOutCamera

   .fac.fb.apply configure -state disabled
}

proc CloseFaceAsymmetryMenu {} {
      wm withdraw .fac
      destroy .fac
}

proc ExecuteTCLtest {} {
  # Does not work. Dont know why.
  global landmarker_home

  set app_name "${landmarker_home}hello_notify.tcl" 
  set app_name "${landmarker_home}HyperScalarBar.tcl" 
  exec $app_name 
}

proc ToggleSkipOrientation {} {
      global ToggleSkipOrientationCheck
      global FaceTemplateDeformation_SKIP_ORI  
              
      if {$ToggleSkipOrientationCheck == 0} {
          set FaceTemplateDeformation_SKIP_ORI  0
      } else {
          set FaceTemplateDeformation_SKIP_ORI  1
      }
  }

proc CreateFaceAsymmetryMenu {} {
    global maxNLandmarks maxNIterations maxMeanDistance max_set
    global LandmarkFileHasBeenRead
    global NsetLandmarks
    global OpenAdditional
    global TargetSurfaceRead
    global ToggleSourceSurfaceCheck ToggleTargetSurfaceCheck
    global TargetLandmarks
    global app_type
    global eyebrows_right_left 
    
    global landmarker_home
    global rigid_trafo_list
    global setarr setarr_source currentdir
    global filename
    global COLOR_RANGE_ASY_HO_XYZ_MIN COLOR_RANGE_ASY_HO_XYZ_MAX TEMPLATE_NTRIANGLES
    global roi_mask color_roi_mask_only
    global SurfaceFileHasBeenRead NsetPoints maxlmIndex LandmarkFileHasBeenRead 1
    global root_filename
    global lowersr uppersr
    global zerocolors
    global AnnotateTextPosX AnnotateTextPosY
    global DATA_DIR_TEMPLATE TEMPLATE

  source "$landmarker_home/face_asymmetry/general_settings.tcl"


  proc ToggleHelp {} {
      global ToggleHelpCheck
      if {$ToggleHelpCheck} {
        
        
        pack .fac.l1.l1 .fac.l1 -side top -pady 1
        #pack .fac.bl.l .fac.bl.r -side left -expand 1 -fill x
        pack .fac.l1 .fac.l2 -side top -fill both -expand 1
        pack .fac.fa -side left -expand 1 -fill both

      } else {
        
        pack forget .fac.l1.l1 .fac.l1 -side top -pady 1
        #pack forget .fac.bl.l .fac.bl.r -side left -expand 1 -fill x
        pack forget .fac.l1 .fac.l2 -side top -fill both -expand 1
        pack forget .fac.fa -side left -expand 1 -fill both 


      }
  }


  

  proc LoadNames {} {
    global NamesOnly landmarker_home
    set NamesOnly 1
    ReadLandmarkFile ${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.log
  }

  proc LoadClrNone {} {
    global root_filename
    global zerocolors
    global COLOR_RANGE_ASY_HO_XYZ_MIN lowersr
    global COLOR_RANGE_ASY_HO_XYZ_MAX uppersr
    set zerocolors 1
    ReadScalarColors "${root_filename}_template_asy_ho_a.clr"
    set zerocolors 0
    set uppersr $COLOR_RANGE_ASY_HO_XYZ_MAX
    set lowersr [expr -1.0 * $COLOR_RANGE_ASY_HO_XYZ_MAX] 
    ApplyProperties
    renWin Render
  }

  proc LoadClrMagnitude {} {
    global root_filename
    global COLOR_RANGE_ASY_HO_XYZ_MIN lowersr
    global COLOR_RANGE_ASY_HO_XYZ_MAX uppersr
    ReadScalarColors "${root_filename}_template_asy_ho_a.clr"
    set uppersr $COLOR_RANGE_ASY_HO_XYZ_MAX
    set lowersr [expr -1.0 * $COLOR_RANGE_ASY_HO_XYZ_MAX] 
    ApplyProperties
    renWin Render
  }
  proc LoadClrHorizontal {} {
    global root_filename
    global COLOR_RANGE_ASY_HO_XYZ_MIN lowersr
    global COLOR_RANGE_ASY_HO_XYZ_MAX uppersr
    ReadScalarColors "${root_filename}_template_asy_ho_x.clr"
    set uppersr $COLOR_RANGE_ASY_HO_XYZ_MAX
    set lowersr [expr -1.0 * $COLOR_RANGE_ASY_HO_XYZ_MAX] 
    ApplyProperties
    renWin Render
  }
  proc LoadClrVertical {} {
    global root_filename
    global COLOR_RANGE_ASY_HO_XYZ_MIN lowersr
    global COLOR_RANGE_ASY_HO_XYZ_MAX uppersr
    ReadScalarColors "${root_filename}_template_asy_ho_y.clr"
    set uppersr $COLOR_RANGE_ASY_HO_XYZ_MAX
    set lowersr [expr -1.0 * $COLOR_RANGE_ASY_HO_XYZ_MAX] 
    ApplyProperties
    renWin Render
  }
  proc LoadClrSagittal {} {
    global root_filename
    global COLOR_RANGE_ASY_HO_XYZ_MIN lowersr
    global COLOR_RANGE_ASY_HO_XYZ_MAX uppersr
    ReadScalarColors "${root_filename}_template_asy_ho_z.clr"
    set uppersr $COLOR_RANGE_ASY_HO_XYZ_MAX
    set lowersr [expr -1.0 * $COLOR_RANGE_ASY_HO_XYZ_MAX] 
    ApplyProperties
    renWin Render
  }

 
  toplevel .fac
  wm title .fac "Face Asymmetry"
  set font {Helvetica 14}
  set font2 {Helvetica 10}

  menu .fac.menu -type menubar
  menu .fac.menu.options -tearoff 1
  ##.fac.menu add cascade -menu .fac.menu.options -label "Options"
  ##.fac.menu.options add check -label "Not In Use" -command ToggleNotInUse -variable ToggleNotInUseCheck 
  ##set ToggleNotInUseCheck 1
  menu .fac.menu.help -tearoff 1
  .fac.menu add cascade -menu .fac.menu.help -label "Help"
  .fac.menu.help add check -label "Show Help" -command ToggleHelp -variable ToggleHelpCheck
  set ToggleHelpCheck 1 
  .fac configure -menu .fac.menu

  frame .fac.l1
  label .fac.l1.l1 -font $font2 -justify left -text "1) Load(New) Surface File."
  pack forget .fac.l1.l1 .fac.l1 -side top -pady 1

  #frame .fac.bl -borderwidth 0
  #label .fac.bl.l -font $font2 -justify left -text "2) Load Landmark names (hit the button...->)"
  #button .fac.bl.r -text "Load Names" -font $font2 -command LoadNames 
  #pack forget .fac.bl.l .fac.bl.r -side left -expand 1 -fill x

  frame .fac.l2
  label .fac.l2.l -font $font2 -justify left -text "2) Load(New) Landmark File (a .log file with landmarks set according to the Figure below)"
  pack .fac.l2.l -side top -pady 2
  #label .fac.l2.ll -font $font2 -justify center -text "(press keyboeard 'p' to set landmark; then advance landmark slider etc.)"
  #pack .fac.l2.ll -side top -pady 2
  #label .fac.l2.lll -font $font2 -justify center -text "(You can save your landmarks by File->Save->Landmark File.)"
  #pack .fac.l2.lll -side top -pady 2
  label .fac.l2.llll -font $font2 -justify left -text "3) Press 'Compute Asymmetry'"
  pack .fac.l2.llll -side top -pady 2

  pack forget .fac.l1 .fac.l2 -side top -fill both -expand 1
  
set lutslidermin -20
  set lutslidermax 20
  frame .fac.lut
  scale .fac.lut.range -from 0 -to $lutslidermax -orient horizontal\
	-resolution 0.1 -label "Color Range (mm)" -variable COLOR_RANGE_ASY_HO_XYZ_MAX 
  pack .fac.lut.range -side left -expand 1 -fill x
  #pack .fac.lut -side top 

  frame .fac.fa -relief raised -borderwidth 3 
  set image "face_template_small.ppm"
  set image "$landmarker_home/face_asymmetry/face_template_small.ppm"
  image create photo HelpImage -file $image
  label .fac.fa.image -image HelpImage -highlightthickness 0
  pack .fac.fa.image -fill both
  pack forget .fac.fa -side left -expand 1 -fill both 

  frame .fac.fc
  button .fac.fc.cancel -text Done -foreground red -font $font -command CloseFaceAsymmetryMenu
  pack .fac.fc.cancel -side left -expand 1 -fill x
  pack .fac.fc -side bottom -fill both -expand 1

  frame .fac.orient
  button .fac.orient.b0 -text "None" -font $font2 -command LoadClrNone -state disabled
  button .fac.orient.b1 -text "Magnitude" -font $font2 -command LoadClrMagnitude -state disabled
  button .fac.orient.b2 -text "Horizontal" -font $font2 -command LoadClrHorizontal -state disabled
  button .fac.orient.b3 -text "Vertical" -font $font2 -command LoadClrVertical -state disabled
  button .fac.orient.b4 -text "Sagittal" -font $font2 -command LoadClrSagittal -state disabled
  pack .fac.orient.b0 .fac.orient.b1 .fac.orient.b2 .fac.orient.b3 .fac.orient.b4 -side left -expand 1 -fill x

  pack .fac.orient -side bottom -fill both -expand 1

  frame .fac.fb
  button .fac.fb.apply -text "Compute Asymmetry" -foreground blue -font $font -command FaceAsymmetry
  pack .fac.fb.apply -side left -expand 1 -fill x

  pack .fac.fb .fac.lut -side bottom -fill both -expand 1

}
  

proc FaceTemplateDeformation {} {
  # Is a menu option to carry out template deformation as in face_analyzer, for a single face.
  # Combines the following code: rigid_orient_to_template.tcl and template_match_eyebrow_correct.tcl 

  global landmarker_home
  global rigid_trafo_list
  global setarr_source setarr currentdir
  global TargetLandmarks
  global filename
  global app_type
  global eyebrows_right_left 
  global TEMPLATE_NTRIANGLES
  global roi_mask color_roi_mask_only
  global SurfaceFileHasBeenRead NsetPoints maxNlandmarks maxlmIndex max_set LandmarkFileHasBeenRead 1
  global root_filename
  global lowersr uppersr
  global zerocolors
  global AnnotateTextPosX AnnotateTextPosY
  global DATA_DIR_TEMPLATE TEMPLATE
  global FaceTemplateDeformation_SKIP_ORI

  if {! $SurfaceFileHasBeenRead} {
     notify_error "No surface file has been loaded!!!"
     return -1
  }

  if {! $LandmarkFileHasBeenRead} {
     notify_error "No landmark file has been loaded!!!"
     return -1
  }

  .fac.orient.b0 configure -state normal
  .fac.orient.b1 configure -state normal

  #update_max_set 
  #notify_message $max_set

  #if {$max_set < 5} {
  #  notify_error "Not enough landmarks set (or read)!!!"
  #  return -1
  #}

  set root_filename [file rootname $filename]
  set root_template [file rootname $TEMPLATE]
  ren1 SetBackground 1.0 1.0 1.0

  if {! $FaceTemplateDeformation_SKIP_ORI} {

     #### ORIENTATION ####
     set landmarklist $rigid_trafo_list

     set source_orig_setlist [GetSetLandmarksList]
     SetLandmarksFromList_OnlyThoseSet $landmarklist

     # Read target landmarks: this is the template landmarks.
     set TargetLandmarks 1

     #set max_set_p [expr $max_set + 2]
     #for {set i 1} {$i < $max_set_p} {incr i 1} {
     #    lmsphere$i Delete
     #    lmsphereMapper$i Delete
     #    lmsphereActor$i Delete
     #}
     #set LandmarkFileHasBeenRead 0
     ReadLandmarkFile "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.log" 
     set target_orig_setlist [GetSetLandmarksList]
     SetLandmarksFromList_OnlyThoseSet $landmarklist
     IntersectionOfSourceAndTargetLandmarks

     # Do the transformation.
     LandmarkSurfaceTransform
     # RadioTrafoModeValue 1= similarity transform, 2= rigid body, 3= affine, 0= isotropic scaling only
     set RadioTrafoModeValue 2
     ApplyLandmarkTransform
     CloseLandmarkTransformMenu
     SetLandmarksFromList $source_orig_setlist 
     DeleteTrailingUnsetLandmarks

     ##set lmIndex 18 
     renWin Render

     # Save the result.
     WriteVTKFile "${root_filename}_ori.vtk"
     WriteSimpleLm "${root_filename}_ori.log"

     # Make a snapshot of the result
     UpdateView Top
     ZoomOutCamera
     set AnnotateTextPosX 10
     set AnnotateTextPosY 570
     set annotext "${root_filename}_ori.vtk"
     AnnotateText $annotext
     SaveSnap "${root_filename}_ori_front.jpg"
     AnnotateTextErase
 
  } else {
     # We skip the orientation part (we assume the user has done this already 
     # and selected the oriented surface/log file as input.)
  }
   #### MATCHING ####

   # Read the template as the source.
   ReadSurfaceFile "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.vtk" 
   set TargetLandmarks 0
   ReadLandmarkFile "${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.log" 
   
   if {! $FaceTemplateDeformation_SKIP_ORI} {
     # Read the oriented scan as the target.
     set TargetLandmarks 1
     ReadLandmarkFile "${root_filename}_ori.log"
     IntersectionOfSourceAndTargetLandmarks
   } else {
     # Carry out the matching on the file given in the dialog box (assume this is an oriented surface.)
     set TargetLandmarks 1
     ReadLandmarkFile "${root_filename}.log"
     IntersectionOfSourceAndTargetLandmarks
   }

   # Modify eyebrow landmarks (defined by the eybrows list in general_settings.tcl)
   set right_eyebrow [lindex $eyebrows_right_left 0]
   set left_eyebrow [lindex $eyebrows_right_left 1]
   set xyz [lmCoord GetPoint $right_eyebrow]
      set xp_right [lindex $xyz 0]
      set yp_right [lindex $xyz 1]
      set zp_right [lindex $xyz 2]
   set xyz [lmCoord GetPoint $left_eyebrow]
      set xp_left [lindex $xyz 0]
      set yp_left [lindex $xyz 1]
      set zp_left [lindex $xyz 2]
   set xp [expr ( abs ( $xp_right ) + abs ( $xp_left ) ) / 2.0]
   if {$xp_right < 0} { 
      lmCoord SetPoint $right_eyebrow [expr -1.0 * $xp] $yp_right $zp_right
      lmCoord SetPoint $left_eyebrow $xp $yp_left $zp_left
   } else {
      lmCoord SetPoint $left_eyebrow [expr -1.0 * $xp] $yp_right $zp_right
     lmCoord SetPoint $right_eyebrow $xp $yp_left $zp_left
   }

   TPSTransform
   ApplyTPStoSurface
   WriteVTKFile "${root_filename}_template_tps.vtk"
   CloseTPSMenu

   if {! $FaceTemplateDeformation_SKIP_ORI} {

      # Closest point deformation of the tps deformed template to the scan.
      set target "${root_filename}_ori.vtk"
      set source "${root_filename}_template_tps.vtk"
      set output "${root_filename}_template_tps_cp.vtk"
      ClosestPointDeformation $target $source $output 

      # Compute differences between the deformed template and the scan.
      set target "${root_filename}_ori.vtk"
      set source $output
      set output "${root_filename}_template_tps_cp_clr.clr"
      ClosestPointDifference $target $source $output -1.0 1.0 1

      # Show result
      ReadSurfaceFile "${root_filename}_template_tps_cp.vtk"
      ReadScalarColors $output

      # Copy the scan landmark file into the result name, for completeness.
      file copy -force "${root_filename}_ori.log" "${root_filename}_template_tps_cp.log"

   } else {

      # Closest point deformation of the tps deformed template to the scan.
      set target "${root_filename}.vtk"
      set source "${root_filename}_template_tps.vtk"
      set output "${root_filename}_template_tps_cp.vtk"
      ClosestPointDeformation $target $source $output 

      # Compute differences between the deformed template and the scan.
      set target "${root_filename}.vtk"
      set source $output
      set output "${root_filename}_template_tps_cp_clr.clr"
      ClosestPointDifference $target $source $output -1.0 1.0 1

      # Show result
      ReadSurfaceFile "${root_filename}_template_tps_cp.vtk"
      ReadScalarColors $output

      # Copy the scan landmark file into the result name, for completeness.
      file copy -force "${root_filename}.log" "${root_filename}_template_tps_cp.log"

   }

   UpdateView Top
   ZoomOutCamera
   set AnnotateTextPosX 10
   set AnnotateTextPosY 570
   set annotext "match result"
   AnnotateText $annotext
   SaveSnap "${root_filename}_template_tps_cp_front.jpg"
   UpdateView Right
   RollCamera
   RollCamera
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_template_tps_cp_left.jpg"
   UpdateView Left
   RollCamera
   ZoomOutCamera
   SaveSnap "${root_filename}_template_tps_cp_right.jpg"
   AnnotateTextErase

   .fac.fb.apply configure -state disabled
}

proc CloseFaceTemplateDeformationMenu {} {
      wm withdraw .fac
      destroy .fac
}


proc CreateFaceTemplateDeformationMenu {} {
    global maxNLandmarks maxNIterations maxMeanDistance max_set
    global LandmarkFileHasBeenRead
    global NsetLandmarks
    global OpenAdditional
    global TargetSurfaceRead
    global ToggleSourceSurfaceCheck ToggleTargetSurfaceCheck
    global TargetLandmarks
    global app_type
    global eyebrows_right_left 
    
    global landmarker_home
    global rigid_trafo_list
    global setarr setarr_source currentdir
    global filename
    global COLOR_RANGE_ASY_HO_XYZ_MIN COLOR_RANGE_ASY_HO_XYZ_MAX TEMPLATE_NTRIANGLES
    global roi_mask color_roi_mask_only
    global SurfaceFileHasBeenRead NsetPoints maxlmIndex LandmarkFileHasBeenRead 1
    global root_filename
    global lowersr uppersr
    global zerocolors
    global AnnotateTextPosX AnnotateTextPosY
    global DATA_DIR_TEMPLATE TEMPLATE
    global ToggleSkipOrientationCheck

  source "$landmarker_home/face_template_deformation/general_settings.tcl"


  proc ToggleHelp {} {
      global ToggleHelpCheck
      if {$ToggleHelpCheck} {
        
        
        pack .fac.l1.l1 .fac.l1 -side top -pady 1
        #pack .fac.bl.l .fac.bl.r -side left -expand 1 -fill x
        pack .fac.l1 .fac.l2 -side top -fill both -expand 1
        pack .fac.fa -side left -expand 1 -fill both

      } else {
        
        pack forget .fac.l1.l1 .fac.l1 -side top -pady 1
        #pack forget .fac.bl.l .fac.bl.r -side left -expand 1 -fill x
        pack forget .fac.l1 .fac.l2 -side top -fill both -expand 1
        pack forget .fac.fa -side left -expand 1 -fill both 


      }
  }

  proc LoadNames {} {
    global NamesOnly landmarker_home
    set NamesOnly 1
    ReadLandmarkFile ${landmarker_home}${DATA_DIR_TEMPLATE}${root_template}.log
  }

  proc LoadClrNone {} {
    global root_filename
    global zerocolors
    global lowersr
    global uppersr
    set zerocolors 1
    ReadScalarColors "${root_filename}_template_tps_cp_clr.clr"
    set zerocolors 0
    set uppersr 1.0
    set lowersr -1.0 
    ApplyProperties
    renWin Render
  }

  proc LoadClrDifference {} {
    global root_filename
    global lowersr
    global uppersr
    ReadScalarColors "${root_filename}_template_tps_cp_clr.clr"
    set uppersr 1.0
    set lowersr -1.0 
    ApplyProperties
    renWin Render
  }
 
  toplevel .fac
  wm title .fac "Face Template Deformation"
  set font {Helvetica 14}
  set font2 {Helvetica 10}

  menu .fac.menu -type menubar
  ##menu .fac.menu.options -tearoff 1
  ##.fac.menu add cascade -menu .fac.menu.options -label "Options"
  ##.fac.menu.options add check -label "Not In Use" -command ToggleNotInUse -variable ToggleNotInUseCheck 
  ##set ToggleNotInUseCheck 1
  menu .fac.menu.help -tearoff 1
  .fac.menu add cascade -menu .fac.menu.help -label "Help"
  .fac.menu.help add check -label "Show Help" -command ToggleHelp -variable ToggleHelpCheck
  set ToggleHelpCheck 1 

  menu .fac.menu.options -tearoff 1
  .fac.menu add cascade -menu .fac.menu.options -label "Options"
  .fac.menu.options add check -label "Skip Orientation" -command ToggleSkipOrientation -variable ToggleSkipOrientationCheck
  set ToggleSkipOrientationCheck 0 

  .fac configure -menu .fac.menu

  

  frame .fac.l1
  label .fac.l1.l1 -font $font2 -justify left -text "1) Load(New) Surface File."
  pack forget .fac.l1.l1 .fac.l1 -side top -pady 1

  #frame .fac.bl -borderwidth 0
  #label .fac.bl.l -font $font2 -justify left -text "2) Load Landmark names (hit the button...->)"
  #button .fac.bl.r -text "Load Names" -font $font2 -command LoadNames 
  #pack forget .fac.bl.l .fac.bl.r -side left -expand 1 -fill x

  frame .fac.l2
  label .fac.l2.l -font $font2 -justify left -text "2) Load(New) Landmark File (a .log file with landmarks set according to the Figure below)"
  pack .fac.l2.l -side top -pady 2
  #label .fac.l2.ll -font $font2 -justify center -text "(press keyboeard 'p' to set landmark; then advance landmark slider etc.)"
  #pack .fac.l2.ll -side top -pady 2
  #label .fac.l2.lll -font $font2 -justify center -text "(You can save your landmarks by File->Save->Landmark File.)"
  #pack .fac.l2.lll -side top -pady 2
  label .fac.l2.llll -font $font2 -justify left -text "3) Press 'Deform Face Template'"
  pack .fac.l2.llll -side top -pady 2

  pack forget .fac.l1 .fac.l2 -side top -fill both -expand 1
  
  ##set lutslidermin -2
  ##set lutslidermax 2
  ##frame .fac.lut
  ##scale .fac.lut.range -from 0 -to $lutslidermax -orient horizontal\
  ##	-resolution 0.1 -label "Color Range (mm)" -variable COLOR_RANGE_ASY_HO_XYZ_MAX 
  ##pack .fac.lut.range -side left -expand 1 -fill x
  ##pack .fac.lut -side top 

  frame .fac.fa -relief raised -borderwidth 3 
  set image "face_template_small.ppm"
  set image "$landmarker_home/face_template_deformation/face_template_small.ppm"
  image create photo HelpImage -file $image
  label .fac.fa.image -image HelpImage -highlightthickness 0
  pack .fac.fa.image -fill both
  pack forget .fac.fa -side left -expand 1 -fill both 

  frame .fac.fc
  button .fac.fc.cancel -text Done -foreground red -font $font -command CloseFaceTemplateDeformationMenu
  pack .fac.fc.cancel -side left -expand 1 -fill x
  pack .fac.fc -side bottom -fill both -expand 1

  frame .fac.orient
  button .fac.orient.b0 -text "None" -font $font2 -command LoadClrNone -state disabled
  button .fac.orient.b1 -text "Residual" -font $font2 -command LoadClrDifference -state disabled
  pack .fac.orient.b0 .fac.orient.b1 -side left -expand 1 -fill x

  pack .fac.orient -side bottom -fill both -expand 1

  frame .fac.fb
  button .fac.fb.apply -text "Deform Face Template" -foreground blue -font $font -command FaceTemplateDeformation
  pack .fac.fb.apply -side left -expand 1 -fill x

  pack .fac.fb -side bottom -fill both -expand 1

}


proc ComputePointsOnCurve {fractions flag} {
  # Procedure computes points at given fractions of curve length along a curve (curve e.g. as provided by Options->ShowSpline)
  # E.g. for computing semi-landmarks along a skull suture.
  # Precision is better if curve consists of large number of points (many hundreds or thousands).
  # The input here is the array lineCrvPoints containing the curve points (read in by File->Load(New)->LineCurveFile or proc ReadLineCrvFile).
  # The input parameter fractions must be a list (not an array, since tcl procedures cannot pass arrays), e.g. { 0.0 0.25 0.6 }
  # The input parameter flag is 0 if the computed points are not to be inserted into lmCoord (internal landmarker landmark array).
  #                             1 if points are to be inserted into lmCoord and shown in landmarker.
  global lineCrvPoints linesegmentNum pNum
  global crv_flag 
  global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue lineCrvPointsOpacity
  global currentdir tmpdir
  global lmDiameter tubeDiameterFactor
  global additional_crv_flag LineCrvFileHasBeenRead
  global tubeColorRed tubeColorGreen tubeColorBlue tubeColorOpacity
  global crvfracx crvfracy crvfracz
  global maxlmIndex setarr

  puts stdout $LineCrvFileHasBeenRead
  if {$LineCrvFileHasBeenRead == 0} {
    notify_error "No line curve file has been read!"
    return -1
  }

  #puts stdout [lindex $fractions 0]

  set np [lineCrvPoints GetNumberOfPoints]
  set npm [expr $np - 1]

  puts stdout "np= $np"
  
  set acclength(0) 0.0
  for {set i 1} {$i <= $npm} {incr i 1} {
    set xyzi [lineCrvPoints GetPoint $i]
    set xi [lindex $xyzi 0]
    set yi [lindex $xyzi 1]
    set zi [lindex $xyzi 2]
    set im [expr $i - 1]
    set xyzim [lineCrvPoints GetPoint $im]
    set xim [lindex $xyzim 0]
    set yim [lindex $xyzim 1]
    set zim [lindex $xyzim 2]    
    set dx [expr $xim - $xi ]
    set dy [expr $yim - $yi ]
    set dz [expr $zim - $zi ]
    set d [expr sqrt($dx * $dx + $dy * $dy + $dz * $dz) ] 
    #puts stdout "d= $d"
    if {$i == 0} {
      #set acclength($i) $d 
      set acclength($i) 0.0
      #puts stdout "d= $d"
    } else {
      set im [expr $i - 1]
      set acclength($i) [expr $acclength($im) + $d] 
    }
  #puts stdout $acclength($i)
  #puts stdout "d i = $d $i"

  }

  # acclength contains accumulated length at each original input point
  # totlength is the total length of the curve

  set im [expr $i - 1]
  set totlength $acclength($im)
  puts stdout "totlength= $totlength"
  
  # fraclength is the faction of the total length reached at each point
  for {set i 0} {$i <= $npm} {incr i 1} {
    set fraclength($i) [expr $acclength($i) / $totlength]
    #puts stdout "fraclength $i $fraclength($i) $acclength($i)"
  }

 
  set nfracs [llength $fractions]
  puts stdout "nfracs = $nfracs"

  # Make an array from the list in fractions...
  for {set f 0} {$f < $nfracs} {incr f 1} {
     set fr [lindex $fractions $f]
     set fractions_arr($f) $fr 
  }
 
# di is distance to a given fraction
# We assume here that fractions are given in increasing order

for {set f 0} {$f < $nfracs} {incr f 1} {
  set i 0
  set d 100000.0
  while {$d > 0} {
    set d [expr $fractions_arr($f) - $fraclength($i)]
    incr i 1
  }
  set ind($f) [expr $i - 1] 
  #puts stdout "ind(f)= $f $ind($f)"

  set xyzi [lineCrvPoints GetPoint $ind($f)]
    set crvfracx($f) [lindex $xyzi 0]
    set crvfracy($f) [lindex $xyzi 1]
    set crvfracz($f) [lindex $xyzi 2]

  puts stdout "f x y z = $f $crvfracx($f) $crvfracy($f) $crvfracz($f)" 
  
}

if {$flag} {
  # Insert as landmarks
  set maxlmIndex [expr $nfracs - 1]
  for {set i 0} {$i < $nfracs} {incr i 1} {
    lmCoord InsertPoint $i $crvfracx($i) $crvfracy($i) $crvfracz($i)
    set setarr($i) 1
    set lmNameArr($i) "NoName"
  }  
  WriteSimpleLm "${tmpdir}tmp.log"
  ReadLandmarkFile "${tmpdir}tmp.log"
}
}



proc ComputePointsOnCurveFile {infilename fractions outfilename} {
  # Procedure computes points at given fractions of curve length along a curve (curve e.g. as provided by Options->ShowSpline)
  # E.g. for computing semi-landmarks along a skull suture.
  # Precision is better if curve consists of large number of points (many hundreds or thousands).
  # The input here is the array lineCrvPoints containing the curve points (read in by File->Load(New)->LineCurveFile or proc ReadLineCrvFile).
  # Input parameter infilename is name of .sln file.
  # The input parameter fractions must be a list (not an array, since tcl procedures cannot pass arrays), e.g. { 0.0 0.25 0.6 }
  # The output parameter outfilename is name of .log file out.
  global lineCrvPoints linesegmentNum pNum
  global crv_flag 
  global lineCrvPointsRed lineCrvPointsGreen lineCrvPointsBlue lineCrvPointsOpacity
  global currentdir tmpdir
  global lmDiameter tubeDiameterFactor
  global additional_crv_flag LineCrvFileHasBeenRead
  global tubeColorRed tubeColorGreen tubeColorBlue tubeColorOpacity
  global crvfracx crvfracy crvfracz
  global maxlmIndex setarr

  if {$LineCrvFileHasBeenRead} {
    lineCrvPoints Delete
  }
  ReadLineCrvFile $infilename

  puts stdout $LineCrvFileHasBeenRead
  if {$LineCrvFileHasBeenRead == 0} {
    notify_error "No line curve file has been read!"
    return -1
  }

  #puts stdout [lindex $fractions 0]

  set np [lineCrvPoints GetNumberOfPoints]
  set npm [expr $np - 1]

  puts stdout "np= $np"
  
  set acclength(0) 0.0
  for {set i 1} {$i <= $npm} {incr i 1} {
    set xyzi [lineCrvPoints GetPoint $i]
    set xi [lindex $xyzi 0]
    set yi [lindex $xyzi 1]
    set zi [lindex $xyzi 2]
    set im [expr $i - 1]
    set xyzim [lineCrvPoints GetPoint $im]
    set xim [lindex $xyzim 0]
    set yim [lindex $xyzim 1]
    set zim [lindex $xyzim 2]    
    set dx [expr $xim - $xi ]
    set dy [expr $yim - $yi ]
    set dz [expr $zim - $zi ]
    set d [expr sqrt($dx * $dx + $dy * $dy + $dz * $dz) ] 
    #puts stdout "d= $d"
    if {$i == 0} {
      #set acclength($i) $d 
      set acclength($i) 0.0
      #puts stdout "d= $d"
    } else {
      set im [expr $i - 1]
      set acclength($i) [expr $acclength($im) + $d] 
    }
  #puts stdout $acclength($i)
  #puts stdout "d i = $d $i"

  }

  # acclength contains accumulated length at each original input point
  # totlength is the total length of the curve

  set im [expr $i - 1]
  set totlength $acclength($im)
  puts stdout "totlength= $totlength"
  
  # fraclength is the faction of the total length reached at each point
  for {set i 0} {$i <= $npm} {incr i 1} {
    set fraclength($i) [expr $acclength($i) / $totlength]
    #puts stdout "fraclength $i $fraclength($i) $acclength($i)"
  }

 
  set nfracs [llength $fractions]
  puts stdout "nfracs = $nfracs"

  # Make an array from the list in fractions...
  for {set f 0} {$f < $nfracs} {incr f 1} {
     set fr [lindex $fractions $f]
     set fractions_arr($f) $fr 
  }
 
# di is distance to a given fraction
# We assume here that fractions are given in increasing order

for {set f 0} {$f < $nfracs} {incr f 1} {
  set i 0
  set d 100000.0
  while {$d > 0} {
    set d [expr $fractions_arr($f) - $fraclength($i)]
    incr i 1
  }
  set ind($f) [expr $i - 1] 
  #puts stdout "ind(f)= $f $ind($f)"

  set xyzi [lineCrvPoints GetPoint $ind($f)]
    set crvfracx($f) [lindex $xyzi 0]
    set crvfracy($f) [lindex $xyzi 1]
    set crvfracz($f) [lindex $xyzi 2]

  puts stdout "f x y z = $f $crvfracx($f) $crvfracy($f) $crvfracz($f)" 
  
  
}

## Here we tried inserting the reult into lmCoord. Worked fine for a single .crv file, but did not work in a loop (several .crv files).
## (But that did not work eiter! Was a different problem!)
#if {$flag} {
#  # Insert as landmarks
#  set maxlmIndex [expr $nfracs - 1]
#  for {set i 0} {$i < $nfracs} {incr i 1} {
#    lmCoord InsertPoint $i $crvfracx($i) $crvfracy($i) $crvfracz($i)
#    set setarr($i) 1
#    set lmNameArr($i) "NoName"
#  }  
#  WriteSimpleLm $outfilename
#  ##ReadLandmarkFile $outfilename
#}

# We instead write as a direct text write.
for {set i 0} {$i < $nfracs} {incr i 1} {
   set outarray($i) "$crvfracx($i) $crvfracy($i) $crvfracz($i) NoName 1"
}
puts stdout "Writing: $outfilename"
WriteAsciiFile $outfilename outarray

DeleteAllCurves

  unset acclength
  unset fraclength
  unset totlength
  unset outarray
  unset crvfracx crvfracy crvfracz
  unset fractions_arr

  
}

proc MoveLandmarksClosestPointToSurface {in_landmarkfile in_surfacefile out_landmarkfile} {
  global setarr lmNameArr maxlmIndex tmpdir

  set target $in_surfacefile
  set source $in_landmarkfile
  set outfilename "${tmpdir}cptmp.txt"

  set source_modified $out_landmarkfile

  ClosestPointDeformationCurve $target $source $outfilename

  # Convert the output file to .log format
  ExtractColumn $outfilename 1 xx nn
  ExtractColumn $outfilename 2 yy nn
  ExtractColumn $outfilename 3 zz nn

  ExtractColumn $in_landmarkfile 4 nams nn

  set maxlmIndex [expr $nn - 1]
  for {set i 0} {$i < $nn} {incr i 1} {
     lmCoord InsertPoint $i $xx($i) $yy($i) $zz($i)
     set setarr($i) 1
     set lmNameArr($i) $nams($i)
  }  
  WriteSimpleLm $out_landmarkfile
  ReadLandmarkFile $out_landmarkfile
}


proc AppendLandmarkFilesFromList {listfilename outfilename} {
  global setarr lmNameArr maxlmIndex tmpdir
  global AppendToPrevious

  ReadAsciiFile $listfilename outarray nfiles
  
  set AppendToPrevious 0
  puts stdout "Reading first: $outarray(0)" 
  ReadLandmarkFile $outarray(0)

  set AppendToPrevious 1
  for {set i 1} {$i < $nfiles} {incr i 1} { 
     puts stdout "Reading: $outarray($i)" 
     ReadLandmarkFile $outarray($i)
  }  

  WriteSimpleLm $outfilename



}

proc RemoveExtension {filename} {
   # Given a filename with extension, this routine returns the filename without extension. 
   set root [file rootname ${filename}]
   return $root
}


proc CreateDifferenceBetweenTwoClrFilesMenu {} {
    global tmpdir currentdir
    global cp_file1 cp_file2 cp_outputfile
    global SignedCheck lowersr uppersr
    global difference_between_two_clr_files_slider_min difference_between_two_clr_files_slider_max
    global mincol maxcol
    
    proc CloseClrDifferenceMenu {} {
      wm withdraw .cp
      destroy .cp
    }

  set w .cp
  toplevel $w
  wm title $w "Difference Between 2 clr Files"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClrDifferenceMenu
  pack $w.close -side bottom -pady 2m
  label $w.l0 -font $font -justify center -foreground red -text "(The two clr files must have same number of color values!)"
  label $w.l -font $font -justify center -text "1) Select Filename 1,"
  label $w.l2 -font $font -justify center -text "2) Select Filename 2,"
  label $w.l3 -font $font -justify center -text "3) Select Output Color (.clr) Filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l0 $w.l $w.l2 $w.l3 $w.l4 -side top -pady 8
  
  foreach i {file1 file2 output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global cp_file1 cp_file2 cp_outputfile

    if { $operation == "output" } {
       set types {
	   {"Surface Color File"		{.clr}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"Surface Color File"		{.clr}	}
	   {"All files"		*}
       }
    }
    if {$operation == "file1"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_file1 $file
    } elseif {$operation == "file2"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set cp_file2 $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .vtk]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  #set lutslidermin $difference_between_two_clr_files_slider_min
  #set lutslidermax $difference_between_two_clr_files_slider_max
  set lutslidermin -50
  set lutslidermax 50

  scale $w.min -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Minimum" -variable difference_between_two_clr_files_slider_min
  scale $w.max -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Maximum" -variable difference_between_two_clr_files_slider_max

  pack $w.min -fill both    
  pack $w.max -fill both    

  set SignedCheck 1
  checkbutton $w.signed -font $font -foreground black -background yellow -text " Signed Difference " -variable SignedCheck
  pack $w.signed -pady 4 

  set closestpoint_command "dum"
  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ComputeClrFileDifference 
  pack $w.b0 -side top

}

proc ComputeClrFileDifference {} {
   global cp_file1 cp_file2 cp_outputfile SignedCheck
   global landmarker_home cp_file1 cp_file2 cp_outputfile SignedCheck lowersr uppersr
   global app_type
   global difference_between_two_clr_files_slider_min difference_between_two_clr_files_slider_max
   global clrname 
   global maxcol mincol
   global nclrs colortablename

   if {! [file exists $cp_file2 ] } {
      puts stdout "$cp_file2 not found"
      notify_error "$cp_file2 not found"
      return -1
   }
   if {! [file exists $cp_file1 ]} {
      puts stdout "$cp_file1 not found"
      notify_error "$file1 not found"
      return -1
   }

   #puts stdout "cp_file1 $cp_file1"
   #puts stdout "cp_file2 $cp_file2"

   ReadClrFile $cp_file1
   puts stdout "Number of colors: $nclrs"
   # Next 4 line copies content of clrarr1 into clrarr2
   for {set i 0} {$i < $nclrs} {incr i 1} {
      set val [clrarr1 GetTuple1 $i] 
      clrarr2 InsertTuple1 $i $val
      #set dum [clrarr2 GetTuple1 $i]
      #puts stdout "$val $dum" 
   } 
   set nclrs2 $nclrs
   ReadClrFile $cp_file2
   if {$nclrs != $nclrs2} {
      puts stdout "Number of colors in input files not the same... quitting!"
      notify_message "Number of colors in input files not the same... quitting!"
      return -1
   }
   puts stdout "Computing difference..."
   #puts "SignedCheck $SignedCheck"
   for {set i 0} {$i < $nclrs2} {incr i 1} {
      set val [clrarr1 GetTuple1 $i] 
      set val2 [clrarr2 GetTuple1 $i] 
      if {$SignedCheck == 1} {
         set vall [expr $val - $val2]
      } else {
         set vall [expr abs($val - $val2)]
      }
      #puts stdout "$val $val2"
      clrarr2 InsertTuple1 $i $vall
   } 
   
   puts stdout "Result is written to $cp_outputfile"
   WriteClrFile $cp_outputfile
   puts stdout "Done!"
}

proc WriteClrFile {clrfilename} {
   # Routine writes the contents of clrarr2 into a clr file
   global clrname colortablename
   global maxcol mincol
   global nclrs 
   global difference_between_two_clr_files_slider_min difference_between_two_clr_files_slider_max
   set fileId [open $clrfilename w]
     puts $fileId "# LANDMARKER SURFACE SCALAR COLOR FILE V1"
     puts $fileId "$mincol $maxcol"
     ##puts $fileId "$difference_between_two_clr_files_slider_min $difference_between_two_clr_files_slider_max" 
     puts $fileId $colortablename
     for {set i 0} {$i < $nclrs} {incr i 1} {
         set val [clrarr2 GetTuple1 $i] 
         puts $fileId $val
     } 
     close $fileId 
}


proc ReadClrFile {clrfilename} {
   # Routine reads a clr file and puts in clrarr1 which is a vtkFloatArray declared at top of prog
   global cp_file1 cp_file2 cp_outputfile SignedCheck
   global landmarker_home cp_file1 cp_file2 cp_outputfile SignedCheck lowersr uppersr
   global app_type
   global difference_between_two_clr_files_slider_min difference_between_two_clr_files_slider_max
   global clrname 
   global maxcol mincol 
   global nclrs colortablename

   # First fetch the 3 first lines.
     set fileId [open $clrfilename r]
     gets $fileId line
     if {$line != "# LANDMARKER SURFACE SCALAR COLOR FILE V1"} {
       notify_error "Did not find expected header information in .clr file."
       return -1
     }
     gets $fileId line     
     set maxcol [lindex $line 0]
     set mincol [lindex $line 1]  
     # Next line contains name of color table
     gets $fileId line
     set colortablename [lindex $line 0]
     
     puts stdout "Reading $clrfilename"
     # Read to the EOF, insert numbers into an array.
     set c 0
         while {[gets $fileId value] >= 0 } {
         clrarr1 InsertTuple1 $c $value
         set dum [clrarr1 GetTuple1 $c]
         incr c 1  
     }
     set nclrs $c
     puts stdout "Number of colors: $nclrs"
     close $fileId 
}


 
proc CreateMeanOfClrFilesMenu {} {
    global tmpdir currentdir
    global listfilename cp_outputfile
    global SignedCheck lowersr uppersr
    global mean_of_clr_files_slider_min mean_of_clr_files_slider_max
    global mincol maxcol
    global SDCheck
    
    proc CloseClrMeanMenu {} {
      wm withdraw .cp
      destroy .cp
    }

  set w .cp
  toplevel $w
  wm title $w "Mean of clr Files"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClrMeanMenu
  pack $w.close -side bottom -pady 2m
  label $w.l0 -font $font -justify center -foreground red -text "(All clr files must have same number of color values!)"
  label $w.l -font $font -justify center -text "1) Select list file (.txt) listing all .clr input files,"
  label $w.l3 -font $font -justify center -text "3) Select Output Color (.clr) Filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l0 $w.l $w.l3 $w.l4 -side top -pady 8
  
  foreach i {listfile output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global listfilename cp_outputfile

    if { $operation == "output" } {
       set types {
	   {"Surface Color File"		{.clr}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"Listfile"		{.txt}	}
	   {"All files"		*}
       }
    }
    if {$operation == "listfile"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set listfilename $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .clr]
      set cp_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  set lutslidermin -20
  set lutslidermax 20

  scale $w.min -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Minimum" -variable mean_of_clr_files_slider_min
  scale $w.max -from $lutslidermin -to $lutslidermax -orient horizontal\
	-resolution 0.01 -label "Color Value Maximum" -variable mean_of_clr_files_slider_max

  pack $w.min -fill both    
  pack $w.max -fill both    

  set SignedCheck 1
  checkbutton $w.signed -font $font -foreground black -background yellow -text " Keep Sign " -variable SignedCheck
  pack $w.signed -pady 4

  #set SDCheck 0
  #checkbutton $w.sd -font $font -foreground black -background yellow -text " Also compute SD " -variable SDCheck
  #pack $w.sd -pady 4 
 

  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ComputeClrFileMean 
  pack $w.b0 -side top

}

proc NegateClrFile {} {
  # Procedure negates contents of (vtkFloatArray) clrarr1 and writes to clrarr2
   global maxcol mincol
   global nclrs colortablename
   # Next 4 lines copy content of clrarr1 into clrarr2 (the two are declared at top of prog)
        for {set j 0} {$j < $nclrs} {incr j 1} {
           set val [clrarr1 GetTuple1 $j]
           set val [expr -1.0 * $val] 
           clrarr2 InsertTuple1 $j $val
        } 
}

proc ComputeClrFileMean {} {
   global listfilename cp_outputfile SignedCheck 
   global landmarker_home SignedCheck lowersr uppersr
   global app_type
   global mean_of_clr_files_slider_min mean_of_clr_files_slider_max
   global clrname 
   global maxcol mincol
   global nclrs colortablename
   global SDCheck

   if {! [file exists $listfilename ] } {
      puts stdout "$listfilename not found"
      notify_error "$listfilename not found"
      return -1
   }
   
   # Read the listfile
   ReadAsciiFile $listfilename clrfiles nfiles

   puts stdout "nfiles $nfiles"
   for {set i 0} {$i < $nfiles} {incr i 1} {
      set f $clrfiles($i)
      puts stdout "i= $i"
      puts stdout $f
      ReadClrFile $f
      if {$i == 0} {
        # This is read of the first clr-file (i=0)
        puts stdout "Number of colors: $nclrs"
        # Next 4 lines copy content of clrarr1 into clrarr2 (the two are declared at top of prog)
        for {set j 0} {$j < $nclrs} {incr j 1} {
           set val [clrarr1 GetTuple1 $j] 
           if {$SignedCheck != 1} {
              set vall [expr abs($val)]
           }
           clrarr2 InsertTuple1 $j $val
        } 
      } else {
        # Cumulate
        for {set j 0} {$j < $nclrs} {incr j 1} {
           set val [clrarr1 GetTuple1 $j] 
           set val2 [clrarr2 GetTuple1 $j] 
           #puts "SignedCheck $SignedCheck"
           #puts stdout "val val2 $val $val2"

           if {$SignedCheck == 1} {
              #puts stdout "val val2 $val $val2"
              set vall [expr $val + $val2]
           } else {
              set vall [expr abs($val) + abs($val2)]
           }
           clrarr2 InsertTuple1 $j $vall
        }
      }
   }
   for {set i 0} {$i < $nclrs} {incr i 1} {
      set val [clrarr2 GetTuple1 $i] 
      set val [expr $val / $nfiles]
      clrarr2 InsertTuple1 $i $val
      set dum [clrarr2 GetTuple1 $i]
      #puts stdout "dum $dum"
   }
   puts stdout "Result is written to $cp_outputfile"
   WriteClrFile $cp_outputfile

   #if {$SDCheck} {
   #  puts stdout "Computing SD also..."
   #  # Mean is currently in clrarr2
     

   #}

   puts stdout "Done!"
}

proc ComputeMeanSDClr {} {
   global clrfile
   global listfilename cp_outputfile 
   global landmarker_home lowersr uppersr
   global clrname 
   global maxcol mincol
   global nclrs colortablename
   global currentdir SignedCheck

   ReadClrFile $clrfile
   # Now I have all the colorvalues in the vtkArray clrarr1
   
   # Compute mean
   set cumul 0
   set maxval -999999.99
   for {set j 0} {$j < $nclrs} {incr j 1} {
           set val [clrarr1 GetTuple1 $j]  
           if {$SignedCheck != 1} {
              set val [expr abs($val)]
           }
           set cumul [expr $cumul + $val]
           if {$val >= $maxval} {
             set maxval $val
           }
   }
   set meanval [expr $cumul / $nclrs]

   # Compute SD
   set cumul 0
   for {set j 0} {$j < $nclrs} {incr j 1} {
           set val [clrarr1 GetTuple1 $j]
           if {$SignedCheck != 1} {
              set val [expr abs($val)]
           }
           set cumul [expr $cumul + ( ($val - $meanval) * ($val - $meanval) )]
   }
   set sdval [expr sqrt ( $cumul / ($nclrs - 1) )]

   notify_message "Mean= $meanval , Max= $maxval , SD= $sdval ( $clrfile )"
}

proc CreateMeanAndSDClrMenu {} {
   global clrfile
   global listfilename cp_outputfile 
   global landmarker_home lowersr uppersr
   global clrname 
   global maxcol mincol
   global nclrs colortablename
   global currentdir SignedCheck

   proc CloseMeanAndSDClrMenu {} {
      wm withdraw .md
      destroy .md
    }

  set w .md
  toplevel $w
  wm title $w "Mean and SD of clr file"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseMeanAndSDClrMenu
  pack $w.close -side bottom -pady 2m

  foreach i {clrfile} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global clrfile

    if { $operation == "clrfile" } {
       set types {
	   {"Surface Color File"		{.clr}	}
	   {"All files"		*}
       }
    } else {
       
    }
    if {$operation == "clrfile"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set clrfile $file
    } else {
	
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  set SignedCheck 1
  checkbutton $w.signed -font $font -foreground black -background yellow -text " Keep Sign " -variable SignedCheck
  pack $w.signed -pady 4 

  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ComputeMeanSDClr 
  pack $w.b0 -side top


}


proc ScorePlot {xcolno ycolno} {
   # Create a 2D plot of scores.
   # Reads the filename scores.txt and scorescolors.txt in the tmp directory.
   
   vtkRenderer ren_xyplot
     ren_xyplot SetBackground 1 1 1
   vtkRenderWindow renWin_xyplot
     renWin_xyplot AddRenderer ren_xyplot
   vtkRenderWindowInteractor iren_xyplot
     iren_xyplot SetRenderWindow renWin_xyplot
   renWin_xyplot SetSize 600 400
   iren_xyplot Initialize
   iren_xyplot AddObserver UserEvent {wm deiconify .vtkInteract}

   # Read the scoresfile
   set scoresfilename "C:/tmp/scores.txt"
   ExtractColumn $scoresfilename $xcolno xarr nf
   ExtractColumn $scoresfilename $ycolno yarr nf

   puts stdout "nf= $nf"

   # Read the scorescolorfile
   set scorescolorsfilename "C:/tmp/scorescolors.txt"
   ExtractColumn $scorescolorsfilename 1 typearr nl
   ExtractColumn $scorescolorsfilename 2 redarr nl
   ExtractColumn $scorescolorsfilename 3 greenarr nl
   ExtractColumn $scorescolorsfilename 4 bluearr nl

   # Number of groups is the max value of typearr
   set maxv 0
   for {set i 0} {$i < $nf} {incr i 1} {
      set v $typearr($i)
      puts stdout "v= $v"
      if {$v > $maxv} {
        set maxv $v
      }
   }
   
   set ngroups [expr $maxv + 1]
   puts stdout "ngroups $ngroups"

   # Create the components (there will be ngroups components)
   vtkXYPlotActor xyplot
   for {set j 0} {$j < $ngroups} {incr j 1} {
      vtkFloatArray xvalues$j
      vtkFloatArray yvalues$j
      for {set i 0} {$i < $nf} {incr i 1} {
          if {$j == $typearr($i)} {
             xvalues$j InsertNextValue $xarr($i)
             yvalues$j InsertNextValue $yarr($i)
             puts stdout "%%%%%%%%%%%%%%%%%%%%%"
          }
      }
   
      vtkFieldData fd$j
        fd$j AllocateArrays 2
        fd$j AddArray xvalues$j
        fd$j AddArray yvalues$j

       vtkDataObject do$j
         do$j SetFieldData fd$j
   
       xyplot AddDataObjectInput do$j

       xyplot SetDataObjectXComponent $j 0
       xyplot SetDataObjectYComponent $j 1 


   }
   
    [xyplot GetPositionCoordinate] SetValue 0.04 0.04 0
    [xyplot GetPosition2Coordinate] SetValue 0.95 0.95 0
    xyplot SetTitle "Score Plot"
    xyplot SetXTitle "PC $xcolno"
    xyplot SetYTitle "PC $ycolno"
    xyplot SetXRange -3 3
    xyplot SetYRange -3 3
    [xyplot GetProperty] SetColor 0 0 0
    xyplot PlotLinesOff
    [xyplot GetProperty] SetLineWidth 2
    xyplot SetXValuesToValue 
    xyplot PlotPointsOn
    
   vtkGlyphSource2D triangle
       triangle SetGlyphTypeToTriangle
   vtkGlyphSource2D cross
       cross SetGlyphTypeToCross
   vtkGlyphSource2D square
       square SetGlyphTypeToSquare
   vtkGlyphSource2D circle
       circle SetGlyphTypeToCircle

    for {set i 0} {$i < $nf} {incr i 1} {
       xyplot SetPlotColor $typearr($i) $redarr($i) $greenarr($i) $bluearr($i)
       if {$i == 0} {
         xyplot SetPlotSymbol $i [triangle GetOutput]
       }
       if {$i == 1} {
         xyplot SetPlotSymbol $i [cross GetOutput]
       }
       if {$i == 2} {
         xyplot SetPlotSymbol $i [circle GetOutput]
       }
       if {$i == 3} {
         xyplot SetPlotSymbol $i [square GetOutput]
       }
 
    }
        
    [xyplot GetProperty] SetPointSize 0.2
    
    # Would like to add IDs for each point (a number). BUT HOW?

    ##xyplot SetNumberOfXLabels $nf
    ##for {set i 0} {$i < $nf} {incr i 1} {
    ##   xyplot SetPlotLabel $i $i 
    ##}

ren_xyplot AddActor xyplot
renWin_xyplot Render
}


proc CreateSurfacePCAMenu {} {
    global tmpdir currentdir
    global listfilename
    global cdir user_home landmarker_home
    global groupcolorfilename

    proc CloseSurfacePCAMenu {} {
      wm withdraw .cp
      destroy .cp
    }

  set groupcolorfilename ""

  set w .cp
  toplevel $w
  wm title $w "Surface PCA"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseSurfacePCAMenu
  pack $w.close -side bottom -pady 2m
  label $w.l0 -font $font -justify center -foreground red -text "(Input vtk files must have detailed point correspondence!!!)"
  label $w.l -font $font -justify center -text "1) Select a list file (.txt) listing minimum 4 vtk files with directory."
  label $w.l3 -font $font -justify center -text "2) Select an optional corresponding group color file (.txt) with same number of lines."
  label $w.l4 -font $font -justify center -text "3) Press \" * PCA * \" "
  pack $w.l0 $w.l $w.l3 $w.l4 -side top -pady 8
  
  foreach i {listfile groupcolorfile} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global listfilename groupcolorfilename

    if { $operation == "listfile" } {
       set types {
	   {"Listfile (.txt)"		{.txt}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"Group color file"		{.txt}	}
	   {"All files"		*}
       }
    }
    if {$operation == "listfile"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set listfilename $file
    } else {
	set file [tk_getOpenFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .txt]
      set groupcolorfilename $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  
  button $w.b0 -font $font -text " * PCA * " -foreground blue -width 20 -justify center \
                                  -command SurfacePCA 
  pack $w.b0 -side top

}


##################################################################
proc SurfacePCA {} {
    global tmpdir currentdir cdir
    global listfilename groupcolorfilename
    global user_home landmarker_home
    global groupcolorfilename

    set cdir [file dirname $listfilename]
    set cdir "${cdir}/"

# Set the background color to white
ren1 SetBackground 1.0 1.0 1.0

##set listfilename "${cdir}pca_inlist.txt"
ReadAsciiFile "${listfilename}" filenam nfiles
puts stdout "nfiles= $nfiles"

if {$groupcolorfilename != ""} {
##set colorfilename "${cdir}pca_groupcolors.txt"
if {[file exists $groupcolorfilename ]} {
  ReadAsciiFile "${groupcolorfilename}" groupcolors ngroupcolors
  puts stdout "ngropupcolors= $ngroupcolors"
  if {$nfiles != $ngroupcolors} {
    notify_error "Number of files do not match number of group colors (check the two input files)"
    return -1
  }
}
}

vtkProcrustesAlignmentFilter procrustes
    procrustes SetNumberOfInputs $nfiles
    [procrustes GetLandmarkTransform] SetModeToRigidBody
vtkPCAAnalysisFilter pca
    pca SetNumberOfInputs $nfiles

for {set i 0} {$i < $nfiles} {incr i 1} {

  # Read and display surface file
  ReadSurfaceFile "$filenam($i)"
  vtkTransformPolyDataFilter PolyTransform$i
      PolyTransform$i SetTransform identityTransform
      PolyTransform$i SetInput [reader GetOutput]
      set OpenAdditional 1

  vtkPolyDataMapper map$i
      map$i SetInputConnection [PolyTransform$i GetOutputPort]
  vtkActor Actor$i
      Actor$i SetMapper map$i
      ##[Actor$i GetProperty] SetDiffuseColor 1.0000 0.3882 0.2784

  procrustes SetInput $i [PolyTransform$i GetOutput]




#------------------------------------------------------------------
# align the shapes using Procrustes (using SetModeToRigidBody)
# and map the aligned shapes into the second renderer
#------------------------------------------------------------------
    procrustes SetInput $i [PolyTransform$i GetOutput]

    

vtkPolyDataMapper mapp$i
    mapp$i SetInput [procrustes GetOutput $i]
vtkActor Actorr$i
    Actorr$i SetMapper mapp$i
    [Actorr$i GetProperty] SetDiffuseColor 1.0000 0.3882 0.2784

#------------------------------------------------------------------
# pass the output of Procrustes to vtkPCAAnalysisFilter
#------------------------------------------------------------------
    pca SetInput $i [procrustes GetOutput $i]

}
set OpenAdditional 0


pca Update
# we need to call Update because GetParameterisedShape is not
# part of the normal SetInput/GetOutput pipeline

#------------------------------------------------------------------
# -3,0,3 standard deviations on the first mode
# illustrate the extremes around the average shape
#------------------------------------------------------------------
vtkFloatArray params
    params SetNumberOfComponents 1
    params SetNumberOfTuples 1
    params SetTuple1 0 -3.0
vtkPolyData shapea
  shapea DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params shapea
vtkPolyDataNormals normalsa
  normalsa SetInput shapea
vtkPolyDataMapper map3a
    map3a SetInputConnection [normalsa GetOutputPort]
vtkActor Actor3a
    Actor3a SetMapper map3a
    [Actor3a GetProperty] SetDiffuseColor 1 1 0
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}mode13m.vtk"
  pc_vtkwriter SetInput shapea
  pc_vtkwriter Write
  pc_vtkwriter Delete

   params SetTuple1 0 0.0
vtkPolyData shapeb
  shapeb DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params shapeb
vtkPolyDataNormals normalsb
  normalsb SetInput shapeb
vtkPolyDataMapper map3b
    map3b SetInputConnection [normalsb GetOutputPort]
vtkActor Actor3b
    Actor3b SetMapper map3b
    [Actor3b GetProperty] SetDiffuseColor 1 1 1
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}pca_meanshape.vtk"
  pc_vtkwriter SetInput shapeb
  pc_vtkwriter Write
  pc_vtkwriter Delete

   params SetTuple1 0 3.0
vtkPolyData shapec
  shapec DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params shapec
vtkPolyDataNormals normalsc
  normalsc SetInput shapec
vtkPolyDataMapper map3c
    map3c SetInputConnection [normalsc GetOutputPort]
vtkActor Actor3c
    Actor3c SetMapper map3c
    [Actor3c GetProperty] SetDiffuseColor 1 0 1
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}mode13p.vtk"
  pc_vtkwriter SetInput shapec
  pc_vtkwriter Write
  pc_vtkwriter Delete


#------------------------------------------------------------------
# map the second mode into the fourth renderer:
#------------------------------------------------------------------
vtkFloatArray params4
    params4 SetNumberOfComponents 1
    params4 SetNumberOfTuples 2
    params4 SetTuple1 0 0.0
    params4 SetTuple1 1 -3.0
vtkPolyData shape4a
  shape4a DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params4 shape4a
vtkPolyDataNormals normals4a
  normals4a SetInput shape4a
vtkPolyDataMapper map4a
    map4a SetInputConnection [normals4a GetOutputPort]
vtkActor Actor4a
    Actor4a SetMapper map4a
    [Actor4a GetProperty] SetDiffuseColor 1 1 0
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}mode23m.vtk"
  pc_vtkwriter SetInput shape4a
  pc_vtkwriter Write
  pc_vtkwriter Delete

   params4 SetTuple1 1 0.0
vtkPolyData shape4b
  shape4b DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params4 shape4b
vtkPolyDataNormals normals4b
  normals4b SetInput shape4b
vtkPolyDataMapper map4b
    map4b SetInputConnection [normals4b GetOutputPort]
vtkActor Actor4b
    Actor4b SetMapper map4b
    [Actor4b GetProperty] SetDiffuseColor 1 1 1

   params4 SetTuple1 1 3.0
vtkPolyData shape4c
  shape4c DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params4 shape4c
vtkPolyDataNormals normals4c
  normals4c SetInput shape4c
vtkPolyDataMapper map4c
    map4c SetInputConnection [normals4c GetOutputPort]
vtkActor Actor4c
    Actor4c SetMapper map4c
    [Actor4c GetProperty] SetDiffuseColor 1 0 1
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}mode23p.vtk"
  pc_vtkwriter SetInput shape4c
  pc_vtkwriter Write
  pc_vtkwriter Delete

#------------------------------------------------------------------
# map the third mode into the fourth renderer:
#------------------------------------------------------------------
vtkFloatArray params5
    params5 SetNumberOfComponents 1
    params5 SetNumberOfTuples 3
    params5 SetTuple1 0 0.0
    params5 SetTuple1 1 0.0
    params5 SetTuple1 2 -3.0

vtkPolyData shape5a
  shape5a DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params5 shape5a
vtkPolyDataNormals normals5a
  normals5a SetInput shape5a
vtkPolyDataMapper map5a
    map5a SetInputConnection [normals5a GetOutputPort]
vtkActor Actor5a
    Actor5a SetMapper map5a
    [Actor5a GetProperty] SetDiffuseColor 1 1 0
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}mode33m.vtk"
  pc_vtkwriter SetInput shape5a
  pc_vtkwriter Write
  pc_vtkwriter Delete

   params5 SetTuple1 2 0.0
vtkPolyData shape5b
  shape5b DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params5 shape5b
vtkPolyDataNormals normals5b
  normals5b SetInput shape5b
vtkPolyDataMapper map5b
    map5b SetInputConnection [normals5b GetOutputPort]
vtkActor Actor5b
    Actor5b SetMapper map5b
    [Actor5b GetProperty] SetDiffuseColor 1 1 1

   params5 SetTuple1 2 3.0
vtkPolyData shape5c
  shape5c DeepCopy [PolyTransform1 GetOutput]
pca GetParameterisedShape params5 shape5c
vtkPolyDataNormals normals5c
  normals5c SetInput shape5c
vtkPolyDataMapper map5c
    map5c SetInputConnection [normals5c GetOutputPort]
vtkActor Actor5c
    Actor5c SetMapper map5c
    [Actor5c GetProperty] SetDiffuseColor 1 0 1
vtkPolyDataWriter pc_vtkwriter
  pc_vtkwriter SetFileName "${cdir}mode33p.vtk"
  pc_vtkwriter SetInput shape5c
  pc_vtkwriter Write
  pc_vtkwriter Delete


#-----------------------------------------------
# Use GetShapeParameters to make score plot
#-----------------------------------------------


###set nfm [expr $nfiles - 1]
set nfm 3

set colorstring "1 1 0"

for {set i 0} {$i < $nfiles} {incr i 1} {

  if {$groupcolorfilename != ""} {
    if {[file exists $groupcolorfilename ]} {
       set colorstring $groupcolors($i)
    }
  }

  pca GetShapeParameters [procrustes GetOutput $i] params $nfm

  for {set j 0} {$j < $nfm} {incr j 1} {
    set t [params GetTuple1 $j]
    if {$j == 0} {
      set score $t
    } else {
      append score " $t" 
    }
  }
  
  # Add name and set status, and color
  set filnam [file tail $filenam($i)]
  append score " $filnam"
  append score " 1"
  append score " $colorstring"
  puts stdout "score $score"
  
  set scores($i) $score
}

set scoresfilename "scores.log"
WriteAsciiFile "${cdir}$scoresfilename" scores

# Make and execute a tcl script that shows the scores in a new landmarker
# For now, we assume the name is scores.log


set fileId [open ${cdir}plotscores.tcl w]
       puts $fileId "set cdir [pwd]"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "source ${user_home}/landmarker_preferences/landmarker_preferences.tcl"
       puts $fileId "cd $landmarker_home"
       puts $fileId "source ${landmarker_home}landmarker.tcl"
       puts $fileId "ReadLandmarkFile ${cdir}scores.log"
       puts $fileId "set lmIndex $nfiles" 


puts $fileId "vtkCubeAxesActor2D sc_cubeaxes"
puts $fileId "    # Create a text property for both cube axes"
puts $fileId "    vtkTextProperty sc_tprop"
puts $fileId "       sc_tprop SetColor 1 1 0"
puts $fileId "       sc_tprop ShadowOn"

puts $fileId "    # Create a vtkCubeAxesActor2D.  Use the outer edges of the bounding box to"
puts $fileId "    # draw the axes.  Add the actor to the renderer."
puts $fileId "        eval \[sc_cubeaxes GetProperty\] SetColor 0 0 0"

puts $fileId "        sc_cubeaxes SetCamera [ren1 GetActiveCamera]"
puts $fileId "        sc_cubeaxes SetLabelFormat %6.3g"
puts $fileId "        sc_cubeaxes SetFlyModeToOuterEdges"
puts $fileId "        sc_cubeaxes SetFontFactor 2.0"
puts $fileId "        sc_cubeaxes SetBounds -3 3 -3 3 -3 3"
puts $fileId "        sc_cubeaxes SetAxisTitleTextProperty sc_tprop"
puts $fileId "        sc_cubeaxes SetAxisLabelTextProperty sc_tprop"
puts $fileId "        sc_cubeaxes SetXLabel \"PC 1\""
puts $fileId "        sc_cubeaxes SetYLabel \"PC 2\""
puts $fileId "        sc_cubeaxes SetZLabel \"PC 3\""
puts $fileId "        ren1 AddViewProp sc_cubeaxes" 
puts $fileId "        set lmDiameter 0.1"
puts $fileId "        SetAllLmDiameter"  
puts $fileId "        ZoomOutCamera" 
puts $fileId "        ZoomOutCamera" 
puts $fileId "    renWin Render"
puts $fileId "    sc_tprop Delete" 
    
close $fileId


exec vtk ${cdir}plotscores.tcl &


##### Test of GetOutput (retrieving eigenvector i). Is a vtkPointSet.
pca GetOutput 2     

#--------------------------------------------------------------
# Create and show interpolated animation of one of the first mode
#-------------------------------------------------------------
set fileId [open ${cdir}animate_pc1.tcl w]
       puts $fileId "set cdir [pwd]"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "source ${user_home}/landmarker_preferences/landmarker_preferences.tcl"
       puts $fileId "cd $landmarker_home"
       puts $fileId "source ${landmarker_home}landmarker.tcl"
       
       puts $fileId "set ibfilename1 ${cdir}mode13m.vtk"
       puts $fileId "set ibfilename2 ${cdir}mode13p.vtk"
       puts $fileId "set iboutfilename ${cdir}pc1_ani_"
       puts $fileId "set ibnsurfaces 9" 

       puts $fileId "set AnimateAfter 150"
       puts $fileId "renWin SetWindowName PC1"
       puts $fileId "ApplyInterpolateBetween2Surfaces"
       
      close $fileId

exec vtk ${cdir}animate_pc1.tcl &

#--------------------------------------------------------------
# Create and show interpolated animation of one of the second mode
#-------------------------------------------------------------
set fileId [open ${cdir}animate_pc2.tcl w]
       puts $fileId "set cdir [pwd]"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "source ${user_home}/landmarker_preferences/landmarker_preferences.tcl"
       puts $fileId "cd $landmarker_home"
       puts $fileId "source ${landmarker_home}landmarker.tcl"
       
       puts $fileId "set ibfilename1 ${cdir}mode23m.vtk"
       puts $fileId "set ibfilename2 ${cdir}mode23p.vtk"
       puts $fileId "set iboutfilename ${cdir}pc2_ani_"
       puts $fileId "set ibnsurfaces 9" 

       puts $fileId "set AnimateAfter 150"
       puts $fileId "renWin SetWindowName PC2"
       puts $fileId "ApplyInterpolateBetween2Surfaces"
       
      close $fileId

exec vtk ${cdir}animate_pc2.tcl &

#--------------------------------------------------------------
# Create and show interpolated animation of one of the third mode
#-------------------------------------------------------------
set fileId [open ${cdir}animate_pc3.tcl w]
       puts $fileId "set cdir [pwd]"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "set cdir ${cdir}/"
       puts $fileId "source ${user_home}/landmarker_preferences/landmarker_preferences.tcl"
       puts $fileId "cd $landmarker_home"
       puts $fileId "source ${landmarker_home}landmarker.tcl"
       
       puts $fileId "set ibfilename1 ${cdir}mode33m.vtk"
       puts $fileId "set ibfilename2 ${cdir}mode33p.vtk"
       puts $fileId "set iboutfilename ${cdir}pc3_ani_"
       puts $fileId "set ibnsurfaces 9" 

       puts $fileId "set AnimateAfter 150"
       puts $fileId "renWin SetWindowName PC3"
       puts $fileId "ApplyInterpolateBetween2Surfaces"
       
      close $fileId

exec vtk ${cdir}animate_pc3.tcl &







#------------------------------------------------------------------
# Create the RenderWindow and its four Renderers
#------------------------------------------------------------------

vtkRenderer ren1l
vtkRenderer ren1m
vtkRenderer ren1r
vtkRenderer ren2l
vtkRenderer ren2m
vtkRenderer ren2r
vtkRenderer ren3l
vtkRenderer ren3m
vtkRenderer ren3r
vtkRenderWindow renWinn
    renWinn AddRenderer ren1l
    renWinn AddRenderer ren1m
    renWinn AddRenderer ren1r
    renWinn AddRenderer ren2l
    renWinn AddRenderer ren2m
    renWinn AddRenderer ren2r
    renWinn AddRenderer ren3l
    renWinn AddRenderer ren3m
    renWinn AddRenderer ren3r
    renWinn SetSize 800 800
    renWinn SetWindowName "PCA Modes"
vtkRenderWindowInteractor irenn
    irenn SetRenderWindow renWinn

set irenn [renWinn GetInteractor]
set istyle2 [vtkInteractorStyleSwitch istyleswitch2]
$irenn SetInteractorStyle $istyle2
$istyle2 SetCurrentStyleToTrackballCamera


# Add the actors to the renderer

ren1l AddActor Actor3a
ren1m AddActor Actor3b
ren1r AddActor Actor3c
ren2l AddActor Actor4a
ren2m AddActor Actor4b
ren2r AddActor Actor4c
ren3l AddActor Actor5a
ren3m AddActor Actor5b
ren3r AddActor Actor5c

# set the properties of the renderers

ren1l SetBackground 1 1 1
ren1l SetViewport 0.0 0.0 0.33 0.33
ren1l ResetCamera
[ren1l GetActiveCamera] SetPosition 1 -1 0
[ren1l GetActiveCamera] Azimuth 180 
ren1l ResetCamera

ren1m SetBackground 1 1 1
ren1m SetViewport 0.33 0.0 0.67 0.33
ren1m ResetCamera
[ren1m GetActiveCamera] SetPosition 1 -1 0
[ren1m GetActiveCamera] Azimuth 180 
ren1m ResetCamera

ren1r SetBackground 1 1 1
ren1r SetViewport 0.67 0.0 1.0 0.33
ren1r ResetCamera
[ren1r GetActiveCamera] SetPosition 1 -1 0
[ren1r GetActiveCamera] Azimuth 180 
ren1r ResetCamera

ren2l SetBackground 1 1 1
ren2l SetViewport 0.0 0.33 0.33 0.67
ren2l ResetCamera
[ren2l GetActiveCamera] SetPosition 1 -1 0
[ren2l GetActiveCamera] Azimuth 180 
ren2l ResetCamera

ren2m SetBackground 1 1 1
ren2m SetViewport 0.33 0.33 0.67 0.67
ren2m ResetCamera
[ren2m GetActiveCamera] SetPosition 1 -1 0
[ren2m GetActiveCamera] Azimuth 180 
ren2m ResetCamera

ren2r SetBackground 1 1 1
ren2r SetViewport 0.67 0.33 1.0 0.67
ren2r ResetCamera
[ren2r GetActiveCamera] SetPosition 1 -1 0
[ren2r GetActiveCamera] Azimuth 180 
ren2r ResetCamera

ren3l SetBackground 1 1 1
ren3l SetViewport 0.0 0.67 0.33 1.0
ren3l ResetCamera
[ren3l GetActiveCamera] SetPosition 1 -1 0
[ren3l GetActiveCamera] Azimuth 180 
ren3l ResetCamera

ren3m SetBackground 1 1 1
ren3m SetViewport 0.33 0.67 0.67 1.0
ren3m ResetCamera
[ren3m GetActiveCamera] SetPosition 1 -1 0
[ren3m GetActiveCamera] Azimuth 180 
ren3m ResetCamera

ren3r SetBackground 1 1 1
ren3r SetViewport 0.67 0.67 1.0 1.0
ren3r ResetCamera
[ren3r GetActiveCamera] SetPosition 1 -1 0
[ren3r GetActiveCamera] Azimuth 180 
ren3r ResetCamera



# render the image
#
irenn AddObserver UserEvent {wm deiconify .vtkInteract}


renWinn Render

# output the image to file (used to generate the initial regression image)
vtkWindowToImageFilter to_image
to_image SetInput renWinn
vtkPNGWriter to_png
to_png SetFileName "${cdir}pca_modes.png"
to_png SetInputConnection [to_image GetOutputPort]
to_png Write

}


proc CreateRigidImageRegistrationMenu {} {

    global tmpdir currentdir
    global rr_sourcefile rr_targetfile rr_outputfile
    global ReadAnalyzeImageASCIIendian
    
    proc CloseRigidImageRegistrationMenu {} {
      wm withdraw .rr
      destroy .rr
    }

  set w .rr
  toplevel $w
  wm title $w "Rigid Image Registration"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseRigidImageRegistrationMenu
  pack $w.close -side bottom -pady 2m
  label $w.l -font $font -justify center -text "1) Select Source Filename,"
  label $w.l2 -font $font -justify center -text "2) Select Target Filename,"
  label $w.l3 -font $font -justify center -text "3) Select Output Filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l $w.l2 $w.l3 $w.l4 -side top -pady 8
 
  foreach i {source target output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global rr_sourcefile rr_targetfile rr_outputfile

    if { $operation == "output" } {
       set types {
	   {"Image Header File"		{.hdr}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"Image Header File"		{.hdr}	}
	   {"All files"		*}
       }
    }
    if {$operation == "source"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set rr_sourcefile $file
    } elseif {$operation == "target"} {
      set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set rr_targetfile $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .vtk]
      set rr_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ApplyRigidImageRegistration 
  pack $w.b0 -side top

}

proc ApplyRigidImageRegistration {} {
   global rr_sourcefile rr_targetfile rr_outputfile
   global landmarker_home
   global ReadAnalyzeImageASCIIendian

   if {! [file exists $rr_targetfile ] } {
      puts stdout "$rr_targetfile not found"
      notify_error "$rr_targetfile not found"
      return -1
   }
   if {! [file exists $rr_sourcefile ]} {
      puts stdout "$rr_sourcefile not found"
      notify_error "$rr_sourcefile not found"
      return -1
   }
   
   set app_name "rreg.exe"
      
   puts stdout "Computing rigid image registration...may take a few minutes..."

   set app_name $landmarker_home$app_name 
   
   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }
   
   # Create the commands to be executed
   set indir [file dirname $rr_targetfile]
   set tarf [file rootname $rr_targetfile]
   set tarf [file tail $tarf]
   set souf [file rootname $rr_sourcefile]
   set souf [file tail $souf]
   set rr_dofout "${souf}_${tarf}_reg.dof"

   puts stdout "indir $indir"   


   if {! [file exists ${indir}/parreg.txt ]} {
      puts stdout "${indir}/parreg.txt  not found"
      notify_error "${indir}/parreg.txt  not found"
      return -1
   }

   puts stdout "Executing: $app_name $rr_targetfile $rr_sourcefile -dofout ${indir}/${rr_dofout} -Tp -1 -parameter ${indir}/parreg.txt"
   catch {exec $app_name $rr_targetfile $rr_sourcefile -dofout ${indir}/${rr_dofout} -Tp -1 -parameter ${indir}/parreg.txt}

      
   set app_name "transformation.exe"
      
   puts stdout "Transforming $rr_sourcefile"

   set app_name $landmarker_home$app_name 
   
   if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }

   catch {exec $app_name $rr_sourcefile $rr_outputfile -dofin ${indir}/$rr_dofout -bspline}

   puts stdout "Done!"
   puts stdout "Result is written to $rr_outputfile"

   # Show the result in an image viewer  
   # Somehow we get byte swapped image here when reading it in again. ForceBigEndianImageRead does not help either.
   # set ForceBigEndianImageRead 0
   # Therefore, we copy source files hea and use ReadAnalyzeImageASCII 
   # Here we assume that the source file has a hea file. We copy it, but replace small_endian with big_endian
   #set ReadAnalyzeImageASCIIendian "big_endian"
   # That works, but is not really what we want, because when reading afterwards the endian is still wrong...
   # Need to actually change the endian in the copied hea file.
   set inp [file rootname $rr_sourcefile]
   set inp "${inp}.hea"
   set outp [file rootname $rr_outputfile]
   set outp "${outp}.hea"

   ReadAsciiFile $inp outarray nfiles 
   puts stdout $outarray(7) 
   set outarray(7) "ENDIAN big_endian"
   WriteAsciiFile $outp outarray 

   #file copy -force $inp $outp 
   
   
   ReadAnalyzeImageASCII $outp 

}

proc CreateRunTclScriptMenu {} {
    global tmpdir currentdir landmarker_home scriptfilename tclfile

    proc CloseRunTclScriptMenu {} {
      wm withdraw .tcl
      destroy .tcl
    }

    proc SourceTclFile {} {
      global tclfile
      source $tclfile
    }

  set w .tcl
  toplevel $w
  wm title $w "Load and Run a Tcl Script"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseRunTclScriptMenu
  pack $w.close -side bottom -pady 2m
  label $w.l0 -font $font -justify center -foreground red -text "Select a Tcl File to be executed:"
  pack $w.l0 -side top -pady 8

  foreach i {scriptfilename} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global scriptfilename tclfile

    if { $operation == "output" } {
       set types {
	   {"Tcl Script File"		{.tcl}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"Tcl Script File"		{.tcl}	}
	   {"All files"		*}
       }
    }
    if {$operation == "scriptfilename"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      #set scriptfilename $file
      set tclfile $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .tcl]
      set tclfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  button $w.b0 -font $font -text " Execute " -foreground blue -width 20 -justify center \
                                  -command "SourceTclFile" 
  pack $w.b0 -side top

}


proc CreateMeanOfSurfaceFilesMenu {} {
    global tmpdir currentdir landmarker_home
    global listfilename ms_outputfile

    proc CloseClrMeanMenu {} {
      wm withdraw .ms
      destroy .ms
    }

  set w .ms
  toplevel $w
  wm title $w "Mean of Surface Files"
  set font {Helvetica 14}

  button $w.close -font $font -text  " Close "  -width 15 -foreground red -command CloseClrMeanMenu
  pack $w.close -side bottom -pady 2m
  label $w.l0 -font $font -justify center -foreground red -text "(All vtk files must have same number of triangles!)"
  label $w.l -font $font -justify center -text "1) Select list file (.txt) listing all .vtk input files (with directory),"
  label $w.l3 -font $font -justify center -text "3) Select output vtk filename."
  label $w.l4 -font $font -justify center -text "4) Compute "
  pack $w.l0 $w.l $w.l3 $w.l4 -side top -pady 8
  
  foreach i {listfile output} {
    set f [frame $w.$i]
    label $f.lab -text "Select a file as $i: " -anchor e
    entry $f.ent -width 60
    button $f.but -text "Browse ..." -command "fileDialog $w $f.ent $i"
    pack $f.lab -side left
    pack $f.ent -side left -expand yes -fill x
    pack $f.but -side left
    pack $f -fill x -padx 1c -pady 3
  }
 
  proc fileDialog {w ent operation} {
    global tmpdir currentdir
    global listfilename ms_outputfile

    if { $operation == "output" } {
       set types {
	   {"Surface File"		{.vtk}	}
	   {"All files"		*}
       }
    } else {
       set types {
	   {"Listfile"		{.txt}	}
	   {"All files"		*}
       }
    }
    if {$operation == "listfile"} {
	set file [tk_getOpenFile -initialdir $currentdir -filetypes $types -parent $w]
      set listfilename $file
    } else {
	set file [tk_getSaveFile -filetypes $types -parent $w \
	    -initialdir $currentdir -defaultextension .vtk]
      set ms_outputfile $file
    }
    if [string compare $file ""] {
	$ent delete 0 end
	$ent insert 0 $file
	$ent xview end
    }
  }

  button $w.b0 -font $font -text " Compute " -foreground blue -width 20 -justify center \
                                  -command ComputeMeanOfSurfaceFiles 
  pack $w.b0 -side top

}

proc ComputeMeanOfSurfaceFiles {} {
    global tmpdir currentdir landmarker_home
    global listfilename ms_outputfile
   
    set app_name "average_surfaces.exe"

    puts stdout "Computing mean surface..."
    
    set app_name $landmarker_home$app_name 

    if {! [file exists $app_name ]} {
      notify_error "Could not find application $app_name"
      puts stdout "ERROR!!! Could not find application $app_name"
      return -1
   }

   puts stdout "Executing: $app_name $listfilename $ms_outputfile"
   catch {exec $app_name $listfilename $ms_outputfile}

   puts stdout "Done!"
   puts stdout "Result is written to $ms_outputfile"

}